Bienvenue

Bienvenue dans l'Aide de DesignSpark Electrical

DesignSpark Electrical est un progiciel ouvert, intuitif et complet destiné à la préparation de schématiques électriques. Il permet la réalisation du schématique développé, du synoptique de câblage et d'une gestion complète des nomenclatures. Les données du projet sont stockées dans la base de données (SQLite) et sont mises à jour en temps réel.

Pour utiliser DesignSpark Electrical, vous devez disposer d'un compte avec un nom de connexion et un mot de passe. Si ce n'est pas le cas, vous devez le créer.

Ce programme d'aide vous accompagne dans la création de schématiques et la gestion de votre logiciel, de l'installation à la production du document et à la maintenance.

Conventions

XXXX | Les termes importants de l'interface sont matérialisés en caractères gras.
Lien | Repère les liens vers les pages et les ressources concernées. Pour afficher l'information concernée, cliquez sur le lien.
Texte en vert | Repère les notes cachées. Pour afficher ou masquer les notes, cliquez sur le texte qui apparait en lettres italiques vertes.
1. Texte en italique | Indique une procédure à suivre pour utiliser la fonctionnalité.
 | Indique qu'une vidéo peut être visualisée (nécessite une connexion Internet).
 | Matérialise un fichier à télécharger (nécessite une connexion Internet).
 | Représente une note ou un conseil.
 | Matérialise un danger, un risque de manipulation dangereuse.

Rubriques connexes :


Menu Aide

Menu : Aide

Aide/F1 : ouvre l'aide en ligne de DesignSpark Electrical. Cette aide est contextuelle. Pour y accéder, appuyez sur la touche F1 du clavier. Ceci ouvre la section documentant la fonctionnalité actuelle.

Panneau du tutoriel : Ouvre le tutoriel dans l'interface du logiciel dans une fenêtre contextuelle. Le tutoriel est également disponible en ligne.

Documentation : Ouvre l'Explorateur Windows, dans lequel vous trouverez l'ensemble des fichiers de documentation du logiciel.

Collecter des informations : Collecte des informations sur votre environnement informatique en vue de résoudre les problèmes potentiels.

Contenu en ligne : Permet d'accéder aux téléchargements sur Internet des fichiers d'archive de références. Ces fichiers intègrent les dernières mises à jour des références.

DesignSpark Electrical Page d'accueil : affiche le site Web de DesignSpark Electrical.

A propos de : Affiche la version du logiciel.


Tutoriels - 2D

Tutoriels - DesignSpark Electrical

Le but de ce programme est de vous faire découvrir DesignSpark Electrical par une série d'exercices simples, permettant la réalisation d'un projet. Il vous permettra d'utiliser la majeure partie des fonctionnalités du logiciel.

Tous les exercices peuvent être réalisés individuellement, mais il est recommandé de suivre l'ordre proposé. La plupart des exercices se basent sur les exercices précédents. Si vous n'avez pas réalisé l'exercice précédent, vous pouvez le télécharger en cliquant sur le lien correspondant.

Annexe

N'hésitez pas à imprimer les différentes annexes pour simplifier la réalisation de l'exercice.

Vidéos

A la fin de chaque exercice, vous trouverez une vidéo conçue pour vous aider. Nous vous recommandons de la regarder en mode plein écran et en haute résolution.

Exercice N° 1 | Désarchiver l'environnement
Exercice N° 2 | Création d'un projet
Exercice N° 3 | Gestion des localisations Création d'un synoptique Liste des câbles
Exercice N° 4 | Insertion de câbles Insertion de symboles Affectation d'une référence constructeur
Exercice N° 5 | Manipulation des objets Insertion de boîtes noires Création de macros Copier/Coller Permutation des bornes matérielles
Exercice N° 6 | Texte multilingue Tenant-Aboutissant de polarité Numérotation des équipotentielles Câblage
Exercice N° 7 | Références constructeur
Exercice N° 8 | Non applicable à DesignSpark Electrical
Exercice N° 9 | Non applicable à DesignSpark Electrical
Exercice N° 10 | Non applicable à DesignSpark Electrical
Exercice N° 11 | Gestion des révisions


Exercice N° 01

DesignSpark Electrical - Exercice N° 01

Ce premier exercice vous permet de découvrir les principes de base du logiciel DesignSpark Electrical : utilisation d'un environnement spécifique, différences entre un fichier simple et un folio de schématique, et utilisation des outils de l'interface.

  • Désarchivage de l'environnement

  • Quelques recommandations avant de commencer

Désarchivage de l'environnement

Utilisez ce lien pour télécharger le fichier d'archive de l'environnement, puis désarchivez-le.

Un fichier d'archive d'environnement contient toutes les données dont vous avez besoin dans DesignSpark Electrical (symboles, références constructeur, configurations ou projets, par exemple). Il permet de transférer des données vers une autre entreprise ou un autre poste de travail. Vous pouvez également l'utiliser pour enregistrer des données avant de réinstaller le logiciel.

1. Après avoir téléchargé le fichier d'archive, ouvrez-le à l'aide de la commande de désarchivage.

Menu : Fichier > Désarchiver l'environnement

2. Sélectionnez le fichier EnvironmentForTraining.tewzip.

3. Dans l'onglet Sélection, vous pouvez sélectionner les objets que vous souhaitez restaurer (Sélectionner tout).

4. Cliquez sur le bouton Terminer. DesignSpark Electrical répertorie tous les objets restaurés/importés.

Quelques recommandations avant de commencer

Fichiers et folios

Les fichiers et les folios sont des documents dans lesquels vous pouvez dessiner, mais vous devez bien distinguer ces deux types de documents. Les folios ou schémas électriques sont enregistrés automatiquement dans la base de données, ce qui permet les traitements automatiques (nomenclatures. Les fichiers sont de simples fichiers DWG sans "intelligence". Vos schémas électriques doivent être intégrés à des folios, pas à des fichiers DWG.

Zooms

Pour effectuer un zoom dans les folios, vous pouvez utiliser les commandes du menu Affichage ou utiliser la molette de la souris. Tournez la molette pour effectuer un zoom avant ou arrière. Cliquez et maintenez le bouton de la souris enfoncé pour réaliser un panoramique temps réel. Cliquez deux fois sur la molette pour réaliser un zoom étendu sur toutes les entités du folio.

Modes de sélection

Lors de la conception du schéma, vous devez sélectionner des objets. Pour ce faire, suivez les instructions ci-dessous.

Pour sélectionner un objet, cliquez dessus. Pour sélectionner plusieurs objets, cliquez sur l'un d'eux, puis appuyez sur la touche [Ctrl] et maintenez-la enfoncée pendant que vous poursuivez la sélection. Pour sélectionner plusieurs objets, vous pouvez également utiliser le rectangle de sélection. Tracez un rectangle (défini par sa diagonale), de la gauche vers la droite, autour des objets. Tous les objets inclus dans les limites du rectangle sont sélectionnés. Une autre méthode consiste à utiliser la sélection par capture. Elle est identique au rectangle de sélection, si ce n'est que le tracé est effectué de la droite vers la gauche. Tous les objets inclus en tout ou partie dans les limites du rectangle sont sélectionnés.

Rubriques connexes :

Exercice suivant

Retour au sommaire


Exercice N° 02

DesignSpark Electrical - Exercice N° 02

L'objectif de cet exercice est, dans un premier temps, de créer un projet à partir d'un modèle de projet et d'ouvrir ses propriétés pour saisir les données personnelles. Vous allez ensuite sélectionner la langue du projet. Vous manipulerez les éléments du projet, tels que les liasses et les folios. Enfin, vous créerez un nouveau modèle de projet à partir de ce nouveau projet.

  • Création d'un projet

  • Modification des propriétés du projet

  • Configuration de la langue du projet

  • Gestion des éléments du projet

  • Création d'un modèle de projet

Création d'un projet

1. Ouvrez le Gestionnaire de projets.

Menu : Fichier > Gestionnaire de projets

2. Cliquez sur l'icône Nouveau.

Gestionnaire de projets > Nouveau

3. Dans la liste des modèles, sélectionnez le modèle IEC.

4. Dans la boîte de dialogue Langue du projet, sélectionnez Anglais.

5. Entrez le nom du projet.

Le nouveau projet est automatiquement ajouté au gestionnaire de projets.

Modification des propriétés du projet

1. Ouvrez les propriétés du projet.

Gestionnaire de projets > Propriétés

2. Saisissez les propriétés du projet :

Numéro de contrat | 123456
Nom du client | Trace Software
Adresse 1 | 76430
Adresse 2 | St Romain
Adresse 3 | France
Nom du BE | Votre société
Adresse 1 | Code postal
Adresse 2 | Ville
Adresse 3 | Numéro de téléphone
Description Ligne 1 | Projet de formation

Configuration de la langue du projet

Vous ne pouvez ouvrir la configuration du projet que si le projet est ouvert et s'affiche dans le panneau ancrable, sous l'onglet Documents. Pour l'ouvrir, sélectionnez-le dans le gestionnaire de projets et cliquez sur le bouton Ouvrir.

Utiliser uniquement l'anglais et supprimer la deuxième langue

1. Ouvrez la Configuration du projet.

Panneau ancrable > Onglet Documents > Menu contextuel du projet : Configurations > Projet...

2. Dans l'onglet Général, sélectionnez Anglais comme langue principale et votre langue comme deuxième langue.

Une fois la configuration terminée, le projet se met à jour automatiquement.

Gestion des éléments du projet

Modifier une liasse

1. Ouvrez les propriétés de la liasse.

Panneau ancrable > Onglet Documents > Menu contextuel de la liasse : Propriétés

2. Saisissez les propriétés de la liasse comme ci-dessous.

Description | Ma liasse
Données utilisateur 1 (Dessiné par) | A.B.
Données utilisateur 2 (Date) | 07/09/2016

Pour modifier l'étiquette Données utilisateur, cliquez sur le bouton Personnaliser.... Dans la partie gauche de la boîte de dialogue, sélectionnez Données utilisateur 1 et, dans la partie droite, saisissez l'étiquette correcte (Dessiné par) dans les langues souhaitées. Répétez l'opération pour Données utilisateur 2.

Créer/Déplacer/Supprimer un folio

1. Créez un nouveau cartouche.

Panneau ancrable > Onglet Documents > Menu contextuel de la liasse : Nouveau > Schéma

Menu : Projet > Nouveau > Nouveau Schéma

Le nouveau folio est automatiquement ajouté à la fin de la liste des éléments du projet.

2. Si nécessaire, déplacez le folio par glisser-déposer pour le placer à la position adéquate dans la liste.

3. Pour supprimer le folio, sélectionnez-le et appuyez sur la touche [Suppr], ou sélectionnez l'option Supprimer dans son menu contextuel.

Panneau ancrable > Menu contextuel du folio : Supprimer

Ajoutez un fichier de données.

Pour ajouter un fichier externe au projet, vous avez deux possibilités.

1. Ajoutez un fichier de données.

Panneau ancrable > Onglet Documents > Menu contextuel de la liasse : Nouveau > Fichier de données

2. Sélectionnez le fichier "ExcelAutomation_EN.pdf" stocké dans le répertoire C:\Program Files\...\Documentation du logiciel.

Le fichier est copié dans le projet. Si vous apportez des modifications au fichier d'origine, elles n'auront pas d'impact sur cette copie.

La seconde possibilité consiste à créer un lien vers le fichier d'origine. Ainsi, si vous modifiez le fichier d'origine, le document du projet sera mis à jour.

1. Ajoutez un raccourci de fichier de données.

Panneau ancrable > Onglet Documents > Menu contextuel de la liasse : Nouveau > Raccourcis de fichier de données

2. Sélectionnez le fichier "ExcelAutomation_EN.pdf" stocké dans le répertoire C:\Program Files\...\Documentation du logiciel.

Création d'un modèle de projet

Un modèle de projet est utilisé pour créer un nouveau projet. Pour créer un modèle de projet, vous devez purger le projet et supprimer tout élément que vous ne souhaitez pas intégrer au nouveau modèle de projet. Dans cet exercice, vous allez supprimer la "Liste des folios" et renuméroter les autres folios. Ensuite, vous pourrez créer le modèle de projet.

Supprimer le folio

1. Supprimez le folio 02 en sélectionnant la commande Supprimer dans le menu contextuel du folio.

Pour supprimer un folio, vous pouvez également le sélectionner, puis appuyer sur la touche [Suppr] du clavier.

2. Supprimez le fichier de données ou le raccourci que vous avez ajouté.

Renuméroter les folios

1. Pour renuméroter les folios d'une liasse, ouvrez le menu contextuel de la liasse et sélectionnez la commande Renuméroter les documents.

Panneau ancrable > Onglet Documents > Menu contextuel de la liasse : Renuméroter les documents

2. Sélectionnez l'option Recalculer les numéros d'ordre et validez.

Créer le modèle de projet

1. Ouvrez le gestionnaire de projets.

Menu : Fichier > Gestionnaire de projets

Vous pouvez constater que l'icône Enregistrer comme modèle est grisée. Il faut au préalable fermer le projet.

2. Sélectionnez le projet dans la liste, puis cliquez sur l'icône Fermer pour le fermer.

Gestionnaire de Projets > Fermer

3. Sélectionnez le projet et cliquez sur le bouton Enregistrer en tant que modèle.

Gestionnaire de projets > Enregistrer comme modèle

4. Saisissez le nom du nouveau modèle de projet. Vous pouvez maintenant utiliser votre projet pour créer un nouveau projet.

Rubriques connexes :

Exercice suivant

Retour au sommaire


Exercice N° 03

DesignSpark Electrical - Exercice N° 03

Cet exercice vous permet de comprendre comment gérer les localisations d'un projet et comment concevoir le synoptique d'une installation électrique. Il s'effectue dans le projet que vous avez réalisé à l'exercice n° 02. Si vous ne l'avez pas terminé, vous pouvez télécharger le fichier du projet et le désarchiver dans DesignSpark Electrical.

Télécharger le projet

Pour réaliser cet exercice, vous devez télécharger le fichier PDF de l'exercice. Nous vous conseillons, si vous en avez la possibilité, de l'imprimer.

Téléchargement du fichier PDF

  • Gestion des localisations

  • Synoptique de câblage

  • Réservation des câbles

  • Liste des câbles

Gestion des localisations

Modifiez la localisation L1 existante pour la terminer.

1. Ouvrez les propriétés de la localisation L1.

Panneau ancrable > Onglet Composants > Menu contextuel de la localisation : Propriétés

2. Saisissez TGBT comme description de la localisation L1.

Création des autres localisations du projet

Ajoutez les localisations suivantes :

L2 : Local moteurs

L3 : Pupitre

BJ : Boîte de jonction

1. Ouvrez le Gestionnaire de localisations.

Menu : Projet > Localisations

2. Cliquez sur l'icône Nouvelle localisation.

Gestionnaire de localisations : Nouvelle localisation

3. Dans la boîte de dialogue des propriétés de la localisation, saisissez L2, puis la description Local moteurs.

4. Répétez l'opération pour les localisations L3 et BJ. Le repère BJ doit être saisi en mode Manuel.

Synoptique de câblage

Utilisez le document PDF téléchargé précédemment (annexe 3a) pour réaliser le synoptique de câblage sur le folio de synoptique conformément aux instructions suivantes :

1. Cliquez deux fois sur le folio 02 - Wiring line diagram pour l'ouvrir.

Insérer un symbole

Utilisez la commande Insérer symbole pour insérer les moteurs M1 et M2 sans dessiner le contour de localisation. Il sera inséré plus tard.

2. Cliquez sur l'icône Insérer symbole dans le menu Synoptique.

Menu : Synoptique > Insérer un symbole

3. DesignSpark Electrical mémorise le dernier symbole inséré. Il se peut que la bibliothèque s'ouvre directement au premier lancement de la commande d'insertion d'un symbole. Si ce n'est pas le cas, cliquez sur le bouton Autre symbole du panneau ancrable.

4. Dans la bibliothèque, cliquez sur l'onglet Classification. Sélectionnez la classe Moteurs. Dans la partie droite, sélectionnez le symbole correspondant.

5. Cliquez sur Sélectionner pour valider. Vous pouvez également faire un double-clic sur la vignette du symbole.

6. Le symbole est accroché au curseur. Cliquez simplement sur son point d'insertion dans la zone graphique. Vérifiez que le verrou Résol est activé lors de l'insertion.

7. Dans la boîte de dialogue des propriétés, le repère M1 est proposé, car il s'agit du premier symbole inséré dans la classe Moteurs.

8. Vous devez modifier la Localisation affectée au symbole. Cliquez sur le bouton [...] sur la cellule +L1-TGBT.

9. Dans la boîte de dialogue Localisations, sélectionnez L2-Local moteurs.

10. Validez les propriétés du symbole.

11. Procédez de même pour le moteur M2.

Observez que le repère affiche le repère de localisation. La localisation du composant est différente de la localisation du folio.

Contour de localisation

Placez le contour de localisation L3-Pupitre, puis insérez les deux voyants H1 et H2 en utilisant le panneau latéral.

(Observez l'impact sur le repérage.)

1. Sélectionnez la commande Contour de localisation dans le menu Synoptique.

Menu : Synoptique > Contour de localisation

Notez que la commande Contour de Localisation contient des options (présence d'une flèche dans l'icône). Si vous cliquez sur la partie haute de l'icône, vous déclenchez la commande sans utiliser les options. Si vous cliquez sur la partie basse de l'icône, les options s'affichent.

2. Pour tracer un contour de localisation rectangulaire, cliquez dans la zone graphique pour créer un premier point et ensuite un deuxième point correspondant à la diagonale du rectangle.

3. Pour un contour polyligne, cliquez sur le premier point du contour, puis sur un deuxième point... Pour terminer, vous devez fermer le contour.

Palette de symboles

Insérez les voyants à l'aide de la palette de symboles.

1. Ouvrez l'onglet Symboles dans le panneau ancrable.

2. Ouvrez le groupe Rechercher. Saisissez Voyant dans le champ de recherche et cliquez sur le bouton Recherche.

3. Pour insérer le symbole, faites-le glisser vers la zone graphique ou cliquez deux fois dessus. Contrairement aux moteurs, les voyants sont insérés à l'intérieur d'un contour de localisation. DesignSpark Electrical propose automatiquement la localisation L3-Pupitre dans la boîte de dialogue de repérage.

4. Insérez les autres contours de localisation et symboles comme indiqué en annexe.

Folio des câbles

1. Dessinez les câbles à l'aide de l'option Dessiner un câble du menu Synoptique.

Menu : Synoptique > Dessiner un câble

2. Cliquez sur le premier point du contour de symbole. Un point vert indique la connexion.

3. Cliquez sur le deuxième point du deuxième contour de symbole.

Dans le panneau ancrable Commande, vous pouvez sélectionner le type de ligne/câble pour distinguer le type de câble.

Réservation des câbles

Vous devez utiliser des câbles de type 4G pour le câblage des moteurs M1 et M2.

Prévoyez un câble possédant au moins 7 brins, pour connecter le bornier XA2 aux voyants.

1. Ouvrez le menu contextuel de la liaison (clic droit sur la liaison) et sélectionnez la commande Réserver des câbles et des brins.

Menu contextuel du câble de synoptique : Réserver des câbles et des brins

2. Dans la boîte de dialogue de réservation de câbles, cliquez sur l'icône Nouveau câble.

Réservation de brins et de câbles > Nouveau câble

3. Dans la boîte de dialogue de recherche d'une référence de câbles, utilisez l'onglet Filtres et saisissez les filtres sur la Famille et le Nombre de conducteurs.

4. Le nouveau câble apparaît dans la liste. Cochez la case correspondant au câble et validez.

Le repère et la référence du câble apparaissent maintenant sur le folio de synoptique. Vous pouvez utiliser l'option Afficher / masquer les textes de câble du menu contextuel d'un câble pour afficher ou masquer le texte.

Liste des câbles

Affichez la liste des câbles.

1. Cliquez sur l'icône Nomenclatures du menu Projet.

Menu : Projet > Nomenclatures

2. Sélectionnez la nomenclature Liste des câbles.

Toutes les manipulations que vous effectuez dans le projet s'affichent en temps réel à droite dans la boîte de dialogue Gestionnaire de nomenclatures.

Rubriques connexes :

Exercice suivant

Retour au sommaire


Exercice N° 04

DesignSpark Electrical - Exercice N° 04

Cet exercice permet de découvrir les commandes de base pour gérer le schéma électrique. Il s'effectue dans le projet que vous avez réalisé à l'exercice n° 03. Si vous ne l'avez pas terminé, vous pouvez télécharger le fichier du projet et le désarchiver dans DesignSpark Electrical.

Télécharger le projet

Pour réaliser cet exercice, vous devez télécharger le fichier PDF de l'exercice. Nous vous conseillons, si vous en avez la possibilité, de l'imprimer.

Télécharger le fichier

  • Insertion de câbles

  • Insertion de symboles

  • Affectation de références constructeur

Insertion de câbles

Créer le schéma 03. (Annexe 4a)

Insertion des liaisons de puissance

Commencez par placer les fils en utilisant les options de placement pour gérer les coudes.

Menu : Schématique > Tracé d'une liaison multiple

1. Si la liaison courante n'est pas N L1 L2 L3, cliquez sur le bouton [...] pour ouvrir le sélecteur de liaisons et la sélectionner.

2. Décochez la case correspondant au conducteur de protection.

3. Cliquez les deux points de la liaison horizontale correspondant au jeu de barres.

4. Pour le placement des liaisons du départ moteur, effectuez les mêmes opérations que précédemment en décochant la case Neutre. Lors du premier clic, positionnez le curseur sur L3. Utilisez la touche [C] pour insérer le coude et la touche [Espace] pour croiser ou décroiser les conducteurs.

5. Pour le placement de la liaison en amont du transformateur, ne cherchez pas à déconnecter directement la phase sur L2. Connectez-la dans un premier temps sur L1, ensuite sélectionnez-la et en utilisant la poignée (carré bleu), déconnectez-la de L1. Pour terminer, reconnectez-la sur L2.

Insertion des liaisons de contrôle-commande

En aval du transformateur, le type de liaison est 48 VCC.

Menu : Schématique > Tracé de liaison simple

N'oubliez pas de cliquer sur le bouton [...] du panneau ancrable pour ouvrir le sélecteur de liaisons et sélectionner la liaison = 48V.

Insertion de symboles

Réalisation graphique – reportez-vous à l'annexe 4A.

Placez les symboles en utilisant soit la bibliothèque, soit la palette.

Pour insérer les symboles, la méthode la plus simple et la plus rapide consiste à utiliser la palette. Cela peut sembler fastidieux au départ, mais une fois que vous aurez créé votre propre palette, les opérations de dessin et surtout de recherche seront beaucoup plus rapides.

1. Dans le panneau ancrable, ouvrez l'onglet Symboles.

2. Cliquez sur l'entête de groupe Protections. Si le symbole du disjoncteur tripolaire ne s'y trouve pas, vous pouvez l'ajouter en ouvrant le menu contextuel du groupe. S'il s'affiche dans la palette, cliquez deux fois dessus pour l'insérer.

3. Vous pouvez également utiliser la palette et le groupe Rechercher. Saisissez Disjoncteur dans la zone de saisie, puis cliquez sur le bouton Recherche. DesignSpark Electrical affiche les vignettes de tous les symboles de la bibliothèque répondant au critère (pas uniquement de ceux de la palette).

Vous pouvez également utiliser la commande Insérer symbole du menu Schématique.

Menu : Schématique > Insérer un symbole

1. Si le symbole voulu n'est pas celui qui est présenté dans le panneau ancrable, cliquez sur le bouton Autre symbole.

2. Le Sélecteur de symboles s'ouvre. Utilisez un des deux onglets (Filtres ou Classification) pour trouver le symbole souhaité.

Associez le moteur M1 au symbole placé dans le folio de synoptique. Ajoutez le texte du moteur de pompe.

Pour associer le moteur M1 au symbole existant dans le folio de synoptique, il suffit de lui donner le même repère.

1. Dans la boîte de dialogue de repérage, dans la liste des composants de droite, sélectionnez le repère M1 et cliquez sur le bouton OK pour valider.

Les données constructeur sont amenées par la référence constructeur. Les données utilisateur sont saisies par l'utilisateur.

Ces données peuvent se propager à proximité du symbole, tout et autant que l'attribut associé soit présent dans la définition du symbole.

Le fusible F3 est une copie de F2.

1. La commande Copier est disponible dans le menu Schématique.

Menu : Schématique > Copie multiple

Lors de la copie d'un symbole existant, le repère est incrémenté automatiquement. La référence constructeur associée au symbole d'origine est également copiée.

Pour insérer F4 et le contact K1, utilisez les options de placement.

Lorsqu'un symbole est inséré sur une liaison, il s'oriente automatiquement suivant la liaison. Lorsqu'il est inséré en dehors de la liaison, c'est l'utilisateur qui doit gérer l'orientation.

Notez la génération automatique des références croisées.

Complétez les liaisons de F4 et de l'auto-alimentation de K1.

Réalisation graphique – reportez-vous à l'annexe 4B.

Affectation de références constructeur

Affectez les références constructeur à l'aide de la nomenclature de matériel (annexe 4C).

1. Ouvrez les propriétés du composant.

Menu contextuel du symbole : Propriétés d'un composant

2. Placez-vous dans l'onglet Références constructeurs et circuits.

3. Cliquez sur le bouton Recherche pour rechercher la référence dans le catalogue constructeur.

- Sélectionnez la classe.

- Sélectionnez le constructeur.

- Si vous connaissez la référence, saisissez-la dans le champ Référence.

- Si vous n'avez pas coché la case Rafraîchissement automatique, cliquez sur le bouton Rechercher.

- Sélectionnez la référence dans la liste des résultats.

- Cliquez sur le bouton [+] pour l'ajouter.

Pour ajouter une référence auxiliaire, comme un bloc de contacts par exemple, renouvelez l'opération en sélectionnant Auxiliaire dans le champ Type.

Il peut s'avérer nécessaire de désactiver le critère Classe pour trouver un auxiliaire ou un accessoire. Ceux-ci peuvent être stockés dans une autre classe (commune à plusieurs références).

Rubriques connexes :

Exercice suivant

Retour au sommaire


Exercice N° 05

DesignSpark Electrical - Exercice N° 05

Cet exercice vous permet de manipuler les objets existants. Il s'effectue dans le projet que vous avez réalisé à l'exercice n° 04. Si vous ne l'avez pas terminé, vous pouvez télécharger le fichier du projet et le désarchiver dans DesignSpark Electrical.

Télécharger le projet

Dans un premier temps, ouvrez le fichier PDF de l'exercice à réaliser. Nous vous conseillons, si vous en avez la possibilité, de l'imprimer.

Télécharger le fichier

  • Manipulation des objets

  • Insertion d'une boîte noire

  • Copie d'éléments existants

  • Gestion des circuits

  • Insertion des bornes

Manipulation des objets

Modifiez le départ moteur M1 pour le rendre conforme au modèle (annexe 4a).

1. Sélectionnez par un mode "Capture" le symbole moteur ainsi que les liaisons qui sont à sa verticale. Déplacez l'ensemble sous le symbole du contacteur. Supprimez les liaisons superflues.

Menu : Schématique > Déplacer

Dupliquez le départ moteur M1 en utilisant la commande Copier.

1. Sélectionnez le départ moteur dans son ensemble. Cliquez sur l'icône Copie multiple du menu Schématique. Cliquez sur le point de départ et le point de l'aboutissant.

Menu : Schématique > Copie multiple

Les repères du composant sont automatiquement incrémentés. Les références constructeur sont conservées.

Insertion d'une boîte noire

Insérez le variateur EV1 (boîte noire), associez-le à la classe Divers et modifiez ses bornes matérielles.

1. - Cliquez sur la commande Insérer une boîte noire du menu Schématique.

Menu : Schématique > Insérer une boîte noire

2. Affectez la classe Divers.

3. Définissez la racine sur EV.

4. Pour modifier les nombres des bornes matérielles, utiliser la commande Editer les bornes du symbole dans le menu contextuel de la boîte noire.

Menu contextuel de la boîte noire : Editer les bornes du symbole

5. Définissez les numéros des bornes matérielles dans la colonne Repère.

Copie d'éléments existants

Lorsque vous voulez déplacer ou copier une partie d'un schéma, vous pouvez utiliser un Copier/Coller ([Ctrl]+[C] - [Ctrl]+[V]) ou l'enregistrer sous forme de macro. On utilisera la Macro lorsque les éléments sont répétitifs.

Copier/Coller Déplacez le circuit de commande K1 vers un nouveau schéma (repère : 04 – description : commande).

1. Sélectionnez les entités à l'aide du mode Capture ou Sélection.

2. Utilisez les touches [Ctrl]+[C] pour copier les entités sélectionnées.

3. Créez le folio 04 et ouvrez-le.

4. Tracez les liaisons haute et basse (48 VCC) de polarité, ainsi que le circuit avec le contact inverseur dans la colonne 6 (annexe 5b).

5. Utilisez les touches [Ctrl]+[V] pour coller dans le folio 04 les entités copiées.

6. Dans le folio 03, supprimez le circuit de commande K1.

6. Dans le folio 04, vérifiez et adaptez les repères de symbole à l'aide des propriétés de symbole.

Menu contextuel du symbole : Propriétés du symbole

7. Agrandissez l'assemblage pour obtenir un gros plan du modèle (annexe 5b).

La commande Copier/Coller n'est pas la meilleure méthode pour déplacer des entités d'un folio vers un autre. Avec cette commande, vous devez supprimer les entités existantes et gérer des repères de composant. Il peut s'avérer plus judicieux d'utiliser la commande Couper/Coller.

Copier/Collage spécial. Dans le folio 04, copiez le circuit de commande K1 dans la colonne 04 et réadaptez les repères.

1. Utilisez les touches [Ctrl]+[C] pour copier les entités.

2. Utilisez les touches [Ctrl]+[Maj]+[V] pour coller les objets sélectionnés.

3. Gérez les repères d'objet de manière à ce qu'ils soient conformes à l'annexe 5b. Associez les contacts Q2 et K2 aux composants Q2 et K2 du folio 03.

Utilisation d'une macro. Dans le folio 04, supprimez le circuit de commande K2 et créez une macro composée de la chaîne de commande de K1, puis insérez-la dans la colonne 04.

1. Après avoir supprimé les entités, sélectionnez les entités du circuit de commande K1 et faites-les glisser vers le groupe Commande de l'onglet Macros du panneau ancrable.

2. Pour insérer la macro, faites-la glisser du panneau ancrable vers la zone graphique.

3. Comme avec la commande Collage spécial, gérez les repères de composant.

L'utilisation d'une macro est similaire à une commande Copier/Collage spécial où les objets graphiques sont enregistrés dans le Gestionnaire de macros pour réutilisation ultérieure.

Gestion des circuits

Les symboles et les références constructeur sont dotés de circuits. Chaque pôle d'un appareil est associé à un circuit. Il est très important de les gérer pour obtenir de bons résultats en matière de références croisées, d'affichage des bornes matérielles, etc.

Permutation des bornes matérielles. Modifiez le folio 04 de manière à ce que les bornes matérielles du contact NO de K1 soient 83/84 au lieu de 53/54.

1. Editez le composant K1 et placez-vous dans l'onglet Références constructeurs et circuits.

Menu contextuel du symbole : Propriétés du symbole

2. Dans la liste des circuits, faites glisser le contact (53-54) vers le contact (83-84).

Rubriques connexes :

Exercice suivant

Retour au sommaire


Exercice N° 06

DesignSpark Electrical - Exercice N° 06

Dans cet exercice, vous allez apprendre à gérer la numérotation des équipotentielles. Il s'effectue dans le projet que vous avez réalisé à l'exercice n° 05. Si vous ne l'avez pas terminé, vous pouvez télécharger le fichier du projet et le désarchiver dans DesignSpark Electrical.

Télécharger le projet

Dans un premier temps, ouvrez le fichier PDF de l'exercice à réaliser. Nous vous conseillons, si vous en avez la possibilité, de l'imprimer.

Télécharger le fichier

  • Insertion de symboles à partir du panneau ancrable

  • Texte multilingue

  • Tenant-Aboutissant de polarité

  • Numérotation des équipotentielles

  • Câblage

Insertion de symboles à partir du panneau ancrable

Supprimez le folio de synoptique de câblage (02).

Créez un nouveau folio (05), Signalisation.

Dessinez les liaisons et placez les voyants en utilisant la liste des composants du panneau ancrable.

1. Ouvrez l'onglet Composants du panneau ancrable.

2. Ouvrez la localisation L3.

3. Dans le menu contextuel de H1, sélectionnez la commande Insérer symbole.

4. Le sélecteur de symboles s'ouvre, ce qui vous permet de sélectionner le symbole du voyant.

Texte multilingue

Sur le folio 05, placez les textes traduisibles : Motor 1 On et Motor 2 On. Ces textes seront en Arial, de couleur bleue et avec une hauteur de 6 mm.

Il vaut mieux utiliser des textes multilingues que des textes de base. Ils sont stockés dans la base de données du projet.

1. La commande d'insertion de texte multilingue est disponible dans le menu Dessiner.

Menu : Dessin > Texte multilingue

Le panneau ancrable se modifie pour afficher les options de folio. Cliquez dans la zone graphique, le point d'insertion du texte (vous pouvez également entrer les coordonnées X,Y).

2. Entrez l'angle de rotation du texte ou donnez graphiquement l'orientation dans la zone graphique.

3. Saisissez le texte dans la principale langue gérée dans le projet.

La partie inférieure du panneau ancrable affiche le format de chaque texte, ainsi que la justification.

4. Pour créer un texte sur plusieurs lignes, vous pouvez insérer un code de retour à la ligne.

Exemple :

Texte saisi : Motor 1 \P ON

Donnera le résultat suivant :

Tenant-Aboutissant de polarité

Placez les tenants-aboutissants de polarité entre le folio 03 et le folio 04.

Tout d'abord, afin d'éviter une navigation fastidieuse dans l'interface des tenants-aboutissants, il est préférable de se placer sur le folio devant recevoir le Tenant et ensuite de lancer la commande.

1. La commande gestion des tenants-aboutissants est disponible dans le menu Schématique.

Menu : Schématique > Renvois

2. Vérifiez le chargement des folios Tenant et Aboutissant. Utilisez les icônes de navigation (folio précédent, folio suivant ou sélecteur) si besoin et lancez la création du premier tenant-aboutissant.

Renvois > Insertion unique

3. Cliquez sur l'extrémité de la liaison sur le folio de gauche (Renvoi sortant – Tenant).

4. Cliquez sur l'extrémité de la liaison sur le folio de droite (Renvoi entrant – Aboutissant).

Numérotation des équipotentielles

Lancez une numérotation des fils.

1. Puisqu'il s'agit de la première numérotation, utilisez la commande Numéroter les nouveaux fils du menu Traitements.

Menu : Traitements > Numéroter les nouveaux fils

Sur le folio 03 en colonne 1, modifiez les numéros des fils en amont de F1 (N.R.S.T).

1. Ouvrez le folio 03 et faites un zoom sur les liaisons en amont du sectionneur-fusible en colonne 1.

2. Dans le menu contextuel des liaisons, sélectionnez la commande Edition du repère de fil, et modifiez le numéro. Cette opération peut être effectuée en sélectionnant les quatre conducteurs.

Menu contextuel du fil : Edition d'un repère de fil

Modifiez la formule de numérotation de la liaison 48 VCC en incluant le numéro du folio.

1. Ouvrez l'onglet configuration des styles de liaison.

Menu : Projet > Configurations > Styles de liaison...

Panneau ancrable > Menu contextuel du projet : Configurations > Styles de liaison...

2. Sélectionnez la liaison =48V et cliquez sur l'icône Propriétés.

Gestionnaire de style de liaison > Propriétés

3. Cliquez sur la case correspondant à la formule de numérotation des équipotentielles.

4. Dans le Gestionnaire de formules, cliquez deux fois sur la ligne Repère de fichier/Compteur d'équipotentielle.

Relancez une numérotation pour mettre à jour les folios de commande et de signalisation, mais sans perdre votre numérotation manuelle.

1. Pour mettre à jour, les numéros d'équipotentielles dans les folios, sélectionnez la commande Renuméroter les fils du menu Traitements.

Menu : Traitements > Renuméroter les fils

2. Dans la boîte de dialogue de renumérotation des fils, sélectionnez l'option Recalculer les numéros des fils sans cocher la case Recalculer les numéros manuels.

Gérer la position du texte

1. Utilisez la commande Aligner des textes pour aligner les textes sur un axe.

Menu : Schématique > Aligner des textes

2. Sélectionnez les textes que vous voulez aligner.

3. Tracez un axe perpendiculaire aux fils et sélectionnez le côté correspondant à la justification du texte.

La commande Aligner des textes permet également de déplacer les textes le long du fil.

4. Utilisez la commande Afficher / masquer les repères de fils pour afficher ou masquer les textes.

Menu : Schématique > Affichage des textes > Afficher / masquer les repères de fils

5. Sélectionnez le fil dont vous souhaitez afficher ou masquer le texte.

Renvoi automatique à partir du numéro d'équipotentielle.

1. Ouvrez le folio 05 et modifiez le numéro de liaison de la polarité. Le numéro de la liaison supérieure est 03/5 et le numéro de la liaison inférieure est 03/6.

2. Pour générer automatiquement les renvois, sélectionnez la commande d'insertion automatique des renvois.

Menu : Schématique > Renvois/Insertion automatique

3. Dans la boîte de dialogue, sélectionnez l'option Connecter toutes les équipotentielles avec le même repère.

Comme les fils ont le même numéro, ils sont automatiquement connectés.

Relancez la numérotation des fils pour corriger les numéros d'équipotentielle du folio 05.

Câblage

Dans le folio 05, placez les bornes et réalisez le câblage (en utilisant les câbles réservés dans le synoptique), dans le schéma pour les câbles.

1. Ouvrez le folio 05.

2. Ouvrez le menu contextuel de la liaison devant recevoir le brin de câble et sélectionnez la commande Associer des brins de câbles.

Menu contextuel du fil : Associer des brins de câbles

- Sélectionnez le brin de W4 dans la liste de la partie supérieure de la boîte de dialogue.

- Sélectionnez le fil, affiché dans la partie basse de la boîte de dialogue.

- Cliquez sur l'icône Associer les brins.

- Répétez cette opération pour tous les câbles.

Cette opération peut être réalisée en sélectionnant plusieurs conducteurs et en lançant la commande dans un deuxième temps. Elle vous permettra de câbler l'ensemble des liaisons sélectionnées.

Rubriques connexes :

Exercice suivant

Retour au sommaire


Exercice N° 07

DesignSpark Electrical - Exercice N° 07

L'objectif de cet exercice est de manipuler les références constructeur. Vous découvrirez comment les affecter à un composant, comment les créer et comment utiliser le portail eCP. Cet exercice se base sur le projet que vous avez réalisé dans l'exercice n° 06. Si vous ne l'avez pas terminé, vous pouvez télécharger le fichier du projet et le désarchiver dans DesignSpark Electrical. Pour réaliser cet exercice, vous devez désarchiver l'environnement fourni dans l'exercice n° 01.

Télécharger le projet

Dans un premier temps, ouvrez le fichier PDF de l'exercice à réaliser. Nous vous conseillons, si vous en avez la possibilité, de l'imprimer.

Télécharger le fichier

  • Affectation de références constructeur

  • Référence constructeur manuelle

  • Création d'une référence constructeur

Affectation de références constructeur

Par l'intermédiaire du panneau ancrable, affectez les références constructeurs aux composants non référencés. (Voir annexe 7a)

1. Dans le panneau ancrable, sous l'onglet Composants, sélectionnez les éléments que vous souhaitez référencer.

2. La commande est disponible dans le menu contextuel.

Menu contextuel d'un composant : Composant > Affecter des références constructeur

Attention : si une référence constructeur était déjà associée à la borne, cette référence constructeur est supprimée et remplacée par celle que vous choisissez.

3. Accédez à l'onglet Filtres. Décochez la case Rafraichissement automatique et saisissez les différents critères.

4. Cliquez sur le bouton Rechercher.

5. Le même principe sera utilisé pour référencer la localisation et les appareils.

Référence constructeur manuelle

Pour le composant EV1, saisissez manuellement une référence.

Référence : 56356

Constructeur : Siemens

Description : Variateur

Modifiez les bornes matérielles du contact inverseur (11, 12, 14).

La référence constructeur ne sera pas ajoutée au catalogue.

1. Ouvrez le menu contextuel du composant EV1 et sélectionnez la commande Propriétés du composant.

Menu contextuel du symbole : Propriétés d'un composant

2. Dans la boîte de dialogue des propriétés, placez-vous dans l'onglet Références constructeurs et circuits.

3. Cliquez sur le bouton Ajouter manuellement et saisissez la donnée demandée.

4. Cliquez sur OK pour valider. Un message s'affiche vous proposant de stocker cette référence dans le catalogue.

5. La référence ne sera disponible que pour ce composant.

Création d'une référence constructeur

Ouvrez le catalogue constructeur et créez la référence suivante :

Référence : 123456

Constructeur : Formation

Classe: Démarreurs\Inverseurs

Bibliothèque : USER

Type : Base

Description : Contacteur disjoncteur inverseur

Symbole schématique : TR-TELE006

Hauteur: 105

Largeur : 203

Profondeur : 104

Cette référence possède 3 circuits Contact de puissance NO.

Les bornes de l'appareil sont 1,2,3 – 4, 5, 6

1. Le Gestionnaire de références constructeur est disponible dans le menu Bibliothèque.

Menu : Bibliothèque > Gestionnaire de références constructeur

2. Sélectionnez la classe Démarreurs.

3. Cliquez sur l'icône Ajouter une référence.

Gestionnaire de références constructeur > Ajouter une référence

4. Saisir la donnée demandée.

Archivez cette nouvelle référence (pour être transmise à une autre société, par exemple).

5. Pour archiver la référence créée précédemment, faites une recherche et sélectionnez-la. Cliquez sur l'icône Archiver du Gestionnaire de références constructeur.

Gestionnaire de références constructeur > Archiver

Ajoutez ce composant à votre projet (panneau ancrable) et insérez le symbole associé dans un des folios. Supprimez ensuite le symbole inséré.

1. Placez-vous dans l'onglet Composants du panneau ancrable. Dans le menu contextuel de la localisation, sélectionnez la commande Nouveau > Référence constructeur du composant.

Panneau latéral : Composants > Menu contextuel de la localisation > Nouveau > Référence constructeur du composant

2. Sélectionnez la classe Démarreurs/Inverseurs (elle vous donnera la racine de repérage).

3. Faites une recherche sur la référence 123456 du fabricant Formation.

4. Un nouveau repère est ajouté en fin de liste.

5. Ouvrez le menu contextuel du nouveau composant et sélectionnez la commande Insérer symbole.

Panneau ancrable : Composants / Insérer symbole

6. Le symbole associé à la référence constructeur est automatiquement sélectionné. Insérez-le et vérifiez l'association avec la référence constructeur.

Rubriques connexes :

Exercice suivant

Retour au sommaire


Exercice N° 11

DesignSpark Electrical - Exercice N° 11

Pour finaliser le projet du tutoriel, cet exercice regroupe les commandes qui permettent de gérer les révisions, d'imprimer et d'archiver le projet. Si vous n'avez pas terminé l'exercice n° 10, vous pouvez télécharger le fichier du projet pour l'exercice précédent. Désarchivez-le dans DesignSpark Electrical.

Télécharger le projet

  • Gestion des révisions

  • Impression

  • Archivage

Gestion des révisions

Après avoir mis à jour la Liste des folios, ajoutez la révision A à tous les folios.

1. Le Gestionnaire de nomenclatures propose une commande qui permet de mettre à jour les nomenclatures de la liste des folios manuellement. La mise à jour des nomenclatures de folio peut également s'effectuer au cours du traitement des révisions.

Gestionnaire de nomenclatures : Générer les folios

2. Dans un premier temps, il convient de modifier les paramètres de configuration (Configuration du Projet > Général > Numérotation des révisions).

Menu : Projet > Configurations > Projet... > Général > Numérotation des révisions

Définissez le format requis.

Numérotation des révisions : 0AB

3. Sélectionnez la commande Révisions du menu contextuel de la liasse.

Menu contextuel de la liasse : Révisions

4. Dans la boîte de dialogue de gestion des indices de révision, saisissez une description pour l'indice 0.

5. Cliquez sur le bouton Valider, puis sur le bouton Vérifier. DesignSpark Electrical vous propose de passer l'ensemble des folios de la liasse à cet indice.

6. Pour terminer, cliquez sur le bouton OK.

7. Annulez les autres opérations proposées par DesignSpark Electrical.

8. Renouvelez cette opération pour le passage à l'indice A.

Impression

Générez un fichier PDF contenant tous les folios du projet.

Vous pouvez générer un fichier PDF de deux manières : à l'aide de la commande Imprimer ou en sélectionnant Exporter des fichiers PDF.

1. Dans le menu Import/Export (recommandé).

Menu : Import / Export > Exporter des fichiers PDF

2. Indiquez le répertoire dans lequel le fichier PDF sera enregistré.

3. Ne modifiez pas les paramètres par défaut.

4. Cliquez sur le bouton Imprimer pour générer le fichier PDF.

Archivage

Archivez le projet.

1. Ouvrez le Gestionnaire de projets.

2. Dans la liste sélectionnez le projet et cliquez sur le bouton Fermer. En effet, pour être archivés, les folios doivent être fermés ainsi que le projet.

3. Cliquez ensuite sur l'icône Archiver.

Gestionnaire de Projets > Archivage

4. Sélectionnez l'option Mettre à jour les folios pour vous assurer que tous les folios du projet sont mis à jour.

5. Une boîte de dialogue de sauvegarde de fichier s'ouvre permettant de sélectionner un répertoire et de modifier le nom du fichier.

Rubriques connexes :

Exercice suivant

Retour au sommaire


Paramètres

DesignSpark Electrical présente plusieurs niveaux de configuration : d'une part, les paramètres spécifiques à l'application (langue, options graphiques, bases de données) et, d'autre part, les paramètres nécessaires à l'élaboration des projets.

En ce qui concerne les paramètres de configuration des Projets, vous pouvez utiliser des configurations stockées au niveau du Projet (les paramètres ne s'appliquent qu'au Projet et n'ont aucune incidence sur les autres Projets) ou des configurations stockées au niveau de l'application (Les paramètres s'appliquent à l'ensemble des Projets utilisant cette configuration).

  • Paramètres de l'application

  • Configuration de l'interface

  • Configurations du projet

  • Gestionnaire de formules


Paramètres de l'application

Menu : Outils > Configuration de l'application

Ces paramètres vous permettent de configurer les paramètres d'accès à la base de données.

  • Bases de données

Rubriques connexes :

Configuration de l'interface


Bases de données

Menu : Outils > Configuration de l'application > Bases de données

Dossier des données de l'application : Affiche la localisation de stockage des bases de données.

Dossier contenant les projets : Affiche le dossier de stockage des fichiers relatifs aux projets.

Type de connexion : Affiche le type de base de données utilisé : SQL Server ou SQLite.

Nom du serveur : Affiche le nom du serveur de la base de données SQL Server.

Nom de l'utilisateur : Affiche le nom d'utilisateur permettant la connexion à la base de données SQL Server.

Mot de passe : Affiche le mot de passe permettant la connexion à la base de données SQL Server.

Nom de la base de données : Affiche le nom et la version des bases de données utilisées.

Le bouton Afficher le rapport d'erreur d'exécution des requêtes permet d'ouvrir le fichier dans lequel sont consignées les requêtes ayant échoué lors de l'utilisation du logiciel.


Configuration de l'interface

Menu : Outils >Configuration de l'interface

Ces paramètres permettent de configurer la langue de l'interface utilisateur et les aspects graphiques du logiciel.

  • Options graphiques

  • Langue de l'application

Rubriques connexes :

Paramètres de l'application

Configurations du projet


Options graphiques

Menu : Outils > Configuration de l'interface > Options graphiques

Curseur de sélection

Taille de la boîte de sélection (en pixels) : Exprimée en pixels. Permet de définir la taille du curseur.

Croix (en % de taille de l'écran) : Exprimée en pourcentage par rapport à la taille de l'écran. Permet de définir la taille des croix du curseur.

Zoom avec la souris

Inverser la direction du zoom : Inverse le sens du zoom lorsque vous tournez la molette de la souris.

Vitesse de zoom (%) : Vous permet de paramétrer le niveau de zoom lorsque vous tournez la molette de la souris.

Couleurs

Couleur d'arrière-plan des folios : Permet de définir la couleur de l'arrière-plan du folio.

Couleur des marqueurs : Permet de définir une couleur de marqueur favorite.

Position et styles

Taille de la police des rubans : Permet de modifier la taille de la police utilisée dans les menus "ruban".

Options

Nombre de documents ouverts autorisé : Saisissez le nombre de documents pouvant être ouverts dans une session du logiciel. Chaque document utilise de la mémoire et, si trop de documents sont ouverts, cela peut provoquer un ralentissement de votre poste de travail. Un message apparaît quand vous dépassez cette limite.

Mode de sélection : par défaut, pour sélectionner plusieurs entités, vous devez sélectionner la première entité, puis appuyer sur la touche [Ctrl] et la maintenir enfoncée pendant que vous sélectionnez une autre entité. Avec cette option, il est possible de sélectionner les entités sans appuyer sur la touche [Ctrl].

Système d'unités : Permet de définir le mode d'unités (impérial ou métrique) utilisé dans le logiciel pour tous les fichiers générés en dehors d'un projet.

Mode d'affichage des textes : permet de gérer la qualité d'affichage des textes. Dans certaines langues, comme le chinois, il convient de passer en mode Vectoriel.

Mode d'impression des textes : Permet de gérer la qualité d'impression des textes. Dans certaines langues, comme le chinois par exemple, il convient de passer en mode Vectoriel.

Accélération graphique : autorise l'accélération, ce qui améliore les performances lors de l'édition des entités graphiques si votre carte graphique est compatible. En cas de problème, désactivez cette fonctionnalité ou essayez une autre option. Si vous modifiez la valeur, vous devez fermer et rouvrir les documents ouverts pour activer le nouveau mode de rendu.

Aide : Vous permet de sélectionner un fichier d'aide par défaut : soit celui installé sur votre poste de travail (fichier CHM) soit la fonction d'aide sur Internet (qui nécessite une connexion Internet).

Ouvrir un fichier récent lors de l'ouverture d'un projet : DesignSpark Electrical permet d'enregistrer le dernier folio utilisé dans le projet. Lorsque vous rouvrez le projet, ce folio peut se rouvrir automatiquement. Sélectionnez l'option de votre choix dans la liste.

Demander à supprimer le texte traduit : si cette option est sélectionnée, lorsque vous modifiez une description (disponible dans les propriétés du composant ou les propriétés du symbole, par exemple) dans la langue principale, DesignSpark Electrical ouvre une boîte de dialogue d'option vous demandant si vous souhaitez supprimer les traductions existantes de ce texte.

Afficher la page d'accueil au démarrage : si cette option est sélectionnée, une boîte de dialogue d'information s'ouvre au démarrage du logiciel. Même si vous désélectionnez cette option, la page d'accueil s'ouvre après l'installation de chaque nouvelle version.

Cliquez sur le bouton Réinitialiser toutes les interfaces pour effacer les changements de position et de taille des différentes boîtes de dialogue dans le logiciel.


Langue de l'application

Menu : Outils > Configuration de l'interface > Langue de l'application

Cet onglet vous permet de définir la langue de l'application. Vous pouvez également définir les langues par défaut que vous souhaitez rendre disponibles dans les bibliothèques et les catalogues.

Langue de l'interface

Définissez la langue du logiciel que vous souhaitez. Un redémarrage de l'application est nécessaire lors de la modification de ce paramètre.

Langues utilisées par les gestionnaires

Cochez les cases pour définir les langues que vous souhaitez rendre disponibles dans les gestionnaires.


Configurations du projet

Menu : Projet > Configurations

Panneau ancrable > Menu contextuel du projet : Configurations

  • Projet...

  • Styles de liaison...

  • Styles de ligne synoptiques...

  • Nomenclature...

  • Données utilisateur...

  • Palettes...

Les paramètres de configuration du projet permettent de personnaliser le folio et d'interagir sur les résultats des différents traitements.

Lors de la création d'un nouveau projet, les paramètres de configuration sont issus du Modèle de projet. Compte tenu du nombre important de paramètres, on peut difficilement concevoir de créer un projet vide dont il faudrait régler l'ensemble des paramètres de configuration.

Configurations Application/Projet

Certains paramètres sont gérés uniquement au niveau du projet (projet, styles de liaison, folio de références croisées) et d'autres peuvent être gérés soit au niveau du projet, soit au niveau de l'application (tels que folios d'borniers, ou données utilisateur).

Les configurations apparaissent dans une boîte de dialogue divisée en 2 parties. La partie gauche de la boîte de dialogue représente les configurations enregistrées au niveau de l'application et la partie droite celles stockées au niveau du projet.

Pour les types de configuration n'utilisant pas cette boîte de dialogue, les paramètres ne sont valables que pour le projet.

Lorsque vous modifiez les paramètres de configuration au niveau de l'application, ils sont appliqués sur l'ensemble des projets qui utilisent cette configuration. Par conséquent, lorsque vous modifiez les paramètres de configuration stockés au niveau du projet, ils ne sont valables que pour ce projet.

Les icônes spécifiques (Ajouter au projet et Ajouter à l'application) vous permettent de faire passer des configurations du projet à l'application et réciproquement de l'application au projet.


Paramètres du projet

Menu : Projet > Configurations > Projet...

Panneau ancrable > Menu contextuel du projet : Configurations > Projet...

La boîte de dialogue munie de plusieurs onglets s'ouvre vous permettant d'accéder aux paramètres de configuration. Ces paramètres sont spécifiques au projet courant. Ils permettent, entre autres, de définir les repères, les options graphiques des éléments constituant le projet. Ces paramètres sont spécifiques au projet.

  • Général

  • Graphique

  • Texte

  • Repère

  • Cartouches

  • Bibliothèques et palettes

Rubriques connexes :

Configuration des projets


Général

Menu : Projet > Configurations > Projet... > Général

Panneau ancrable > Menu contextuel du projet : Configurations > Projet... > Général

Langues du projet

Permet de sélectionner les langues utilisées dans le projet. Sélectionnez jusqu'à trois langues. Si vous n'utilisez pas de deuxième ou de troisième langue, sélectionnez Vide dans la liste.

Si vous travaillez avec plusieurs langues, les textes seront automatiquement affichés lorsque vous changez de langue du projet.

Standard

Système d'unités : Définit les unités du projet (métriques ou impériales). Cette option est utilisée pour les unités du schéma.

Unités de cote : Sélectionnez le type d'unité que vous souhaitez utiliser pour les éléments du projet (cote de la référence constructeur).

Norme de taille de câble par défaut : Définit la norme utilisée pour la mesure du câble (section, jauge circulaire ou mil-kcmil).

Format d'affichage des dates

Format d'affichage : Sélectionnez le format de date que vous souhaitez utiliser dans la liste. Vous pouvez également saisir votre propre format.

Date Système : Utilise le format de date géré par Windows.

mm/jj/aaaa : Utilise le format Mois/Jour/Année.

jj/mm/aaaa : Utilise le format Jour/Mois/Année.

%d-%m-%y : Permet de créer un format de date à l'aide de variables (%d = jour, %m = mois, %y = année sur 2 caractères et %Y = année sur 4 caractères).

Liste des différentes variables pouvant être utilisées :

%a : Jour de la semaine en abrégé (ex : lun)

%A : Jour de la semaine complet (ex : lundi)

%b : Nom du mois en abrégé (ex : jan)

%B : Nom du mois complet (ex : janvier)

%c : Date et heure au format local

%d : Jour du mois en décimal (01 - 31)

%H : Heure au format 24 (00 - 23)

%I : Heure au format 12 (00 - 12)

%j : Jour de l'année en décimal (001 - 366)

%m : Mois en décimal (01 - 12)

%M : Minute en décimal (00 - 59)

%p : Indicateur A.M. / P.M. pour le format 12 heures

%S : Seconde en décimal (00 - 59)

%U : Semaine de l'année en décimal (dimanche étant le premier jour de la semaine) (00 - 53)

%w : Jour de la semaine en décimal (0 - 6 ; dimanche = 0)

%W : Semaine de l'année en décimale (lundi tant le premier jour de la semaine) (00 - 53)

%x : Date au format local

%X : heure au format local

%y : Année sur deux chiffres

%Y : Année sur quatre chiffres

%z, %Z : Fuseau horaire

Aperçu : Affiche le résultat des paramètres de format de l'affichage courant.

Numérotation des révisions

Format : Sélectionnez le mode de révision que vous voulez dans la liste, numérique ou alphabétique, et avec ou sans le premier 0. Sélectionnez Personnaliser pour utiliser le paramètre personnalisé suivant.

Formule personnalisée : Cette option est utilisée uniquement si l'élément Personnalisé est sélectionné dans le paramètre précédent. Accédez au gestionnaire de formule pour créer une formule spécifique.

Remplir l'attribut avec la révision récente : cette option vous permet de gérer l'affichage des attributs de révision lorsque vous travaillez en mode Relatif.

Toujours remplir les attributs d'index inférieurs : cette option force l'affichage de l'index de révision au bas de la grille de révision, sans tenir compte du numéro d'index des attributs.

Remplir les attributs à partir de l'index : cette option permet d'insérer l'index de révision dans les attributs correspondants. Par exemple, si l'attribut de numéro d'index -0 (révision courante) est inséré au début de la grille de révision, l'index de la révision courante sera inséré au début de la grille de révision.

<Par Défaut>

Liasse : Il s'agit de la liasse par défaut pour générer les folios automatiquement (par exemple, nomenclatures).

Configurations par défaut

Références croisées : Sélectionnez le fichier de configuration des références croisées pour l'ensemble des références croisées qui seront créées dans le projet.

Options

Toujours afficher la localisation dans l'attribut : Cochez cette case pour propager le repère de localisation dans l'attribut correspondant (#LOC_TAG), en supposant que cet attribut est présent dans la définition du symbole.

Toujours afficher la fonction dans l'attribut : Cochez cette case pour propager le repère de fonction dans l'attribut correspondant (#FUN_TAG), en supposant que cet attribut est présent dans la définition du symbole.

Rubriques connexes :

Gestionnaire de formules


Graphique

Menu : Projet > Configurations > Projet... > Graphique

Panneau ancrable > Menu contextuel du projet : Configurations > Projet... > Graphique

Points de connexion

Symbole : dans la liste, sélectionnez l'option souhaitée (Jamais, Toujours ou uniquement lorsque le symbole est connecté à un fil) pour l'affichage des points placés lorsqu'un fil est connecté à un symbole. Vous pouvez gérer le diamètre et la couleur de ces points.

Fil : La case à cocher Afficher permet d'activer ou de désactiver l'affichage des points placés à l'intersection de deux fils connectés. Vous pouvez gérer le diamètre et la couleur de ces points.

Styles de lignes

Localisation : Définit le type de ligne et la couleur des contours de localisation.

Fonction : Définit le type de ligne et la couleur des contours de fonctions.

Brin de câble : Définit le type de ligne et la couleur utilisés dans le folio pour représenter les brins de câble.

Ponts : Définit les paramètres d'affichage (couleur et style de ligne) de la représentation des ponts dans les pages de schématique (fil / pont).

Conflits d'équipotentielles : Il y a conflit d'équipotentielle lorsque vous reliez deux équipotentielles différentes (équipotentielles avec un numéro différent). Une case à cocher permet de mettre à jour le contrôle. Vous pouvez également choisir le type de ligne et la couleur du symbole de ligne.

Etiquette de câble : Définit le type de ligne et la couleur de la ligne joignant le câble à l'étiquette.


Texte

Menu : Projet > Configurations > Projet... > Texte

Panneau ancrable > Menu contextuel du projet : Configurations > Projet... > Texte

Textes multilingues

Indique la police, la hauteur, le style et la couleur pour chaque langue utilisée dans les textes multilingues.

Autres textes

Vous retrouvez dans cette interface les différents paramètres des textes affichés dans les folios graphiques. Pour chaque type de texte, vous pouvez gérer, la police, la hauteur du texte, son style, sa couleur, ainsi que le décalage en X ou en Y par rapport à l'élément dont il fait partie.

Certains de ces textes sont dotés d'une formule conçue pour gérer leur repère. Cliquez sur le bouton [...] pour accéder au Gestionnaire de formules.

Toutes les modifications apportées dans la section Autres textes mettent automatiquement à jour les textes existants.

Utiliser un symbole pour le point de connexion de la boîte noire

Cette section, si elle est activée, permet de sélectionner et d'éditer les symboles qui sont utilisés pour matérialiser les points de connexion (bornes) d'une boîte noire. L'utilisation des symboles permet de propager des données spécifiques aux attributs du symbole.

Permet d'ouvrir le sélecteur de symboles afin de sélectionner le symbole voulu.

Détache le symbole.

Ouvre l'éditeur de symboles afin de modifier.

Le symbole représentant un point de connexion (borne) d'une boîte noire doit avoir un point de connexion orienté (afin de connecter le fil) et des attributs.


Repère

Menu : Projet > Configurations > Projet... > Repère

Panneau ancrable > Menu contextuel du projet : Configurations > Projet... > Repère

Permet d'accéder au Gestionnaire de formules. Vous pouvez également accéder au Gestionnaire de formules en cliquant deux fois sur la cellule.

Formule de génération des repères des documents

Dans cette section, vous pouvez entrer les formules de repérage des liasses, dossiers et folios. Ces formules sont constituées de variables et de chaînes de textes devant être séparées par le signe +.

Par exemple, la formule "Liasse" + BOOK_ORDERNO donne le résultat suivant : Liasse 1

Les champs Ligne et Colonne permettent de sélectionner la formule devant être utilisée pour le repérage des lignes et des colonnes (utilisé dans les références croisées et les renvois).

Renvois et références croisées

Permet de saisir la formule des textes de renvois de polarité et des textes de références croisées.

Unicité des repères

Permet de gérer le niveau d'unicité d'un repère.

Composant : La liste déroulante permet de sélectionner le niveau d'unicité des repères de composants. Par exemple, si vous souhaitez que les repères soient uniques par localisation, il ne sera pas possible d'avoir deux repères de composant identiques dans la même localisation. Vous pouvez avoir deux repères identiques s'ils n'appartiennent pas à la même localisation.

Câble : Permet de gérer le niveau d'unicité des repères de câbles.

Numérotation des fils et des composants

Sens : Ce paramètre permet de gérer la priorité, soit à l'horizontale, soit à la verticale. Si vous sélectionnez l'icône [image], les repères des éléments alignés sur un même axe vertical seront traités en priorité par rapport aux repères des éléments alignés sur un axe horizontal.

Numéro d'ordre unique : Lorsque cette case est cochée, la valeur issue de la variable Numéro d'ordre utilisée dans les formules de repérage est sans discontinuité sur l'ensemble du projet. Si la case est décochée, le Numéro d'ordre redémarre à 1 dès qu'il y a modification de l'élément sélectionné dans le Gestionnaire Unicité des repères.

Par exemple, si le niveau d'unicité de repérage des composants à été paramétré sur Localisation et que vous avez placé un symbole portant le repère Q1 dans la localisation L1, si vous décochez la case Numéro d'ordre unique, le second symbole portera le repère Q2 quelle que soit la localisation dans laquelle il a été inséré. Par contre, si vous cochez la case, il portera le repère Q1 s'il est inséré dans une localisation différente, mais Q2 s'il est inséré dans la localisation L1.

Gestionnaire de styles de liaison : Un bouton permet l'accès au Gestionnaire de style de liaison pour définir la numérotation des paramètres de connexion. Les repères sont calculés par rapport à leur localisation géographique dans le folio, en partant de l'angle supérieur gauche vers l'angle inférieur droit du folio.

Attribuer le repère inutilisé : si vous sélectionnez cette option, le compteur de fil ou le numéro d'équipotentielle, ou encore le numéro d'ordre attribué à un nouveau repère de composant ou de câble est simplement un nouveau numéro. Les numéros supprimés ne sont jamais réutilisés.

Priorité pour le repère du composant : utilisé dans la fonction Renuméroter les repères, permet de sélectionner le type de symbole utilisé pour commencer la numérotation. Par exemple, si vous sélectionnez l'option Symboles multifilaires, le numéro "1" est affecté au premier symbole de schématique trouvé, même si un symbole de synoptique est trouvé avant celui-ci.

Repère

Vous pouvez utiliser la norme de numérotation IEC61346 (=F1+A1-KA1) ou un Repère personnalisé.

Si vous choisissez un repère personnalisé, vous devez saisir une formule pour divers systèmes de repérage, tels que Localisation ou Fonction. Ces formules sont constituées de variables et de chaînes de textes devant être séparées par le signe +.

Vous pouvez également sélectionner le Séparateur pour chemin de repère. Ce dernier est utilisé lorsque le repère du composant et le repère du composant principal sont séparés par des composants cascadés. Sélectionnez une valeur proposée dans la liste ou saisissez le caractère de votre choix.

Trier par repère

Plusieurs options sont disponibles pour trier les repères de tous les éléments dotés de repères. L'option de tri des repères est disponible dans l'onglet Composant du panneau ancrable, ainsi que dans les gestionnaires d'ordre de câblage, de câbles, d'automates et de recherche.

Repère automatique, par racine/ordonner le repère manuel : affiche d'abord les premiers numéros automatiques triés selon la racine (si elle est utilisée dans la formule) et le numéro d'ordre (numéro unique de la racine) et, finalement, affiche le repère manuel trié dans l'ordre alphabétique. Il s'agit du mode par défaut.

Tri naturel, mélange automatique et manuel : trie tous les repères (manuels et automatiques) dans l'ordre alphabétique tel qu'il est défini dans Windows Explorer. Par exemple : A1, A2, A3, A10, A11, A20...

Rubriques connexes :

Gestionnaire de formules


Cartouches

Menu : Projet > Configurations > Projet... > Cartouches

Panneau ancrable > Menu contextuel du projet : Configurations > Projet... > Cartouches

Cet onglet permet de sélectionner le cartouche par défaut que vous souhaitez associer au type de folio. Pour modifier des associations, cliquez sur le bouton [...]. Le sélecteur de cartouches s'ouvre, pour que vous puissiez sélectionner le cartouche par défaut à appliquer.

Rubriques connexes :

Sélecteur de cartouches


Bibliothèques et palettes

Menu : Projet > Configurations > Projet... > Bibliothèques et palettes

Panneau ancrable > Menu contextuel du projet : Configurations > Projet... > Bibliothèques et palettes

Bibliothèques affichées

Permet de définir les filtres de bibliothèque. Sélectionnez les bibliothèques répertoriées pour rendre les éléments qu'elles contiennent (par exemple les symboles de norme IEC dans le cas d'IEC) disponibles lors de la conception du projet.

Palettes utilisées

Configurez les palettes que vous souhaitez utiliser. Six palettes sont disponibles, et vous pouvez sélectionner un format spécifique pour chacun des menus déroulants.


Styles de liaison

Menu : Projet > Configurations > Styles de liaison...

Panneau ancrable > Menu contextuel du projet : Configurations > Styles de liaison...

Le gestionnaire peut également être ouvert lors de l'insertion d'une liaison, dans le panneau ancrable en cliquant sur le bouton [...] et en cliquant sur le bouton Gestionnaire.

Le Gestionnaire de styles de liaison regroupe l'ensemble des liaisons pouvant être utilisées dans les folios de schématiques du projet. Il sert également à définir l'équipotentielle ou la numérotation des liaisons.

Ces paramètres sont spécifiques au projet.

  • Gestion des styles de liaison

  • Propriétés du fil

  • Configuration de la numérotation

  • Propriétés du groupe de numérotation

Rubriques connexes :

Configuration des projets


Gestion des styles de liaison

Menu : Projet > Configurations > Styles de liaison...

Panneau ancrable > Menu contextuel du projet : Configurations > Styles de liaison...

Fil de folio > [...] > [Gestionnaire]

Dans le Gestionnaire, vous pouvez ajouter de nouveaux types de fil électrique ou modifier un type de fil existant.

La partie gauche de la boîte de dialogue affiche la liste des groupes de fils, la partie droite affiche les paramètres des différents fils disponibles.

Les fils appartiennent à un groupe de numérotation. Cette fonction est utilisée lors de la numérotation des fils car ils partageront le même compteur.

Il existe deux types de fil électrique :

  • La commande de fil est généralement utilisée pour dessiner une liaison simple.

  • Les fils de puissance sont utilisés pour tracer simultanément des liaisons multiples.

Configuration

L'icône Configuration vous permet de sélectionner les colonnes affichées dans la partie droite de la boîte de dialogue.

Gestion des groupes

Désactiver un groupe de numérotation

Vous pouvez désactiver un groupe de numérotation. Celui-ci ne sera pas exclu lors de la numérotation des fils. Une case à cocher en face du nom du groupe indique son état (case cochée = groupe activé).

Utilisez le menu contextuel du groupe de numérotation pour sélectionner l'option que vous préférez.

Ajouter un nouveau groupe de numérotation

Pour ajouter un nouveau groupe de numérotation, cliquez sur l'icône Ajouter un groupe de numérotation dans le menu principal. Le groupe est ajouté automatiquement après les autres groupes. Notez que ce nouveau groupe possède déjà un nouveau type de connexion (un groupe ne peut pas exister sans contenir de connexions).

Supprimer un groupe de numérotation

Pour supprimer un groupe de numérotation, sélectionnez-le et cliquez sur l'icône Supprimer. La commande de suppression est également disponible dans le menu contextuel du groupe de numérotation. Lorsqu'un groupe de numérotation est supprimé, tous les fils contenus dans ce groupe sont automatiquement supprimés, sauf s'ils sont utilisés dans les folios schématiques.

Gestion des fils et des conducteurs

Ajouter des fils

Il y a deux façons d'ajouter des fils : les icônes Ajouter et / ou Ajouter multiple selon le type de fil que vous souhaitez créer / ajouter, ou bien vous pouvez utiliser le menu déroulant contextuel à partir du groupe de numérotation.

Le nouveau fil est automatiquement ajouté à la fin de la liste, dans le groupe de numérotation sélectionné.

Vous pouvez utiliser les commandes Copier, Coller et Collage spécial pour dupliquer un style de liaison existant afin d'en créer un nouveau. Le collage d'un style de liaison au niveau du projet crée automatiquement un nouveau style de liaison dans un nouveau groupe.

Les fonctionnalités Copier/Coller/Collage spécial peuvent être utilisées pour copier des définitions de liaison d'un projet vers un autre.

Ajouter des conducteurs à un type de fil

Vous pouvez ajouter des conducteurs à un type de fil existant via le menu contextuel des fils et sélectionner l'option Ajouter un conducteur au style de liaison.

Bas / Haut

Deux icônes en forme de flèches vous permettent d'organiser les conducteurs (les déplacer vers le bas ou vers le haut).

Supprimer un style de liaison

Pour supprimer un style de liaison, sélectionnez-le et cliquez sur l'icône Supprimer ou sélectionnez l'option Supprimer dans le menu contextuel en cliquant avec le bouton droit sur le style de liaison que vous souhaitez supprimer. Un style de liaison peut être supprimé uniquement s'il n'est pas actuellement utilisé dans une schématique.

Supprimer un conducteur

Pour supprimer un conducteur, sélectionnez-le et cliquez sur l'icône Supprimer ou sélectionnez l'option Supprimer dans le menu déroulant du conducteur. Un conducteur peut uniquement être supprimé si le type de fil n'est pas utilisé dans un folio ou une schématique.

Rubriques connexes :

Propriétés du groupe de numérotation

Propriétés du fil

Configuration de la numérotation

Numérotation des fils

Dessin des liaisons


Propriétés du fil

Menu : Projet > Configurations > Styles de liaison... > Propriétés

Panneau ancrable > Menu contextuel du projet : Configurations > Styles de liaison... > Propriétés

Fil de folio > [...] > [Gestionnaire] > Propriétés

Cette boite de dialogue affiche les propriétés communes à tous les conducteurs en utilisant le style de fils sélectionné.

Lorsque vous sélectionnez plusieurs styles de fils et que vous modifiez ensuite les valeurs des propriétés communes à tous les styles sélectionnés, vous appliquez les nouvelles valeurs des propriétés à tous les conducteurs définis par les styles sélectionnés. Par exemple, si vous sélectionnez plusieurs styles de fils ayant comme propriété "Couleur de ligne", et que vous choisissez rouge comme valeur de propriété, alors tous les conducteurs définis par les styles de fil sélectionnés deviendront rouge dans le document actif.

Sélectionnez un type de fil ou de conducteur et cliquez sur l'icône Propriétés, ou sélectionnez l'option Propriétés dans le menu contextuel.

Propriétés du fil

Style de liaison

Nom : Le nom du fil.

Groupe de numérotation : Le groupe auquel le fil appartient.

Général

Conducteur : Le type de conducteur. Il peut s'agir d'un conducteur non-électrique.

Couleur de ligne : Cliquez sur le bouton [...] pour sélectionner la couleur de la ligne représentant le fil.

Type de ligne : Le type de ligne représentant le fil.

Largeur de ligne : Permet de configurer la largeur d'un fil spécifique. Cette largeur est automatiquement appliquée aux fils dans les schémas.

Formule d'équipotentielle : Cliquez sur le bouton [...] pour accéder au gestionnaire de formule et définissez une formule pour la numérotation des équipotentielles.

Formule de fil : Cliquez sur le bouton [...] pour accéder au gestionnaire de formule et définissez une formule pour la numérotation des fils.

Propager : Cochez la case si vous voulez que les liaisons de ce style de liaison puissent être mises à jour par la fonction Propager les données.

Câblage

Cette section concerne les paramètres utilisés dans le câblage. Si vous associez une référence de câble, ces champs sont automatiquement mis à jour par la référence. Ces paramètres seront appliqués à tous les fils de ce type établis dans les folios schématiques.

Diamètre : Le diamètre du fil.

Section ou jauge : La section du fil.

Standard de dimension des fils : La norme utilisée dans le projet.

Couleur de fil : Cliquez sur le bouton [...] pour sélectionner la couleur réelle du fil.

Rayon de courbure (x diamètre) : Les paramètres requis pour calculer le rayon de courbure (paramètre x diamètre = rayon de courbure).

Référence de câble : Cliquez sur le bouton [...] pour associer une référence de câble.

Données techniques

Tension : Données électriques pas encore mises en œuvre.

Fréquence : Données électriques pas encore mises en œuvre.

Description

Saisissez la description dans toutes les langues utilisées dans le projet.

Données utilisateur

Utilisez cette propriété pour lister les données spécifiques à votre projet.

Donnée traduisible

Utiliser cette propriété pour lister les données que vous avez besoin de traduire.

Propriétés du conducteur

La boîte de dialogue ressemble à celle des propriétés de fil. Toutefois, cette boîte de dialogue affiche les propriétés communes à tous les conducteurs qui composent le style de fil.

Il est donc parfois nécessaire d'éditer les propriétés d'un conducteur au sein d'un fil ou d'un style de fil, de changer sa couleur, ou de modifier ses formules de numérotation de fil et d'équipotentielles.

Rubriques connexes :

Gestionnaire de style de liaison

Paramètres de numérotation


Configuration de la numérotation

Menu : Projet > Configurations > Styles de liaison...

Panneau ancrable > Menu contextuel du projet : Configurations > Styles de liaison...

Insertion de fil > [...] > [Gestionnaire]

Tous les paramètres de numérotation des liaisons sont disponibles à trois niveaux :

  • Configuration des projets

  • Gestionnaire de style de liaison

  • Paramètres spécifiques aux liaisons

Numérotation des options dans les paramètres de projet

Vous pouvez accéder aux paramètres de numérotation des niveaux du projet à partir de l'onglet Repère de la boite de dialogue Paramètres de projet.

Les paramètres disponibles sont :

Sens : Permet de définir le sens de numérotation des fils. Les paramètres disponibles permettent de configurer le séquençage horizontal, le séquençage vertical et la priorité horizontale ou verticale.

style de liaison : Vous donne directement accès aux options du gestionnaire de numérotation dans la boîte de dialogue du gestionnaire de style de liaison.

Options de numérotation au niveau du Gestionnaire de style de liaison

Il existe plusieurs options de numérotation disponibles à partir du Gestionnaire de style de liaison.

DesignSpark Electrical {SOLIDWORKS Electrical} vous permet de numéroter vos fils de deux manières :

- Une numérotation des équipotentielles, tous les fils connectés sur la même maille (connectés entre eux) utilisent le même numéro.

- Une numérotation des fils où chaque fil physique est numéroté individuellement.

Numérotation (fil / équipotentielle) : Sélectionnez le mode de numérotation, soit une numérotation des équipotentielles, soit une numérotation des fils.

Affichage : Permet de sélectionner le mode d'affichage des numéros : soit le numéro est placé au milieu du segment, soit le numéro est placé sur le premier segment de la maille et sur le dernier segment de la maille. Dans le cas d'une numérotation des fils, le mode Un numéro par fil n'est pas disponible.

Options de numérotation dans les styles de fil

    • Propriétés du groupe de numérotation

Les liaisons sont regroupées sous un Groupe de numérotation, ainsi toutes les liaisons faisant partie d'un groupe se partagent le même compteur. Il n'y a pas de discontinuité dans la numérotation de ces liaisons même si elles ont une définition différente.

Les paramètres du groupe de numérotation sont accessibles via l'option Propriétés de son menu contextuel.

Groupe de numérotation

Le premier paramètre est le numéro du groupe. Ce numéro ne peut pas être modifié. A chaque groupe est associé un "compteur", c'est à dire la génération d'un nombre qui s'incrémentera automatiquement. Deux liaisons d'un groupe de numérotation ne pourront pas avoir le même numéro.

Options de numérotation des fils

Numérotation active : Permet d'activer ou de désactiver la numérotation des liaisons faisant partie de ce groupe.

Si vous désactivez l'option, aucune des liaisons de ce groupe ne sera numérotée.

Commencer la numérotation à partir de : Permet de définir quel sera le premier numéro attribué aux liaisons de ce groupe.

Par exemple, si vous saisissez la valeur 100, le premier fil rencontré portera le numéro 100, le second, le numéro 101, etc.

Unicité des repères : Permet de gérer le niveau d'unicité des repères de fils. Par exemple, si vous paramétrez le niveau d'unicité sur Projet, le compteur sera sans discontinuité sur l'ensemble du projet. Si vous le paramétrez sur Liasse, le compteur redémarrera à la valeur du paramètre Commencer la numérotation à partir de à chaque changement de liasse.

Calcul du numéro d'ordre de liaison multiple

Permet de définir le mode de numérotation des liaisons pour les liaisons de ce groupe.

Le premier mode affectera un numéro différent pour chaque conducteur de fil, le second mode affectera le même numéro pour tous les conducteurs de fil.

Dans ce mode, il convient d'ajouter un préfixe à la formule de numérotation, faute de quoi, tous les conducteurs de fil auront le même numéro.

    • Propriétés du fil

Les paramètres de numérotation des liaisons sont disponibles dans les propriétés des styles de liaison.

Les champs Formule des équipotentielles et formule des fils vous permettent de saisir une formule constituée de variables et de chaînes de caractères.

La liste des variables disponibles est différente entre la numérotation des équipotentielles et la numérotation des fils.

Pour plus d'informations sur les possibilités du Générateur de formules, reportez-vous au chapitre : Le Gestionnaire de formules.

Rubriques connexes :

Gestion des styles de liaison

Numérotation des fils

Gestionnaire de formules


Propriétés du groupe de numérotation

Menu : Projet > Configurations > Styles de liaison... > Propriétés

Panneau ancrable > Menu contextuel du projet : Configurations > Styles de liaison... > Propriétés

Fil de folio > [...] > [Gestionnaire] > Propriétés

Dans le gestionnaire de styles de liaison, les propriétés du groupe sont accessibles par le biais du menu contextuel du groupe. Vous pouvez également sélectionner le groupe et cliquer sur l'icône Propriétés.

Les fils sont regroupés sous un "groupe de numérotation", ainsi tous les fils faisant partie du groupe utilisent le même compteur. Ceci garantit une continuité dans la numérotation des fils, même s'ils sont de types différents.

Général

Le premier paramètre est le numéro du groupe. Ce numéro ne peut pas être modifié. Chaque groupe est associé à un compteur incrémenté automatiquement. Ainsi, deux fils ne peuvent pas avoir le même numéro dans un même groupe de numérotation.

Description

Vous pouvez saisir un nom de groupe dans toute langue prise en charge par le logiciel.

Options de numérotation des fils

Numérotation active : Active ou désactive la numérotation des fils dans le groupe.

Désactivez cette option et aucun des fils dans le groupe ne sera numéroté.

Commencer la numérotation à partir de : Définit le premier numéro de fil dans le groupe.

Si vous saisissez la valeur 100, le premier fil portera le numéro 100, le second le numéro 101...

Unicité des repères : Permet de gérer le niveau d'unicité des repères de fils. Par exemple, si vous paramétrez le niveau d'unicité sur Projet, le compteur agira sur l'ensemble du projet. Si vous le paramétrez sur Liasse, le compteur redémarre à la valeur du paramètre Commencer la numérotation à partir de à chaque changement de liasse. La localisation d'une équipotentielle est fournie par son premier segment, de la même manière que d'autres informations, notamment le composant d'origine. S'il existe un composant d'origine, la localisation de l'équipotentielle correspond à la localisation du composant ; sinon, c'est la localisation du fichier dans lequel ce segment est dessiné (ou le contour de localisation, s'il commence dans un contour de localisation).

Calcul du numéro d'ordre de liaisons multiples

Définit le mode de numérotation de fil pour les fils du groupe.

Si vous sélectionnez l'option Différent pour chaque fil, un numéro différent est affecté à chaque conducteur de fil.

Si vous sélectionnez l'option Commun pour les différents fils, le même numéro est attribué à tous les conducteurs de fil. Dans ce mode, nous vous recommandons d'ajouter un préfixe à la formule de numérotation. Sinon, tous les conducteurs de fils auront la même valeur.

Rubriques connexes :

Styles de liaison

Configuration de la numérotation


Styles de ligne synoptiques

Menu : Projet > Configurations > Styles de ligne synoptiques...

Panneau ancrable > Menu contextuel du projet : Configurations / Styles de ligne synoptiques...

Le Gestionnaire peut également être ouvert lors de l'insertion d'un câble sur un folio synoptique, dans le panneau ancrable en cliquant sur le bouton [...] et en cliquant sur le bouton Gestionnaire.

La boîte de dialogue du gestionnaire des styles de liaison s'ouvre vous permettant de créer / modifier les styles de liaison.

Ajouter : Permet de créer un nouveau type de liaison.

Supprimer : Supprime le type de liaison sélectionné.

Copier : place une copie des styles sélectionnés dans le presse-papiers du logiciel.

Coller : permet d'insérer les styles présents dans le presse-papiers du logiciel.

Collage spécial : permet d'insérer les styles présents dans le presse-papiers du logiciel, tout en vous autorisant à gérer leurs repères.

Vous pouvez utiliser les fonctionnalités Copier/Coller/Collage spécial pour copier les définitions de styles de ligne de synoptique d'un projet vers un autre.

Pour éditer un type de liaison, cliquez sur la colonne de la liaison que vous souhaitez modifier (description, couleur ou type de ligne).

Rubriques connexes :

Dessiner un câble


Nomenclature

Menu : Projet > Configurations > Nomenclature...

Panneau ancrable > Menu contextuel du projet : Configurations > Nomenclature...

Le Gestionnaire des configurations de nomenclature permet de distinguer et de définir les configurations attachées à l'application et celles attachées au projet.

Les configurations attachées à l'application seront communes à l'ensemble des projets qui l'utilisent. Une configuration attachée à un projet ne sera visible que dans le projet courant.

DesignSpark Electrical utilise en priorité les configurations attachées au projet. Si celles-ci ne sont pas disponibles, les configurations de l'application sont utilisées.

Supprimer : Supprime le fichier de configuration sélectionné.

Propriétés : Permet d'éditer le fichier de configuration sélectionné.

Dupliquer : Copie un fichier de configuration. Un message vous demande si vous souhaitez ouvrir le fichier pour le modifier.

Ajouter au projet / à l'application : Ajoute à votre projet des configurations disponibles au niveau de l'application et réciproquement rend disponible, au niveau de l'application, une configuration créée pour votre projet.

Archiver : Crée un fichier d'archive de configuration. Cette fonctionnalité est utilisée pour l'échange de fichiers de configuration.

Désarchiver : Récupère un fichier de configuration initialement archivé.

Utiliser dans le projet / Supprimer du projet : Ajoute ou supprime un fichier dans la liste des configurations utilisées dans le projet.

Renommer : Renomme le fichier de configuration sélectionné. Une boîte de dialogue s'ouvre, vous demandant de définir le nouveau nom du fichier.

Changer en règle de conception : Transforme une configuration de nomenclature en configuration de règle de conception.

Rubriques connexes :

Gestionnaire de nomenclatures

Edition des paramètres de nomenclature

Ajouter une nomenclature

Ordonner des nomenclatures

Générer une nomenclature de folios

Export vers Excel

Export vers fichier texte

Export vers XML


Edition d'une configuration de nomenclature

Menu : Projet > Configurations > Nomenclature > Propriétés

Menu : Gestionnaire de nomenclatures > Propriétés

Menu contextuel du projet : Configurations > Nomenclature >

Menu contextuel du folio de nomenclature : Editer gabarit de nomenclature

Cette commande vous permet de modifier la configuration de nomenclature sélectionnée.

Une boîte de dialogue s'ouvre, affichant tous les paramètres de configuration de nomenclature.

Ouvre les fenêtres de prévisualisation pour vérifier les paramètres.

Ajuste la prévisualisation à la zone graphique.

Général

Nom : Permet de nommer le fichier de configuration.

Type : Dans la liste, sélectionnez le type de configuration de nomenclature.

Description : Vous permet de saisir une description dans toutes les langues prises en charge par le logiciel.

Styles

Pour chaque type de texte affiché dans le tableau, vous pouvez gérer la police, la hauteur, la couleur et le style.

Colonnes

Vous permet de définir les colonnes du tableau et le contenu des colonnes.

Permet de modifier l'aperçu. Lorsque cette option est active, l'aperçu affiche le tableau dans l'espace du folio.

Affiche une astuce à propos du tri des colonnes.

Vous permet de sélectionner les colonnes que vous souhaitez gérer dans la configuration de nomenclature. Cochez les cases correspondant aux champs souhaités. Vous pouvez utiliser les icônes (flèches) pour organiser les colonnes.

Permet d'ajouter une nouvelle colonne. Cette icône est disponible uniquement si Mode Expert est activé.

Permet de supprimer une colonne. Cette icône est disponible uniquement si Mode Expert est activé.

En-tête : Première ligne du tableau. L'en-tête contient un texte qui indique le type de données. Vous devez saisir du texte dans toutes les langues prises en charge par le projet.

Contenu : Champ de données stocké dans la base de données du projet. Cliquez sur la cellule pour accéder aux propriétés de la colonne.

Atteindre : Permet de générer un lien avec une donnée, par exemple l'identifiant repère d'un composant, et l'élément dans le projet (le composant).

Largeur : Entrez la largeur de la colonne.

Calculer la somme : Cette donnée est facultative. Vous pouvez seulement totaliser les données numériques.

Imprimer la séparation verticale : Lorsque vous désélectionnez cette option, la ligne verticale entre 2 colonnes est supprimée.

Multiligne : Lorsque le texte est plus long que la cellule, si cette option est active, le reste du texte est placé sur une deuxième ligne.

Alignement de l'en-tête : Vous permet de gérer la justification du texte d'en-tête.

Alignement du contenu : Vous permet de gérer la justification du contenu du texte.

Fusionner les lignes : Permet de regrouper les données si elles ont la même valeur.

Dupliquer dans la liste : Lorsque vous fusionnez des lignes, les colonnes suivantes affichent toutes les données dans la même cellule. Si cette option est active, vous acceptez d'avoir peut-être plusieurs fois les mêmes données.

Séparateur : Ce caractère est utilisé pour séparer les données lorsque vous avez des doublons.

Mise en forme

Permet de paramétrer la position du tableau au sein du folio.

Espace de folio

Hauteur : Saisissez la hauteur de la zone dans laquelle le tableau peut être tracé.

Largeur : Saisissez la largeur de la zone dans laquelle le tableau peut être tracé.

Insertion de l'espace de dessin

Coordonnées X et Y : Saisissez les coordonnées de la zone correspondant à la marge (le tableau ne peut pas être tracé dans la grille du cartouche).

Marge entre les tableaux

Horizontale et vertical : Saisissez la distance que vous souhaitez avoir entre chaque tableau.

Espace entre le titre et le tableau : Saisissez la distance entre le texte affichant le titre du tableau et le tableau.

Options

Utiliser le caractère '|' comme saut de ligne : Sélectionnez cette option lorsque vous gérez les sauts de ligne dans les nomenclatures. Pour chaque type de nomenclature (par exemple les folios ou les fichiers Excel), le caractère '|' (Alt 124) est remplacé par un caractère de saut de ligne spécifique.

Ne pas couper les tableaux : Lorsque vous utilisez des ruptures, il est possible qu'un tableau n'occupe pas la totalité du folio. Un deuxième tableau peut alors être tracé sur le même folio. Lorsque vous sélectionnez cette option, et si le deuxième tableau ne peut pas être tracé complètement dans le folio, il sera tracé dans un nouveau folio.

Un tableau par page : Lorsque vous utilisez des ruptures et si vous sélectionnez cette option, vous ne pouvez pas avoir deux tableaux ou plus sur une page.

Liste des folios : Option spéciale pour les listes de folios. Lorsque vous lancez une liste de folios, cela peut créer un ou plusieurs nouveaux folios. La nomenclature est lancée plusieurs fois pour intégrer ces nouveaux folios.

Une nomenclature par liasse : Lorsque vous utilisez des ruptures sur une liasse, vous pouvez choisir de regrouper tous les folios de nomenclature dans une liasse ou de les répartir dans différentes liasses.

Le cartouche associé à cette nomenclature s'affiche dans cet onglet. Il peut être différent de ce qui est défini dans la configuration du projet.

Vous pouvez le modifier en cliquant sur l'icône [image].

Tri et rupture

Vous permet de configurer le tri des données. La rupture permet de scinder la nomenclature en tableaux, en regroupant les données de même valeur (rupture = une par tableau).

Le tableau peut avoir un titre inséré dans la partie supérieure gauche. Permet également de configurer le titre du tableau, soit automatiquement soit via une formule.

Formule de titre : Vous permet d'accéder au gestionnaire de formules pour créer une formule pour le titre du tableau.

Formule automatique : Cette option définit automatiquement le titre à partir de la rupture définie.

Ordre de tri et condition de rupture : permet d'ajouter des champs pour le tri. Vous pouvez gérer l'ordre à l'aide des flèches vers le haut/bas. L'ordre est créé d'après le premier champ, puis d'après le second, et ainsi de suite. Pour créer une rupture, cochez la case.

Filtres

Des filtres vous permettent de réaliser une extraction dans les données de la nomenclature, par exemple pour afficher la référence constructeur d'un constructeur spécifique, ou la liste de folios d'une liasse spécifique.

Permet d'ajouter de nouveaux filtres.

Duplique le filtre sélectionné.

Supprime le filtre sélectionné.

Ouvre la définition du filtre sélectionné.

Nom du filtre : Affiche le nom des différents filtres utilisés dans la nomenclature.

Description des filtres : Affiche la description des filtres dans la langue principale utilisée dans le projet.

Filtre : Affiche les conditions de filtre.

Données du fichier

Cet onglet permet de paramétrer la génération automatique des informations à transférer dans les propriétés du folio de nomenclature. Un clic dans la colonne de droite permet d'ouvrir le gestionnaire de formules.

Nom : Cette formule vous permet de définir le repère du folio. Si vous laissez une formule vide, les paramètres de configuration seront utilisés.

Description : Permet de paramétrer la génération automatique des données à transférer dans la description du folio de nomenclature.

Données utilisateur/Données traduisibles : Permet de paramétrer la génération automatique des données à transférer dans les données utilisateur du folio de nomenclature.

Activation du mode Expert

Le mode Expert vous permet d'intervenir directement sur la requête SQL utilisée pour générer la nomenclature. Ce mode s'adresse uniquement aux personnes maîtrisant le langage SQL et ayant des connaissances dans la structure des bases de données.

Des manipulations non maîtrisées peuvent entraîner des résultats non souhaités ou une perte complète de la configuration de nomenclature.

Lors de l'activation du mode "Expert", un nouvel onglet de requête SQL s'affiche. La partie gauche affiche la requête au format SQL. La partie droite affiche la liste des tableaux et champs disponibles.

Ajouter / Supprimer une colonne : Permet d'ajouter ou de supprimer une colonne. Notez que cette fonctionnalité ne doit pas être confondue avec l'ajout/la suppression dans l'onglet Colonnes. L'ajout ou la suppression d'une colonne en mode Expert ajoute ou supprime un champ dans la requête.

Ouvrir le fichier : Permet l'ouverture du fichier XML (sauvegarde des paramètres de la configuration de nomenclature et de la requête) dans un éditeur de fichier.

Editer : Permet d'éditer la requête.

Tester : Permet de tester le résultat de la requête. Si celle-ci est valide, une boîte de dialogue s'ouvre affichant le résultat. Si la requête n'est pas valide, un message vous en avertit.

Exporter la requête : permet d'exporter la requête utilisée par la nomenclature dans un fichier texte. Ce fichier s'ouvre automatiquement.

Rubriques connexes :

Gestionnaire de nomenclatures

Ajouter une nomenclature

Ordonner des nomenclatures

Générer des folios de nomenclature

Export vers Excel

Export vers fichier texte

Export vers XML


Données utilisateur

Menu : Projet > Configurations > Données utilisateur...

Panneau ancrable > Menu contextuel du projet : Configurations > Données utilisateur...

Les données utilisateur sont omniprésentes dans le projet. Elles servent à stocker des informations personnelles pouvant être affichées dans la schématique ou dans les nomenclatures. On distingue deux types de données utilisateur : Les données utilisateur traduisibles (traduites lors de la traduction du projet) et les données utilisateur non-traduisibles.

La partie gauche de la boîte de dialogue affiche les configurations disponibles au niveau de l'application, c'est à dire communes à tous les projets. La partie droite de la boîte de dialogue répertorie toutes les configurations qui ne sont disponibles que dans le projet courant.

Nouveau : Permet de créer un nouveau fichier de configuration.

Supprimer : Permet de supprimer le fichier de configuration sélectionné.

Propriétés : Permet d'éditer le fichier de configuration sélectionné.

Dupliquer : Copie un fichier de configuration. Un message vous demande si vous souhaitez ouvrir le fichier pour le modifier.

Ajouter au projet / à l'application : Permet d'ajouter à votre projet des configurations disponibles au niveau de l'application et réciproquement de rendre disponible, au niveau de l'application, une configuration que vous auriez créée pour votre projet.

Archiver : Permet de créer un fichier d'archive de configuration. Cette fonctionnalité est utilisée pour l'échange de fichiers de configuration.

Désarchiver : Permet de récupérer un fichier de configuration initialement archivé.

Rubriques connexes :

Personnalisation des données utilisateur


Personnalisation des données utilisateur

Menu : Projet > Configurations > Données utilisateur... > Propriétés

Menu : Projet > Configurations > Données utilisateur... > Nouveau

Panneau ancrable > Menu contextuel du projet : Configurations > Données utilisateur... > Propriétés

Panneau ancrable > Menu contextuel du projet : Configurations > Données utilisateur... > Nouveau

La boîte de dialogue est divisée en deux onglets. L'onglet Généralpermet de définir la description du fichier de configuration de données utilisateur. L'autre onglet, Edition, vous permet de gérer les données utilisateur

Dans l'onglet Edition, la partie gauche de la boîte de dialogue affiche les données utilisateurs, la partie droite affiche le nom des données utilisateur ou du groupe sélectionné.

Les données utilisateur sont regroupées sous des groupes (les groupes nommés Données utilisateur et Données traduisibles peuvent être renommés et ne servent qu'à distinguer les types de données). Vous pouvez créer autant de groupes que vous le souhaitez, mais la quantité de données utilisateur est limitée pour certains éléments (par exemple pour les câbles, la quantité de données utilisateur traduisibles est limitée à trois).

Pour faciliter la gestion des données utilisateur, chaque élément des données utilisateur est précédé de ce numéro d'ordre. Ce numéro s'affiche également dans les boîtes de dialogue des propriétés des objets électriques.

Insérer un groupe : Permet d'insérer un nouveau groupe de données utilisateur.

Insérer des données utilisateur : Permet de créer de nouvelles données utilisateur (non traduisibles). Les données utilisateur sont créées dans le groupe sélectionné.

Insérer des données traduisibles : Permet de créer de nouvelles données traduisibles. Les données traduisibles sont créées dans le groupe sélectionné.

Monter / Descendre : Permet d'organiser l'ordre des données utilisateur.

Supprimer : Permet de supprimer les données utilisateur sélectionnées.

Enregistrer : Permet d'enregistrer le fichier de configuration. Il peut également être enregistré lors de la fermeture de la boite de dialogue.

Couper / Copier / Coller : Permet de dupliquer des données utilisateur existantes.


Palettes

Menu : Projet > Configurations > Palettes...

Panneau ancrable > Menu contextuel du projet : Configurations > Palettes...

Les palettes sont utilisées pour stocker des symboles de schématique ou de synoptique, des macros de schématique.

La partie gauche de la boîte de dialogue affiche les configurations disponibles au niveau de l'application, c'est à dire communes à tous les projets. La partie droite de la boîte de dialogue affiche la liste de toutes les configurations disponibles uniquement dans le projet courant.

Supprimer : Supprime le fichier de configuration sélectionné.

Propriétés : Permet d'éditer le fichier de configuration sélectionné.

Dupliquer : Copie un fichier de configuration. Un message vous demande si vous souhaitez ouvrir le fichier pour le modifier.

Ajouter au projet / à l'application : Ajoute à votre projet des configurations disponibles au niveau de l'application et réciproquement rend disponible, au niveau de l'application, une configuration créée pour votre projet.

Archiver : Crée un fichier d'archive de configuration. Cette fonctionnalité est utilisée pour l'échange de fichiers de configuration.

Désarchiver : Récupère un fichier de configuration initialement archivé.

Renommer : Renomme le fichier de configuration sélectionné. Une boîte de dialogue s'ouvre, vous demandant de définir le nouveau nom du fichier.

Les fichiers de configuration ne peuvent pas être modifiés dans cette interface. Ils sont modifiés automatiquement lors de l'utilisation des palettes.

Rubriques connexes :

Configuration du projet > Bibliothèques et palettes

Palette de symboles

Palette de macros


Gestionnaire de formules

Configuration du projet > Général

Configuration du projet > Repère

Gestionnaire de style de liaison > Propriété d'une liaison

DesignSpark Electrical utilise des variables qui envoient des informations provenant de la base de données (repères de composant ou compteurs de fil, par exemple). Ces informations peuvent être traitées par le gestionnaire de formules pour être formatées suivant vos besoins.

Exemple :

Numéro d'équipotentielle issu de la base de données : 5

Cette valeur est stockée dans la variable EQU_NO.

Pour présenter cette information sur votre folio sous la forme 005 (formaté avec trois caractères), vous devez utiliser la formule suivante : STRZ(VAL(EQU_NO), 3, 0)

Utilisation du gestionnaire de formules

DesignSpark Electrical est livré avec un grand nombre de formules prédéfinies. Nous vous engageons à les utiliser. Néanmoins, si vos besoins imposent de créer votre propre formule, nous allons vous indiquer dans ce chapitre quelques éléments pour pouvoir construire votre formule simplement.

- Une formule est composée de variables (disponibles dans le troisième onglet) et de texte. Les chaînes de texte doivent obligatoirement être mises entre guillemets et chaque variable ou chaîne de texte doit être séparée par le signe +. Exemple : CHAN_TYP + ":" + COM_VAL1 + "." + CHAN_ADDR

- Les variables sont généralement de type Texte, même lorsqu'elles ont une apparence numérique (par ex. : EQU_NO qui renvoie le numéro d'équipotentielle).

- Certaines fonctions sont souvent utilisées pour interagir sur une variable.

STRZ (VAL(FIL_NO),2,0) renvoie le numéro du folio sur deux caractères. Le caractère manquant est remplacé par un 0 (par ex. : 01, 02, ...).

VAL : Convertit une chaîne de caractères en numérique. FIL_NO étant une chaîne de caractères, il faut la transformer en valeur numérique, car la fonction STRZ ne traite que des valeurs numériques.

STRZ : Convertit une valeur numérique en lui imposant un certain nombre de chiffres (2 dans cet exemple) et un nombre de décimales (0 dans cet exemple).

- Vous pouvez utiliser les fonctions mathématiques (+ - * / ) pour modifier le résultat des variables.

STRZ(VAL(EQU_NO)*2,3,0) renvoie le nombre d'équipotentielles sur trois caractères, mais en utilisant uniquement des nombres pairs.

STRZ((VAL(EQU_NO)*2)-1,3,0) renvoie l'équivalent du résultat de la formule précédente mais en utilisant uniquement des nombres impairs.

Si vous saisissez une formule incorrecte, un message est affiché au bas de la boîte de dialogue.

La boîte de dialogue comporte quatre onglets pour vous aider à créer votre formule.

Formules prédéfinies

Cet onglet regroupe toutes les formules prédéfinies en fonction de l'élément que vous souhaitez associer à une formule. Dans la liste, sélectionnez la formule et cliquez sur le bouton Remplacement de la formule pour remplacer la formule existante.

Si vous le souhaitez, vous pouvez modifier manuellement cette formule. Un message vous avertit lorsque la formule n'est pas valide.

Formules récentes

Cet onglet affiche les anciennes formules que vous avez utilisées. Comme dans le premier onglet, vous pouvez remplacer la formule active en sélectionnant une formule existante et en cliquant sur le bouton Remplacement de la formule.

Variables et formules simples

Cet onglet vous permet de créer votre propre formule.

Formule simple : Cette colonne affiche la liste des variables disponibles et formules simples utilisant ces variables.

Description : Cette colonne vous donne une description de la variable sélectionnée.

Type : Affiche le type de variable pour vous aider à utiliser certaines fonctions spécifiques telles que VAL ou STRZ.

Ajout d'une formule simple : Pour créer la formule, sélectionnez la variable, puis cliquez sur le bouton Ajout d'une formule simple.

Vous pouvez ajouter du texte, mais vous devez le placer entre guillemets ("TEXTE") et tous les textes et variables doivent être séparés par le signe +. Un message vous avertit lorsque la formule n'est pas valide.

Fonctions

Cet onglet répertorie toutes les fonctions et les opérateurs possibles dans la formule.

Fonction : Affiche le nom de la fonction. Les fonctions sont triées par type (mathématique, texte et divers).

Description : Affiche la description (définition) de la fonction.

Exemple : Affiche un exemple d'utilisation de la fonction et sa syntaxe. A la fin de l'exemple, le résultat de la fonction est présenté.

Comme dans l'onglet précédent, cliquez sur le bouton Ajout d'une fonction pour ajouter la fonction à la formule.


Panneaux ancrables

DesignSpark Electrical utilise des panneaux spécifiques pour vous aider dans vos conceptions schématiques. Ces panneaux ancrables peuvent être placés à droite ou à gauche de l'écran.

Les panneaux ancrables contient différents onglets, chacun étant associé à une icône spécifique. Ces onglets peuvent être déplacés d'un panneau ancrable à l'autre à l'aide de la méthode de glisser - déposer.

L'affichage de la plupart des onglets est géré manuellement, à l'aide des commandes du menu Affichage (section Panneaux ancrables). Certains sont ouverts automatiquement, par exemple l'onglet Commande.

Documents : Affiche la liste des documents du projet.

Composants : Affiche la liste des composants.

Commande : Affiche les options de la commande courante.

Macros : Affiche la palette de macros.

Symboles : Affiche la palette de symboles.

Propriétés : Affiche les propriétés de l'élément sélectionné.

Ressources : Affiche les raccourcis en rapport avec le logiciel.

Vous pouvez enregistrer la disposition de panneau ancrable (position des onglets et du panneau ancrable), restaurer la disposition enregistrée ou réinitialiser pour charger la disposition de panneau par défaut.


Onglet Commande

Panneau ancrable : Commande

L'affichage de l'onglet Commande est actif quand une commande est exécutée et nécessite des options.


Onglet "Propriétés"

Panneau ancrable : Propriétés

Menu : Modifier > Propriétés

Le panneau ancrable contient un onglet spécifique qui permet d'afficher les propriétés de l'élément sélectionné. Les propriétés peuvent être des propriétés graphiques (stockées dans les entités graphiques) ou des données stockées dans la base de données du projet ou dans la base de données du logiciel.

Cet élément peut être :

  • Un document du projet (dans l'onglet Documents).

  • Un composant (dans l'onglet Composants).

  • N'importe quel objet électrique graphique (fil, symbole, localisation et contour de fonction dans la zone graphique).

  • N'importe quelle entité de base (ligne, cercle, arc ou textes dans la zone graphique).

  • Un symbole (mode d'édition Graphique).

  • Une vignette 2D (mode d'édition Graphique).

  • Un cartouche (mode d'édition Graphique).

Les propriétés de l'objet peuvent être affichées dans une boîte de dialogue spécifique.

Eléments du projet

Les éléments du projet regroupent tous les éléments qui dépendent du projet, par exemple les documents, les composants ou les entités électriques du projet.

Quand vous sélectionnez un élément du projet, une icône spécifique apparaît pour en éditer les propriétés.

Cliquez sur ce bouton pour éditer les propriétés électriques de l'élément sélectionné.

Valide les modifications apportées dans l'onglet des propriétés.

Annuler les modifications apportées dans l'onglet des propriétés.

En mode d'édition, plusieurs données ne peuvent pas être modifiées car elles sont gérées par le logiciel ou par la configuration de projet.

Cette fonction accepte une multisélection mais vous devez sélectionner des éléments du même type (par exemple, vous ne pouvez pas sélectionner un symbole et un folio). Quand vous sélectionnez plusieurs éléments (par exemple, différents types de fils) seules les propriétés communes sont affichées.

En mode de multisélection, une cellule grise indique que les données des éléments sélectionnés sont différentes. En mode d'édition, le gris est remplacé par le violet.

Eléments document

L'onglet Propriétés affiche les propriétés de chaque élément de projet (Projet, liasse, dossier, folios, fichiers de données) sélectionné dans l'onglet Documents. Si vous sélectionnez différents types d'élément (par exemple des dossiers et des folios), de nouveaux onglets s'affichent pour permettre de trier les éléments.

Par exemple, si vous sélectionnez un dossier et un folio, deux onglets s'affichent. Vous pouvez accéder aux propriétés du dossier à partir de l'onglet Dossier et aux propriétés du folio à partir de l'onglet Folio.

Eléments composant

En ce qui concerne les éléments document, quand vous sélectionnez différents types d'éléments dans l'onglet Composants, de nouveaux onglets s'affichent sous l'onglet Propriétés. Ils correspondent aux différents types de composant (localisation, composant, bornier).

Entités graphiques

Pour éditer les propriétés d'un élément sélectionné dans la zone graphique, vous devez sélectionner un élément ou uniquement des éléments du même type (multisélection). Si vous sélectionnez plusieurs types d'entités, seul l'onglet Propriétés graphiques apparaît et vous ne pouvez pas modifier les propriétés électriques.

Les propriétés du fil ne sont pas disponibles lorsque le mode différé est activé.

Des onglets spécifiques, correspondant au type d'entité sélectionné, apparaissent. Par exemple, quand vous sélectionnez un fil, plusieurs onglets peuvent s'afficher pour correspondre à tous les paramètres associés à ce fil (équipotentielle, câble, brin de câble, style de liaison).

L'onglet Propriétés graphiques affiche les paramètres graphiques des éléments sélectionnés. Certains de ces paramètres ne sont pas modifiables, car ils sont gérés par les configurations. La partie supérieure de cet onglet affiche une liste dans laquelle les entités sélectionnées sont regroupées par type. Lors d'une multisélection, l'onglet affiche les données communes.

Eléments du logiciel

L'onglet Propriétés affiche les paramètres des entités graphiques de base telles que les lignes, les cercles ou les textes. Il affiche également les données des éléments stockés dans les gestionnaires (symboles, cartouches et vignettes 2D).

Entités de base

Lors de la sélection d'une entité de base, seul l'onglet Propriétés graphiques est disponible. Si vous sélectionnez différents type d'entités, celles-ci sont groupées dans la liste dans la partie supérieure de l'onglet. Les paramètres affichés sont ceux du groupe sélectionné ou de la sélection entière. Lorsque vous modifiez les propriétés des éléments, elles sont automatiquement mises à jour dans la zone graphique.

Eléments du gestionnaire

Dans les gestionnaires graphiques, lorsque vous éditez un élément (un symbole, une vignette 2D ou un cartouche, par exemple), l'onglet Propriétés affiche les données du niveau sélectionné.

Pour un symbole, vous pouvez accéder aux propriétés du symbole, du circuit, du point de connexion et de l'attribut. Pour une vignette 2D et un cartouche, vous pouvez également accéder à leurs propriétés et à celles des attributs.

Quand l'élément sélectionné a une représentation graphique (entité graphique de base, attribut et point de connexion), l'onglet Propriétés graphiques est disponible.


Onglet Ressources

Panneau ancrable : Ressources

Affiche les raccourcis en rapport avec le logiciel.


Projets et documents

Un projet est composé de documents : il peut s'agir de folios réalisés par l'utilisateur (tels que folios de schématique ou de synoptique), de folios générés automatiquement par le logiciel (comme des nomenclatures) ou de documents divers (tels que fichiers PDF ou DWG). Les documents d'un projet sont organisés en dossiers et en liasses.

Tout folio réalisé en dehors de DesignSpark Electrical ne sera pas pris en compte par DesignSpark Electrical et ne sera pas inclus dans les différents traitements.

  • Gestionnaire de projets

  • Gestion des liasses

  • Gestion des dossiers

  • Différents types de documents

  • Gestion des folios du projet

  • Gestion des cartouches

  • Ajouter un fichier de données


Gestionnaire de projets

Menu : Fichier > Gestionnaire de projets

Barre d'accès rapide

Deux onglets sont disponibles. L'un montre l'ensemble des projets (Tous les projets), l'autre montre les projets récemment ouverts (Projets récents).

Lorsque le projet est affiché en bleu et en gras, il est présent dans l'onglet Documents du panneau ancrable et au moins un folio est ouvert. C'est le projet courant.

Lorsque le projet est affiché en bleu, cela signifie qu'il est présent dans l'onglet Documents du panneau ancrable mais qu'aucun folio n'est ouvert.

Lorsque le projet est affiché en noir, il est absent de l'onglet Documents du panneau ancrable et aucun folio n'est ouvert.

Par défaut, les descriptions de projet sont affichées dans la langue du logiciel. Pour les afficher dans une autre langue, sélectionnez celle-ci dans la liste disponible dans le ruban.

Nouveau : Permet de créer un nouveau projet.

Désarchiver : Permet de restaurer un projet archivé existant.

Ouvrir : Permet d'ouvrir le projet sélectionné dans l'explorateur de projets (panneau ancrable).

Définir un style comme courant : permet de définir comme courant le projet sélectionné. Le projet doit se trouver dans l'onglet Documents du panneau ancrable.

Fermer : Ferme le projet sélectionné.

Archiver : Permet d'archiver le projet sélectionné. Le projet doit être fermé.

Dupliquer : Copie le projet sélectionné.

Enregistrer en tant que modèle : Permet de créer un nouveau modèle de projet.

Supprimer : Supprime le projet sélectionné.

Propriétés : Permet d'ouvrir les propriétés du projet sélectionné.

Configuration : Permet de configurer les colonnes affichées dans le gestionnaire de projets.

Filtres : Permet d'activer les filtres pour vous aider à trouver un projet.

Ces commandes sont également disponibles dans le menu contextuel du projet.

  • Désarchiver un projet existant

  • Créer un nouveau projet

  • Créer un modèle de projet

  • Propriétés du projet

  • Ouvrir un projet

  • Définir comme courant

  • Fermer un projet

  • Archiver un projet

  • Dupliquer un projet

  • Supprimer un projet

  • Filtrer les projets


Désarchiver un projet existant

Gestionnaire de projets > Désarchiver

Le désarchivage d'un projet vous permet de restaurer un projet précédemment archivé. Cela consiste à ouvrir un projet qui a précédemment été archivé. DesignSpark Electrical vous invite à sélectionner le fichier TEWZIP archivé.

La commande de désarchivage dispose de 2 options. La première option Désarchiver permet de désarchiver le projet avec des options. La seconde option Désarchiver et ouvrir permet de désarchiver le projet et de l'ouvrir automatiquement sans choix d'options. Les propriétés du projet sont automatiquement validées et les données ne sont pas mises à jour.

La boîte de dialogue des propriétés du projet s'ouvre vous permettant de modifier les données relatives au projet. Après validation, une nouvelle boîte de dialogue s'ouvre, vous permettant de définir les données à importer ainsi que la méthode de gestion.

Si vous sélectionnez l'option de mise à jour, l'assistant de mise à jour s'ouvre automatiquement, vous permettant de gérer les données à désarchiver.

Une boîte de dialogue s'ouvre vous demandant si vous souhaitez ouvrir immédiatement ce projet, ou uniquement le conserver dans le gestionnaire de projets.

Rubriques connexes :

Gestionnaire de projets

Archiver un projet


Créer un nouveau projet

Gestionnaire de projets > Nouveau

Lors de la création d'un nouveau projet, vous devez sélectionner un modèle ou créer un projet vide. Si vous sélectionnez l'option <Projet vide>, il vous faudra entrer l'ensemble des paramètres de configuration de ce projet.

Certains modèles de projets vous permettent de sélectionner la langue principale utilisée dans le projet.

La boîte de dialogue des propriétés du projet s'affiche, vous permettant de saisir les données spécifiques au projet.

Notez qu'à ce stade vous ne pouvez pas modifier les paramètres de configuration du projet. Il faudra valider vos paramètres (cela crée le nouveau projet) et ensuite éditer les paramètres de configuration.

Le nouveau projet est automatiquement ajouté au panneau ancrable. Lorsqu'un modèle a été utilisé, le projet est automatiquement renseigné avec les éléments (tels que folios et pages de garde) qui étaient présents dans le projet modèle.

Rubriques connexes :

Gestionnaire de projets

Propriétés du projet

Créer un modèle de projet


Créer un modèle de projet

Gestionnaire de projets > Enregistrer comme modèle

Sélectionnez le projet dans la liste et cliquez sur l'icône Enregistrer comme modèle. Une boîte de dialogue s'ouvre vous permettant de saisir le nom du modèle de projet.

Un modèle de projet contient la totalité des éléments (tels que folios ou configurations) présents dans le projet qui ont servi à sa création. Lors de la création d'un nouveau projet utilisant ce modèle, vous retrouverez l'intégralité des données contenues dans le modèle de projet.

Rubriques connexes :

Configurations du projet

Créer un nouveau projet


Propriétés du projet

Gestionnaire de projets > Propriétés

Panneau ancrable > Menu contextuel du projet : Propriétés du projet

Menu : Projet > Propriétés

Permet d'accéder aux propriétés du projet sélectionné.

Les données saisies peuvent être affichées dans le cartouche.

Nom : Le nom du projet. Ce nom sera utilisé comme nom de fichier lorsque vous archivez le projet. Le nom du projet ne peut pas être vide.

Général

Numéro de contrat : Numéro de contrat ou code identifiant le contrat. Ces données sont facultatives, mais ne peuvent être personnalisées.

Client

Ces données sont facultatives et ne peuvent être personnalisées.

Nom : Le nom du client.

Adresse 1 / 2 / 3 : L'adresse du client. Trois lignes sont disponibles.

Bureau de conception

Ces données sont facultatives et ne peuvent être personnalisées.

Nom : Le nom du bureau de conception.

Adresse 1 / 2 / 3 : L'adresse du bureau de conception. Trois lignes sont disponibles.

Système

Affiche des informations sur la création et la modification du projet. Ces données sont automatiques et ne peuvent être modifiées.

Créateur : Le nom de l'utilisateur qui a créé le projet.

Date de création : La date de création du projet.

Date de modification : La date à laquelle le projet a été modifié pour la dernière fois.

Informations

Affiche les informations sur la version du projet.

Description

Les premières données traduisibles du projet. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les données utilisateur sont disponibles sur l'ensemble du projet. Elles sont utilisées pour stocker les informations personnelles, qui peuvent s'afficher dans les folios. Il existe deux types de données utilisateur : des données utilisateur traduisibles (traduites lors de la traduction du projet) et des données utilisateur non traduisibles.

Statistiques : Vous pouvez accéder aux statistiques d'un projet une fois que vous ouvrez le projet. Cliquez sur le bouton Statistiquespour ouvrir une boîte de dialogue qui affiche le nombre d'éléments (folios, références constructeur ou câbles) du projet.

Personnaliser : Permet d'accéder aux données utilisateur du projet.

Configuration du projet : permet d'accéder à la configuration du projet.

Rubriques connexes :

Paramètres du projet

Données utilisateur


Ouvrir un projet

Gestionnaire de projets > Ouvrir

Sélectionnez le projet dans la liste et cliquez sur l'icône Ouvrir.

Le projet est automatiquement ajouté à l'onglet Documentsdans le panneau ancrable et devient le projet courant.

L'icône Ouvrir est grisée lorsque le projet est présent dans le panneau ancrable.

Le gestionnaire de projets dispose d'une case à cocher intitulée Garder la boîte de dialogue ouverte permettant l'ouverture automatique du gestionnaire de projets lors de l'ouverture du projet.

Un projet peut également être ouvert si vous déposez (depuis le dossier Projets des données de DesignSpark Electrical) un fichier ".ewg" dans l'interface DesignSpark Electrical. Le fichier est ouvert dans l'interface graphique et le projet est ajouté dans l'onglet Documents du panneau ancrable.

Rubriques connexes :

Gestionnaire de projets


Définir comme courant

Le projet courant est celui que vous utilisez. Le projet courant apparaît en gras dans le panneau ancrable et dans le gestionnaire de projets.

Gestionnaire de projets > Définir comme courant

Panneau ancrable > Menu contextuel du projet : Définir comme courant

Un projet est automatiquement défini comme courant lorsque vous ouvrez ou activez un de ses folios (folio courant).


Fermer un projet

Gestionnaire de Projets > Fermer

Panneau ancrable > Menu contextuel du projet : Fermer le projet

Sélectionnez le projet dans la liste et cliquez sur l'icône Fermer.

Les pages ouvertes sont automatiquement enregistrées et refermées. Le projet est supprimé de l'onglet Documents du panneau ancrable, mais il est conservé dans le gestionnaire de projets.

La fermeture d'un projet est nécessaire avant son archivage, avant la création d'un modèle de projet, avant sa suppression ou avant sa duplication.

Rubriques connexes :

Gestionnaire de projets


Archivage d'un projet

Gestionnaire de Projets > Archivage

La commande Archiver peut enregistrer le projet avec tous ses documents et toutes les données utilisées dans sa conception (par exemple, les symboles, les cartouches ou les configurations).

L'extension des fichiers d'archive de projet est : .PROJ.TEWZIP. Des projets archivés restent disponibles dans le gestionnaire de projets.

1. Sélectionnez les projets à partir de la liste.

2. Cliquez sur l'icône Archiver.

3. Une boîte de dialogue s'ouvre pour vous demander d'autoriser l'utilisateur à modifier la langue du projet lors de son désarchivage.

4. Si le projet contient des raccourcis, une boîte de dialogue d'option vous demande si vous souhaitez inclure les fichiers gérés par le raccourci.

5. Dans la boîte de dialogue Enregistrer sous, choisissez le dossier et le nom du fichier d'archive.

Rubriques connexes :

Gestionnaire de projets

Fermer un projet

Désarchivage d'un projet


Dupliquer un projet

Gestionnaire de projets > Dupliquer

Permet de réaliser une copie d'un projet existant. Tous les éléments constituant le projet sont dupliqués.

Sélectionnez le projet dans la liste et cliquez sur l'icône Dupliquer.

La boîte de dialogue des propriétés s'ouvre, vous permettant de modifier le nom du nouveau projet, ainsi que ses propriétés. Ce projet est ajouté à la liste des projets.

Pour être dupliqué, un projet doit obligatoirement être fermé.

Rubriques connexes :

Gestionnaire de projets

Fermer un projet

Propriétés du projet


Supprimer un projet

Gestionnaire de Projets > Supprimer

Permet de supprimer un projet ainsi que tous les éléments le constituant.

Sélectionnez le projet dans la liste et cliquez sur l'icône Supprimer.

Une boîte de dialogue s'ouvre avec les options suivantes :

Archiver et supprimer : un fichier d'archive contenant les projets sélectionnés est créé avant la suppression. Cette option doit être utilisée dans le cas où vous n'êtes pas certain de vouloir supprimer définitivement les projets. Les projets peuvent être restaurés grâce à la fonction Désarchiver.

Supprimer sans sauvegarde : les projets sont supprimés sans créer de fichier d'archive.

La suppression d'un projet est irréversible et ce dernier ne peut donc pas être récupéré. En cas de doute il est préférable de réaliser une archive de ce projet avant de le supprimer.

Les projets doivent être fermés pour pouvoir être supprimés.

Rubriques connexes :

Gestionnaire de projets

Fermer un projet

Archivage d'un projet


Filtrer les projets

Gestionnaire de projets > Filtres

Cette commande permet de réduire la liste des projets par la saisie de critères.

La partie gauche de la boîte de dialogue affiche une liste de critères. Lorsque des critères ont été saisis, la liste des projets se réduit aux projets répondant à ces critères.

Rubriques connexes :

Gestionnaire de projets


Gestion des liasses

Une liasse contient tous les documents constituant le projet. Une liasse peut contenir des dossiers, des folios et tous les documents associés. Vous pouvez avoir plusieurs liasses dans un seul projet, si nécessaire.

Les liasses sont identifiées par leur repère et la description dans le panneau ancrable.

Créer une nouvelle liasse

Menu : Projet > Nouveau > Nouvelle liasse

Panneau ancrable > Menu contextuel du projet : Nouvelle liasse

La boîte de dialogue des propriétés de la liasse qui s'ouvre vous permet de lui affecter un repère, de saisir du contenu et de gérer les révisions.

Déplacer une liasse

Un glisser-déposer permet de déplacer les liasses. La liasse déplacée doit se trouver dans le même projet. Un trait noir s'affiche pour définir la nouvelle position.

Propriétés de la liasse

Menu contextuel de la liasse : Propriétés

Repère

Le repère de la liasse est calculé automatiquement en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Numéro : Affiche le numéro d'ordre affecté à la liasse. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser de numéro existant.

Hiérarchie

Par défaut, une liasse est associée à une localisation et à une fonction. Tous les éléments (folios et composants) dépendant de cette liasse seront par défaut automatiquement associés à cette localisation et à cette fonction.

Localisation / Fonction : Cliquez sur le bouton [...] pour ouvrir le sélecteur de localisations (fonction) qui permet de sélectionner la localisation (fonction) à associer à la liasse.

Informations

Nombre de documents : Affiche le nombre de documents contenus dans la liasse. Ces informations sont essentielles pour les utilisateurs de versions limitant le nombre de folios.

Révisions

Révision courante : Affiche l'indice de révision affecté à la liasse. Vous pouvez gérer les révisions en cliquant sur le bouton [...].

Description

Le premier champ de données traduisibles pour la liasse. Vous pouvez saisir une description de toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les données utilisateur sont présentes sur l'ensemble du projet. Elles sont utilisées pour stocker les informations personnelles qui peuvent s'afficher dans les folios. Il existe deux types de données utilisateur : des données utilisateur traduisibles (traduites lors de la traduction du projet) et des données utilisateur non traduisibles.

Le bouton Personnaliser... vous permet d'accéder aux données utilisateur de la liasse.

Supprimer une liasse

Menu contextuel de la liasse : Supprimer

La suppression d'une liasse entraîne la suppression de tous les éléments (dossiers, folios ou fichiers de données) formant son contenu.

Rubriques connexes :

Gestion des dossiers

Différents types de documents


Gestion des dossiers

Un dossier pourrait être assimilé à un répertoire dans lequel on peut trouver d'autres dossiers ou des folios. Cette notion de dossiers permet d'assurer un classement des différents folios constituant le projet.

Les dossiers sont identifiés par leur repère et la description dans le panneau ancrable.

Créer un nouveau dossier

Menu : Projet > Nouveau > Nouveau dossier

Menu contextuel de la liasse : Nouveau > Dossier

La boîte de dialogue des propriétés du dossier s'ouvre, vous permettant de lui affecter un repère et de saisir les valeurs que vous souhaitez gérer.

Propriétés d'un dossier

Menu contextuel du dossier : Propriétés

Repère

Le repère du dossier est calculé automatiquement en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Numéro : Affiche le numéro d'ordre affecté au dossier. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser de numéro existant.

Général

Définir le premier numéro de folio : Si cette option est sélectionnée, vous pouvez indiquer le numéro du premier folio dans ce dossier. Sinon, le numéro du premier folio est dérivé du folio précédent (indépendamment du dossier).

Premier numéro de folio : Ce paramètre est disponible uniquement si le paramètre précédent est activé. Saisissez le numéro du premier folio du dossier.

Chemin : indique le chemin de la liasse dont dépend le dossier.

Description

Les premières données traduisibles du dossier. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les données utilisateur sont disponibles sur l'ensemble du projet. Elles sont utilisées pour stocker les informations personnelles, qui peuvent s'afficher dans les folios. Il existe deux types de données utilisateur : des données utilisateur traduisibles (traduites lors de la traduction du projet) et des données utilisateur non traduisibles.

Le bouton Personnaliser... permet d'accéder aux données utilisateur du dossier.

Supprimer un dossier

Menu contextuel du dossier : Supprimer

La suppression d'un dossier supprime tous les folios figurant dans le dossier.

Rubriques connexes :

Gestion des liasses

Types de documents


Différents types de documents

Plusieurs types de documents sont disponibles. Tous les documents qui peuvent être modifiés dans DesignSpark Electrical sont appelés folios.

Documents créés par l’utilisateur :

Page de garde | Page de garde ou de présentation, aucun folio.
Synoptique de câblage | Permet de dessiner un synoptique afin de décrire le câblage à l'aide de blocs.
Schéma | Schéma, schéma électrique ou toute sorte de folio (type de document par défaut).

Documents générés par DesignSpark Electrical (ils ne peuvent pas être créés par l'utilisateur) :

Nomenclature

Liste générée à partir d’extraction de données. Listes de folios, nomenclature, nomenclatures de câble, liste de câblage, etc.

Fichiers de données :

Les fichiers de données sont des fichiers externes copiés dans le projet. Ils peuvent être de n'importe quel format.

Les fichiers DWG et DXF sont gérés en tant que documents DesignSpark Electrical. Un aperçu s'affiche. Ils peuvent être modifiés et imprimés dans DesignSpark Electrical.

Si vous ajoutez d'autres formats de fichier, vous ne pourrez pas en afficher l'aperçu ni les modifier dans l'interface de DesignSpark Electrical. Si vous souhaitez les ouvrir, l'application associée au type de fichier se chargera de les ouvrir.

Raccourci de fichier

Ce type de fichier n'est pas vraiment un document de projet. Il s'agit seulement d'un lien vers un fichier externe. Son nom est affiché comme un document de projet avec une icône spécifique.

Ces fichiers peuvent être ouverts avec l'application associée dans Windows.

  • Page de garde

  • Folio de synoptique

  • Folio de schématique

  • Folio de nomenclature

  • Fichier de données

  • Raccourci de fichier


Page de garde

La page de garde est un folio spécifique dans lequel il n'est pas possible d'intégrer une schématique.

Etant donné que vous pouvez organiser votre projet comme vous le souhaitez (liasses, dossiers), vous pouvez gérer autant de pages de garde que vous le souhaitez et à n'importe quel endroit de votre projet.

Rubriques connexes :

Différents types de documents

Créer une page de garde


Folio de synoptique

Les synoptiques permettent le dessin du câblage de l'installation. Lors de l'ouverture d'un synoptique, le menu Synoptique s'active et affiche les commandes nécessaires à la réalisation du schéma de câblage.

Les éléments graphiques utilisés dans ce type de folio et insérés par les commandes du menu Synoptique sont enregistrés dans la base de données du projet.

Rubriques connexes :

Différents types de documents

Créer un folio


Folio de schéma

Le schéma développé de l'installation est réalisé sur le folio de type schématique. Lors de l'ouverture du folio de schématique, le menu Schématique s'active et affiche les commandes spécifiques à la création de schémas.

Les éléments graphiques utilisés dans ce type de folio, insérés par les commandes du menu Schématique, sont enregistrés dans la base de données du projet.

Rubriques connexes :

Différents types de documents

Créer un folio


Folio de nomenclature

Les folios de nomenclature sont créés automatiquement par DesignSpark Electrical. Les folios de nomenclature sont générés automatiquement en fonction des informations stockées dans la base de données du projet et des paramètres de configuration.

Il n'est pas possible d'y ajouter des éléments de schématique ou de synoptique, seules les commandes du menu Dessin ou Modifier peuvent être utilisées pour compléter le graphisme. Si vous avez ajouté des éléments graphiques, vérifiez le folio après une mise à jour de la nomenclature.

Rubriques connexes :

Différents types de documents

Générer des nomenclatures


Fichiers de données

DesignSpark Electrical vous permet d'ajouter différents types de document à un projet, par exemple : des fichiers DWG / DXF, Word ou Excel. Ces fichiers sont copiés dans le projet mais ne peuvent pas être ouverts dans l'interface graphique. Leur ouverture se fait par le biais de l'application qui leur est associée.

Rubriques connexes :

Types de documents

Ajouter un fichier de données


Gestion des folios du projet

Chaque folio dispose d'un repère (numéro). Ce repère est unique dans la liasse, deux folios ne peuvent pas avoir le même repère.

Dans l'onglet Documents du panneau ancrable, l'ordre d'affichage de ces folios est entièrement libre, déplacez-les par glisser-déposer selon vos besoins, ou ajoutez des liasses ou des dossiers. Les folios peuvent être déplacés, copiés ou renumérotés.

Pour ouvrir un folio, cliquez deux fois dessus ou utilisez la commande Ouvrirdans le menu contextuel correspondant. Quand un folio est ouvert dans votre session, il apparaît en bleu. S'il est ouvert sur un autre poste de travail, il apparaît en rouge. Le folio courant apparaît en bleu et en gras.

  • Créer une page de garde

  • Créer un folio

  • Ouvrir un folio

  • Propriétés d'un folio

  • Aperçu

  • Reconstruire un folio

  • Changer la localisation

  • Changer la fonction

  • Rechercher un folio

  • Déplacer un folio

  • Renuméroter les folios

  • Copier/Coller un folio

  • Naviguer dans les folios

  • Supprimer un folio


Créer une page de garde

Menu : Projet > Nouveau > Page de garde

Menu contextuel de la liasse : Nouveau > Page de garde

Menu contextuel du dossier : Nouveau > Page de garde

La page de garde est automatiquement ajoutée à la liste des folios de la liasse ou du dossier. Ensuite, cette page de garde est automatiquement ouverte dans la zone graphique, son cartouche est mis à jour en fonction des informations que vous aurez saisies dans les propriétés du projet, de la liasse ou du dossier.

Rubriques connexes :

Gestion des folios du projet


Créer un folio

Menu : Projet > Nouveau > Schéma (Synoptique de câblage - Schéma mixte)

Menu contextuel de la liasse : Nouveau > Schéma (Synoptique de câblage - Schéma mixte)

Menu contextuel du dossier : Nouveau > Schéma (Synoptique de câblage - Schéma mixte)

Menu contextuel du folio : Nouveau > Schéma (Synoptique de câblage - Schéma mixte)

Lors de la création, le folio est ajouté à la liasse ou au dossier sur lequel la commande a été lancée.

Le folio est ensuite automatiquement ouvert dans la zone graphique. Vous pourrez modifier son numéro ainsi que toutes les données le concernant en ouvrant ses propriétés.

Un folio peut également être créé lorsque le folio courant est le dernier de la liste et que vous cliquez sur l'icône Suivant de la barre d'accès rapide.

Rubriques connexes :

Gestion des folios du projet


Propriétés d'un folio

Menu contextuel du folio : Propriétés

Repère

Le repère du folio est calculé automatiquement en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Numéro : Affiche le numéro d'ordre affecté au folio. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser un numéro existant.

Hiérarchie

Par défaut, un folio est associé à une localisation et à une fonction. Tous les composants de ce folio sont automatiquement associés à cette localisation et cette fonction par défaut. Quand vous modifiez la localisation du folio (ou la fonction), une boîte de dialogue s'ouvre pour vous permettre de modifier la localisation (ou la fonction) des composants insérés dans ce folio.

Localisation : Cliquez sur le bouton [...] pour ouvrir le sélecteur de localisations permettant de sélectionner la localisation à associer au folio.

Fonction : Cliquez sur le bouton [...] pour ouvrir le sélecteur de fonctions permettant de sélectionner la fonction à associer au folio.

Informations

Position du folio : Affiche la position du folio dans la liste (onglet Documents) et le total de folios contenus dans le projet.

Révisions

Révision courante : Affiche l'indice de révision affecté au folio. Vous pouvez gérer les révisions en cliquant sur le bouton [...].

Propriétés

Type de folio : Affiche le type de folio. Les types possibles sont les suivants : Page de garde, Synoptique, Schéma, Schéma mixte ou Nomenclature. Ce paramètre ne peut pas être modifié, à l'exception des folios de schématiques et de synoptiques, qui peuvent être modifiés en type de folio de schéma mixte.

Nom du fichier : Affiche le nom de fichier. Ne pas renommer ce fichier, ou bien le lien avec le logiciel sera perdu.

Fichier cible (uniquement sur le raccourci de fichier) : Affiche le chemin et le nom de fichier gérés dans un raccourci de fichier.

Cartouche : Affiche le nom de cartouche utilisé dans le folio. Cliquez sur le bouton [...] pour modifier le cartouche associé. Si vous cliquez sur l'icône de droite (+), vous accédez au menu de gestion des cartouches.

Description

Les premières données traduisibles du folio. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les données utilisateur sont disponibles sur l'ensemble du projet. Elles sont utilisées pour stocker des informations personnalisées, qui peuvent s'afficher dans les folios. Il existe deux types de données utilisateur : des données utilisateur traduisibles (traduites lors de la traduction du projet) et des données utilisateur non traduisibles.

Le bouton Personnaliser... permet d'accéder aux données utilisateur du folio.

Rubriques connexes :

Gestion des folios du projet


Aperçu

Menu contextuel du folio : Aperçu

Ouvre la fenêtre de visualisation.

Des commandes de zoom sont disponibles dans la barre de menu pour les fichiers DWG ou DXF. Aucune modification ne peut être apportée au folio.

Rubriques connexes :

Gestion des folios du projet


Reconstruire un folio

Menu contextuel du folio : Reconstruire

Cette commande permet de mettre à jour ou de recréer un folio en fonction des données stockées dans la base de données du projet.

Au lancement de cette commande, une boîte de dialogue s'ouvre affichant les options disponibles.

Reconstruire : Les entités DesignSpark Electrical (celles gérées dans la base de données) sont supprimées, puis à nouveau générées dans le folio, en fonction des informations stockées dans la base de données. Les éléments dessinés par les commandes des menus Dessin et Modifier (entités qui ne sont pas gérées par la base de données) sont conservés.

Supprimer et reconstruire : Le folio est supprimé et reconstruit en fonction des informations stockées dans la base de données. Les éléments dessinés par les commandes des menus Dessin et Modifier (entités qui ne sont pas gérées par la base de données) sont perdus.

Ne rien faire : Annule la commande.

Rubriques connexes :

Gestion des folios du projet


Changer la localisation

Menu contextuel du folio : Changer la localisation

La commande Changer de localisation accepte la multi-sélection de folios.

Propriétés du folio : Localisation

Chaque folio est associé à une localisation. Cette localisation est définie lorsque le folio est créé. Par défaut, la localisation est celle qui est associée à la liasse.

Lorsque cette commande est sélectionnée, la boîte de dialogue de sélection d'une localisation s'ouvre, vous permettant de sélectionner la localisation souhaitée.

Les composants qui initialement étaient associés à la même localisation que le folio peuvent être associés à la nouvelle localisation. Une boîte de dialogue s'ouvre, vous permettant de sélectionner l'option désirée.

Changer la localisation des composants : Les composants ayant la même localisation que le folio sont automatiquement associés à la nouvelle fonction. Si le composant a été dessiné sur plusieurs folios (symboles) tous les symboles représentant le composant sont associés à la nouvelle fonction (même si les folios ne sont pas concernés par le changement de fonction).

Changer uniquement la localisation du folio : Aucune modification n'est apportée au contenu du folio, seul le folio se trouve associé à la nouvelle localisation.

Annuler : Annule la commande en cours. Aucune modification n'est apportée au folio et à son contenu.

Rubriques connexes :

Gestion des folios du projet

Localisations


Changer la fonction

Menu contextuel du folio : Changer la fonction

La commande Changer la fonction accepte la multi-sélection de folios.

Propriétés du folio : Fonction

Chaque folio est associé à une fonction. Cette fonction est définie lorsque le folio est créé. Par défaut, la fonction est celle qui est associée à la liasse.

Lorsque cette commande est sélectionnée, la boîte de dialogue de sélection d'une fonction s'ouvre vous permettant de sélectionner la fonction souhaitée.

Les composants qui initialement étaient associés à la même fonction que le folio peuvent être associés à la nouvelle fonction. Une boîte de dialogue s'ouvre, vous permettant de sélectionner l'option désirée.

Changer la fonction des composants : Les composants ayant la même fonction que le folio sont automatiquement associés à la nouvelle fonction. Si le composant a été dessiné sur plusieurs folios (symboles) tous les symboles représentant le composant sont associés à la nouvelle fonction (même si les folios ne sont pas concernés par le changement de fonction).

Changer uniquement la fonction du folio : Aucune modification n'est apportée au contenu du folio, seul le folio se trouve associé à la nouvelle fonction.

Annuler : Annule la commande en cours. Aucune modification n'est apportée au folio et à son contenu.

Rubriques connexes :

Gestion des folios du projet

Fonctions


Rechercher un folio

Rechercher un document

Cette fonctionnalité vous permet de rechercher un document (folio ou autre) parmi tous les documents du projet.

Panneau ancrable > Menu contextuel du projet : Rechercher un folio

Panneau ancrable > Menu contextuel de la liasse : Rechercher un folio

Panneau ancrable > Menu contextuel du dossier : Rechercher un folio

Panneau ancrable > Menu contextuel du folio : Rechercher un folio

Menu : Outils > Rechercher > Rechercher un document

Menu : Affichage > Rechercher un document

La partie gauche de la boîte de dialogue affiche la structure arborescente du projet, la partie droite affiche l'aperçu ou la liste des documents contenus dans le projet.

Mode Liste : Affiche une liste de folios (y compris le nom, la description, etc.).

Mode Vignettes : Affiche les vignettes (aperçus) des folios.

Aperçu : Ouvre le folio dans une boîte de dialogue d'aperçu. Le folio ne peut pas être modifié ici.

Configuration : Permet de gérer les paramètres d'affichage des éléments dans la boîte de dialogue.

Propriétés : Ouvre la boîte de dialogue des propriétés du folio sélectionné.

Pour simplifier la recherche, vous pouvez filtrer les résultats selon quatre filtres : Repère, Description, Type de fichier, Fonction, Emplacement, Liasse et Folio ouvert. Cela vous permet de spécifier quels folios afficher : tous les folios du projet ou uniquement les folios ouverts (par l'utilisateur ou par d'autres utilisateurs).

Sélectionnez le folio, puis cliquez sur le bouton Ouvrir pour l'ouvrir.


Déplacer un folio

Sélectionnez le folio que vous souhaitez déplacer et en utilisant la technique du Glisser / Déposer, faites-le glisser vers sa position définitive (en maintenant le bouton gauche de la souris appuyé).

Vous pouvez déplacer les folios d'un dossier à un autre dossier ou d'une liasse à un dossier et réciproquement. Cette technique peut également être utilisée pour déplacer des dossiers entiers.

Rubriques connexes :

Gestion des folios du projet


Renuméroter les documents

Menu contextuel de la liasse : Renuméroter les documents

Menu contextuel du dossier : Renuméroter les documents

Menu : Traitements > Renuméroter les documents

Cette commande vous permet de renuméroter tous les documents du projet, des dossiers, des liasses et des folios.

Une boîte de dialogue s'ouvre vous permettant de renuméroter les documents en tenant compte de vos paramètres favoris.

Sélection

Ensemble du projet : Renumérote l'ensemble des documents du projet.

Liasse courante : Renumérote seulement les documents dans la liasse courante (celle associée au schéma actuel).

Dossier courant : Renumérote seulement les documents dans le dossier courant (celui associé au schéma actuel).

Documents sélectionnés : Cliquez sur le bouton [...] pour sélectionner les documents à renuméroter.

Mode de renumérotation

Mettre à jour les repères : permet de mettre à jour les repères de document si vous modifiez la formule de numérotation (la valeur ORDERNO ne change pas).

Recalculer les numéros d'ordre : recalcule tous les numéros de document (la valeur ORDERNO change), à l'exception des numéros qui ont été modifiés manuellement. Pour recalculer tous les repères de document, cochez la case Recalculer les repères manuels.

Eléments

Eléments : Affiche la liste des documents disponibles.

Sélection : La case à cocher vous permet de sélectionner les éléments à renuméroter. Elle affiche également le nombre d'éléments à renuméroter.

Premier numéro : Saisissez le premier numéro affecté à l'élément.

Incrément : Saisissez la valeur de l'incrément. Par exemple, si "Premier numéro" = 10 et que "Incrément" = 2, les éléments auront les numéros : 10, 12, 14, 16...

Formule : Affiche la formule de repère gérée dans la configuration de projet.

Fx : le bouton [...] sert à accéder au gestionnaire de formule afin de modifier la formule. Cela permet de renuméroter les éléments. Si vous modifiez la formule, elle remplace la formule de configuration du projet.

Configuration des repères : permet d'accéder à l'onglet Repère de la configuration de projet.

Lorsque vous validez la renumérotation, les liasses, dossiers et folios concernés sont renumérotés. Les formules de repère éventuellement modifiées sont mises à jour automatiquement dans la configuration de projet.

Rubriques connexes :

Gestion des folios du projet


Copier / Coller un folio

Menu contextuel de la liasse : Couper - Copier - Coller - Collage spécial

Menu contextuel du dossier : Couper - Copier - Coller - Collage spécial

Menu contextuel du folio : Couper - Copier - Coller - Collage spécial

DesignSpark Electrical offre un presse-papiers indépendant de celui de Windows. Les éléments placés dans le presse-papier remplacent automatiquement les éléments qui y étaient précédemment.

Couper

Permet de placer une copie des folios sélectionnés (de la liasse ou du dossier) dans le presse-papiers de DesignSpark Electrical et de supprimer les originaux.

Copier

Permet de placer une copie des folios sélectionnés (de la liasse ou du dossier) dans le presse-papiers de DesignSpark Electricalsans supprimer les originaux.

Coller

Permet de coller les folios présents dans le presse-papiers de DesignSpark Electrical. Les numéros de folios copiés ainsi que les repères des composants présents dans les folios copiés sont automatiquement recalculés en fonction des repères existant dans le projet.

Collage spécial

Identique à la commande Coller. La boîte de dialogue qui s'ouvre vous permet de gérer les repères.

Notez que la commande Couper n'est pas disponible sur une liasse.

Rubriques connexes :

Gestion des folios du projet


Naviguer dans les folios

Menu : Affichage > Folio précédent - Folio suivant

Barre d'accès rapide

Ces commandes permettent d'accéder au folio suivant ou au folio précédent. Si vous avez atteint le dernier folio du projet et que vous cliquez sur Suivant, DesignSpark Electrical vous propose de créer un nouveau folio.

Rubriques connexes :

Gestion des folios du projet


Supprimer un folio

Menu contextuel de la liasse : Supprimer

Menu contextuel du dossier : Supprimer

Menu contextuel du folio : Supprimer

Permet de supprimer le ou les folios sélectionnés. Lorsque cette commande est utilisée sur une liasse ou un dossier, tous les folios de cette liasse ou de ce dossier sont supprimés.

Lors de la suppression d'un folio, son contenu est également supprimé. Certains éléments peuvent rester dans la base de données (par exemple, câbles ou borne).

Les folios, les liasses ou les dossiers peuvent également être supprimés en sélectionnant l'objet et en appuyant sur la touche [Suppr] du clavier.

La suppression des folios ne peut pas être annulée.

Rubriques connexes :

Gestion des folios du projet


Gestion des cartouches

Chaque type de folio est associé à un cartouche (Configuration du projet). Néanmoins, vous avez la possibilité de modifier le cartouche dans les folios existants.

Le cartouche associé au folio peut également être changé dans les propriétés du folio.

Menu contextuel du folio : Cartouche

Mettre à jour : Lorsque la définition du cartouche a été modifiée, cette commande permet de mettre à jour le cartouche du folio. Elle est fonctionnelle sur une multi-sélection.

Remplacer : Permet d'associer au folio un autre cartouche que celui associé dans la configuration du projet. Le sélecteur de cartouche s'ouvre pour vous permettre de sélectionner un nouveau cartouche. Une fois le remplacement effectué, DesignSpark Electrical vous demande si vous souhaitez appliquer ce cartouche à tous les folios utilisant le cartouche d'origine. Vous pouvez également mettre à jour la configuration du projet avec le nouveau cartouche.

Supprimer : Permet de supprimer le cartouche inséré dans le folio.

Ouvrir : Permet d'ouvrir l'interface de modification du cartouche. Lorsque le cartouche a été modifié et que vous souhaitez que ces modifications soient reportées sur les folios existants, il convient d'utiliser la commande Mettre à jour.

Ajouter à la bibliothèque : Permet d'ajouter le cartouche du folio à la bibliothèque.

Rubriques connexes :

Sélecteur de cartouches


Sélecteur de cartouches

Menu contextuel de la liasse : Cartouche > Remplacer

Menu contextuel du dossier : Cartouche > Remplacer

Menu contextuel du folio : Cartouche > Remplacer

Chaque type de folio est associé à un cartouche (Configuration du projet). Cette commande vous permet de modifier cette valeur par défaut.

Le cartouche associé au folio peut également être changé dans les propriétés du folio.

Le sélecteur de cartouche permet de sélectionner le nouveau cartouche à associer à un folio.

Propriétés : Ouvre la boîte de dialogue des propriétés du cartouche sélectionné.

Aperçu : Permet d'ouvrir le cartouche dans une boîte de dialogue d'aperçu. Le cartouche ne peut pas être modifié dans cette vue.

Mode Liste : Affiche une liste de cartouches (nom, description...).

Mode Vignettes : Affiche les cartouches sous forme d'aperçus.

Configuration : Permet de gérer les paramètres d'affichage des éléments dans la boîte de dialogue.

Classification

Cet onglet affiche la classification des cartouches sous la forme d'une arborescence.

La partie gauche de la boîte de dialogue affiche les classifications de cartouche. Le côté droit affiche les cartouches dans la classification actuelle sélectionnée.

Afficher le contenu des sous-classes : Cochez cette case et tous les cartouches de la sous-classe de la classification sélectionnée seront affichés.

Filtres

Cet onglet vous permet de filtrer la liste des cartouches. Tous les critères du filtre sont issus des propriétés du cartouche.

La partie droite de la boîte de dialogue affiche les cartouches qui correspondent aux critères sélectionnés.

Supprimer le filtre : Permet de supprimer tous les critères de filtre.

Si ce paramètre doit être appliqué à tous les folios du projet, ou à un type de folio particulier (tel que folio schématique), il est préférable d'appliquer le nouveau cartouche au niveau de la configuration du projet. Après changement des paramètres pour un folio, il vous sera demandé si vous souhaitez affecter ce nouveau cartouche à l'ensemble des folios de ce type.

Rubriques connexes :

Gestion des folios du projet

Gestion des cartouches


Ajouter un fichier de données

DesignSpark Electrical vous permet de gérer n'importe quel type de document (par exemple des fichiers PDF ou Excel). à condition que vous possédiez l'application pour les ouvrir. DesignSpark Electrical utilise automatiquement les associations Windows pour ouvrir ces fichiers.

Menu : Projet > Nouveau > Fichiers de données

Menu contextuel de la liasse : Nouveau > Fichier de données

Menu contextuel du dossier : Nouveau > Fichier de données

DesignSpark Electrical effectue une copie du fichier original et la place dans le répertoire du projet, dont le contenu est inclus lors de l'archivage du projet.

Une fois le fichier de données ajouté au projet, cliquez deux fois dessus pour l'ouvrir avec l'application associée.

Rubriques connexes :

Fichiers de données

Hyperliens


Sélecteur de folio/dossier

La boîte de dialogue de sélection de folio/dossier vous permet de sélectionner un ou plusieurs folios ou un dossier, selon le contexte. Elle vous permet également de créer un nouveau dossier.

Gestionnaire d'impression : sélection de folio

Gestionnaire de nomenclatures > Gestion de l'édition des nomenclatures : Dossiers de destination

La partie gauche de la boîte de dialogue affiche la structure arborescente du projet, la partie droite affiche l'aperçu ou la liste des documents contenus dans le projet.

Nouveau dossier : cette icône ne s'affiche que si vous devez sélectionner un dossier. Elle vous permet de créer un nouveau dossier.

Mode Liste : Affiche une liste de folios (y compris le nom, la description, etc.).

Mode Vignettes : Affiche les vignettes (aperçus) des folios.

Aperçu : Ouvre le folio dans une boîte de dialogue d'aperçu. Le folio ne peut pas être modifié ici.

Configuration : Permet de gérer les paramètres d'affichage des éléments dans la boîte de dialogue.

Propriétés : Ouvre la boîte de dialogue des propriétés du folio sélectionné.

Pour simplifier la recherche, vous pouvez filtrer les résultats selon plusieurs filtres : Repère, Description et Type de fichier. Le filtre Folio ouvert vous permet d'afficher tous les folios du projet ou uniquement les folios ouverts par l'utilisateur ou par d'autres utilisateurs.

Selon le contexte, sélectionnez un ou plusieurs folios ou un dossier, puis cliquez sur le bouton OK pour valider la sélection.

Rubriques connexes :

Gestion des folios du projet


Sélecteur de documents

Certaines fonctionnalités de DesignSpark Electrical nécessitent la sélection de documents du projet (tels que des folios, des dossiers ou des liasses). Le sélecteur de documents facilite cette opération.

Gestionnaire d'impression : Sélection de folios > [...]

Export de fichiers DWG : Sélection de folios > [...]

Export de fichiers PDF : Sélection de folios > [...]

...

Une boîte de dialogue s'ouvre pour vous permettre de sélectionner les éléments. Le contenu de la boîte de dialogue est adapté à son environnement pour afficher les éléments (tels que folios, dossier et liasses) que vous devez sélectionner.

Propriétés : Ouvre la boîte de dialogue des propriétés de l'élément sélectionné.

Aperçu : Ouvre le folio dans une boîte de dialogue d'aperçu. Le folio ne peut être modifié dans cette vue.

Mode Liste : Affiche une liste d'éléments (nom, description,...).

Mode Vignettes : Affiche les éléments sous forme de vignettes.

Configuration : Permet de gérer les paramètres d'affichage des éléments dans la boîte de dialogue.

La boîte de dialogue contient aussi une zone de filtre qui facilite la recherche d'éléments. D'autres fonctions peuvent figurer dans le menu, selon le contexte.

Vous pourrez parfois sélectionner l'élément à l'aide de la case à cocher correspondante. Exemple : dans la commande Imprimer, quand vous sélectionnez un dossier (en cochant la case correspondante), vous sélectionnez tous les folios inclus dans ce dossier.


Localisations

Menu : Projet > Localisations

Panneau ancrable > Menu contextuel du projet : Projet > Gestionnaire de localisations

La localisation est un emplacement. Différentes localisations sont généralement connectées par des câbles.

Chaque composant électrique (appareils, borniers, par exemple) fait partie d'une localisation. Il est donc possible de regrouper les composants électriques par localisation afin d'obtenir des listes distinctes en fonction du matériel contenu dans chaque localisation.

Chaque folio est associé à une localisation, ainsi lorsque vous placez un symbole dans ce folio, il sera automatiquement associé à cette localisation.

Une boîte de dialogue s'ouvre, vous permettant de gérer les localisations du projet.

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Nouvelle localisation : Permet de créer une nouvelle localisation.

Créer plusieurs localisations : Permet de créer plusieurs localisations en une seule opération.

Supprimer : permet de supprimer les localisations sélectionnées.

Propriétés : ouvre la boîte de dialogue des propriétés des localisations sélectionnées. Si vous sélectionnez plusieurs localisations, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Localisation par défaut : La localisation sélectionnée est définie comme localisation par défaut.

Affichage en arbre : Affiche les localisations dans une arborescence.

Affichage en liste : Affiche les données sous forme de liste.

Vous pouvez gérer une hiérarchie dans les localisations.

Dans l'exemple ci-dessus, la localisation L3 est incluse dans la localisation L1. En utilisant la technique du Glisser/Déposer, faites glisser L3 sur L1 ou sélectionnez L1 avant de créer L3.

  • Créer une localisation

  • Créer plusieurs localisations

  • Propriétés d'une localisation

  • Localisation par défaut

  • Insérer un contour de localisation


Créer une localisation

Gestionnaire de localisations : Nouvelle localisation

Panneau ancrable > Menu contextuel du projet : Nouvelle > Localisation

Panneau ancrable > Menu contextuel de la localisation : Nouvelle > Localisation

1. Sélectionnez le projet.

2. Cliquez sur l'icône Nouvelle localisation.

3. La boîte de dialogue des propriétés de la localisation s'ouvre, vous permettant de renseigner les informations de cette localisation.

Pour créer une localisation imbriquée (localisation dépendante d'une autre localisation), sélectionnez la localisation principale avant de cliquer sur l'icône Nouvelle localisation.

Rubriques connexes :

Créer plusieurs localisations

Propriétés d'une localisation

Localisation par défaut

Insérer un contour de localisation


Créer plusieurs localisations

Gestionnaire de localisations : Créer plusieurs localisations

1. Cliquez sur l'icône Créer plusieurs localisations.

2. La boîte de dialogue qui s'ouvre vous permet de saisir le nombre de localisations que vous souhaitez créer.

Après validation, les localisations sont automatiquement ajoutées à la liste, leur repère est calculé automatiquement.

Vous pouvez ensuite ouvrir les propriétés de chaque localisation pour y apporter les compléments d'informations que vous souhaitez.

Rubriques connexes :

Créer une localisation

Propriétés d'une localisation

Localisation par défaut

Insérer un contour de localisation


Propriétés d'une localisation

Gestionnaire de localisations : Propriétés

Menu contextuel d'un contour de localisation : Propriétés d'une localisation

1. Sélectionnez une localisation.

2. Cliquez sur l'icône Propriétés pour ouvrir la boîte de dialogue des propriétés de la localisation.

La boîte de dialogue s'ouvre automatiquement lors de la création d'une nouvelle localisation.

Onglet "Propriétés"

Repère

Le repère de la localisation est automatiquement calculé en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Racine : Affiche la racine associée aux localisations (L).

Numéro : Affiche le numéro d'ordre affecté à la localisation. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser de numéro existant.

hiérarchie

Principal : Indique le nom de la localisation principale dont dépend une localisation enfant ou secondaire.

Liasse associée : Associe une localisation à une liasse.

Description

Les premières données traduisibles de la localisation. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les données utilisateur sont disponibles sur l'ensemble du projet. Elles sont utilisées pour stocker les informations personnelles, qui peuvent s'afficher dans les folios. Il existe deux types de données utilisateur : des données utilisateur traduisibles (traduites lors de la traduction du projet) et des données utilisateur non traduisibles.

La localisation par défaut appliquée aux folios est issue de la localisation appliquée à la liasse dans laquelle les folios sont créés.

Le bouton Personnaliser... permet d'accéder aux données utilisateur de la localisation afin de les définir.

Onglet "Références constructeur"

Cet onglet permet d'affecter une référence constructeur à une localisation.

Rubriques connexes :

Créer une localisation

Créer plusieurs localisations

Localisation par défaut

Insérer un contour de localisation


Localisation par défaut

Gestionnaire de localisations : Localisation par défaut

DesignSpark Electrical définit une localisation par défaut au sein d'un projet. Lorsqu'une schématique est créée, elle est automatiquement associée à la localisation par défaut, même si elle dépend d'une liasse associée à une autre localisation.

1. Sélectionnez la localisation dans la liste.

2. Cliquez sur l'icône Localisation par défaut.

Un pictogramme spécifique permet de matérialiser la localisation par défaut.

Elle est également représentée par une icône dans le panneau ancrable.

Rubriques connexes :

Créer une localisation

Insérer plusieurs localisations

Propriétés d'une localisation

Insérer un contour de localisation


Insérer un contour de localisation

Menu : Schématique > Contour de localisation

Menu : Synoptique > Contour de localisation

Le contour de localisation permet de matérialiser graphiquement à l'intérieur d'un folio, une zone de localisation (géographique). Le contour de localisation peut avoir une représentation rectangulaire ou être construit à l'aide de polylignes, mais devra obligatoirement être fermé.

Folio du contour

Saisie des coordonnées : Vous pouvez tracer le contour de la fonction en cliquant sur les points dans la zone graphique ou en saisissant les coordonnées. S'il s'agit d'un contour sous forme de rectangle, il vous suffit de cliquer sur un second point matérialisant la diagonale du rectangle. S'il s'agit d'un contour réalisé par polylignes, cliquez sur le second point de la ligne, ensuite construisez sur ce même principe votre contour. Le bouton Clore dans le panneau ancrable permet de donner automatiquement le dernier point du contour, correspondant au premier point du contour.

Options : Le panneau ancrable vous permet lors du lancement de la commande, de permuter d'un mode à l'autre.

Choix de la localisation

Lorsque le tracé du contour de localisation est effectué, la boîte de dialogue de Sélection d'une localisation s'ouvre.

1. Sélectionnez la localisation préférée.

2. Cliquez sur le bouton Sélectionner.

La boîte de dialogue se referme et le folio se met à jour automatiquement avec la localisation choisie.

Les composants placés à l'intérieur du contour peuvent être associés à la localisation.

3. Cliquez sur l'option souhaitée pour associer la localisation aux composants ou conserver leur localisation d'origine.

Rubriques connexes :

Créer une localisation

Créer plusieurs localisations

Propriétés d'une localisation

Localisation par défaut


Fonctions

Menu : Projet > Fonctions

Panneau ancrable > Menu contextuel du projet : Projet > Gestionnaire de fonctions

Les fonctions permettent de regrouper des appareils constituant une fonctionnalité au sein de votre installation. Elles ne doivent pas être confondues avec les localisations qui, elles, ont une connotation géographique.

Chaque composant électrique (appareils, borniers) appartient à une fonction. Il est donc possible de regrouper des composants électriques par fonction à des fins d'obtenir des listes distinctes du matériel appartenant à une fonction.

Chaque folio est associé à une fonction, ainsi lorsque vous placez un symbole dans un folio, il sera automatiquement associé à cette fonction.

Une boîte de dialogue s'ouvre vous permettant de gérer les fonctions du projet.

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Nouvelle fonction : Permet de créer une nouvelle fonction.

Créer plusieurs fonctions : Permet de créer plusieurs fonctions en une seule opération.

Supprimer : permet de supprimer les fonctions sélectionnées.

Propriétés : ouvre la boîte de dialogue des propriétés des fonctions sélectionnées. Si vous sélectionnez plusieurs fonctions, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Fonction par défaut : La fonction sélectionnée est définie comme fonction par défaut.

Affichage en arbre : Affiche les fonctions dans une arborescence.

Affichage en liste : Affiche les fonctions sous forme de liste.

Les fonctions peuvent être affichées sous forme d'arbre ou de liste (Icônes Affichage en arbre et Affichage en liste).

Vous pouvez également gérer une hiérarchie dans les fonctions.

Dans l'exemple ci-dessus, la fonction F3 est incluse dans la fonction F1. En utilisant la technique du Glisser / Déposer, faites glisser F3 sur F1 ou sélectionnez F1 avant de créer F3.

  • Créer une fonction

  • Créer plusieurs fonctions

  • Propriétés d'une fonction

  • Fonction par défaut

  • Insérer un contour de fonction


Créer une fonction

Gestionnaire de fonctions : Nouvelle fonction

Panneau ancrable > Menu contextuel du projet : Nouvelle > Fonction

Panneau ancrable > Menu contextuel de la fonction : Nouvelle > Fonction

1. Sélectionnez le projet.

2. Cliquez sur l'icône Nouvelle fonction.

3. La boîte de dialogue des propriétés de la fonction s'ouvre, vous permettant de renseigner les informations de cette fonction.

Pour créer une fonction imbriquée (dépendante d'une autre fonction), sélectionnez la fonction principale avant de cliquer sur l'icône Nouvelle fonction.

Rubriques connexes :

Créer plusieurs fonctions

Propriétés d'une fonction

Fonction par défaut

Insérer un contour de fonction


Créer plusieurs fonctions

Gestionnaire de fonctions : Créer plusieurs fonctions

1. Cliquez sur l'icône Créer plusieurs fonctions.

2. La boîte de dialogue qui s'ouvre vous permet de saisir le nombre de fonctions que vous souhaitez créer.

Après validation, les fonctions sont automatiquement ajoutées à la liste, leur repère est calculé automatiquement.

Vous pouvez ensuite ouvrir les propriétés de chaque fonction pour y apporter les compléments d'informations que vous souhaitez.

Rubriques connexes :

Créer une fonction

Propriétés d'une fonction

Fonction par défaut

Insérer un contour de fonction


Propriétés d'une fonction

Gestionnaire de fonctions : Propriétés

Menu contextuel d'un contour de fonction : Propriétés d'une fonction

1. Sélectionnez une fonction.

2. Cliquez sur l'icône Propriétés pour ouvrir la boîte de dialogue des propriétés de la fonction.

La boîte de dialogue des propriétés s'ouvre également lors de la création d'une nouvelle fonction.

Repère

Le repère de la fonction est automatiquement calculé en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Racine : Affiche la racine associées aux fonctions (F).

Numéro : Affiche le numéro d'ordre affecté à la fonction. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser de numéro existant.

Hiérarchie

Principal : Indique le nom de la fonction principale dont dépendent les fonctions enfant ou imbriquées.

Liasse associée : Associe une fonction à une liasse et tous ses folios.

Description

Les premières données traduisibles de la fonction. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les données utilisateur sont disponibles sur l'ensemble du projet. Elles sont utilisées pour stocker les informations personnelles, qui peuvent s'afficher dans les folios. Il existe deux types de données utilisateur : des données utilisateur traduisibles (traduites lors de la traduction du projet) et des données utilisateur non traduisibles.

La fonction par défaut appliquée aux folios est issue de la liasse dans laquelle ont été créés les folios.

Le bouton Personnaliser... permet d'accéder au paramétrage des données utilisateur affichées dans les propriétés de la fonction.

Rubriques connexes :

Créer une fonction

Créer plusieurs fonctions

Fonction par défaut

Insérer un contour de fonction


Fonction par défaut

Gestionnaire de fonctions : Fonction par défaut

DesignSpark Electrical définit une fonction par défaut au sein d'un projet. Lorsqu'une schématique est créée, elle sera automatiquement associée à la fonction par défaut, même si elle dépend d'une liasse à laquelle une autre fonction est associée.

1. Sélectionnez la fonction à partir de la liste.

2. Cliquez sur l'icône Fonction par défaut.

Le graphique est mis à jour lorsque la fonction par défaut est modifiée.

La fonction par défaut est également représentée par une icône dans le panneau ancrable.

Rubriques connexes :

Créer une fonction

Créer plusieurs fonctions

Propriétés d'une fonction

Insérer un contour de fonction


Insérer un contour de fonction

Menu : Schématique > Contour de fonction

Menu : Synoptique > Contour de fonction

Le contour de fonction permet de matérialiser graphiquement à l'intérieur d'un folio, une zone fonctionnelle. Le contour de fonction peut avoir une représentation rectangulaire ou être construit à l'aide de polylignes, mais devra obligatoirement être fermé.

Folio du contour

Saisie des coordonnées : Tracez le contour de la fonction en cliquant sur les points dans la zone graphique ou en saisissant les coordonnées. S'il s'agit d'un contour sous forme de rectangle, il vous suffit de cliquer sur un second point matérialisant la diagonale du rectangle. S'il s'agit d'un contour réalisé par polylignes, cliquez sur le second point de la ligne, ensuite construisez sur ce même principe votre contour. Un bouton Clore dans le panneau ancrable permet de donner automatiquement le dernier point du contour, correspondant au premier point du contour.

Options : Une fois que la commande est lancée, le panneau ancrable vous permet de basculer entre les modes.

Choix de la fonction

Lorsque le tracé du contour de fonction est effectué, la boîte de dialogue Sélection d'une fonction s'ouvre.

1. Sélectionnez la fonction préférée.

2. Cliquez sur le bouton Sélectionner.

La boîte de dialogue se referme et le folio se met à jour automatiquement avec la fonction choisie.

Les composants placés à l'intérieur du contour peuvent être associés à la fonction.

3. Cliquez sur l'option souhaitée pour associer la fonction aux composants ou conserver leur fonction d'origine.

Rubriques connexes :

Créer une fonction

Créer plusieurs fonctions

Propriétés d'une fonction

Fonction par défaut


Affectation de localisations / fonctions

Propriétés du symbole : Edition de symbole > Localisation (fonction)

Propriétés du câble : Localisation amont (localisation aval)

La localisation (fonction) d'un composant est automatiquement définie en fonction du contexte dans lequel il est créé/inséré. Par exemple, lorsqu'un symbole est inséré dans un schéma, il prend automatiquement la localisation et la fonction du folio, ou du contour de localisation/fonction dans lequel il est inséré. Lorsque le contexte n'existe pas, le composant est créé dans la localisation (fonction) par défaut du projet.

1. Cliquez sur la ligne correspondant à la localisation ou la fonction désirée.

2. Dans le sélecteur de localisation/fonction qui s'affiche, sélectionnez la localisation ou la fonction souhaitée.

3. Cliquez sur le bouton Sélectionner pour valider.

Rubriques connexes :

Gestion des localisations

Gestion des fonctions


Gestion des composants

Un composant représente un appareil électrique ou une borne. Il est représenté par un symbole et a un repère. Un composant peut être présent dans votre projet sans nécessairement avoir de représentation graphique (pas de symbole inséré dans le folio).

Les composants sont répertoriés dans un onglet spécifique du panneau ancrable.

Un double-clic sur un symbole d'un composant vous permet d'ouvrir le folio dans lequel ce symbole est inséré.

Affichage des composants

Si nécessaire, vous pouvez utiliser la touche [F5] ou la commande Rafraîchir dans le menu contextuel du projet pour rafraîchir la liste de composants.

Il existe plusieurs modes permettant d'afficher la liste de composants dans le menu contextuel du projet, dans le sous-menu Affichage.

Vue par localisation/Vue par fonction : ce mode vous permet d'afficher les composants regroupés par localisation ou par fonction.

Composants enfants par hiérarchie/Composants enfants dans un emplacement/une fonction réel(le) : cette option permet d'afficher un composant enfant sous son parent, ou sous son emplacement réel (fonction) lorsque l'emplacement (fonction) du composant enfant est différent de celui du parent.

Trier par fonction (localisation)/Trier par repère : permet de trier les composants par repère ou par localisation (fonction).

Masquer les bornes accessoires : permet de masquer les bornes d'accessoires.

Ajouter un nouveau composant

Un composant peut être ajouté via le menu contextuel d'une localisation ou à partir de composants existants (lorsqu'un composant dépend d'un autre composant).

Créer un nouveau composant

Composant : Si vous sélectionnez l'option Composant, un seul repère est ajouté (si vous n'avez pas sélectionné de référence constructeur).

La boîte de dialogue des propriétés du composant s'affiche, vous permettant de gérer le repère de composant et d'indiquer si vous voulez l'affecter à une référence constructeur.

Créer un nouveau composant à partir d'une référence constructeur

Référence constructeur du composant : Si vous sélectionnez l'option Référence constructeur, une boîte de dialogue s'ouvre pour vous permettre de sélectionner une référence constructeur.

Consultez la rubrique Affectation d'une référence constructeur pour plus d'informations sur cette boîte de dialogue.

En fonction du matériel choisi et (surtout) de la classification à laquelle il appartient, un repère est automatiquement généré et ajouté à la liste des composants.

Vous pouvez aussi gérer la quantité de composants que vous souhaitez créer. A la fermeture de la boîte de dialogue Choix de référence(s) constructeur, saisissez le nombre de composants et validez.

Pour créer un nouveau composant, vous pouvez cliquer sur OK (Continuer). La boîte de dialogue Choix de référence(s) constructeur s'ouvre à nouveau pour vous permettre de rechercher une nouvelle référence constructeur.

Supprimer un composant

La commande de suppression est disponible via le menu contextuel du composant.

Un composant inséré dans un folio ne peut pas être supprimé.

Propriétés d'un composant

Un composant peut être modifié en utilisant la commande Propriétés de son menu contextuel ou la commande Propriétés du composant dans le menu contextuel d'un symbole.

Cette commande vous donne accès à la boîte de dialogue des propriétés d'un composant vous permettant de modifier son repère et d'associer des références constructeur.

Rubriques connexes :

Propriétés d'un composant


Propriétés d'un composant

Menu contextuel du composant : Propriétés

Menu contextuel du symbole : Propriétés d'un composant

Ouvre la boîte de dialogue Propriétés du composant, en affichant les informations sur le composant.

Repère et données

Repère

Le repère du composant est calculé automatiquement d'après les paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Racine : Affiche la racine associée au composant en fonction de sa classe.

Numéro : Affiche le numéro d'ordre affecté au composant. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser de numéro existant.

hiérarchie

Classe : permet de modifier la classification des composants. Cette option est utilisée lors de l'affectation d'une référence constructeur. Il permet également de définir la racine utilisée lors d'un repérage automatique.

Principal : Affiche le nom du composant principal dont dépend un sous-composant (tel que carte automate et son rack).

Localisation / Fonction : Le symbole, partie du composant, lors de son insertion prend automatiquement la localisation (fonction) du folio, ou du contour de localisation s'il a été inséré à l'intérieur. Pour affecter une autre localisation (fonction), cliquez sur le bouton [...] et sélectionnez la localisation (fonction) de votre choix.

Données constructeur

Ces données proviennent de la référence constructeur, mais peuvent être modifiées manuellement. Les types de données sont spécifiés dans la définition de la classe.

Description

Le premier champ de données traduisibles du composant. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les champs de données utilisateur permettent de saisir toutes les informations que vous souhaitez gérer pour le composant. Cliquez sur le bouton Personnaliser... pour modifier les noms.

Référence constructeur et circuits

1. Cliquez sur l'onglet Références constructeur et circuits pour affecter une référence constructeur.

2. Consultez Affectation d'une référence constructeur pour plus d'informations.


Affecter un composant

Cette commande permet d'associer plusieurs symboles pour les affecter à un composant.

Menu contextuel des symboles : Affecterun composant

Le panneau latéral affiche des options.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Permet de valider la sélection.

Sélection : Affiche la liste des symboles sélectionnés. Vous pouvez compléter la liste en cliquant sur d'autres symboles dans la zone de graphisme.

Composant : Sélectionnez dans la liste le composant à associer aux symboles sélectionnés.

Supprimer : Supprimer de la liste le symbole sélectionné.

Si vous sélectionnez différents types de symbole (symbole et borne par exemple) lorsque vous validez l'association, une boîte de dialogue s'ouvre pour vous permettre de confirmer votre choix.

Quand vous validez, les symboles sélectionnés sont associés automatiquement au composant existant. Les repères de symbole sont mis à jour avec le repère du composant.


Rechercher un composant

Panneau ancrable : Composants > Menu contextuel > Rechercher un composant

Menu : Outils > Rechercher >Rechercher un composant

Insérer un connecteur : Sélectionner un composant existant

Cette commande permet, grâce à l'utilisation de filtres, de retrouver un composant dans la liste des composants du projet.

1. Entrez les critères correspondant au composant que vous recherchez.

2. La recherche se lance automatiquement.

3. Le résultat s'affiche dans la partie gauche de la boîte de dialogue. La partie droite affiche un aperçu de l'élément sélectionné.

Liste des critères

Repère : Permet de lancer la recherche sur le repère du composant.

Description : Permet de lancer la recherche sur la description du composant.

Principal : Permet de lancer la recherche sur le repère parent du composant, dans le cas d'un repérage cascadé.

Localisation : Permet de lancer la recherche sur la localisation du composant.

Fonction : Permet de lancer la recherche sur la fonction du composant.

Aboutissant : Permet de lancer la recherche uniquement dans la liasse ou le dossier sélectionné(e).

Classe: Permet de lancer la recherche sur la classe du composant.

Référence constructeur : Permet de lancer la recherche sur la référence constructeur associée au composant.

Type de composant : Permet de lancer la recherche sur le type de composant.

Définition des icônes

Permet de lancer le Gestionnaire de recherche.

Permet de réinitialiser l'ensemble des filtres.

Permet d'ouvrir le folio de l'élément sélectionné.

Permet de retrouver le composant dans la liste des composants du panneau ancrable.


Ajouter des circuits

Câblage détaillé : Ajouter des circuits virtuels

Edition graphique d'un symbole : Points de connexion multiples

Propriétés d'une référence constructeur : Ajoutmultiple

Propriétés du composant > Circuits : Ajouter des circuits virtuels...

Cette fonctionnalité vous permet d'ajouter de nouveaux circuits sur un composant.

Ajouter : permet d'ajouter un nouveau circuit à la liste. Le circuit est initialisé à l'aide des valeurs par défaut. Vous pouvez les modifier directement dans la liste.

Supprimer : Supprime les circuits sélectionnés.

Initialiser à partir d'une référence constructeur : Ouvre le Gestionnaire de références constructeurs. Les circuits de la référence constructeur sélectionnée sont automatiquement ajoutés à la liste de circuits.

Lorsque vous avez ajouté les types de circuits, modifiez leur type et leur quantité.

Numéro : Indique le numéro d'ordre du circuit.

Type de circuit : Sélectionnez dans la liste le type de circuit correspondant au composant, au symbole ou à la référence constructeur.

Nombre de circuits : Saisissez le nombre de circuits à ajouter.

Nombre de bornes par circuit : Saisissez le nombre de bornes dans le circuit.

Transmission d'informations : Sélectionnez le mode de transmission du circuit.

Rubriques connexes :

Câblage détaillé

Edition graphique du symbole


Edition des numéros de bornes

Menu contextuel du symbole : Editer les bornes du symbole

Propriétés du composant > Références constructeur et circuits > Menu contextuel du circuit : Editer les bornes

Circuit : Indique le numéro du circuit.

Indice : Indique le numéro d'ordre dans le circuit.

Repère : Permet de saisir le numéro de la borne matérielle. Par défaut, le numéro de la borne matérielle est donné par la référence constructeur associée au composant.

Orientation: permet de spécifier l'orientation du point de connexion, en particulier pour les bornes.

Nombre maxi de fils : Permet de saisir le nombre de liaisons ou de brins de câble pouvant être connectés sur la borne matérielle.

Utilisation : Permet de saisir un texte libre. Celui-ci peut être propagé dans un attribut spécifique du point de connexion.

Section maximale du fil (mm²) / Section minimale du fil (mm²) : Permet de saisir la section sur la borne.


Sélecteur de composant

Le Sélecteur de composant regroupe tous les composants du projet. Cette boîte de dialogue vous permet de sélectionner un composant.

Insérer une carte de circuit imprimé : Sélectionner une carte de circuit imprimé existante

Collage spécial : Associer un composant

Les composants sont regroupés par localisation.

1. Cliquez deux fois sur l'icône de localisation pour afficher les composants.

Parfois, la liste de composants affiche uniquement les types de composant (tels que connecteurs ou carte de circuit imprimé), en fonction du contexte.

2. Sélectionnez le composant voulu.

3. Validez votre choix en cliquant sur le bouton Sélectionner.


Synoptique

Le synoptique est une représentation simplifiée, mais complète du câblage de votre installation. Le synoptique vous permet de générer une liste de câblage sans avoir à réaliser l'ensemble des schématiques électriques. Le synoptique se compose de folios qui représentent les connexions (câbles) entre localisations, borniers et appareils. Il vous permet de réserver les brins de câble qui peuvent ensuite être utilisés dans les schématiques.

Rubriques connexes :

Dessiner un câble

Symbole des synoptiques

Macros


Dessiner un câble

Le dessin d'un câble s'effectue dans un folio de type Synoptique ou schéma mixte.

Menu : Synoptique > Dessiner un câble

Vous pouvez maintenant tracer votre câble dans la zone graphique.

1. Cliquez sur le premier point du câble.

2. Cliquez sur le deuxième point du câble.

Le panneau ancrable affiche les options possibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Arrête la commande après avoir tracé le premier câble.

Permet de quitter la commande.

Permet d'annuler la dernière action.

Style de câble

Permet de sélectionner un des types de câbles définis dans le projet (Gestionnaire des styles de câbles).

Action après insertion

Ne rien faire : Met fin à la commande lorsque le câble a été tiré.

Me demander : Ouvre une boîte de dialogue d'option avec deux choix, choisir une référence de câble ou afficher la boîte de dialogue câblage détaillées.

Lorsque vous dessinez un câble connecté à un symbole, notez que le premier point correspond au repère du symbole (résol verte, par défaut).

Rubriques connexes :

Gestionnaire de style de câble

Renvois

Réservation des câbles

Câblage détaillé

Ajouter un câble

Etiquette de câble

Afficher les repères de câble


Renvois

Menu : Synoptique > Renvois

Menu : Schématique > Renvois

Les renvois permettent d'assurer une continuité entre les fils de différents folios schématiques ou au sein d'un même folio si vos besoins l'exigent. Il peut s'agir de câbles pour les synoptiques et de fils pour les schématiques.

Les renvois générés par cette commande sont considérés comme des renvois manuels.

Lorsque cette commande est sélectionnée, la boîte de dialogue de gestion s'affiche. Elle est divisée en deux parties ; la partie supérieure contient le schématique Tenant (Folio 1) et la partie inférieure contient le folio Aboutissant (Folio 2). Vous pouvez zoomer sur une partie du folio en utilisant la molette de votre souris. Cela vous permet de sélectionner uniquement les fils que vous souhaitez lier.

Au moment du lancement de cette commande, le Folio 1 est celui qui est actif dans la zone de graphisme.

Les commandes suivantes sont disponibles à la fois pour les folios 1 et 2.

Précédent : Permet d'afficher le folio précédent dans la liste des folios du projet.

Suivant : Permet d'afficher le folio suivant dans la liste des folios du projet.

Sélecteur : Permet d'ouvrir le sélecteur de folio afin de sélectionner le folio que vous souhaitez.

Folio précédent et folio suivant : Ces options vous permettent de faire défiler les folios du projet un par un, vers l'arrière (précédent) ou vers l'avant (suivant). Cela permet d'accéder au folio précédent/suivant pour les folios Tenant et Aboutissant.

Renvoi entrant : Permet de sélectionner le symbole à utiliser pour représenter le renvoi entrant. Si vous choisissez un symbole incorrect (par un symbole d'aboutissant), un message vous en empêche.

Renvoi sortant : Permet de sélectionner le symbole à utiliser pour représenter le renvoi sortant. Si vous choisissez un symbole incorrect (par un symbole de tenant), un message vous en empêche.

Les renvois Entrant et Aboutissant affichent les références croisées entre les fils. Ils ont des attributs spécifiques qui propagent les informations telles que le repère du folio, le repère de liasse, la ligne et la colonne du folio ou le numéro d'équipotentielle.

Mosaïque horizontale et Mosaïque verticale permettent de gérer le mode d'affichage.

Insertion simple

Permet de gérer un renvoi d'un fil à un autre fil.

1. Cliquez sur l'icône Insertion simple.

2. Cliquez à l'extrémité d'un fil / câble schématique.

3. Sélectionnez les extrémités d'un autre fil / câble schématique.

Les renvois seront ainsi insérés automatiquement, ainsi que des références croisées entre ceux-ci.

Insertion multiple

Permet de gérer un renvoi d'une liaison multiple vers une autre liaison multiple.

1. Cliquez sur l'icône Insertion multiple.

2. Sur le folio Tenant, cliquez sur le premier fil et sur le dernier fil de la liaison multiple de départ.

3. Sur le folio Aboutissant, cliquez sur le premier fil et finissez par le dernier fil de la liaison multiple de fin.

Suppression

Supprimer : permet de supprimer un renvoi existant. Sélectionnez le renvoi pour le supprimer.

Suppression multiple : permet de supprimer plusieurs renvois existants. Comme pour l'insertion multiple, sélectionnez le premier et le dernier fil, puis valider la suppression.

Lors de la suppression d'un renvoi, tous les éléments constituant le renvoi (renvoi sortant et entrant, symbole et texte) sont supprimés.

Rubriques connexes :

Dessiner un câble (synoptique)

Dessiner un fil (schématique)


Réservation des câbles

Menu : Synoptique > Réservation des câbles

Menu contextuel du câble de synoptique : Réserver des câbles et des brins

Vous avez la possibilité de gérer les câbles déjà présents dans la liste, ou de cliquer sur l'icône Nouveau câble pour en créer des nouveaux.

Nouveau câble : Ouvre le catalogue de câbles, dans lequel vous sélectionnez les références à ajouter au projet.

Supprimer : Supprime les câbles choisis. Un câble ne peut pas être supprimé si ses brins sont déjà utilisés.

Propriétés : Affiche les propriétés du câble sélectionné.

Dupliquer : Copie les câbles individuels ou multiples en incluant toutes leurs propriétés associées telles que la pièce, le chemin de fonction, etc. La numérotation est incrémentée automatiquement.

Remplacer : Remplace le câble sélectionné par un autre câble du catalogue. Le nouveau câble doit comporter au moins autant de brins que le câble remplacé.

Permuter : Permute le tenant et l'aboutissant du câble.

Dissocier les brins : Déconnecte les brins de câbles sélectionnés.

Affichage en arbre : Permet de gérer le type d'affichage de la liste des câbles. Les câbles peuvent être regroupés par fonction ou par tenant / aboutissant.

Filtres : Filtre la liste des câbles par repère, référence ou localisation de tenant/aboutissant.

Câbles pré-réservés : Permet de masquer automatiquement tous les câbles, sauf ceux qui ont été réservés. Cliquez sur cette icône à nouveau pour supprimer le filtre.

Pour réserver les brins de câble :

1. Cochez les cases correspondant aux brins.

2. Cochez la case en regard du câble pour réserver tous ses brins.

Deux icônes (Automatique et Manuelle) sont à votre disposition dans la section Sélection de brin de câble du menu pour vous aider à sélectionner des brins.

3. Cliquez sur le bouton OK pour quitter la boîte de dialogue et enregistrer votre sélection.

Attention : Ces actions ne réservent que les brins de câbles. Elles ne permettent pas réellement de câbler votre installation.

Un texte correspondant au câble sélectionné est placé automatiquement sur la ligne. Ce texte peut être personnalisé (style et contenu) dans les propriétés du projet (onglet Police).

Rubriques connexes :

Gestionnaire de câbles

Ajouter un câble

Câblage détaillé


Câblage dans le synoptique

Menu : Synoptique > Câblage dans le synoptique

Menu contextuel du câble de synoptique : Câblage dans le synoptique

Cette boîte de dialogue est divisée en 3 parties. Le centre montre les câbles et les côtés gauche et droit présentent la source et l'aboutissant, ainsi que des borniers.

Vous pouvez faire glisser et déposer les brins sur les broches des tenants et des aboutissants. Les connexions seront alors indiquées par des zones vertes montrant les numéros de brins sur les tenants ou les aboutissants.

Lorsque votre câblage est terminé, les zones vertes Tenant et Aboutissant sont remplies avec les informations de connexion.

Permet d'éditer le composant.

Permet d'ajouter des circuits virtuels au composant.

Permet d'ajouter des bornes au bornier.

Icônes

Ajout d'un câble : Ajoute un nouveau câble.

Réservation des brins : Ouvre le câble et une boîte de dialogue de réservation des brins.

Remplacer : Permet de sélectionner un nouveau câble dans son catalogue pour remplacer le câble sélectionné. Le nouveau câble doit comporter au moins autant de brins que le câble remplacé.

Se connecter : Connecte un brin de câble lorsqu'un appareil et un brin sont sélectionnés.

Câbler les fils : Connecte automatiquement un brin de câble quand le câble sélectionné est cohérent avec les fils sans câble.

Décâbler cette extrémité : Déconnecte les brins de câbles sélectionnés.

Décâbler les brins : Déconnecte les brins sélectionnés (des deux cotés).

Permuter : permutez le brin de câble entre le tenant et l'aboutissant.

Style de liaison : Affiche le style de liaison associé au brin de câble sélectionné.

Voir les sous-composants : Affiche seulement les repères cascadés des composants.

Voir les sous-composants : Affiche seulement les composants (masque les sous-composants).

Aperçu : Affiche ou masque les fenêtres de visualisation de Tenant et Aboutissant.

Brins réservés uniquement : N'affiche que les brins réservés.

Brins reliant les composants : N'affiche que les brins associés à la liaison.

Tous les brins : Affiche la totalité des brins.

Rubriques connexes :

Gestionnaire de câbles

Réserver des câbles et des brins

Câblage dans la schématique


Ajouter un câble

Gestionnaire de câbles : Nouveau câble

Menu : Synoptique > Ajout d'un câble

Menu contextuel du câble de synoptique : Ajouter un câble

Réservation de câble : Nouveau câble

Détails du câblage : Ajouter un câble

La boîte de dialogue de recherche d'une référence de câble s'ouvre, vous permettant de sélectionner les références de câble que vous souhaitez ajouter au projet.

Classification / Filtre

Dans l'onglet Classification, la partie gauche de la boîte de dialogue affiche la liste des familles de câbles. La partie droite affiche les câbles de la famille sélectionnée.

Dans l'onglet Filtre, plusieurs filtres peuvent être modifiés pour trouver la référence voulue.

Permet d'ajouter la référence sélectionnée.

Permet de supprimer la référence sélectionnée dans la partie inférieure de la boîte de dialogue.

Quantité : Permet d'indiquer le nombre de câbles que vous souhaitez ajouter.

Après validation, les câbles sont automatiquement ajoutés au projet. Chaque câble dispose d'un repère calculé automatiquement en fonction de la formule de repérage, paramétrée dans la configuration du projet. Pour modifier ces repères, sélectionnez-les dans le gestionnaire de câbles et cliquez sur l'icône Propriétés.

Rubriques connexes :

Gestionnaire de câbles


Afficher les repères de câble

Cette fonction vous permet d'afficher ou de masquer les textes affichant le repère de câble.

Menu : Synoptique > Afficher les repères de câble

1. Dans la zone de graphisme, sélectionnez les câbles pour lesquelles vous voulez masquer ou afficher les repères.

Un texte affiché est masqué et un texte masqué est affiché.


Alignement des textes

Cette fonctionnalité vous permet d'aligner les textes ; les numéros d'équipotentielle, les compteurs de fil ou les textes de câble.

Menu : Synoptique > Alignement des textes

Menu : Schématique > Alignement des textes

1. Dans la zone de graphisme, sélectionnez les textes disponibles que vous voulez aligner.

2. Dessinez une ligne d'axe verticale ou horizontale correspondant au point d'insertion des textes.

3. Cliquez sur le côté (haut, bas, droite ou gauche).

Tous les textes sélectionnés sont déplacés et alignés sur cet axe (la justification du texte ne change pas).

Les textes disponibles sont des numéros d'équipotentielle, compteurs de fil, repères de câble (schématique), libellés de localisation et de fonction, et textes insérés par la commande Insérer un texte.


Symbole des synoptiques

Un appareil est aussi appelé composant, il est représenté par un ou plusieurs symboles de projet. Seul un symbole issu de la bibliothèque pourra être pris en compte pour être géré par DesignSpark Electrical.

Les synoptiques disposent d'appareils spécifiques pouvant être insérés dans des folios de synoptique ou de schéma mixte.

Trois méthodes sont à votre disposition pour sélectionner les symboles à insérer.

  • Insérer un symbole

  • Palette de symboles

  • Panneau ancrable


Insérer un symbole

Menu : Synoptique > Insérer un symbole

Lors de la première utilisation, le sélecteur de symboles s'ouvre, vous permettant de sélectionner le symbole que vous souhaitez insérer. Ce symbole est ensuite mémorisé et vous sera proposé lors de la prochaine utilisation de la commande.

Le panneau ancrable affiche des options supplémentaires.

Assure une continuité dans la commande, c'est à dire qu'après l'insertion d'un symbole, la commande est toujours active.

Met fin à la commande après le positionnement du symbole.

Permet de quitter la commande.

Spécifier le symbole à insérer

Autre symbole : Ouvre le sélecteur de symboles permettant de sélectionner un autre symbole.

Options

Repères automatiques : La boîte de dialogue Symbole ne s'ouvre pas et le repère est calculé et appliqué automatiquement en fonction des paramètres du projet.

Adapter la taille à l'unité du folio : Permet de gérer tout conflit d'unités de cote. Par exemple, pour insérer un symbole CEI dans un folio avec un cartouche utilisant des unités impériales.

1. Cliquez sur un point pour insérer le symbole.

Rubriques connexes :

Sélecteur de symboles

Propriétés du symbole


Sélecteur de symboles

Commande Insérer symbole : Autre symbole

Peut être utilisé pour tous les types de symboles : schématiques, synoptiques

Les symboles du sélecteur sont stockés dans la bibliothèque de symboles.

Propriétés : Permet d'ouvrir la boîte de dialogue des propriétés du symbole sélectionné.

Aperçu : Permet d'ouvrir la fenêtre de visualisation du symbole sélectionné.

Mode Liste : Permet d'afficher la liste des symboles (nom, description, classification).

Mode Vignettes : Affiche les symboles sous forme de vignette (Prévisualisation).

Configuration : Permet de gérer les paramètres d'affichage des éléments dans la boîte de dialogue.

1. Sélectionnez le symbole voulu.

2. Cliquez sur le bouton Sélectionner pour valider.

Le symbole sélectionné est automatiquement ajouté au panneau latéral Insertion de symbole.

Classification

Cet onglet affiche la classification des symboles sous la forme d'une arborescence.

La partie gauche de la boîte de dialogue affiche la classification des symboles, la partie droite affiche la liste des symboles de la classification sélectionnée.

Afficher le contenu des sous-classes : Cochez cette case pour afficher tous les symboles contenus dans la sous-classe de la classification sélectionnée.

Filtres

Cet onglet vous permet de filtrer la liste des symboles. Les critères de filtre des propriétés du symbole sont affichés.

Le côté droit de la boîte de dialogue affiche les symboles correspondant aux critères sélectionnés.

Supprimer le filtre : Supprimez tous les critères du filtre.

Rubriques connexes :

Gestionnaire de symboles

Insertion d'un symbole de synoptique

Insertion d'un symbole de schématique

Insertion d'une boîte noire

Insérer une borne


Palette de symboles

Panneau ancrable : Symboles

Valable pour tous les types de symboles : Schématique et synoptique

Chaque type de folio (schématique / synoptique / schéma mixte) dispose de sa propre palette de symboles. Elle contient les symboles fréquemment utilisés et permet d'accéder à l'ensemble des symboles disponibles dans les bibliothèques du projet.

Les palettes sont entièrement personnalisables : vous pouvez y ajouter ou supprimer des groupes de symboles et y ajouter ou supprimer des symboles.

Vous pouvez configurer l'utilisation des palettes de symboles dans la configuration du projet (onglet "Bibliothèques et palettes") et dans la configuration des palettes.

Pour insérer un symbole :

1. Cliquez deux fois sur ce symbole ou utilisez un glisser-déposer.

2. Cliquez sur un point dans le folio pour insérer le symbole.

Gestion des groupes

A des fins d'optimisation, les symboles de recherche sont groupés par catégorie. Les palettes possèdent un menu contextuel permettant de gérer ces groupes.

Ajouter des symboles : Ajoute des symboles au groupe sélectionné. Le Sélecteur de symboles s'ouvre là où le symbole à ajouter peut être sélectionné.

Editer ce symbole : Ouvre le symbole sélectionné dans l'éditeur de symboles pour permettre sa modification.

Supprimer ce symbole : Permet de supprimer le symbole sélectionné.

Nouveau groupe : Permet de créer un nouveau groupe. La boîte de dialogue des propriétés du groupe s'ouvre permettant de le nommer et de configurer les vignettes.

Propriétés du groupe : Permet d'éditer le nom du groupe et de définir la taille des vignettes.

Supprimer le groupe : Permet de supprimer le groupe. Les symboles contenus dans ce groupe ne sont pas supprimés de la bibliothèque.

Activer le groupe : Ouvre un sous-menu répertoriant tous les groupes. Sélectionnez le groupe voulu.

Recherche de symboles

Les palettes disposent d'une option permettant de rechercher un symbole spécifique. Cette recherche ne s'effectue pas uniquement dans la palette de symboles, mais dans l'ensemble de la bibliothèque de symboles.

Dans la zone,

1. saisissez le texte souhaité.

2. Cliquez sur le bouton Rechercher.

Tous les symboles contenant le texte saisi dans leur description apparaîtront dans les résultats de la recherche.

Ajout d'un symbole à la palette

De même que les macros, vous pouvez ajouter un symbole inséré dans la zone graphique à la palette.

1. Ouvrez le groupe de la palette auquel vous souhaitez ajouter le symbole.

2. Sélectionnez le symbole dans la zone graphique.

3. Glissez et déposez celui-ci dans le groupe de la palette.

Rubriques connexes :

Sélecteur de symboles

Propriétés du symbole

Propriétés de la borne


Panneau ancrable

Panneau ancrable : Composants> Menu contextuel du Composant > Insérer symbole

Valable pour tous les types de symboles : Schématique et synoptique

Au lancement de la commande, le sélecteur de symboles s'ouvre vous permettant de sélectionner le symbole à insérer.

Le type de symbole proposé est fonction du type du folio courant. Par exemple, si vous avez ouvert un folio de synoptique, le sélecteur n'affichera que les symboles de synoptique.

1. Sélectionnez le symbole.

2. Cliquez sur le bouton Sélectionner.

3. Cliquez sur un point dans le folio pour insérer le symbole.

Quand la référence constructeur est associée à plusieurs symboles (associée sur chaque circuit), une boîte de dialogue s'ouvre.

Insérer un symbole à partir des circuits de référence constructeur : Ouvre la boîte de dialogue du Sélecteur de circuits de référence constructeur permettant de sélectionner le symbole que voulez insérer.

Annuler : Insère le symbole associé à la référence constructeur. Si aucun symbole n'est associé, la boîte de dialogue du Sélecteur de symbole s'ouvre, vous permettant de sélectionner le symbole que voulez insérer.

Rubriques connexes :

Sélecteur de symboles

Propriétés du symbole

Propriétés de la borne


Propriétés du symbole

La boîte de dialogue des propriétés d'un symbole est identique pour les symboles de schématique et les symboles de synoptique.

Menu contextuel du symbole : Propriétés du symbole

La boîte de dialogue des propriétés d'un symbole s'ouvre automatiquement à chaque insertion d'un symbole (sauf si vous avez coché l'option Repère automatique). Vous pouvez également accéder à la boîte de dialogue avec la commande Propriétés du symbole dans le menu contextuel du symbole.

Selon le symbole sélectionné, plusieurs propriétés peuvent être désactivées. Si vous sélectionnez plusieurs symboles, seules les propriétés communes sont activées.

Associer à un repère existant

Si vous souhaitez associer un symbole à un repère existant, sélectionnez-le dans la liste de droite ou attribuez-lui manuellement le même repère, et utilisez le bouton [= >] pour créer une association.

En haut de la boîte de dialogue, les filtres peuvent vous aider à trouver un composant existant.

Edition d'un symbole

Repère

Le repère du symbole est calculé automatiquement en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Racine : Affiche la racine associée au symbole en fonction de la classe du symbole.

Numéro : Affiche le numéro d'ordre affecté au symbole. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser de numéro existant.

Composant permanent : Quand le dernier symbole représentant le composant est supprimé, ce dernier est également supprimé. Si vous cochez cette case, le composant n'est pas supprimé.

Pour supprimer un composant permanent, utilisez la commande Supprimer le composant du menu contextuel correspondant, dans l'onglet Composants (panneau ancrable).

Hiérarchie

Classe : Permet de modifier la classification du symbole. Cette option est utilisée lors de l'affectation d'une référence constructeur. Il permet également de définir la racine utilisée lors d'un repérage automatique.

Principal : Affiche le nom du composant principal dont dépend un sous-composant (tel que carte automate et son rack).

Localisation / Fonction : Le symbole, partie du composant, lors de son insertion prend automatiquement la localisation (fonction) du folio, ou du contour de localisation s'il a été inséré à l'intérieur. Pour affecter une autre localisation (fonction), cliquez sur le bouton [...] et sélectionnez la localisation (fonction) de votre choix.

Données constructeur

Ces données proviennent de la référence constructeur, mais peuvent être modifiées manuellement. Les types de données sont spécifiés dans la définition de la classe.

Description

Le premier champ de données traduisibles du composant. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les champs de données utilisateur permettent de saisir toutes les informations que vous souhaitez gérer pour le composant.

Données du symbole

Type de référence croisée : Sélectionnez le niveau des références croisées pour le symbole en cours d'édition. Par défaut, la valeur affichée est celle paramétrée dans les propriétés du symbole (voir chapitre : Propriétés d'un symbole).


Schématique

La schématique développée représente, à l'aide de symboles graphiques, les différentes parties d'un réseau, d'une installation ou d'un équipement qui sont reliées et connectées fonctionnellement. Un schéma développé a pour but d'expliquer le fonctionnement de l'équipement, de fournir les bases de montage et de faciliter les essais et la maintenance.

Un menu spécifique à la réalisation du schéma affiche les commandes associées dès qu'un folio de type Schématique est ouvert dans l'interface graphique.

Rubriques connexes :

Dessin des liaisons

Symboles schématiques

Boîtes noires

Bornes

Macros


Dessin des liaisons

On distingue deux types de liaisons, les liaisons simples (de type Commande) et les liaisons multiples (de type Puissance). Le placement des liaisons fait donc appel à deux commandes différentes.

Chaque liaison fait appel à un style de liaison. Le nombre de styles de liaison est infini, vous pouvez créer autant de styles de liaison que vous le souhaitez. Ceux-ci sont gérés dans le Gestionnaire de style de liaison. Les styles de liaison sont spécifiques au projet.

Les liaisons permettent de relier les appareils entre eux, ils peuvent faire l'objet d'une numérotation et peuvent symboliser des brins de câbles.

Rubriques connexes :

Gestionnaire de style de liaison

Tracé d'une liaison multiple

Tracé d'une liaison simple

Renvois

Numérotation des fils


Sélecteur de styles de liaison

Panneau ancrable : Commande de dessin d'une liaison > [...]

Vous pouvez changer le type de la liaison en cliquant sur le bouton [...] situé à droite du nom de la liaison.

La boîte de dialogue de sélection de style de liaison s'ouvre vous permettant de sélectionner la liaison souhaitée parmi celles disponibles dans le projet.

Si vous souhaitez apporter des modifications aux liaisons existantes ou créer de nouvelles liaisons, cliquez sur le bouton Gestionnaire pour ouvrir le Gestionnaire des styles de liaison.

Rubriques connexes :

Gestionnaire de style de liaison

Tracé d'une liaison multiple

Tracé d'une liaison simple


Tracé d'une liaison simple

Menu : Schématique > Tracé de liaison simple

Au lancement de la commande, le panneau ancrable se modifie pour afficher les paramètres de liaison sélectionnés. Vous pouvez alors commencer à tracer dans la vue en cours.

1. Cliquez dans la zone graphique, le premier point de la liaison.

2. Cliquez ensuite sur le second point pour indiquer où terminer la liaison.

Le panneau ancrable affiche les options possibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Arrête la commande après l'avoir utilisée pour tracer une liaison simple.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Permet d'annuler la dernière action.

Sélection du style de liaison

Nom : Vous pouvez changer le style de la liaison en cliquant sur le bouton [...] situé à droite du nom de la liaison. La boîte de dialogue Sélecteur de style de liaison s'ouvre pour vous permettre de sélectionner le style de liaison voulu.

Distance entre les lignes : Vous pouvez également modifier la distance entre les fils. La valeur est exprimée en millimètres ou en pouces, en fonction des paramètres du projet (voir Configuration des unités).

Nombre de lignes : Si la liaison est composée de plusieurs conducteurs (identiques), indiquez le nombre à dessiner.

Options

Tracé de courbure (touche C) : Appuyez sur la touche [C] du clavier pour insérer un coude.

Tracé non ortho (F8) : Appuyez sur la touche [F8] du clavier pour désactiver le verrou qui permet l'insertion de fils sur un axe orthogonal.

Rubriques connexes :

Gestionnaire de style de liaison

Tracé d'une liaison multiple

Gestion des renvois


Tracé d'une liaison multiple

Menu : Schématique > Tracé d'une liaison multiple

Au lancement de la commande, le panneau ancrable se modifie pour afficher les paramètres de liaison sélectionnés. Vous pouvez alors commencer à tracer dans la vue en cours.

1. Cliquez dans la zone graphique, le premier point de la liaison.

2. Cliquez ensuite sur le second point pour indiquer où terminer la liaison.

Le panneau ancrable affiche les options possibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Arrête la commande après l'avoir utilisée pour tracer une liaison simple.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Permet d'annuler la dernière action.

Sélection du style de liaison

Nom : Permet de modifier le nom du type de liaison affiché dans le panneau ancrable en cliquant sur le bouton [...] à droite du nom de la liaison. La boîte de dialogue Sélecteur du type de liaison s'ouvre vous permettant de sélectionner la liaison souhaitée.

Distance entre les lignes : Permet de modifier la distance entre les fils. La valeur est exprimée en millimètres ou en pouces, selon la configuration de votre projet (voir configuration des unités).

Conducteurs disponibles : Répertorie les fils qui composent le style de fil actuellement sélectionné. Cochez les cases des conducteurs que vous souhaitez dessiner.

Options

Inverser la phase (espace) : Appuyez sur la barre [Espace] du clavier pour intervertir l'ordre des conducteurs.

Tracé de courbure (touche C) : Appuyez sur la touche [C] du clavier pour insérer un coude.

Tracé non ortho (F8) : Appuyez sur la touche [F8] du clavier pour désactiver le verrou qui permet l'insertion de fils sur un axe orthogonal.

Rubriques connexes :

Gestionnaire de style de liaison

Tracé d'une liaison simple

Gestion des renvois


Propriétés de l'équipotentielle

Menu contextuel du fil : Propriétés de l'équipotentielle

La boîte de dialogue des propriétés de l'équipotentielle s'ouvre permettant d'éditer les informations communes aux fils appartenant à cette équipotentielle.

Ces données proviennent des propriétés du style de liaison.

Si vous modifiez les propriétés du style de liaison, celles-ci seront automatiquement répercutées sur les propriétés de l'équipotentielle et donc sur les propriétés des fils de cette équipotentielle.

La modification du repère et/ou des propriétés de l'équipotentielle n'affecte que l'équipotentielle pour laquelle la commande a été lancée.

Repère

Le repère d'équipotentielle est calculé automatiquement par la numérotation des fils ou saisi manuellement à l'aide de l'éditeur du repère de fil.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Numéro : Affiche le numéro d'ordre affecté à l'équipotentielle. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser un numéro existant.

Général

Diamètre : Permet de saisir le diamètre du fil.

Section ou jauge : Permet de saisir la section du fil.

Standard de dimension des fils : Permet de sélectionner la norme utilisée dans le projet.

Couleur : Permet de sélectionner la couleur réelle du fil.

Rayon de courbure (x diamètre) : Permet de saisir le paramètre requis pour calculer le rayon de courbure (paramètre x diamètre = rayon de courbure).

Signal : Permet de saisir le signal transmis par le fil.

Associer les données

Style de fil : Affiche le style de liaison associé à cette équipotentielle.

Nombre de fils : Indique le nombre de fils représentés par cette équipotentielle (nombre de lignes dans l'ordre de câblage des fils).

Fichier : Affiche le repère de folio où démarre l'équipotentielle.

Ligne : Affiche le numéro de ligne où démarre l'équipotentielle.

Colonne : Affiche le numéro de colonne où démarre l'équipotentielle.

Données utilisateur

Les champs de données utilisateur sont à votre disposition pour saisir toute information que vous souhaitez gérer sur l'équipotentielle.

Le bouton Personnaliser... vous permet d'accéder à la gestion des données utilisateur .

Rubriques connexes :

Propriétés du style de liaison

Propriétés du fil


Propriétés du fil

Menu contextuel du fil : Propriétés du fil

Ouvre la boîte de dialogue des propriétés du fil permettant d'éditer les informations spécifiques au fil.

Ces données proviennent des propriétés de l'équipotentielle dont fait partie le fil, qui elles, sont issues des propriétés du style de liaison.

Si vous modifiez les propriétés du style de liaison ou de l'équipotentielle, celles-ci seront automatiquement répercutées sur les propriétés du fil.

La modification du repère et/ou des propriétés du fil n'affecte que le fil sur lequel la commande a été lancée.

Repère

Le repère de fil est calculé automatiquement par la numérotation de fil ou saisie manuellement à l'aide de l'éditeur du repère de fil.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement d'après les paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Numéro : Affiche le numéro d'ordre affecté au fil. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser un numéro existant.

Général

Diamètre (mm) : Permet de saisir le diamètre du fil.

Section ou jauge : Permet de saisir la section du fil.

Standard de dimension des fils : permet de sélectionner la norme utilisée dans le projet.

Couleur : permet de sélectionner la couleur réelle du fil.

Rayon de courbure (x diamètre) : Permet de saisir le paramètre requis pour calculer le rayon de courbure (paramètre x diamètre = rayon de courbure).

Signal : Permet de saisir le signal transmis par le fil.

Données associées

Style de fil : Affiche le style de liaison.

Equipotentielle :Indique le numéro d'équipotentielle associé à ce fil.

Ordre de câblage : Affiche le numéro de ligne de l'ordre de câblage des fils.

Tenant : Affiche le repère du composant connecté au fil (tenant).

Aboutissant : Affiche le repère du composant connecté au fil (aboutissant).

Brin de câble : Si le fil est associé à un brin de câble, ce champ indique le repère du câble et le repère d'un brin de câble. Si ce fil représente un pont, l'icône change pour représenter le pont.

Données utilisateur

Les champs de données utilisateur permettent de saisir toute information que vous souhaitez gérer sur l'équipotentielle.

Le bouton Personnaliser... donne accès à la gestion des données utilisateur .

Rubriques connexes :

Propriétés du style de liaison

Propriétés de l'équipotentielle


Résoudre un conflit d'équipotentielles

Menu contextuel du fil : Résoudre un conflit d'équipotentielles

Lors de la conception ou de la modification d'un schéma, il arrive parfois que la connexion de liaisons n'ayant pas la même équipotentielle entraîne un conflit dans la numérotation. La gestion de conflit d'équipotentielles est activée dans la configurationde projet dans l'onglet Graphique.

Lors du lancement de la commande, une boîte de dialogue s'ouvre vous demandant de régler manuellement ce conflit.

1. Sélectionnez le numéro de fil devant apparaître sur le schéma.


Propager un style de liaison

Menu contextuel du fil : Style de liaison > Propager

Permet d'assurer une continuité dans la commande, garantissant que cette dernière reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Cette commande permet de propager le style de liaison du segment sélectionné, aux segments connectés. Le panneau ancrable affiche les options de propagation.

Propagation

A l'équipotentielle : Permet la propagation sur les connexions ayant le même numéro d'équipotentielle.

A travers les circuits : Propage du style de liaison à travers les symboles, uniquement dans le cas où le style de liaison est identique en amont et en aval du symbole.


Remplacer un style de liaison

Menu contextuel du fil : Style de liaison > Remplacer

Permet d'assurer une continuité dans la commande, garantissant que cette dernière reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Cette commande permet de remplacer un style de liaison utilisé dans le projet par un autre style de liaison. Le panneau ancrable affiche les options de sélection des liaisons.

Gamme de remplacement

Ensemble du projet : Toutes les liaisons du projet.

Liasse courante : Ne traite que la liasse dans laquelle se trouve le folio courant.

Dossier courant : Ne traite que le dossier dans lequel se trouve le folio courant.

Schéma courant : Ne traite que le folio courant.

Choisir les schémas : Ouvre le sélecteur de folios permettant de sélectionner les folios à traiter.

Sélectionner dans le schéma : Traite uniquement les liaisons sélectionnées dans le schéma.

Propager à l'équipotentielle : Traite les liaisons ayant la même équipotentielle.

Propager à travers les circuits : Remplace le style de liaison à travers les symboles, uniquement dans le cas où le style de liaison est identique en amont et en aval du symbole.


Gestion des textes schématiques

Plusieurs commandes vous permettent de gérer les textes automatiquement insérés par le logiciel, comme les numéros d'équipotentielle ou les repères de câble.

  • Alignement des textes

  • Afficher les repères des fils

  • Afficher les repères de câble


Afficher les repères des fils

Cette fonction vous permet d'afficher ou de masquer le texte affichant l'équipotentielle ou les repères des fils.

Menu : Schématique > Affichage des textes > Afficher / masquer les repères de fils

1. Sélectionnez les fils dont vous souhaitez afficher ou masquer les textes.

Un texte affiché est masqué et un texte masqué est affiché.


Afficher les repères de câble

Cette fonction vous permet d'afficher ou de masquer les textes affichant le repère de câble.

Menu : Schématique > Affichage des textes > Afficher/Masquer les repères de câbles

1. Dans la zone de graphisme, sélectionnez les câbles pour lesquelles vous voulez masquer ou afficher les repères.

Un texte affiché est masqué et un texte masqué est affiché.


Symboles schématiques

Un symbole est une représentation globale ou partielle d'un appareil électrique.

Les symboles sont classés au sein de bibliothèques que vous pouvez alimenter en créant vos propres symboles. Les symboles sont également classés dans des palettes, affichées dans le panneau ancrable.

L'insertion des symboles s'exécute dans un folio de type Schématique ou Schéma mixte.

Plusieurs méthodes sont à votre disposition pour insérer un symbole :

  • Insérer un symbole

  • Palette de symboles

  • Panneau ancrable


Insérer un symbole

Menu : Schématique > Insérer un symbole

Lors de la première utilisation de cette commande, le sélecteur de symboles s'ouvre vous permettant de sélectionner le symbole que vous souhaitez insérer. Ce symbole est ensuite mémorisé et vous sera proposé lors de la prochaine utilisation de la commande.

Le panneau ancrable affiche des options supplémentaires.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après la pose du premier symbole, la commande est toujours active.

Arrête la commande après la pose du premier symbole.

Permet de quitter la commande.

Spécifier le symbole à insérer

Affiche le dernier symbole qui a été inséré. Si aucun symbole n'est mémorisé, le sélecteur de symboles s'ouvre pour en sélectionner un.

Si vous ne souhaitez pas insérer le symbole présenté, cliquez sur le bouton Autre symbole. Le sélecteur de symboles s'ouvre, vous permettant de choisir un autre symbole.

Orientation du symbole

Permet d'effectuer une rotation du symbole avant l'insertion. Vous pouvez également sélectionner l'angle de rotation en cliquant dessus avec le bouton droit de la souris.

Options

Repère manuel : si cette option est sélectionnée, la boîte de dialogue Symbole s'ouvre et le repère s'affiche automatiquement en mode manuel.

Demander propriétés : si cette option n'est pas sélectionnée, la boîte de dialogue Symbole ne s'ouvre pas et le repère est calculé et appliqué automatiquement en fonction des paramètres du projet.

Adapter la taille à l'unité du folio : Permet de gérer tout conflit d'unités de cote. Par exemple, pour insérer un symbole CEI dans un folio avec un cartouche utilisant des unités impériales.

1. Cliquez sur un point dans le folio pour insérer le symbole.

Rubriques connexes :

Sélecteur de symboles

Propriétés du symbole


Sélecteur de circuit de référence constructeur

La boîte de dialogue Sélectionner le circuit à partir de la référence constructeur s'ouvre quand vous insérez un symbole de l'arbre de composants (panneau ancrable), et quand plusieurs symboles sont associés à la référence constructeur.

Panneau ancrable : Composants > Menu contextuel du composant > Insérer symbole > Insérer un symbole à partir des circuits de référence constructeur

Valable pour tous les types de symboles : Schématique et synoptique

La boîte de dialogue affiche les circuits de référence constructeur. Quand vous sélectionnez un circuit, la partie droite de la boîte de dialogue affiche un aperçu du symbole associé. Plusieurs circuits peuvent être associés à un symbole.

1. Cliquez sur OK pour valider et insérer le symbole.


Edition des attributs du symbole

Permet d'ajouter, supprimer ou éditer les attributs associés au symbole. Cette commande accepte une multisélection.

Menu contextuel du symbole : Modifier > Edition d'un attribut

Menu contextuel de Borne : Modifier > Edition d'un attribut

Menu contextuel de la boîte noire : Modifier > Edition d'un attribut

Une boîte de dialogue s'ouvre pour afficher la liste des attributs existants. Tous ceux qui commencent par # sont gérés par DesignSpark Electrical ; les autres sont gérés par l'utilisateur.

La boîte de dialogue affiche aussi les paramètres de chaque attribut.

Numéro : Indice de l'attribut (non modifiable).

Nom : Nom de l'attribut. Seuls les noms d'attribut utilisateur sont modifiables.

Invite : description de l'attribut, disponible seulement sur les attributsDesignSpark Electrical.

Valeur : texte (valeur de l'attribut) affiché dans la zone de graphisme.

Position X : Coordonnée X de la position de l'attribut.

Position Y : Coordonnée Y de la position de l'attribut.

Hauteur : Hauteur du texte affiché dans la zone de graphisme.

Style de texte : style de texte utilisé pour afficher le texte dans la zone de graphisme.

Invisible : Permet d'afficher/masquer le texte.

Couleur : couleur du texte affiché dans la zone de graphisme.

Angle : Orientation du texte.

Justification : Sélectionnez dans la liste la justification à utiliser pour le texte.

Angle oblique : Permet de créer du texte en italiques.

Facteur de largeur : Permet de comprimer la largeur du texte.

Attribut utilisateur : Un nouvel attribut est ajouté à la liste. Modifiez ses paramètres.

Attribut prédéfini : La boîte de dialogue Gestion des attributs s'ouvre pour vous permettre de sélectionner les attributs à ajouter. Les nouveaux attributs sélectionnés sont ajoutés à la liste. Modifiez leurs paramètres.

Supprimer : Supprimez l'attribut sélectionné. Cet attribut est retiré de la zone de graphisme.

Symboles : Répertorie les symboles sélectionnés dans la zone de graphisme. Si vous sélectionnez <Tous>, les modifications sont apportées à tous les symboles sélectionnés. Si vous ne voulez modifier qu'un seul symbole, sélectionnez-le dans la liste.

1. Cliquez sur OK pour valider.

2. Le symbole est automatiquement mis à jour avec les attributs ajoutés, supprimés ou modifiés.


Boîtes noires

Une boîte noire est par définition un symbole "générique". Elle peut être utilisée à tout moment pour symboliser un appareil dont vous ne souhaitez pas créer un symbole spécifique. Elle se matérialise par un rectangle sur lequel sont placés des points de connexion (éditables).

La pose des boîtes noires s'exécute dans un folio de type Schématique ou Schéma mixte.

Points de connexion de la boîte noire

Un point de connexion est inséré à chaque intersection entre un fil et le contour de la boîte noire, il représente la borne matérielle. D'après les paramètres de configuration, vous pouvez avoir un point de connexion basique (le numéro de borne est un texte) ou un point de connexion orienté avec des attributs.

Deux méthodes sont à votre disposition pour insérer une boîte noire.

  • Insertion d'une boîte noire

  • Panneau ancrable

  • Mettre à jour la boîte noire

  • Ajouter un point de connexion


Insertion d'une boîte noire

Menu : Schématique > Insérer une boîte noire

Lors de la première utilisation, le sélecteur de symboles s'ouvre, vous permettant de sélectionner le symbole que vous souhaitez insérer. Ce symbole est ensuite enregistré et vous sera proposé lors de la prochaine utilisation de la commande.

Le panneau ancrable affiche des options supplémentaires.

Permet d'assurer une continuité dans la commande, c'est à dire qu'après la pose du premier symbole, la commande est toujours active.

Arrête la commande dès qu'un symbole est inséré.

Arrête la commande.

Spécifier le symbole à insérer

Affiche le dernier symbole qui a été inséré. Si aucun symbole n'est enregistré, le sélecteur de symboles s'ouvre automatiquement.

Si vous ne souhaitez pas insérer le symbole présenté, cliquez sur le bouton Autre symbole. Le sélecteur de symboles s'ouvre, vous permettant d'en choisir un autre.

Options

Repère manuel : si cette option est sélectionnée, la boîte de dialogue Symbole s'ouvre et le repère s'affiche automatiquement en mode manuel.

Demander propriétés : si cette option n'est pas sélectionnée, la boîte de dialogue Symbole ne s'ouvre pas et le repère est calculé et appliqué automatiquement en fonction des paramètres du projet.

Adapter la taille à l'unité du folio : permet de gérer tout conflit d'unités de cote. Par exemple, pour insérer un symbole CEI dans un folio avec un cartouche utilisant des unités impériales.

1. Dans l'interface graphique, cliquez sur le point d'insertion.

2. Cliquez sur le point correspondant au dimensionnement de la boîte noire.

Rubriques connexes :

Mettre à jour une boîte noire

Ajouter un point de connexion


Mettre à jour la boîte noire

Menu contextuel de la boîte noire : Mettre à jour la boîte noire

Cette commande vous permet d'ajuster les liaisons connectées à la boîte noire. Les liaisons sont coupées à chaque point d'intersection avec son contour. Sur ce point, une borne matérielle est automatiquement placée.

Rubriques connexes :

Insertion d'une boîte noire

Ajouter un point de connexion


Ajouter un point de connexion

Menu contextuel de la boîte noire : Ajouter un point de connexion

Insère des points de connexion sur les contours de la boîte noire.

1. Cliquez sur un ou plusieurs points sur les contours de la boîte noire.

D'après les paramètres de configuration, vous pouvez insérer un symbole spécifique pour matérialiser le point de connexion, ou le point de connexion par défaut.

Ces points de connexion peuvent être édités à l'aide de la commande Editer les bornes du symbole dans le menu contextuel de la boîte noire.

Rubriques connexes :

Insertion d'une boîte noire

Mettre à jour une boîte noire


Bornes

Une borne est représentée par un symbole spécifique faisant partie de la classe Borniers, bornes, ce qui lui donne un statut spécial, par rapport à un symbole classique, et de ce fait engendre un traitement spécifique. La borne est obligatoirement rattachée à un bornier.

L'insertion des symboles de borne s'exécute dans un folio de type Schématique ou Schéma mixte.

Plusieurs méthodes sont à votre disposition pour insérer un symbole de borne :

  • Insérer une borne

  • Palette de symboles

  • Panneau ancrable


Insérer une borne

Menu : Schématique > Insérer une borne

Lors de la première utilisation, la boîte de dialogue Sélecteur de symboles s'ouvre, vous permettant de sélectionner le symbole que vous souhaitez insérer. Ce symbole est ensuite mémorisé et vous sera proposé lors de la prochaine utilisation de la commande.

Le panneau ancrable affiche des options supplémentaires.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Arrête la commande après la pose du premier symbole.

Permet de quitter la commande.

Sélectionner le symbole représentant les bornes

Si le symbole proposé ne vous convient pas, cliquez sur le bouton Autre symbole.

Le sélecteur de symboles s'affiche, avec une liste filtrée des bornes, vous permettant de sélectionner un autre symbole de borne.

Orientation du symbole

Permet d'effectuer une rotation du symbole avant l'insertion. Vous pouvez également sélectionner l'angle de rotation en cliquant dessus avec le bouton droit de la souris.

1. Cliquez sur le folio pour insérer la borne.

2. Si la borne est insérée sur une liaison, vous serez invité à définir son orientation (sens de câblage).

3. La boîte de dialogue des propriétés de la borne s'affiche alors.

Insertion multiple de bornes

Menu : Schématique > Insérer 'n' bornes

4. Cliquez sur les deux points correspondant aux extrémités d'une ligne perpendiculaire aux liaisons.

5. A chaque intersection entre cette ligne et une liaison, une borne sera insérée.

6. Définissez l'orientation des bornes.

Le panneau ancrable affiche des options supplémentaires.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Arrête la commande après la pose du premier symbole.

Permet de quitter la commande.

Sélectionner le symbole représentant les bornes

Si le symbole proposé ne vous convient pas, cliquez sur le bouton Autre symbole.

Le sélecteur de symboles s'affiche, avec une liste filtrée des bornes, vous permettant de sélectionner un autre symbole de borne.

Options

Tracer un trait d'axe : Le folio de l'axe est facultatif. Décochez la case si vous n'avez pas besoin des traits d'axe.

La boîte de dialogue des propriétés de la borne s'affiche alors.

Rubriques connexes :

Sélecteur de symboles

Propriétés de la borne


Propriétés de la borne

Menu contextuel de la borne : Propriétés du symbole

L'édition d'un symbole de borne est automatique affichée après son insertion.

Associer à un repère existant

Pour associer un bornier ou une borne à un repère existant, sélectionnez le bornier ou la borne dans la liste de droite ou attribuez-lui manuellement le même repère, et utilisez le bouton [= >] pour créer une association.

En haut de la boîte de dialogue, les filtres peuvent vous aider à trouver un composant existant.

Dans le cas d'une borne à plusieurs étages, vous pouvez sélectionner un circuit dans la liste pour associer uniquement le niveau de votre choix.

Bornier

Repère

Le repère du bornier est calculé automatiquement en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Racine : Affiche la racine associée au bornier en fonction de sa classe.

Numéro : Affiche le numéro d'ordre affecté au bornier. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser un numéro existant.

Composant permanent : Quand le dernier symbole représentant le bornier est supprimé, celui-ci est également supprimé. Si vous cochez cette case, le bornier n'est pas supprimé.

Pour supprimer un bornier permanent, utilisez la commande Supprimer le composant du menu contextuel correspondant, dans l'onglet Composants (panneau ancrable).

Hiérarchie

Classe : permet de modifier la classification du bornier. Cette option est utilisée lors de l'affectation d'une référence constructeur. Il permet également de définir la racine utilisée lors d'un repérage automatique.

Principal : Affiche le nom du bornier principal dont dépend un composant enfant ou secondaire.

Localisation / Fonction : Le symbole, partie du composant, lors de son insertion prend automatiquement la localisation (fonction) du folio, ou du contour de localisation s'il a été inséré à l'intérieur. Pour affecter une autre localisation (fonction), cliquez sur le bouton [...] et sélectionnez la localisation (fonction) de votre choix.

Borne

Repère

Le repère de borne est calculé automatiquement en fonction des paramètres du projet.

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Racine : Affiche la racine associée à la borne en fonction de sa classe.

Numéro : Affiche le numéro d'ordre affecté à la borne. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser un numéro existant.

Composant permanent : Quand le dernier symbole représentant la borne est terminé, le composant est également supprimé. Si vous cochez cette case, la borne n'est pas supprimée.

Pour supprimer un composant permanent, utilisez la commande Supprimer le composant du menu contextuel correspondant, dans l'onglet Composants (panneau ancrable).

hiérarchie

Classe : Permet de modifier la classification de la borne. Cette option est utilisée lors de l'affectation d'une référence constructeur. Il permet également de définir la racine utilisée lors d'un repérage automatique.

Principal : Indique le nom du composant principal (bornier) dont dépend un composant enfant ou secondaire.

Localisation / Fonction : Le symbole, partie du composant, lors de son insertion prend automatiquement la localisation (fonction) du folio, ou du contour de localisation s'il a été inséré à l'intérieur. Pour affecter une autre localisation (fonction), cliquez sur le bouton [...] et sélectionnez la localisation (fonction) de votre choix.

Données constructeur

Ces données proviennent de la référence constructeur, mais peuvent être modifiées manuellement. Les types de données sont spécifiés dans la définition de la classe.

Description

Le premier champ de données traduisibles du composant. Vous pouvez saisir une description dans toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les champs de données utilisateur permettent de saisir toutes les informations que vous souhaitez gérer pour le composant.


Gestion des bornes à plusieurs étages

Les bornes à plusieurs étages sont des bornes particulières sur lesquelles vous pouvez connecter plusieurs fils ou brins de câble. Elles disposent de plusieurs circuits, contrairement aux bornes simples qui ne disposent que d'un circuit. Pour identifier les bornes à plusieurs étages, vous pouvez définir un repérage spécial indiquant le numéro de niveau.

Repère de borne à plusieurs étages

Le repérage des bornes à plusieurs étages n'est pas défini dans la configuration du projet comme les autres éléments. Chaque borne peut posséder son propre style de repère. Vous pouvez utiliser le même style de repère que pour les symboles, ou bien utiliser un repérage spécifique comprenant le numéro de borne, un caractère de séparation (un point) et le numéro de niveau. Par exemple, 1.3 représenterait la borne 1, niveau 3.

La boîte de dialogue Propriétés du composant vous permet d'affecter les repères de bornes à plusieurs étages comme les autres composants. Dans la section Repère, sélectionner l'option Utiliser les repères de niveau pour activer le style de repère décrit précédemment. Si vous préférez appliquer aux bornes à plusieurs étages le même repérage qu'aux autres composants, utilisez le mode de repérage habituel (Automatique ou Manuel).

Création ou modification de bornes à plusieurs étages

Pour créer une borne à plusieurs étages, vous devez d'abord créer des bornes simples. Ensuite, vous devez regrouper plusieurs bornes pour générer une borne à plusieurs étages.

Renumérotation des bornes à plusieurs étages

La boîte de dialogue Renuméroter les bornes de bornier, comprend une section spécifique dédiée aux bornes à plusieurs étages. Pour vous aider à comprendre le résultat, celui-ci s'affiche graphiquement, selon les options sélectionnées.

Pour plus d'informations sur cette fonctionnalité, consultez le chapitre Renuméroter les bornes.


Annuler / Rétablir

La plupart des fonctions graphiques peuvent être annulées, même si le projet est ouvert sur plusieurs postes de travail.

Certaines fonctions, principalement celles de traitement, ne peuvent pas être annulées car leur impact dans la base de données est très important.

Menu : Editer > Annuler

Menu : Editer > Rétablir

La commande Annuler annule la dernière commande utilisée. La commande Rétablir annule le résultat de la dernière commande Annuler utilisée.

Les icônes Annuler et Rétablir présentent une flèche permettant d'afficher les dernières commandes utilisées. Si vous sélectionnez une de ces entrées, toutes les actions précédentes sont annulées ou rétablies en une seule opération.

Dans certaines interfaces, vous pouvez utiliser le raccourci [Ctrl]+[Z] pour annuler la dernière action.


Macros

Une macro est une partie d'un schéma déjà dessiné que vous voulez réutiliser dans un autre folio ou un autre projet. Les macros sont stockées dans une bibliothèque.

  • Macros de schématique

  • Sélecteur de macros


Macros de schématique

Une macro de schématique fait partie d'un schéma, d'un synoptique, d'un schéma mixte déjà dessiné que vous voulez réutiliser dans un autre folio ou projet.

Les macros sont regroupées au sein d'une bibliothèque et sont ainsi disponibles pour l'ensemble des projets.

Le panneau ancrable comporte un onglet Macros vous permettant de stocker vos macros de schématique préférées. Vous pouvez gérer vos propres palettes.

Lorsque vous créez une nouvelle macro de schématique dans votre palette, elle est automatiquement ajoutée à la bibliothèque de macros.

  • Créer une macro de schéma

  • Insérer une macro de schéma

Rubriques connexes :

Configuration des palettes


Créer une macro de schéma

Panneau ancrable : Macros

Pour créer une macro,

1. Ouvrez le folio sur lequel se trouvent les éléments que vous souhaitez mettre en bibliothèque.

2. Dans le panneau ancrable, activez l'onglet Macros.

3. Dans la zone graphique, sélectionnez les entités à enregistrer.

Lors de cette étape, plusieurs possibilités se présentent pour créer la macro :

4. Faites-les glisser et déposez-les dans une des sections de la palette.

Ou

4. Utilisez la commande Enregistrer dans des macros du menu contextuel d'un groupe de macros.

Ou

4. Utilisez la commande Copier avec le point d'insertion du menu Editer.

5. Utilisez la commande Coller comme nouvelle macro du menu contextuel d'un groupe de macros.

Une boîte de dialogue s'ouvre, vous permettant de renseigner cette nouvelle macro.

Cette macro est automatiquement ajoutée au Gestionnaire de macros. Ainsi, elle restera disponible pour être insérée dans d'autres projets.

Dans le panneau ancrable, un menu contextuel vous permet d'accéder aux commandes spécifiques.

Ajouter des macros existantes : Permet de sélectionner une macro stockée dans la bibliothèque et de l'ajouter à la liste des macros présente dans les palettes.

Enregistrer la sélection dans des macros : permet d'enregistrer les éléments sélectionnés dans une macro. La macro est créée dans le groupe où la commande est lancée.

Coller comme nouvelle macro : Si vous avez utilisé la commande Copier avec le point d'insertion, les éléments graphiques sélectionnés dans le presse-papiers peuvent être collés comme nouvelle macro.

Editer cette macro : Permet l'ouverture de la macro dans l'interface graphique pour modification. La macro est vue comme un projet. Elle apparaît dans l'onglet Documents du panneau ancrable.

Supprimer cette macro : Permet de supprimer la macro sélectionnée de la palette (elle n'est pas supprimée de la bibliothèque).

Nouveau groupe : Permet de créer un nouveau groupe de macros.

Propriétés du groupe : Permet d'accéder aux propriétés du groupe sélectionné.

Supprimer le groupe : Permet de supprimer le groupe sélectionné.

Activer le groupe : Permet d'activer le groupe sélectionné dans le menu contextuel.

Rubriques connexes :

Insérer une macro de schéma

Gestionnaire de macros

Configuration des palettes


Insérer une macro de schéma

Insérer une macro à partir des menus ruban

Menu : Schématique > Insérer macro

Menu : Synoptique > Insérer macro

Lors de la première utilisation de cette commande, le sélecteur de macro s'ouvre vous permettant de sélectionner la macro que vous souhaitez insérer. Cette macro est ensuite mémorisée et vous sera proposée lors de la prochaine utilisation de la commande.

Le panneau ancrable affiche des options supplémentaires.

Epingle la commande pour s'assurer qu'elle reste active après avoir été utilisée une première fois pour insérer une macro.

Arrête la commande après la pose du premier symbole.

Permet de quitter la commande.

Spécifier la macro à insérer

Affiche la dernière macro qui a été insérée. Si aucune macro n'est mémorisée, le sélecteur de macro s'ouvre pour en sélectionner une.

Si vous ne souhaitez pas insérer la macro présentée, cliquez sur le bouton Autre macro. Le sélecteur de macro s'ouvre, vous permettant d'en choisir une autre.

Insérer une macro à partir d'une palette

Panneau ancrable : Macros

1. Ouvrez le folio dans lequel vous voulez insérer la macro.

2. Faites glisser la macro à partir du panneau ancrable.

3. Déposez-la dans la zone graphique.

Recherche de macros

Les palettes disposent d'une option permettant de rechercher une macro spécifique. Cette recherche ne s'effectue pas uniquement dans la palette de macros, mais dans l'ensemble de la bibliothèque de macros.

Dans la zone, saisissez le texte à rechercher et cliquez sur le bouton Rechercher. Toutes les macros contenant le texte saisi dans leur description apparaîtront dans les résultats de la recherche.

Gestion des repères

A l'insertion de la macro, la boîte de dialogue de gestion des repères s'ouvre, vous permettant soit de calculer de nouveaux repères, soit de conserver les repères existants.

Le fonctionnement de cette boîte de dialogue est décrit dans le chapitre Collage spécial .

Rubriques connexes :

Créer une macro de schéma

Gestionnaire de macros

Configuration des palettes


Sélecteur de macros

Menu contextuel d'un groupe de macros : Ajouter des macros existantes

Propriétés du symbole : Macroassociée

Les macros présentées dans le Sélecteur de macros sont celles qui sont stockées dans la bibliothèque de macros.

La partie gauche de la boîte de dialogue affiche la classification des macros, la partie droite affiche la liste des macros de la classe sélectionnée.

Propriétés : Permet d'ouvrir la boîte de dialogue des propriétés de la macro sélectionnée.

Afficher : Permet d'ouvrir la fenêtre de visualisation de la macro sélectionnée.

Mode Liste : Vous permet d'afficher la liste des macros (nom, description, classe).

Mode Vignettes : Permet d'afficher les macros sous la forme de vignettes (aperçus).

Configuration : Vous permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

1. Sélectionnez la macro voulue.

2. Cliquez sur le bouton Sélectionner pour valider.

Rubriques connexes :

Gestionnaire de macros


Copier/Coller

La commande Copier vous permet de placer les éléments sélectionnés dans le presse-papiers de DesignSpark Electrical. La commande Coller vous permet d'extraire ces éléments. Les commandes Copier/Coller peuvent servir à dupliquer ou déplacer des éléments existants.

Les commandes Copier/Coller sont disponibles à divers endroits dans le logiciel et les types d'objets pour lesquels les commandes Copier/Couper peuvent être utilisées dépendent de l'environnement à partir duquel celles-ci sont lancées.

  • Couper

  • Copier

  • Copier avec le point d'insertion

  • Coller

  • Collage spécial


Couper

La commande Couper vous permet de placer les éléments sélectionnés dans le presse-papiers de DesignSpark Electrical. Elle sert à déplacer plusieurs types d'éléments et est disponible à divers endroits dans le logiciel.

Les éléments dans le presse-papiers peuvent être insérés ou créés par la commande Coller ou la commande Collage spécial.

Zone graphique

Menu : Editer > Couper

Menu contextuel des éléments graphiques : Couper

1. Cliquez sur la commande.

2. Sélectionnez les entités dans la zone graphique.

3. Validez la sélection.

Les éléments sont mis en surbrillance et ils peuvent être insérés dans le même folio ou dans un folio différent à l'aide des commandes Coller ou Collage spécial. Lors de l'insertion (commande Coller), les éléments d'origine sont supprimés.

Gestionnaires

Gestionnaires > Couper

1. Sélectionnez les éléments à couper.

2. Cliquez sur la commande.

Les éléments d'origine sont conservés et ils peuvent être collés dans une autre classe. Lors de la création des nouveaux éléments, les éléments d'origine sont supprimés.

Documents du projet

Menu contextuel de projet, liasse, dossier ou folios : Couper

1. Sélectionnez les éléments à couper.

2. Dans le menu contextuel, cliquez sur la commande.

Les éléments d'origine sont conservés et peuvent être collés à un endroit approprié (par exemple, une liasse ne peut pas être collée dans un dossier). Lors de la création des nouveaux éléments, les éléments d'origine sont supprimés.

Rubriques connexes :

Copier

Copier avec le point d'insertion

Coller

Collage spécial


Copier

La commande Copier vous permet de placer les éléments sélectionnés dans le presse-papiers de DesignSpark Electrical. Elle est utilisée pour copier plusieurs types d'éléments et est disponible à différents endroits du logiciel.

Les éléments dans le presse-papiers peuvent être insérés ou créés par la commande Coller ou la commande Collage spécial.

Zone graphique

Menu : Editer > Copier

Menu contextuel des éléments graphiques : Copier

1. Cliquez sur la commande.

2. Sélectionnez les entités dans la zone graphique.

3. Validez la sélection.

Les éléments peuvent être insérés dans le même folio ou dans un autre folio à l'aide des commandes Coller ou Collage spécial. Les éléments d'origine sont conservés.

Gestionnaires

Gestionnaires > Copier

1. Sélectionnez les éléments à copier.

2. Cliquez sur la commande.

Les éléments d'origine sont conservés et sont collés dans la même classe ou dans une classe différente.

Documents du projet

Menu contextuel de projet, liasse, dossier ou folios : Copier

1. Sélectionnez les éléments à copier.

2. Dans le menu contextuel, cliquez sur la commande.

Les éléments d'origine sont conservés et peuvent être collés à un endroit approprié (par exemple, une liasse ne peut pas être collée dans un dossier).

Rubriques connexes :

Couper

Copier avec le point d'insertion

Coller

Collage spécial


Copier avec le point d'insertion

La commande Copier avec le point d'insertion vous permet de placer les éléments sélectionnés dans le presse-papiers de DesignSpark Electrical. Elle sert à copier plusieurs types d'éléments et n'est disponible que dans la zone graphique.

Les éléments dans le presse-papiers peuvent être insérés ou créés par la commande Coller ou la commande Collage spécial.

Menu : Editer > Copier

Menu contextuel des éléments graphiques : Copier

1. Cliquez sur la commande.

2. Sélectionnez les entités dans la zone graphique.

3. Validez la sélection.

4. Dans la zone graphique, cliquez sur le point d'insertion

Le point d'insertion est utilisé lorsque vous insérez les entités (commandes Coller ou Collage spécial).

Les éléments peuvent être insérés dans le même folio ou dans un autre folio à l'aide des commandes Coller ou Collage spécial. Les éléments d'origine sont conservés.

Rubriques connexes :

Couper

Copier

Coller

Collage spécial


Coller

La commande Coller est utilisée pour insérer des objets qui se trouvent dans le presse-papiers de DesignSpark Electrical. Elle est disponible à différents endroits du logiciel et le type d'objet inséré est fonction de l'environnement dans lequel la commande est lancée. Si le presse-papiers est vide, le collage est annulé.

Zone graphique

Menu : Editer > Coller

Menu contextuel des éléments graphiques : Coller

1. Cliquez sur la commande.

2. Dans la zone graphique, cliquez sur le point d'insertion.

Lorsque les objets contenus dans le presse-papiers de DesignSpark Electrical sont dotés d'un repère (symbole, liaison ou folio, par exemple), lors de l'utilisation de la commande Coller, le repère est automatiquement recalculé par rapport aux objets existants dans le projet. Si vous souhaitez pouvoir gérer les repères vous-même, il convient d'utiliser la commande Collage spécial .

Gestionnaires

Gestionnaires > Coller

1. Cliquez sur la commande.

Les objets contenus dans les gestionnaires (par exemple, symboles, câbles ou références constructeur) peuvent également être Copiés/Collés. Un nouvel objet est créé et un suffixe +n (n = numéro d'ordre) est ajouté au nom du nouvel objet.

Documents du projet

Menu contextuel de projet, liasse, dossier ou folios : Coller

1. Sélectionnez les éléments à couper.

2. Dans le menu contextuel, cliquez sur la commande.

Lorsqu'un folio de schématique ou de synoptique fait l'objet d'un Copier/Coller, un nouveau folio est créé et son contenu est automatiquement dupliqué. Vous pouvez copier des projets (contenu de projet), des liasses, des dossiers ou des folios dans le même projet ou dans un autre.

Rubriques connexes :

Couper

Copier

Copier avec le point d'insertion

Collage spécial


Collage spécial

Menu : Editer > Collage spécial

Menu contextuel des éléments graphiques : Collage spécial

Menu contextuel de projet, liasse, dossier ou folios : Collage spécial

Tout comme la commande Collerla commande Collage spécial permet d'insérer des objets qui se trouvent dans le presse-papiers de DesignSpark Electrical. Elle est disponible à différents endroits du logiciel et le type d'objet inséré est fonction de l'environnement dans lequel la commande a été lancée.

L'interface Collage spécial s'ouvre également lorsque vous insérez une macro.

Une boîte de dialogue s'ouvre pour vous permettre de créer de nouveaux repères ou de conserver les repères existants.

Retenez que des repères identiques sont automatiquement associés, sauf si l'un d'eux est un repère automatique et que l'autre est un repère manuel.

Onglet Options de collage

La boîte de dialogue affiche tous les objets se trouvant dans le presse-papiers. Pour chaque type d'objet, sélectionnez l'action voulue.

Type d'objet : Liste des différents objets contenus dans le presse-papiers.

Nombre d'objets : Nombre d'objets trouvés.

Actions

Toutes les actions répertoriées ci-dessous sont des actions par défaut pour toutes les catégories d'éléments. Vous pouvez les modifier individuellement dans les autres onglets.

Créer un nouveau repère : le repère de l'élément collé sera automatiquement recalculé en fonction des éléments existants.

Conserver le repère existant : le repère est le même dans l'élément copié et dans l'élément collé.

Supprimer le numéro : cette action est spécifique aux numéros d'équipotentielle. Elle permet de les recalculer.

Conserver le numéro existant : cette action est spécifique aux numéros d'équipotentielle. Elle permet de les conserver.

Sélectionnez dans la liste l'action voulue (Créer un nouveau repère ou Conserver le repère existant). Notez que pour certains objets, les actions sont désactivées. Chaque paramètre d'objet peut être modifié dans les autres onglets. Les nouveaux repères ne sont pas calculés. Ils le sont lorsque vous cliquez sur le bouton Terminer.

Réinitialiser le repère manuel : seuls les repères automatiques sont utilisés par la commande Collage spécial. Si vous voulez également gérer les repères manuels, cochez la case Réinitialiser le repère manuel.

Si vous aviez configuré les autres onglets et que vous changez une option dans l'onglet Options de collage, une boîte de dialogue s'ouvre pour vous permettre de confirmer votre choix (vous pouvez perdre les paramètres déjà définis).

Onglets d'objets

La boîte de dialogue affiche plusieurs onglets correspondant aux objets copiés. Dans chaque onglet, vous pouvez gérer chaque repère d'objet.

Associer : L'objet copié est associé à un objet existant. Le sélecteur qui s'ouvre vous permet de sélectionner un objet existant.

Renommer : Ouvre une boîte de dialogue vous permettant de modifier le repère. Le nouveau repère est créé en tant que repère manuel.

Nouveau repère : Si vous sélectionnez Conserver le repère existant dans le premier onglet, vous pouvez saisir un nouveau repère sur chaque objet.

Affichage en liste : Affiche l'élément dans une liste.

Affichage en arbre : Affiche les éléments dans une arborescence.

Ces commandes sont également disponibles dans le menu contextuel de chaque objet.

Une fonction de recherche vous permet de trouver un repère existant. Saisissez le repère et cliquez sur les renvois pour le trouver.

Un code couleur vous permet d'identifier l'état du repère.

Vert : Nouveau repère.

Orange : Repère existant.

Bleu : Repère nouveau et renommé.

Onglet Prêt à coller

Le dernier onglet affiche le résultat correspondant aux options précédentes.

1. Cliquez sur le bouton Terminer pour lancer la copie.

Les nouveaux repères sont calculés automatiquement d'après les repères existants.

Rubriques connexes :

Couper

Copier

Copier avec le point d'insertion

Coller


Texte multilingue

Les textes multilingues ont la particularité d'être saisis dans toutes les langues du projet. Ils se différencient des textes classiques dans le fait qu'ils sont stockés dans la base de données. Lors du changement de langue du projet, les textes multilingues changent automatiquement de langue. Cette interface est identique à celle de l'insertion et l'édition de texte multilingue.

Menu : Dessin > Texte multilingue

Le panneau ancrable se modifie et affiche les options de placement.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Saisie des coordonnées

1. Cliquez sur un point dans la zone graphique ou entrez les coordonnées du point d'insertion du texte.

Texte

2. Saisissez le texte dans les différentes langues d'affichage.

Format

3. Une case à cocher est disponible pour utiliser les paramètres de configuration du projet ou utiliser des paramètres spécifiques pour ce texte. Dans ce cas sélectionnez la police, la hauteur, le style et la couleur du texte.

Justification

4. Définissez la justification du texte.

Angle de rotation

5. Saisissez l'angle de rotation du texte.


Hyperlien

Menu : Dessin > Hyperlien

Menu contextuel des entités de schéma, de synoptique ou de nomenclature.

L'option Hyperlien vous permet de lier un fichier externe ou un folio de projet à un élément graphique. Ils peuvent également être utilisés pour créer des liens vers des éléments tels que les fichiers images et les fichiers PDF.

Une boîte de dialogue s'ouvre vous permettant de créer un hyperlien.

Texte à afficher : Entrer un texte relatif à l'hyperlien. Ce texte apparaîtra dans le menu contextuel de l'entité dans laquelle l'hyperlien a été créé.

Chemin relatif : Sélectionnez cette option pour afficher le chemin du fichier en mode relatif.

Hyperlien de folio : Cliquez sur le bouton [...] pour sélectionner le fichier lié.

Chemin de fichier absolu : Indique le chemin du fichier en mode absolu.

Dossier courant : Indique le dossier du projet courant.

Lien hypertexte vers le folio du projet : Cliquez sur le bouton [...] pour sélectionner un folio du projet courant.

Supprimer le lien : Permet de supprimer le lien.

Cible : Permet d'ouvrir le fichier à l'aide de l'application qui lui est associée. Si la cible est un folio de projet, celui-ci est ouvert dans la zone graphique.

Dans le menu contextuel de l'entité qui possède un hyperlien, des commandes vous permettent de gérer l'hyperlien.

Modifier : Permet de modifier l'hyperlien.

Supprimer : Permet de supprimer l'hyperlien.

Attention : Lors de l'archivage du projet, les fichiers associés par des hyperliens ne sont pas intégrés au fichier d'archive. Si vous souhaitez qu'ils le soient, ajoutez-les comme fichier de données au projet.

Rubriques connexes :

Fichiers de données


Traitements

Les traitements (tels que l'édition des borniers, des câbles ou des nomenclatures) sont rendus possibles grâce aux informations stockées dans la base de données du projet. Cette base de données s'alimente automatiquement au fur et à mesure de la conception de la schématique.

L'ensemble des traitements fait l'objet d'un menu spécifique (Traitements), mais certaines commandes sont également disponibles dans le menu Projet.

  • Références croisées

  • Affecter des références constructeur

  • Ordre de câblage

  • Câblage

  • Numérotation des fils

  • Renuméroter les repères

  • Mise à jour des données du projet

  • Traduction des textes du projet

  • Révisions

  • Gestionnaire de nomenclatures

  • Ajouter au panier

  • Gestionnaire d'impression

  • Export des folios


Menus contextuels des éléments de schéma

Menu contextuel des éléments de schéma

Les éléments de schéma (symboles, bornes ou fils) disposent d'un menu contextuel dans lequel se trouvent un certain nombre de commandes.

La plupart des commandes disponibles dans les menus contextuels peuvent être utilisées sur une multisélection. Quand cela n'est pas possible, la commande est grisée.

  • Menu contextuel de la liaison

  • Menu contextuel du symbole

  • Menu contextuel de la boîte noire

  • Menu contextuel de la borne


Liaison (Menu contextuel)

Style de liaison ►

Propriétés : Ouvre la boîte de dialogue des propriétés du style de liaison. Tous les changements effectués affectent toutes les liaisons du projet.

Propager : Permet de propager le style de liaison des segments sélectionnés aux segments connectés. Le panneau ancrable affiche les options de propagation. L'option A l'équipotentielle permet la propagation sur les liaisons ayant le même numéro d'équipotentielle. L'option A travers les circuits propage le style de liaison à travers les symboles, uniquement dans le cas où le style de liaison est identique en amont et en aval du symbole.

Remplacer : Permet de remplacer les liaisons utilisées dans le projet, dépendant d'un style de liaison, par un autre style de liaison. Le panneau ancrable affiche les options de sélection des liaisons.

Propriétés du câble : Affiché uniquement si vous sélectionnez un fil / câble. Ouvre la boîte de dialogue Propriétés d'un câble du projet permettant d'éditer les propriétés du câble.

Propriétés du fil : ouvre la boîte de dialogue Propriétés du filqui vous permet de gérer son repérage ainsi que les données techniques associées au fil.

Propriétés de l'équipotentielle : Permet l'ouverture de la boîte de dialogue des propriétés des fils communs à cette équipotentielle. Elle permet de gérer le numéro de l'équipotentielle ainsi que les données techniques associées à cette équipotentielle.

Editer un repère de fil : Permet d'éditer le numéro (de fil ou d'équipotentielle) affecté à la liaison.

Aligner des textes : Permet d'aligner les textes des repères de fils. Sélectionnez les textes à aligner et dessinez un axe perpendiculaire aux liaisons. Les textes seront alignés sur cet axe.

Afficher / masquer les repères de fils : Permet d'afficher ou de masquer les numéros de fil ou d'équipotentielle affectés à la liaison. Cette commande peut également être utilisée sur une multi-sélection.

Associer des brins de câble : Permet de créer le câblage de la liaison.

Dissocier les brins : permet de dissocier le brin de câble associé au fil sélectionné.

Ordre de câblage des fils : Permet de gérer l'ordre de câblage de la liaison.

Créer / supprimer ponts : Permet de créer un pont entre deux composants (ou bornes) ou plus. Après le lancement de la commande, sélectionnez les liaisons matérialisant le pont et validez. Les liaisons prendront automatiquement les caractéristiques graphiques définies dans la configuration du projet. Cette commande permet également de supprimer un pont. Sélectionnez dans l'interface graphique les liaisons matérialisant le pont et utilisez l'option Supprimer ponts.

Afficher / masquer les textes de brins de câbles : Permet d'afficher ou de masquer les textes relatifs au brin du câble, lorsque la liaison est câblée.

Déplacer : Permet de déplacer la liaison ou les liaisons sélectionnées.

Copier : permet de placer dans le presse-papiers de DesignSpark Electrical la ou les liaisons sélectionnées.

Copier avec le point d'insertion : copie le symbole dans le presse-papiers de DesignSpark Electrical et définit le point d'insertion.

Couper : Identique à la commande Copier, les liaisons sélectionnées sont ensuite supprimées.

Hyperlien : Permet de créer / éditer un lien vers un document externe.

Supprimer : Permet de supprimer la ou les liaisons sélectionnées.


Symbole (menu contextuel)

Ce chapitre concerne tous les types de symbole, tels que les symboles de synoptique, schématique et renvoi (tenant-aboutissant). Le menu contextuel varie selon le symbole sélectionné.

Propriétés du symbole : Ouvre la boîte de dialogue des propriétés du symbole.

Affecter un composant : Affecte les symboles sélectionnés à un composant existant.

Attributs ►

Modifier les attributs : Permet de modifier les attributs du symbole.

Gère l'affichage des attributs du symbole.

Editer le style de référence croisée : ouvre la boîte de dialogue de configuration des références croisées.

Editer les bornes du symbole : ouvre la boîte de dialogue de modification des bornes matérielles du composant.

Symbole ►

Vous avez à disposition, dans le menu contextuel du symbole, quatre commandes permettant d'éditer le symbole sur lequel le menu contextuel a été ouvert.

Mettre à jour : Permet de mettre à jour le symbole inséré par rapport à sa définition dans la bibliothèque des symboles.

Remplacer : Permet de remplacer le symbole inséré par un autre symbole de la bibliothèque.

Ouvrir le symbole : Permet d'ouvrir le symbole dans l'interface de modification, pour y changer son graphisme, ses attributs ou ses points de connexion.

Ajouter à la bibliothèque : Permet d'ajouter le symbole inséré à la bibliothèque des symboles.

Propriétés du composant : Ouvre la boîte de dialogue d'édition du composant pour lui changer son repère, affecter la localisation et la fonction, saisir les données spécifiques au composant et lui affecter une référence constructeur.

Composant ►

Changer de localisation : Permet de modifier la localisation associée au symbole.

Changer de fonction : Permet de modifier la fonction associée au symbole.

Affecter des références constructeur : Permet d'affecter une ou plusieurs références constructeur au symbole.

Supprimer les références constructeur : Permet de supprimer les références constructeur associées au symbole.

Insérer un symbole : Permet d'insérer un symbole pour ce composant.

Atteindre ►

Accéder au navigateur : affiche l'onglet Composants, la liste des symboles associés au composant sélectionné. Cette fonctionnalité s'avère utile si le composant est défini par un très grand nombre de symboles.

Les autres éléments vous permettent de parcourir les différents symboles correspondant au même composant, par le biais des références croisées.

Câblage ►

Permet de gérer le câblage et l'ordre de câblage.

Ordre de câblage des fils : Permet de réaliser l'ordre de câblage en amont ou en aval du symbole.

Association d'un brin de câble : Permet de réaliser le câblage en amont ou en aval du symbole.

Orientation ►

Permet de modifier l'orientation du symbole.

Angles spécifiques (0° / 90° / 180° / 270°)

Rotation libre : Utilisez la souris pour faire tourner le symbole.

Retourner : Produit une image miroir du symbole.

Déplacer : Permet de déplacer le symbole.

Couper : permet de copier le symbole dans le presse-papiers de DesignSpark Electrical. Le symbole est supprimé.

Copier : permet de copier le symbole dans le presse-papiers de DesignSpark Electrical.

Copier avec le point d'insertion : copie le symbole dans le presse-papiers de DesignSpark Electrical et définit le point d'insertion.

Hyperlien : permet de créer/éditer un lien vers un document externe.

Supprimer : Permet de supprimer le symbole du folio.


Boîte noire (menu contextuel)

Propriétés du symbole : Ouvre la boîte de dialogue des propriétés du symbole.

Editer le style de référence croisée : Ouvre la boîte de dialogue de configuration des références croisées.

Affecter un composant : Affecte les symboles sélectionnés à un composant existant.

Attributs ►

Gère l'affichage des attributs du symbole.

Modifier les attributs : permet de modifier les attributs du symbole.

Editer les bornes du symbole : Ouvre la boîte de dialogue de modification des bornes matérielles du composant.

Symbole ►

Dans le menu contextuel, vous disposez de quatre commandes permettant d'éditer le symbole sur lequel le menu contextuel a été ouvert.

Mettre à jour : Permet de mettre à jour le symbole inséré par rapport à sa définition dans la bibliothèque des symboles.

Remplacer : Permet de remplacer le symbole inséré par un autre symbole de la bibliothèque.

Ouvrir le symbole : Permet d'ouvrir le symbole dans l'interface de modification, pour y changer son graphisme, ses attributs ou ses points de connexion.

Ajouter à la bibliothèque : Permet d'ajouter le symbole inséré à la bibliothèque des symboles.

Propriétés du composant : Permet d'ouvrir la boîte de dialogue d'édition du composant pour lui changer son repère, affecter la localisation et la fonction, saisir les données spécifiques au composant et de lui affecter une référence constructeur.

Composant ►

Changer de localisation : Permet de modifier la localisation associée au symbole.

Changer de fonction : Permet de modifier la fonction associée au symbole.

Affecter des références constructeur : Permet d'associer une ou plusieurs références constructeur au symbole.

Supprimer des références constructeur : Permet de supprimer les références constructeur associées au symbole.

Insérer un symbole : Permet d'insérer un symbole de ce composant.

Atteindre ►

Permet de naviguer parmi les différents symboles ayant le même repère en utilisant les références croisées.

Mettre à jour la boîte noire : Permet de mettre à jour la boîte noire.

Ajouter un point de connexion : permet d'ajouter des points de connexion sur le contour de la boîte noire.

Supprimer le point de connexion : Permet de supprimer les points de connexion de la boîte noire.

Câblage ►

Permet de gérer le câblage et l'ordre de câblage.

Ordre de câblage des fils : Permet de réaliser l'ordre de câblage en amont ou en aval du symbole.

Association d'un brin de câble : Permet de réaliser le câblage en amont ou en aval du symbole.

Déplacer : Permet de déplacer le symbole.

Copier : Permet de copier le symbole dans le presse-papiers de DesignSpark Electrical.

Copier avec le point d'insertion : copie le symbole dans le presse-papiers de DesignSpark Electrical et vous demande de spécifier le point d'insertion.

Couper : Permet de copier le symbole dans le presse-papiers de DesignSpark Electrical. Le symbole est supprimé.

Hyperlien : Permet de créer/éditer un lien vers un document externe.

Supprimer : Permet de supprimer le symbole du folio.


Borne (menu contextuel)

Propriétés du symbole : Ouvre la boîte de dialogue des propriétés du symbole.

Affecter un composant : Affecte les symboles sélectionnés à un composant existant.

Attributs ►

Modifier les attributs : permet de modifier les attributs du symbole.

Gère l'affichage des attributs du symbole.

Editer les bornes du symbole : ouvre la boîte de dialogue de modification des bornes matérielles du composant.

Symbole ►

Vous avez à disposition, dans le menu contextuel du symbole, quatre commandes permettant d'éditer le symbole sur lequel le menu contextuel a été ouvert.

Mettre à jour : permet de mettre à jour le symbole inséré par rapport à sa définition dans la bibliothèque des symboles.

Remplacer : permet de remplacer le symbole inséré par un autre symbole de la bibliothèque.

Ouvrir le symbole : Permet d'ouvrir le symbole dans l'interface de modification, pour y changer son graphisme, ses attributs ou ses points de connexion.

Ajouter à la bibliothèque : Permet d'ajouter le symbole inséré à la bibliothèque des symboles.

Propriétés du composant : Ouvre la boîte de dialogue d'édition du composant pour lui changer son repère, affecter la localisation et la fonction, saisir les données spécifiques au composant et lui affecter une référence constructeur.

Composant ►

Changer de fonction : Permet de modifier la fonction associée au symbole.

Affecter des références constructeur : Permet d'affecter une ou plusieurs références constructeur au symbole.

Supprimer des références constructeur : Permet de supprimer les références constructeur associées au symbole.

Insérer un symbole : Permet d'insérer un symbole pour ce composant.

Définir les étages : Permet de définir le nombre d'étages des bornes sélectionnées. Une boîte de dialogue s'ouvre vous invitant à saisir le nombre d'étages.

Changer de bornier : Permet de déplacer les bornes sélectionnées vers un autre bornier.

Atteindre ►

Permet de naviguer parmi les différents symboles ayant le même repère en utilisant les références croisées.

Propriétés du bornier : Permet d'ouvrir les propriétés du bornier sur lequel se trouve la borne.

Câblage ►

Permet de gérer le câblage et l'ordre de câblage.

Ordre de câblage des fils : Permet de réaliser l'ordre de câblage en amont ou en aval du symbole.

Association d'un brin de câble : Permet de réaliser le câblage en amont ou en aval du symbole.

Orientation ►

Permet de modifier l'orientation du symbole.

Angles spécifiques (0° / 90° / 180° / 270°)

Rotation libre : Utilisez la souris pour faire tourner le symbole.

Retourner : Produit une image miroir du symbole.

Déplacer : Permet de déplacer le symbole.

Couper : permet de copier le symbole dans le presse-papiers de DesignSpark Electrical. Le symbole est supprimé.

Copier : permet de copier le symbole dans le presse-papiers de DesignSpark Electrical.

Copier avec le point d'insertion : copie le symbole dans le presse-papiers de DesignSpark Electrical et définit le point d'insertion.

Hyperlien : Permet de créer/éditer un lien vers un document externe.

Supprimer : Permet de supprimer le symbole du folio.


Références croisées

Un appareil peut être représenté par un ou plusieurs symboles. Lorsqu'il est représenté par plusieurs symboles, ceux-ci peuvent être insérés dans différents folios. Les références croisées permettent de matérialiser les liens entre ces différents symboles.

On distingue plusieurs niveaux de références croisées en fonction de la norme utilisée et du type de symbole.

- Les symboles de type Parent en ligne (par exemple : un disjoncteur)

- Les symboles de type Parent en tableau (par exemple : une bobine)

- Les symboles de type Enfant (par exemple : un contact)

- Les symboles de type Même niveau (par exemple : un bouton poussoir)

- Les symboles sans référence croisée (par exemple : une alimentation)

Les références croisées sont calculées en temps réel, c'est à dire que chaque action (déplacement, suppression...) sur les symboles liés entraîne une mise à jour des références croisées.

La génération automatique des vignettes de références croisées s'appuie sur la définition des symboles (circuits) et sur des paramètres de configuration.

  • Gestion des circuits

  • Niveaux de références croisées

  • Navigation par les références croisées


Gestion des circuits

Les circuits d'un appareil correspondent à ce que l'on pourrait appeler les "pôles d'un appareil". Ces circuits sont utilisés dans la définition du symbole et également dans celle de la référence constructeur. C'est par comparaison entre les circuits du symbole et les circuits de la référence constructeur que les références croisées sont générées et que les bornes matérielles sont affichées.

Définition des circuits

Le logiciel gère plusieurs types de circuits correspondant à la nature du composant électrique.

Par exemple, un disjoncteur tripolaire est composé de trois circuits Disjoncteur, Interrupteur.

Les circuits d'un composant sont la somme des circuits de tous les symboles matérialisant ce composant.

L'exemple ci-dessus montre la définition en termes de circuits de la référence LC1D09006B7 de chez Schneider. Elle est composée d'une bobine, d'un contacteur de puissance 3 pôles, et de contacts NO et NF.

Lors de l'affectation d'une référence constructeur, le logicielcompare les circuits de la référence constructeur et les circuits des différents symboles représentant le composant. S'il y a adéquation, les numéros de bornes matérielles sont automatiquement propagés sur les circuits des symboles et affichés dans le schéma. S'il existe des différences entre les circuits de la référence constructeur et les circuits des symboles, les circuits sont cumulés et mis en réserve, les numéros de bornes matérielles ne sont pas affichés sur le schéma.

Rôle des circuits dans les références croisées

Comme expliqué dans le chapitre Configuration des références croisées, certains types de circuits sont associés à une vignette de références croisées (symbole graphique). Il s'agit des types de circuits associés à un symbole de niveau Enfant ou de Même niveau (les symboles de type Parent ne génèrent pas de vignettes de références croisées).

Lors de la génération des vignettes de références croisées, le logicielrépertorie l'ensemble des circuits associés au composant, les filtre pour ne garder que les circuits Enfant ou Même niveau, puis utilise la vignette de références croisées associée au type de circuit pour générer le graphisme. Les numéros de bornes matérielles sont automatiquement ajoutés ainsi que la position des symboles dans le projet et dans les folios.

Dans l'exemple ci-dessus, on retrouve les 3 circuits de type Contact de puissance NO en colonne 4 du folio 10, et un contact NO en colonne 4 du folio 04. Le contact NF, appartenant à la référence constructeur n'est pas utilisé dans le folio (mis en réserve). Le second contact NO (colonne 6 du folio 04) ne fait pas partie de la référence constructeur.

Circuits et groupes

Afin d'associer les circuits entre eux, entrez un numéro (ou un nom) sur chaque circuit. Les circuits doivent avoir le même numéro pour être associés.

Par exemple, un contacteur inverseur utilise les groupes de circuit sur lesquels vous pouvez trouver une bobine associée à un contacteur et une deuxième bobine associée à un deuxième contacteur.

Les données de la référence constructeur stockent le numéro de groupe. Lorsque vous insérez le composant du symbole, les références croisées sont automatiquement mises à jour avec le numéro de groupe.

Rubriques connexes :

Configuration de référence croisée

Niveaux de références croisées

Navigation par les références croisées


Niveaux de références croisées

On distingue plusieurs niveaux de références croisées en fonction de la norme utilisée et du type de symbole.

- Les symboles de type Parent en ligne (par exemple : un disjoncteur)

- Les symboles de type Parent en tableau (par exemple : une bobine)

- Les symboles de type Enfant (par exemple : un contact)

- Les symboles de type Même niveau (par exemple : un bouton poussoir)

- Sans références croisées (par exemple : une alimentation électrique)

- Les symboles ANSI de norme de Représentation par défaut

Chaque niveau de références croisées permet d'obtenir une représentation différente des symboles associés.

Parent en tableau : Un bloc incluant la représentation graphique des circuits et les informations de localisation (Folio / Colonne) est automatiquement généré dans l'alignement du symbole de type Parent en tableau, en partie basse du folio.

Parent en ligne : Un bloc incluant la représentation graphique des circuits et les informations de localisation (Folio / Colonne) est automatiquement généré à proximité du symbole de type Parent en ligne.

Enfant ou Même étage : Les informations de références croisées sont propagées sous forme de texte dans l'attribut #CROSS_REF du symbole.

Sans : Ne génère pas de références croisées.

Représentation par défaut : Un bloc incluant la représentation graphique des circuits et les informations de localisation (Folio / Colonne) est automatiquement généré dans l'alignement du symbole de type Parent en tableau, à droite de la colonne dans laquelle le symbole a été inséré.

Le niveau de références croisées est défini dans les paramètres du symbole (voir Bibliothèque de symboles).

Rubriques connexes :

Gestion des circuits

Navigation par les références croisées


Navigation par les références croisées

Un appareil peut être représenté par plusieurs symboles, ceux-ci pouvant être insérés sur des folios différents. DesignSpark Electrical génère automatiquement des informations de références croisées afin d'assurer une meilleure compréhension du schéma. Elles peuvent avoir une représentation graphiques (Vignettes) ou représentées par un texte affiché en-dessous du repère du symbole.

Vous pouvez naviguer parmi les symboles composant cet appareil.

Sélectionnez l'option Atteindre du menu contextuel des symboles du composant (le menu contextuel est également disponible pour les vignettes de références croisées).

Rubriques connexes :

Gestion des circuits

Configuration de référence croisée

Niveaux de références croisées


Références constructeur et circuits

Propriétés du symbole : Références constructeur et circuits

Propriétés de la borne : Références constructeur et circuits

Propriétés de la boîte noire : Références constructeur et circuits

Propriétés de la localisation : Référence constructeur

Cet onglet matérialise les références constructeur assignées au composant ainsi que sa définition en termes de circuits.

Références constructeur

Recherche : ouvre une boîte de dialogue vous permettant de rechercher une référence constructeur dans la bibliothèque.

Ajouter une référence constructeur : ouvre la boîte de dialogue de création de référence constructeur.

Ajouter un assemblage électrique : ouvre la boîte de dialogue permettant de créer un nouvel assemblage électrique.

Supprimer : Supprime les références constructeur sélectionnées.

Propriétés : ouvre la boîte de dialogue des propriétés de la référence constructeur sélectionnée.

Monter/Descendre : permet d'organiser la liste des références constructeur.

Circuits

La définition de circuit n'est pas disponible dans l'emplacement et la boîte de dialogue .

Lorsque vous sélectionnez une référence dans la liste, DesignSpark Electrical compare les circuits constituant le composant (symboles) et les circuits contenus dans la référence constructeur.

Le vert indique une cohérence entre les circuits du symbole et les circuits de la référence constructeur.

Le rouge indique une incohérence. Certains symboles de circuits ne sont pas présents dans la référence constructeur. Il convient donc d'ajouter des auxiliaires ou de modifier votre composant pour ajouter les symboles à la référence constructeur.

Le bleu indique que la référence constructeur contient des circuits qui ne sont pas représentés dans le symbole (éléments de réserve).

Le jaune indique la présence de circuits virtuels, n'appartenant ni aux symboles ni à la référence constructeur (ajoutés manuellement).

Edition des bornes : permet d'éditer le numéro de borne des circuits sélectionnés.

Ajouter des circuits virtuels : Permet d'ajouter un nouveau circuit. Un circuit virtuel est absent de la référence constructeur et des symboles.

Supprimer des circuits virtuels : permet de supprimer les circuits virtuels sélectionnés.

Permuter les circuits de symboles : permet de permuter deux circuits sélectionnés dans la liste de circuits.

Dissocier les circuits de symboles : seuls les circuits verts doivent être dissociés. Lorsque vous dissociez un circuit, il est automatiquement défini en réserve (bleu) et le circuit de symboles est défini en rouge.

Monter/Descendre : permet d'organiser les circuits virtuels.

Ces commandes sont également disponibles dans le menu contextuel des circuits.

Rubriques connexes :

Affectation d'une référence constructeur

Propriétés d'une référence constructeur

Gestion des circuits


Affectation d'une référence constructeur

Les références constructeur sont gérées au sein d'un catalogue que vous pouvez enrichir selon vos besoins. Chaque composant géré dans DesignSpark Electrical peut être associé à une ou plusieurs références constructeur. Les références constructeur ont plusieurs applications dans le logiciel, selon le type d'élément.

  • Affectation d'une référence constructeur à un composant

  • Affectation d'une référence constructeur à un symbole

  • Affectation d'une référence constructeur à une localisation

  • Affectation d'une référence constructeur à une borne

  • Affectation d'une référence constructeur à un bornier

  • Référencement manuel

Lorsqu'une référence constructeur est associée à un élément, le folio est automatiquement mis à jour, y compris les références croisées et les numéros de bornes sur le symbole.

Dans l'onglet spécifique de chaque type de composant, cliquez sur le bouton Rechercher pour accéder à la boîte de dialogue Choix de référence(s) constructeur.

Vous disposez de deux options pour rechercher des références constructeur. Cochez la case Rafraîchissement automatique pour afficher automatiquement une liste des références constructeur.

Si vous ne cochez pas la case, la liste des références constructeur n'est mise à jour que si vous cliquez sur le bouton Rechercher.

Classification

Cet onglet affiche les classifications des références constructeur sous la forme d'une arborescence.

Le côté gauche de la boîte de dialogue montre les classifications de références constructeur. Le côté droit affiche les références constructeur dans la classification actuellement sélectionnée.

Filtres

Permet de filtrer la liste des références constructeur. Tous les critères du filtre sont présents dans les propriétés de la référence constructeur.

Le côté droit de la boîte de dialogue affiche les références constructeur correspondant aux critères sélectionnés.

Supprimer les filtres : Permet de supprimer tous les critères de filtre.

Classification : la Classification est le premier critère de recherche. Vous pouvez utiliser la classe de l'objet auquel vous souhaitez attribuer une référence constructeur, la même classe de base ou toutes les classes.

Pour modifier la classe par défaut, cliquez sur le bouton [...] et sélectionnez la classe ou la sous-classe souhaitée.

Tous les autres critères sont ceux des propriétés de la référence constructeur.

Permet de gérer la quantité à ajouter.

Permet d'ajouter la référence constructeur sélectionnée.

Permet de remplacer la référence constructeur déjà affectée par celle sélectionnée dans la liste.

Permet de supprimer l'ensemble des références constructeur associées.

Permet de commander la référence constructeur.

Affectation d'une référence constructeur à un composant

Un composant est, par définition, un appareil électrique associé à une référence constructeur.

Lorsque vous créez un composant, DesignSpark Electrical vous demande automatiquement de lui associer une référence constructeur.

Affectation d'une référence constructeur à un symbole

Propriétés du symbole : Référence constructeur et circuits

La partie inférieure de la boîte de dialogue affiche la liste des circuits constituant le composant (ensemble des symboles composant l'appareil).

Cliquez sur le bouton Rechercher pour chercher une référence constructeur ou sur Ajouter une référence constructeur pour en créer une nouvelle.

Le menu contextuel de la référence constructeur permet d'accéder à ses propriétés et d'activer ou de désactiver le contrôle des circuits.

Lorsque le contrôle est activé, DesignSpark Electrical compare les circuits du composant (symboles) aux circuits contenus dans la référence constructeur.

Le vert indique la cohérence entre les circuits des symboles et les circuits de la référence constructeur.

Le rouge indique une incohérence. Certains symboles de circuits ne sont pas présents dans la référence constructeur. Il convient donc d'ajouter des auxiliaires ou de modifier vos symboles dans la référence constructeur.

Le bleu indique que la référence constructeur contient des circuits qui ne sont pas représentés sous forme de symbole (circuits de réserve).

Affectation d'une référence constructeur à une localisation

Propriétés d'une localisation : Références constructeur

Cliquer sur le bouton Rechercher dans l'onglet Référence constructeur pour rechercher une référence constructeur.

Affectation d'une référence constructeur à une borne

Propriétés de la borne : Références constructeur et circuits

Sélectionnez les bornes que vous souhaitez référencer et cliquez sur l'icône Références constructeur.

Affectation d'une référence constructeur à un bornier

Propriétés du bornier : Références constructeur et circuits

Cliquez sur le bouton Rechercher dans l'onglet Référence constructeur pour rechercher une référence constructeur. La référence constructeur sélectionnée est affectée au bornier, pas à la borne. Vous pouvez utiliser cette fonctionnalité pour sélectionner des accessoires de la borne (à ne pas confondre avec un composant).

Référencement manuel

Dans tous les cas cités précédemment, le référencement se faisait à partir du catalogue constructeur. Vous pouvez également saisir une référence constructeur manuellement, par exemple lorsque la référence dont vous avez besoin n'existe pas dans le catalogue et n'a pas besoin d'être saisie de manière permanente.

Boîtes de dialogue Propriétés : Références constructeur > Ajout manuel

Saisissez les paramètres nécessaires et validez en appuyant sur le bouton OK.

Lors de la saisie de la référence et du nom du constructeur et si la référence existe déjà dans le catalogue, un message apparaît, vous demandant si vous souhaitez récupérer les propriétés de la référence existante, ou tout simplement continuer la saisie de ses propriétés.

Si la référence constructeur figure déjà dans le catalogue, cliquez sur le bouton OK. Si les propriétés de la nouvelle référence constructeur sont différentes des propriétés de la référence existante, un message apparaît vous demandant si vous souhaitez mettre à jour le catalogue avec les nouvelles données ou simplement appliquer les données au composant.

Lorsque vous saisissez une nouvelle référence constructeur, DesignSpark Electrical vous demande si vous souhaitez l'ajouter au catalogue constructeur.

Rubriques connexes :

Catalogue des références constructeur

Références croisées


Ordre de câblage

Il existe deux types de harnais de fils :

  • Les équipotentielles simples. Elles relient uniquement deux appareils.

  • Les équipotentielles complexes. Elles relient trois appareils entre eux, ou plus.

L'ordre de câblage permet de définir la façon dont les appareils sont connectés entre eux.

Seules les équipotentielles complexes sont concernées par l'ordre de câblage.

Il vous permet également d'optimiser les longueurs de fils et de câbles et d'orienter les liaisons (tenant / aboutissant), facilitant la lecture dans les nomenclatures de filerie et de câblage.

On distingue deux types d'ordre de câblage : l'ordre de câblage Automatique (généré automatiquement par DesignSpark Electrical) et l'ordre de câblage Manuel (généré manuellement par l'utilisateur).

  • Gérer l'ordre de câblage

Rubriques connexes :

Numérotation des fils

Câblage


Gérer l'ordre de câblage

L'ordre de câblage peut être réalisé globalement sur le projet ou sur une liaison simple

Menu : Projet > Ordre de câblage (gère tous les fils dans le projet)

Panneau ancrable > Menu contextuel du projet : Projet > Gestionnaire d'ordre de câblage (gère tous les fils dans le projet)

Menu contextuel d'un fil : Ordre de câblage (gère uniquement les fils sélectionnés)

La partie gauche de la boîte de dialogue affiche la liste des équipotentielles complexes du projet. La partie supérieure est consacrée aux différents symboles connectés au fil.

La partie inférieure affiche le résultat de l'ordre de câblage.

L'ordre de câblage permet entre autres de gérer le câblage des brins (voir la rubrique Câblage).

Equipotentielles

Ajout automatique des fils : gère l'ordre de câblage sur l'ensemble des équipotentielles complexes du projet. L'ordre dans lequel les appareils seront connectés dépendra de leur repère (tri alphanumérique). L'ordre de câblage généré par cette opération est appelé Ordre de câblage automatique.

Suppression des fils : permet de supprimer l'ordre de câblage sur l'ensemble du projet.

Ajouter auto. un fil pour la sélection : se comporte comme la fonctionnalité Ajout automatique des fils, mais uniquement sur les équipotentielles sélectionnées.

Supprimer le fil pour la sélection : se comporte comme la fonctionnalité Suppression des fils, mais uniquement sur les équipotentielles sélectionnées.

Si la commande est lancée à partir du menu contextuel du fil, seule l'équipotentielle sélectionnée apparaît dans la liste. Si elle a été lancée à partir du menu Projet, sélectionnez les équipotentielles à adapter dans la liste de gauche.

Composants connectés à l'équipotentielle

L'ordre de câblage généré par les commandes suivantes est appelé Ordre de câblage manuel.

Ajouter un fil depuis le point : Sélectionnez un repère dans la liste et cliquez sur le bouton Ajouter un fil depuis le point. Le repère est automatiquement ajouté à la colonne Tenant.

Remplacer le tenant par le point : Permet de modifier le tenant.

Ajouter un fil au point : Sélectionnez un repère dans la liste et cliquez sur le bouton Ajouter un fil au point. Le repère est automatiquement ajouté à la colonne Aboutissant.

Remplacer l'aboutissant par le point : Modifie l'aboutissant.

Une commande Atteindre est disponible dans le menu contextuel d'un composant afin d'ouvrir le folio dans lequel est inséré le symbole. Vous pouvez également faire un double-clic sur le composant.

Vous pouvez également faire glisser et déposer des marques du tenant vers l'aboutissant (et vice versa), ou faire glisser et déposer des repères depuis le coin supérieur gauche de la source ou l'aboutissant sur l'une des connexions.

Fils d'équipotentielle

Le bouton Ajout automatique des fils vous permet de créer l'ordre du câblage automatiquement sur un fil complexe.

Le bouton Supprimer des fils permet d'effacer les lignes de connexion sélectionnées.

Le bouton Commuter le tenant et l'aboutissant permet d'inverser les repères de composants du tenant et de l'aboutissant.

Les boutons Associer des brins de câble et Dissocier les brins de câble concernent le câblage.


Câblage

Les câbles utilisés dans le projet sont regroupés au sein du Gestionnaire de câbles.

Un catalogue de câbles est à votre disposition, avec un grand nombre de références. Vous avez aussi la possibilité de créer vos propres références.

Le câblage de votre installation peut être réalisé à plusieurs niveaux ; dans le synoptique de câblageet également dans la schématique.

Le synoptique permet la réservation des câbles qui pourront être utilisés ensuite dans la schématique.

  • Gestionnaire de câbles

  • Câblage dans la schématique

  • Câblage détaillé


Gestionnaire de câbles

Le Gestionnaire de câbles regroupe l'ensemble des câbles utilisés dans votre projet.

Menu : Projet > Câbles

Panneau ancrable > Menu contextuel du projet : Project> Gestionnaire de câbles

Les câbles apparaissent dans une liste qui peut être filtrée en fonction de vos besoins. Vous disposez des informations sur le cheminement des câbles (Tenant / Aboutissant) et sur les réservations effectuées dans le synoptique.

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Nouveau câble : Permet l'ouverture du catalogue des câbles afin de sélectionner les références que vous souhaitez ajouter au projet.

Supprimer : Permet de supprimer les câbles sélectionnés. Un câble ne peut pas être supprimé si ses brins sont déjà utilisés.

Propriétés : affiche les propriétés des câbles sélectionnés. Si vous sélectionnez plusieurs câbles, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Dupliquer : Copie des câbles (individuels ou multiples), y compris toutes les propriétés associées telles que référence ou chemin. Les repères sont automatiquement incrémentés.

Remplacer : permet de remplacer les câbles sélectionnés par d'autres câbles du catalogue. Les nouveaux câbles doivent comporter au moins autant de brins que les câbles remplacés.

Permuter : permet de permuter le Tenant et l'Aboutissant des câbles sélectionnés.

Dissocier les brins de câble : Vous permet de libérer (déconnecter) les brins de câbles sélectionnés.

Mode Arborescent : Permet de gérer le type d'affichage de la liste des câbles. Les câbles peuvent être regroupés par Fonction ou par Tenant/Aboutissant.

Plusieurs filtres permettent d'afficher les câbles filtrés par nom, numéro de pièce ou localisation de tenant/aboutissant.

Câbles pré-réservés : Permet de masquer automatiquement tous les câbles, sauf ceux qui ont été réservés. Sélectionnez à nouveau cette icône pour supprimer le filtre.

Rubriques connexes :

Gestionnaire de références de câble

Ajouter un câble

Propriétés du câble


Propriétés des câbles du projet

Gestionnaire de câbles : Propriétés

Menu contextuel du fil (Schématique) : Propriétés du câble

Menu contextuel du câble (Synoptique de câblage) : Propriétés du câble

La boîte de dialogue des propriétés du câble permet de modifier son repère (il est créé automatiquement lors de l'ajout du câble dans le projet). Son repère est calculé par rapport aux paramètres de configuration.

Repère

Mode : Si vous sélectionnez le mode Automatique, le repère est calculé automatiquement en fonction des paramètres de configuration. Si vous sélectionnez le mode Manuel, vous devez saisir manuellement le repère à l'aide du paramètre Repère.

Repère : Affiche le repère automatique ou permet de saisir le repère manuel.

Racine : Affiche la racine associée aux câbles.

Numéro : Affiche le numéro d'ordre affecté au câble. Vous pouvez changer ce numéro, mais vous ne pouvez pas utiliser de numéro existant.

Hiérarchie

Localisation amont : Localisation de départ du câble.

Localisation aval : Localisation d'arrivée du câble.

Fonction : Fonction à laquelle appartient le câble.

Référence du câble

Propriétés de référence de câble : Cliquez sur le bouton [...] pour ouvrir la boîte de dialogue des propriétés de la référence de câble (les données ne sont pas modifiables).

Les autres paramètres de cette section correspondent aux données issues des références de câbles.

Caractéristiques

Données du logiciel de routage 3D.

Calcul

Les données vous permettent de calculer la chute de tension du câble.

Description

Le premier champ de données traduisibles est pour le câble. Vous pouvez saisir une description de toutes les langues gérées dans le projet.

Données utilisateur / Données traduisibles

Les données utilisateur sont présentes sur l'ensemble du projet. Elles sont utilisées pour stocker des informations personnalisées, qui peuvent s'afficher dans les folios. Il existe deux types de données utilisateur : des données utilisateur traduisibles (traduites lors de la traduction du projet) et des données utilisateur non traduisibles.

Le bouton Personnaliser... vous permet d'accéder aux données utilisateur du câble.

Rubriques connexes :

Gestionnaire de câbles


Câblage dans la schématique

Chaque fil placé sur la schématique peut être câblé, pourvu qu'il soit connecté à un symbole ou une borne. La commande de câblage est accessible à partir du menu contextuel du fil.

Menu contextuel du fil : Associer des brins de câbles

La commande de câblage peut être activée lors de la multisélection de fils.

Cette interface est similaire au Gestionnaire des câbles, mais vous permettra en plus de gérer le câblage des brins.

Associer des brins de câble : Sélectionnez les brins que vous souhaitez utiliser dans la moitié supérieure de la boîte de dialogue, puis sélectionnez le brin que vous souhaitez câbler dans la partie inférieure.

Les brins de câbles sont associés dans l'ordre d'apparence. Le premier brin de la liste sera associé au premier fil de la liste, le second brin au second fil, etc. Il convient d'organiser la liste des fils en fonction de la liste des brins.

Brin de câble bleu (gras) : Associé à un brin.

Brin de câble vert (gras) : Affecté à l'un des fils sélectionnés.

Gras signifie que le brin de câble est dans un schéma, les brins de câbles bleus non gras se trouvent uniquement dans le synoptique.

Dissocier les brins de câble : Permet de supprimer le câblage des brins sélectionnés.

Après validation, la schématique se met à jour automatiquement. Un texte correspondant au câble est placé automatiquement sur la ligne. Ce texte peut être personnalisé (style et contenu) dans les propriétés du projet (onglet Police).

Rubriques connexes :

Gestionnaire de câbles

Câblage dans le synoptique


Numérotation des fils

Chaque fil que vous avez dessiné dans les folios de schématique peut faire l'objet d'une numérotation. Un repère lui est attribué permettant une gestion optimisée du câblage de l'installation. Cette numérotation est optionnelle, c'est à dire que vous pouvez numéroter certains types de liaisons et ne pas en numéroter certains autres.

De plus vous disposez de deux modes de numérotation, une numérotation des équipotentielles (tous les fils connectés sur le même potentiel) et une numérotation des fils (fils physiques reliant les appareils).

La numérotation des fils s'appuie sur une règle simple ; elle démarre du premier folio et suit l'ordre d'affichage des folios du panneau ancrable. Au sein du folio, elle tient compte de la position géographique du fil. La numérotation démarre de l'angle "haut-gauche" vers l'angle "bas-droit".

Le paramétrage de la numérotation s'effectue dans le Gestionnaire de style de liaison et dans la configuration du projet. Vous pouvez lancer une numérotation des fils à n'importe quel moment de la conception de votre projet. Vous pouvez également intervenir manuellement sur un fil afin de modifier sa numérotation.

  • Numéroter les nouveaux fils

  • Renuméroter les fils

  • Edition d'un repère de fil

Rubriques connexes :

Configuration de la numérotation


Numéroter les nouveaux fils

Menu : Traitement > Numéroter les nouveaux fils

Cette commande n'agit que sur les fils ne portant pas de numéro. Tous les fils déjà numérotés ne sont pas affectés par cette commande.

En cas de numérotation des fils, ces derniers devront obligatoirement être raccordés sur des symboles ou des bornes. Les fils non raccordées ne seront pas numérotés.

Rubriques connexes :

Configuration de la numérotation

Renuméroter les fils

Edition d'un repère de fil


Renuméroter les fils

Menu : Traitements > Renuméroter les fils

Cette commande agit sur l'ensemble des fils du projet en tenant compte des options définies par l'utilisateur.

Sélection

Ensemble du projet : Renumérote l'ensemble des fils du projet.

Liasse courante : Renumérote seulement les fils dans la liasse courante (celle associée au schéma actuel).

Dossier courant : Renumérote seulement les fils dans le dossier courant (celui associé au schéma actuel).

Schéma courant : Renumérote uniquement les fils dans le schéma courant.

Liaisons sélectionnées dans le schéma : Renumérote uniquement les fils sélectionnés dans le schéma.

Choisir les schémas : Ouvre le sélecteur de schémas pour sélectionner les schémas à traiter. Seuls les fils de ces schémas seront renumérotés.

Numérotation des fils

Effacer les numéros des fils : Efface les numéros des fils existants. Lance une nouvelle numérotation pour afficher de nouveau les numéros. Pour recalculer toute la numérotation, cochez la case Recalculer les numéros manuels.

Numéroter et mettre à jour les repères des fils : Cette option permet de numéroter les nouvelles liaisons mais également de renuméroter les fils déjà numérotés suite à la modification des paramètres de numérotation. Le numéro d'ordre dans le compteur n'est pas affecté par cette renumérotation, sauf si la formule a été modifiée pour que ce soit le cas.

Recalculer les numéros des fils : Recalcule tous les numéros de fils, à l'exception de ceux qui ont été modifiés manuellement. Pour recalculer toute la numérotation, cochez la case Recalculer les numéros manuels.

Gestionnaire de styles de liaison : Ce bouton permet d'ouvrir le Gestionnaire de styles de liaison pour éditer les styles de liaison.

Rubriques connexes :

Configuration de la numérotation

Numéroter les nouveaux fils

Edition d'un repère de fil


Edition d'un repère de fil

Menu contextuel du fil : Edition d'un repère de fil

Vous pouvez sélectionner un ou plusieurs fils avant d'utiliser cette commande.

Au lancement de la commande, une boîte de dialogue s'ouvre vous permettant de modifier la numérotation du fil.

La boîte de dialogue vous signale si le numéro a été généré en mode automatique ou manuel. La partie gauche de la boîte de dialogue affiche les numéros d'équipotentielles, la partie droite, les numéros de fils.

1. En fonction de votre choix de numérotation, modifiez le texte affiché dans la colonne Nouveau.

Si le numéro que vous avez saisi existe déjà dans le projet, un message vous en avertit.

Rubriques connexes :

Configuration de la numérotation

Numéroter les nouveaux fils

Renuméroter les fils


Renuméroter les repères

Suite à des modifications de paramètres de repérage dans la configuration du projet, il s'avère nécessaire de mettre à jour les repères des éléments existants dans le Projet (par exemple, des composants ou des localisations).

Menu : Traitements > Renuméroter les repères

Sélection

Ensemble du projet : Gère l'ensemble des éléments du projet.

Liasse courante : Gère uniquement les éléments contenus dans la liasse courante (liasse associée au schéma courant).

Mode de renumérotation

Mettre à jour les repères : Permet de renuméroter les éléments sélectionnés dans la liste de la section Eléments, suite à une modification de la formule de repérage. Le numéro d'ordre est conservé et les repères manuels sont également conservés.

Recalculer les numéros d'ordre : Permet de renuméroter les éléments sélectionnés dans la liste de la section Eléments. Les numéros d'ordre sont réévalués par rapport à leur position dans les folios et, si vous cochez la case Recalculer les repères manuels, les repères manuels sont également renumérotés.

Eléments

Cochez les cases des éléments devant être traités par la commande de renumérotation.

Cliquez sur le bouton Configuration des repères... pour accéder à la configuration du repérage.

Rubriques connexes :

Configuration du repérage


Propager les données aux objets connectés

Cette fonction vous permet de propager des données par le biais d'objets connectés, par exemple pour affecter l'adresse de voie d'un automate au compteur du fil connecté à cette voie. La première étape consiste à sélectionner la source des données. Il peut d'agir d'un projet entier, d'une partie d'un projet ou d'un objet sélectionné dans un folio. La seconde étape consiste à créer une règle de propagation et la dernière à sélectionner les objets à mettre à jour.

Menu : Traitements > Propager les données aux objets connectés

Sélection

Ensemble du projet : Propage les données sur tous les objets du projet.

Liasse courante : Propage seulement les données sur les objets de la liasse courante (celle associée au schéma actuel).

Dossier courant : Propage seulement les données sur les objets du dossier courant (celui associé au schéma actuel).

Schéma courant : Propage seulement les données sur les objets du schéma courant.

Objets sélectionnés dans le schéma : Propage seulement les données sur les objets sélectionnés dans le schéma courant.

Choisir les schémas : Ouvre le sélecteur de schémas pour sélectionner les schémas à traiter. Seuls les objets de ces schémas seront traités.

Informations à propager

Ajouter la propagation : Permet de créer une nouvelle règle de propagation.

Supprimer : Supprime la règle de propagation sélectionnée.

Quand vous créez une nouvelle règle de propagation, une nouvelle ligne est ajoutée dans le tableau. Sélectionnez les valeurs dans les différentes colonnes pour créer la règle. Pour organiser la chronologie de règles, utilisez les icônes Monter et Descendre pour gérer l'ordre dans lequel les règles seront traitées. Une case à cocher vous permet d'activer ou désactiver la règle de propagation.

Copier à partir de l'objet : Sélectionnez dans la liste l'objet à utiliser pour propager les données.

Données à propager : Sélectionnez dans la liste le type de données à propager. Ces données sont spécifiques à l'objet sélectionné.

Objet destination : Sélectionnez dans la liste l'objet dans lequel vous voulez propager les données précédemment sélectionnées.

Données de destination : Sélectionnez dans la liste le type de données dans lequel les données propagées seront copiées.

Mettre à jour les propriétés de l'objet

Même si les objets sont mis à jour automatiquement avec les données propagées, il est nécessaire de cocher les cases mettre à jour pour propager les données à l'aide de la formule.


Mise à jour des données

Si des modifications ont été apportées aux données DesignSpark Electrical (symboles ou références constructeur, par exemple), il peut s'avérer nécessaire de mettre à jour les données du projet pour qu'elles reflètent les dernières modifications.

Menu : Traitements > Mise à jour des données

Cette commande affiche l'assistant de mise à jour des données du projet.

Etape 1. Mise à jour des données du projet

Contrairement aux autres assistants de DesignSpark Electrical, la commande de mise à jour des données ne permet pas d'enregistrer/de charger des fichiers de configuration. Par défaut, toutes les données sont traitées et vous pouvez cliquer sur le bouton Terminer pour mettre à jour automatiquement l'ensemble des données de projet gérées.

Si vous souhaitez gérer cette mise à jour dans le détail, cliquez sur le bouton Suivant.

Etape 2. Sélection

Le second volet de l'assistant affiche les données pouvant être incluses dans la mise à jour.

Lorsqu'un type de données a été sélectionné mais qu'il ne nécessite pas de mise à jour, un message vous en avertit.

Etape 3. Références constructeur

Etat : La colonne Etat indique la validité de la référence sélectionnée. Un double-clic sur un champ Etat ouvre une fenêtre d'information vous indiquant par exemple la raison pour laquelle le remplacement de référence n'est pas valide.

Le champ Etat est donné à titre indicatif uniquement ; toutes les références seront remplacées, que les données soient considérées comme compatibles ou non.

Constructeur : Affiche le nom du fabricant dans le projet.

Référence : Affiche la référence constructeur du projet.

Instance existante : Indique le nombre d'instances trouvées dans le projet.

Instance différente : Indique le nombre d'instances à mettre à jour.

Sélectionner : Cochez les cases des références constructeur à inclure dans la mise à jour.

Etape 4. Références de câble

Etat : La colonne Etat indique la validité de la référence sélectionnée. Un double-clic sur un champ Etat ouvre une fenêtre d'information vous indiquant par exemple la raison pour laquelle le remplacement de référence n'est pas valide.

Le champ Etat est donné à titre indicatif uniquement ; toutes les références seront remplacées, que les données soient considérées comme compatibles ou non.

Constructeur : Affiche le nom du fabricant dans le projet.

Référence : Affiche la référence de projet.

Instance existante : Indique le nombre d'instances trouvées dans le projet.

Instance différente : Indique le nombre d'instances à mettre à jour.

Sélectionner : Cochez la case de la référence à inclure dans la mise à jour.

Etape 5. Symboles

Etat : La colonne Etat indique la validité du symbole sélectionné. Un double-clic sur un champ Etat ouvre une fenêtre d'information vous indiquant par exemple la raison pour laquelle le remplacement de symbole n'est pas valide.

Le champ Etat est donné à titre indicatif uniquement ; tous les symboles seront remplacés, et ce que les données soient considérées comme compatibles ou non.

Nom : Affiche le nom des symboles trouvés dans le projet.

Instance existante : Indique le nombre d'instances trouvées dans le projet.

Instance différente : Indique le nombre d'instances à mettre à jour.

Sélectionner : Cochez les cases des symboles à inclure dans la mise à jour.

Dans la partie droite de la boîte de dialogue, les zones de visualisation permettent d'afficher le symbole actuel / existant et le symbole qui le remplacera.

Etape 6. Cartouches

Etat : La colonne Etat indique la validité du cartouche sélectionné. Un double-clic sur le champ Etat permet d'ouvrir une fenêtre d'information vous indiquant par exemple la raison pour laquelle le remplacement de cartouche n'est pas valide.

Le champ Etat est donné à titre indicatif uniquement ; tous les cartouches seront remplacés, que les données soient considérées comme compatibles ou non.

Nom : Affiche le nom des cartouches trouvés dans le projet.

Instance existante : Indique le nombre d'instances trouvées dans le projet.

Instance différente : Indique le nombre d'instances à mettre à jour.

Sélectionner : Cochez les cases des cartouches à inclure dans la mise à jour.

Dans la partie droite de la boîte de dialogue, les zones de visualisation affichent le cartouche actuel / existant et le cartouche qui le remplacera.

Etape 7. Mise à jour des données du projet

Cliquez sur le bouton Terminer pour lancer la mise à jour des folios du projet et de la base de données (avec les éléments sélectionnés).

Attention, cette commande ne peut pas être annulée. Si vous avez le moindre doute concernant les données à mettre à jour, il est préconisé de réaliser au préalable un archivage du projet.

Rubriques connexes :

Catalogue des références constructeur

Catalogue de câbles

Gestion des symboles

Gestion des cartouches


Traduction des textes du projet

DesignSpark Electrical permet de saisir des données dans plusieurs langues. Toutes ces traductions peuvent être reprises dans une interface unique.

Menu : Traitements > Traduction

Panneau ancrable > Menu contextuel du projet : Traduire

Une boîte de dialogue s'ouvre, vous permettant de saisir ou de modifier les traductions réalisées dans les propriétés des différents composants et les textes multilingues de votre projet.

Pour éditer une traduction, cliquez sur le texte correspondant.

Export / Import : Gère la traduction dans une autre application (formats Excel, Access, Sqlite). Une seule occurrence du texte est exportée.

Dans la boîte de dialogue Sélecteur de langue, sélectionnez la langue de base pour la traduction. Une boîte de dialogue vous demande si vous voulez ouvrir le fichier.

Ne modifiez pas la structure du fichier. Ceci bloquerait l'importation des traductions.

Ajouter / Supprimer des langues : Permet de sélectionner les langues que vous souhaitez utiliser et traduire dans le projet. La boîte de dialogue Sélecteur de langue s'ouvre. Cochez les cases correspondant aux langues. Seules les langues absentes du projet sont affichées. Si vous supprimez une langue existante, une boîte de dialogue vous demandant de confirmer votre choix s'ouvre.

Supprimer les traductions : Pour le texte sélectionné, supprime toutes les traductions à l'exception de la langue principale utilisée dans les propriétés du projet.

Rechercher/Remplacer : permet de rechercher et de remplacerdu texte.

Vous avez la possibilité de saisir un texte dans la zone de filtre. La liste des textes se réduit et affiche uniquement les textes contenant la chaîne de caractère saisie.

Configuration : Vous permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Masquer les textes vides : Masque les textes vides dans la langue principale.

Masquer les textes déjà traduits : Masque les textes déjà traduits dans toutes les langues

Rubriques connexes :

Configuration des langues

Données utilisateur


Rechercher / Remplacer du texte

Traduction du projet : Rechercher / Remplacer

Cette commande permet de rechercher et / ou remplacer un texte traduisible du projet.

Langue : Sélectionnez la langue dans laquelle vous souhaitez lancer la recherche.

Rechercher : Saisissez le texte à rechercher et cliquez sur le bouton Suivant. La ligne où se trouve le texte est sélectionnée. Si vous cliquez à nouveau sur le bouton Suivant, DesignSpark Electrical recherche une autre occurrence du texte dans la suite de la liste.

Remplacer : Entrez le texte devant se substituer au texte recherché. Cliquez sur le bouton Remplacer pour remplacer la première occurrence du texte trouvé. Cliquez sur le bouton Remplacer tout, si vous souhaitez remplacer toutes les occurrences du texte recherché.

Respecter la casse : Cette option permet d'effectuer la recherche en tenant compte des majuscules et des minuscules.

Commence par : Cette option permet de rechercher les occurrences de textes commençant par le texte saisi.

Mot entier : Cette option permet de rechercher les occurrences de textes dont le mot saisi est présent et entouré d'un espace.

Suivant : Permet de lancer la recherche, dans la liste, des occurrences suivantes du texte recherché.

Remplacer : Permet de lancer le remplacement de la première occurrence du texte existant par le texte saisi.

Remplacer tout : Permet de lancer le remplacement de toutes les occurrences du texte existant par le texte saisi.


Sélecteur de langue

La boîte de dialogue Sélecteur de langue a plusieurs rôles. Elle est utilisée dans les gestionnaires pour la sélection de langue dans le champ Description et dans la traduction de projet pour la sélection de langues dans diverses fonctionnalités.

Gestionnaire de symboles > Propriétés du symbole : Description

Gestionnaire de cartouches > Propriétés du cartouche : Description

Gestionnaire de références de câble > Propriétés du câble : Description

Gestionnaire de références constructeur > Propriétés de la référence constructeur : Description

Dans les gestionnaires, la boîte de dialogue Sélecteur de langue permet de sélectionner les langues à gérer dans la description de l'élément. Les langues sélectionnées sont automatiquement ajoutées dans les propriétés de l'élément.

Boîte de dialogue Traduction : Ajouter

Dans la boîte de dialogue Traduction, la boîte de dialogue Sélecteur de langue peut avoir deux aspects : avec des cases à cocher lorsque vous devez sélectionner une ou plusieurs langues, ou sans cases à cocher si vous ne devez sélectionner qu'une seule langue.


Révisions

Seuls les liasses, les pages de garde et les folios possèdent un numéro de révision. Les numéros de révision sont gérés individuellement, plutôt qu'au niveau du projet. Les numéros de révision sont formatés suivant les paramètres de configuration du projet.

Lors de la création d'un folio, un premier indice de révision lui est affecté.

Menu contextuel de la liasse : Révisions

Menu contextuel du folio : Révisions

L'indice de révision est géré en trois étapes. La première est la création de l'indice, dans la seconde étape l'indice est validé, puis celui-ci est vérifié.

Lorsqu'un indice de révision est géré sur une liasse, vous pouvez propager cet indice à tous les folios de la liasse.

Nouvelle révision : Crée un nouvel indice de révision. La révision courante doit d'abord être validée avant de pouvoir créer une nouvelle révision.

Valider : Entre le statut "Validé" dans le dernier indice de révision. Ceci enregistre la date et le nom de l'utilisateur utilisés lors de la validation de la révision.

Vérifier : Entre le statut "Vérifié" dans le dernier indice de révision. Ceci enregistre la date et le nom de l'utilisateur utilisés lors de la vérification de la révision.

Supprimer la validation : supprime le dernier statut du dernier indice de révision.

Supprimer : Supprime le dernier indice de révision.

Propriétés : Editer : Ouvre la boîte de dialogue propriétés de la révision pour éditer les données associées à l'indice de révision.

Le bouton Personnaliser permet d'accéder aux paramètres des données utilisateur spécifiquement liés aux indices de révision.

Après la création d'un nouvel indice de révision, différentes boîtes de dialogue s'ouvrent pour vous permettre d'imprimer les documents de liasse, de les exporter en fichier PDF et de créer un instantané.


Propriétés de la révision

Menu contextuel de la liasse : Révisions > Propriétés

Menu contextuel du folio : Révisions > Propriétés

La boîte de dialogue liste les propriétés de l'indice de révision.

Seuls le nom de l'utilisateur et les données utilisateur peuvent être modifiés.


Gestionnaires de nomenclatures et de règles de conception

Nomenclatures

Une nomenclature est une liste utile pour la production ou la fabrication (par exemple, liste de matériel ou de câbles).

Menu : Projet > Nomenclatures

Panneau ancrable > Menu contextuel du projet : Project > Gestionnaire de nomenclatures

Les listes permettent d'extraire les données stockées dans la base de données du projet. Ces données peuvent être générées sous forme de folios, mais également exportées vers des fichiers à différents formats, par exemple Excel ou texte, pour être exploitées en dehors de DesignSpark Electrical.

Les nomenclatures s'appuient sur des configurations de nomenclature qui permettent le paramétrage et la mise en forme des données.

Le Gestionnaire de nomenclatures permet de gérer les nomenclatures que vous souhaitez utiliser dans le projet. Le côté gauche de la boîte de dialogue affiche la liste des configurations de nomenclature utilisées dans le projet. Le côté droit affiche les résultats de la nomenclature sélectionnée.

Ajouter : Vous permet d'ajouter une nouvelle configuration de nomenclature au projet.

Supprimer : permet de supprimer les nomenclatures sélectionnées.

Ordonner : Permet de gérer l'ordre dans lequel les nomenclatures seront générées.

Mettre à jour : Permet de mettre à jour les données de nomenclature lorsque le logiciel est utilisé en mode client/serveur (les données peuvent être modifiées par un autre utilisateur).

Générer les folios : Génère ou met à jour les folios de la nomenclature.

Export vers Excel : Exporte vers un fichier Microsoft Excel les données du projet en utilisant les configurations de la nomenclature.

Export vers fichier texte : Exporte vers un fichier texte les données du projet en utilisant les configurations de la nomenclature.

Export vers XML : Exporte vers un fichier XML les données du projet en utilisant les configurations de la nomenclature.

Utilisation de liens

L'aperçu de nomenclature peut inclure des liens permettant de naviguer jusqu'aux éléments du projet, à savoir symboles, propriétés de la localisation ou références constructeur. Un lien est représenté par du texte souligné en bleu. Pour utiliser les liens, cliquez sur le texte (lien par défaut) ou utilisez le menu contextuel pour sélectionner l'élément (si plusieurs objets sont associés à l'objet).

Pour créer des liens dans les nomenclatures, utilisez le paramètre Atteindre dans la configuration de nomenclature.

L'action exécutée lorsque vous cliquez sur le lien dépend de l'objet lié.

Objet | Action
Document | Accède au folio
Composant | Affiche le composant dans le panneau ancrable (onglet composant). Affiche tous les symboles associés au composant (accède au symbole dans les folios), y compris la vignette 2D.
Circuit | Affiche les symboles associés à ce circuit.
Symbole | Accède au symbole dans le folio, en effectuant un zoom tout autour.
Câble | Affiche le synoptique où le câble est réservé (accède au premier composant connecté au câble). Affiche le brin de câble dans le folio du schéma (accède au premier composant connecté au brin de câble).
Equipotentielle | Affiche l'équipotentielle dans le folio du schéma.
Fil/Brin de câble | Affiche le fil dans le folio du schéma (accède au premier composant connecté au fil).
Référence constructeur | Affiche le symbole associé à cette référence et accède à ce symbole (vignette 2D, wiring label, composant 3D).
Emplacement | Ouvre la boîte de dialogue des propriétés de localisation.
Fonction | Ouvre la boîte de dialogue des propriétés de la fonction.


Ajouter une nomenclature

Gestionnaire de nomenclatures : Ajouter

Permet d'ajouter ou de supprimer des configurations de nomenclature dans le projet.

Afin de vous faciliter la recherche de configurations de nomenclature, la partie supérieure de la boîte de dialogue affiche une série de filtres.

Cochez les cases correspondant aux configurations de nomenclature à utiliser et cliquez sur le bouton OK.

Le Gestionnaire de nomenclatures se met à jour et vous affiche un aperçu des données extraites.

Rubriques connexes :

Gestionnaire de nomenclatures

Ordonner des nomenclatures

Génération des folios de nomenclatures

Export vers Excel

Export vers fichier texte

Export vers XML


Planifier les nomenclatures

Gestionnaire de nomenclatures : Ordonner

Permet de gérer l'ordre dans lequel les nomenclatures sont lancées.

Utilisez les icônes Descendre et Monter pour gérer l'ordre de lancement des nomenclatures.

Les nomenclatures sont générées dans l'ordre de la liste.

Rubriques connexes :

Gestionnaire de nomenclatures

Ajouter des nomenclatures

Génération des folios de nomenclatures

Export vers Excel

Export vers fichier texte

Export vers XML


Génération des folios de nomenclatures

Cette commande vous permet de créer ou mettre à jour les folios de nomenclature.

Gestionnaire de nomenclatures : Générer les folios

Les nomenclatures sont générées par liasse. Si le projet contient des dossiers, cliquez sur le bouton [...] à droite de la nomenclature et sélectionnez le dossier de l'aboutissant souhaité (la sélection multiple est disponible).

Cochez les cases correspondant aux nomenclatures à générer et cliquez sur OK pour créer les nomenclatures.

Menu contextuel de la liasse ou du dossier : Dessiner les nomenclatures ici

Sélectionnez les configurations... : Ouvre une boîte de dialogue permettant de gérer les nomenclatures à créer en tant que folios.

Toutes les nomenclatures (règles de conception) du projet : Génère toutes les nomenclatures du projet en tant que folios.

Mettre à jour les nomenclatures (règles de conception) sélectionnées : Cette option est active lorsque la liasse ou le dossier comporte déjà des folios. Cette option permet de mettre à jour ces folios.

Rubriques connexes :

Gestionnaire de nomenclatures

Ajouter des nomenclatures

Ordonner des nomenclatures

Export vers Excel

Export vers fichier texte

Export vers XML


Export vers Excel

Gestionnaire de nomenclatures : Export vers Excel

Exporte les données du projet vers un fichier Excel en utilisant les configurations de nomenclature.

Un assistant vous invite dans un premier temps à sélectionner les nomenclatures que vous souhaitez exporter.

Etape 1. Export Excel

Exporter toutes les nomenclatures : Sélectionnez cette option pour exporter toutes les nomenclatures du projet. Sinon, utilisez la liste pour sélectionner les nomenclatures que vous souhaitez exporter.

Etape 2

Un folio par rupture : Crée un folio par rupture définie dans la nomenclature.

Ajouter le fichier créé au projet : Lorsque cette option est activée, les fichiers XLS sont créés dans le répertoire de stockage du projet et sont ajoutés au projet comme fichiers de données (ou mis à jour s'ils existent déjà). Lorsque cette option n'est pas activée, les fichiers textes sont générés dans le répertoire que vous aurez défini.

Dossier cible : Entrez le répertoire cible pour les fichiers. Cliquez sur le bouton [...]. Si vous avez activé l'option Ajouter les fichiers créés au projet, vous devez sélectionner un dossier ou une liasse dans le projet. Si ce n'est pas le cas, il vous sera demandé de sélectionner un répertoire.

Ouvrir le fichier : Ouvre le fichier généré dans l'application associée aux fichiers XLS.

Etape 3. Terminer

Cliquez sur Terminer pour commencer à générer les fichiers Excel.

Les fichiers XLS exportés, s'ils se trouvent dans des documents du projet, sont mis à jour automatiquement lorsque vous exécutez certaines commandes, telles que les commandes d'impression, d'exportation vers des fichiers PDF ou de création de nouvelle révision. Ils peuvent aussi être mis à jour à l'aide de l'option Mettre à jour la nomenclature exportée de leur menu contextuel.

Rubriques connexes :

Gestionnaire de nomenclatures

Ajouter une nomenclature

Ordonner des nomenclatures

Génération des folios de nomenclatures

Export vers fichier texte

Export vers XML


Export vers fichier texte

Gestionnaire de nomenclatures : Export vers fichier texte

Génère les données sous la forme de fichiers TXT.

Ajouter les fichiers créés au projet : Crée des fichiers TXT dans le répertoire de stockage du projet et les ajoute au projet en tant que fichiers de données (ou les met à jour s'ils existent déjà). Si cette option n'est pas activée, les fichiers TXT sont générés dans votre répertoire défini.

Dossier cible : Entrez le dossier cible pour les fichiers. Cliquez sur le bouton [...]. Si vous avez activé l'option Ajouter les fichiers créés au projet, vous devez sélectionner un dossier ou une liasse dans le projet. Si ce n'est pas le cas, il vous sera demandé de sélectionner un répertoire sur votre disque.

Exporter toutes les nomenclatures : Sélectionnez cette option pour exporter toutes les nomenclatures du projet. Vous pouvez aussi sélectionner les nomenclatures que vous souhaitez exporter dans la liste.

Inclure l'en-tête de colonne sur la première ligne : Permet de générer, sur la première ligne du fichier, les noms des champs de la base de données.

Identificateur de texte, Séparateur de texte et Type de fichier sont les paramètres de formatage du texte. Ils devront être sélectionnés en fonction des impératifs du logiciel dans lequel les fichiers textes seront importés.

Cochez la case Ouvrir le fichier pour ouvrir les fichiers générés après la création.

Les fichiers TXT exportés, s'ils se trouvent dans des documents du projet, sont mis à jour automatiquement lorsque vous exécutez certaines commandes, telles que les commandes d'impression, d'exportation vers des fichiers PDF ou de création de nouvelle révision. Ils peuvent aussi être mis à jour à l'aide de l'option Mettre à jour la nomenclature exportée de leur menu contextuel.

Rubriques connexes :

Gestionnaire de nomenclatures

Ajouter une nomenclature

Ordonner des nomenclatures

Génération des folios de nomenclatures

Export vers Excel

Export vers XML


Export vers XML

Gestionnaire de nomenclatures : Export vers XML

La commande Exporter vers XML vous permet de générer des données sous forme de fichiers texte.

Ajouter les fichiers créés au projet : Crée des fichiers XML dans le répertoire de stockage du projet et les ajoute au projet en tant que fichiers de données (ou les met à jour s'ils existent déjà). Si cette option n'est pas activée, les fichiers XML sont générés dans votre répertoire défini.

Dossier cible : Entrez le dossier cible pour les fichiers. Cliquez sur le bouton [...]. Si vous avez activé l'option Ajouter les fichiers créés au projet, vous devez sélectionner un dossier ou une liasse dans le projet. Si ce n'est pas le cas, il vous sera demandé de sélectionner un répertoire sur votre disque.

Exporter toutes les nomenclatures : Sélectionnez cette option pour exporter toutes les nomenclatures du projet. Vous pouvez aussi sélectionner les nomenclatures que vous souhaitez exporter dans la liste.

Ouvrir le fichier : Ouvre le fichier généré dans l'application associée aux fichiers XML.

Les fichiers XML exportés, s'ils se trouvent dans des documents du projet, sont mis à jour automatiquement lorsque vous exécutez certaines commandes, telles que les commandes d'impression, d'exportation vers des fichiers PDF ou de création de nouvelle révision. Ils peuvent aussi être mis à jour à l'aide de l'option Mettre à jour la nomenclature exportée de leur menu contextuel.

Rubriques connexes :

Gestionnaire de nomenclatures

Ajouter une nomenclature

Ordonner des nomenclatures

Génération des folios de nomenclatures

Export vers Excel


Ajouter au panier

Pour vous aider à gérer un devis matériel, une configuration de nomenclature spécifique vous permet d'exporter la liste de matériel vers un fichier Excel, TXT ou XML.

Menu : Traitements > Ajouter au panier

Vous pouvez exporter la liste de matériel pour chaque localisation ou pour le projet. Sélectionnez la localisation pour laquelle vous voulez exporter la liste de matériel.

Sélectionner tout : Permet de sélectionner toutes les localisations du projet.

Export vers Excel : Permet d'exporter la liste vers un fichier Excel.

Export vers fichier texte : Permet d'exporter la liste vers un fichier TXT.

Export vers XML : Permet d'exporter la liste vers un fichier XML.

Mettre à jour les détails de produit : Permet de mettre à jour les colonnes Prix et Etat du stock des références constructeur à partir du service Web.

La commande Ajouter au panier utilise les fonctionnalités de nomenclature pour exporter des données dans des fichiers Excel, TXT ou XML (Reportez-vous à ces chapitres pour de plus amples informations).


Vérifier le projet

Lors de l'utilisation de DesignSpark Electrical, il est possible que le logiciel génère des données erronées, par exemple un folio affecté à un dossier inexistant, ou encore un composant affecté à une localisation qui a été supprimée. La fonctionnalité Vérifier le projet ne vérifie pas les erreurs de conception électrique.

Pour corriger ces erreurs, vous pouvez utiliser la fonctionnalité Vérifier le projet.

Menu : Outils > Vérifier le projet

Avant d'utiliser cette fonctionnalité, il est recommandé d'archiver le projet.

Dans les folios, les entités incohérentes sont corrigées ou supprimées. Les erreurs identifiées dans les fichiers dessin sont corrigées automatiquement.

Une fois le processus terminé, une boîte de dialogue affiche les résultats des opérations de correction. Il est recommandé de vérifier les corrections pour adapter le projet, selon vos préférences (liaisons ou composants supprimés ou folios déplacés, par exemple).


Gestionnaire d'impression

Menu : Projet > Imprimer

Panneau ancrable > Menu contextuel du projet : Imprimer

Panneau ancrable > Menu contextuel de la liasse : Imprimer

Lorsque la commande est lancée à partir du menu contextuel de la liasse, seuls les folios de cette liasse sont sélectionnés pour être imprimés.

Les paramètres d'impression peuvent être sauvegardés dans un fichier de configuration pour une utilisation ultérieure. Vous pouvez créer autant de configurations que vous le souhaitez.

Aperçu avant impression : Ouvre une fenêtre d'aperçu avant impression pour le folio sélectionné.

Retirer de la sélection : Retire le folio sélectionné de la sélection.

Imprimer plusieurs configurations : Imprime des folios utilisant différentes configurations.

Mode Liste : Affiche une liste de folios.

Mode Vignettes : Affiche les vignettes (aperçus) des folios.

Configuration : Permet de gérer les paramètres d'affichage des éléments dans la boîte de dialogue.

Configuration d'impression

Permet de sélectionner un fichier de configuration d'impression déjà créé pour charger les paramètres d'impression préférés. Cliquez sur le bouton [...] pour accéder au gestionnaire de fichier de configuration d'impression.

Mise en page

Permet de sélectionner l'imprimante et le format du papier. Le bouton Propriétés permet d'accéder aux paramètres de l'imprimante.

Exporter des fichiers PDF

Cochez cette case pour générer les folios sélectionnés, au format PDF.

Orientation

Permet de définir l'orientation de la page.

Folios

Donne accès à une boîte de dialogue qui permet de sélectionner les folios à imprimer.

Copies

Définit le nombre de copies à imprimer et le mode d'assemblage.

Echelle

Permet de sélectionner un facteur d'échelle préféré (l'option Ajuster au format est conseillée).

Tracer avec style

Permet de sélectionner un style de tracé. Toutes les couleurs utilisées dans DesignSpark Electrical peuvent avoir une couleur d'impression et une épaisseur de ligne. Cela vous permet d'utiliser un style de tracé afin de définir les couleurs et les épaisseurs à utiliser lors de l'impression. Si vous n'utilisez pas de style de tracé, les couleurs imprimées seront les mêmes que celles utilisées dans le programme. Le style gris sera imprimé en monochrome.

Si vous avez plusieurs configurations différentes pour imprimer les folios de projet, sélectionnez le fichier de configuration dans la liste. Ensuite, sélectionnez les folios que vous souhaitez imprimer avec cette configuration. Répétez cette opération si nécessaire avec d'autres fichiers de configuration. Cliquez sur l'icône Impression de plusieurs configurations et cochez les configurations avec lesquelles vous souhaitez imprimer.

Rubriques connexes :

Gestion des fichiers de configuration d'impression

Export PDF


Gestion des fichiers de configuration d'impression

Gestionnaire d'impression : Configuration d'impression > [...]

Permet de gérer les fichiers de configuration d'impression. Ceux-ci mémorisent l'ensemble des paramètres d'impression mais également les sélections de folios.

Utilisez les boutons de droite pour créer, dupliquer ou supprimer un fichier de configuration.

Rubriques connexes :

Gestionnaire d'impression


Export des folios

Les folios peuvent être exportés au format DWG ou PDF.

Une fois exportés, les folios peuvent être réintégrés à DesignSpark Electrical en tant que fichiers de données, mais pas en tant que folios.

  • Exporter des fichiers DWG

  • Exporter des fichiers PDF


Exporter des fichiers DWG

Tous les folios créés dans DesignSpark Electrical sont stockés au format EWG. Ils peuvent être exportés vers diverses versions DWG/DXF, ce qui permet de partager des données avec d'autres sociétés, par exemple, même si elles ne sont pas équipées de DesignSpark Electrical.

Les noms de fichiers EWG sont générés automatiquement par DesignSpark Electrical et n'ont aucun rapport avec les noms des folios du projet. Ne jamais renommer les fichiers EWG dans le répertoire du projet. Cela nuirait à l'intégrité des fichiers DesignSpark Electrical.

Menu : Import / Export > Export de fichiers DWG

Une boîte de dialogue s'ouvre vous permettant de sélectionner un répertoire personnel, dans lequel seront générés les fichiers DWG.

Les folios sont exportés sous une structure arborescente représentative du découpage du projet tel qu'il apparaît dans le panneau ancrable.

Dossiers et fichiers

Chemin du dossier de base : Permet de sélectionner les folios du dossier/répertoire à exporter.

Formule de nom de dossier : Permet de formater le nom du dossier / répertoire à l'aide du gestionnaire de formules.

Formule pour le nom de fichier : Permet de formater le nom des fichiers générés à l'aide du gestionnaire de formules.

Ouvrir le dossier après l'exportation : Lorsque cette option est sélectionnée, l'explorateur de fichiers s'ouvre dans le dossier / répertoire de base défini à la fin du processus d'exportation.

Exporter tous les folios dans un seul fichier : Permet de regrouper tous les folios sélectionnés pour les exporter dans un seul fichier. Chaque folio est placé dans un mode de présentation DWG (espace Papier).

Format et version

Permet de sélectionner le format des fichiers générés (DXF ou DWG) et la version du fichier.

Folios à exporter

Permet de sélectionner les folios à exporter. Le bouton [...] ouvre le sélecteur de folios et l'option Tous sélectionne tous les folios du projet.

Style de folio : le bouton Style de folio permet de modifier les paramètres des textes et des objets de couleur. Si vous n'avez affecté aucun fichier de configuration de style de folio au projet, un message vous le signale.

Rubriques connexes :

Export PDF

Fichiers de données


Exporter des fichiers PDF

Permet de générer les folios du projet au format Acrobat (PDF).

Menu : Import / Export > Exporter des fichiers PDF

Panneau ancrable > Menu contextuel du projet : Exporter des fichiers PDF

Panneau ancrable > Menu contextuel de la liasse : Exporter des fichiers PDF

Lorsque la commande est lancée à partir du menu contextuel de la liasse, seuls les folios de cette liasse sont sélectionnés pour être exportés.

L'export au format PDF utilise un programme interne et il n'est pas nécessaire d'installer une imprimante PDF telle que PDF Creator ou autre.

La fonction d'export de fichiers PDF utilise le Gestionnaire d'impression.

Commencez par sélectionner le répertoire dans lequel enregistrer le fichier PDF. Consultez le chapitre Gestionnaire d'impression pour savoir comment utiliser cette boîte de dialogue.

Créer des signets et des hyperliens : Permet de créer des liens de navigation dans les pages au sein d'un fichier PDF. Vous pouvez aussi créer une liste de signets à l'aide du contenu des onglets Documents et Composants dans le panneau ancrable. Les nomenclatures peuvent également intégrer des liens s'ils sont gérés par les configurations de nomenclature.

Exporter un fichier PDF par liasse : Si le projet est composé de plusieurs liasses, sélectionnez cette option pour ouvrir un explorateur de fichiers dans le répertoire de création de fichiers à la fin de l'exportation. Si le projet ne comporte qu'une seule liasse, le fichier PDF est ouvert en fin d'exportation.

Rubriques connexes :

Gestionnaire d'impression


Gestion des données

DesignSpark Electrical est connecté en permanence à la base de données. Certaines de ces données sont spécifiques au projet courant, d'autres à l'application comme les catalogues constructeurs ou le Gestionnaire de bibliothèques.

Les données du projet sont mises à jour automatiquement lors de la création de la schématique et de l'utilisation des différents traitements.

Les données de l'application (bibliothèques ou catalogues) servent à créer des conceptions schématiques. Elles servent également à alimenter les données du projet.

Il est déconseillé de modifier ces données hors de DesignSpark Electrical, à l'aide d'un autre logiciel d'édition de base de données. DesignSpark Electrical offre des outils qui ajoutent des informations aux bases de données (comme l'import de données ou la création de symbole). Chaque nouvelle version de DesignSpark Electrical peut contenir de nouvelles données qui sont automatiquement ajoutées aux données existantes.

  • Gestionnaire de recherches

  • Installation des données

  • Gestionnaire de bibliothèques

  • Données graphiques

  • Catalogues


Gestionnaire de recherches

Menu : Outils > Rechercher

Cette commande permet de rechercher des éléments spécifiques du projet, comme des composants ou des folios.

Au lancement de la commande, une boîte de dialogue s'ouvre.

Type d'objet à rechercher : Cochez la case correspondant aux éléments que vous souhaitez rechercher.

Repère : Saisissez le repère de l'élément que vous souhaitez rechercher.

Description : Saisissez la description de l'élément que vous souhaitez rechercher.

1. Cliquez sur le bouton Rechercher pour lancer la recherche.

La liste des repères correspondant aux critères que vous avez entrés s'affiche dans la partie centrale de la boîte de dialogue.

La partie droite de la boîte de dialogue affiche une zone de visualisation de l'élément sélectionné.

Permet d'ouvrir le folio de l'élément sélectionné.

Permet de retrouver le composant dans la liste des composants du panneau ancrable.

Ouvre la boîte de dialogue des propriétés de l'élément sélectionné.

Un menu contextuel sur l'élément vous permet soit de le visualiser dans l'arbre des composants, soit d'ouvrir le folio sur lequel se trouve cet élément.


Installation des données

L'exécution d'une installation complète ou d'une réinstallation crée un répertoire temporaire appelé UPDATE où l'ensemble des fichiers de configuration des bibliothèques, catalogues constructeur et configurations de nomenclature seront placés. L'utilisateur peut alors choisir la façon dont les données seront mises à jour.

Au démarrage de DesignSpark Electrical, si le dossier temporaire UPDATE existe, un assistant s'affiche pour vous aider à gérer le processus de mise à jour des données.

Si vous annulez la mise à jour, l'option s'affiche automatiquement au démarrage suivant de DesignSpark Electrical.

Sélection du type de données

Le second onglet de l'assistant permet de sélectionner le type des données qui doivent être mises à jour.

Cochez les types de données que vous voulez inclure dans le processus de mise à jour.

Lors de la première installation, il est indispensable de sélectionner la totalité des types de données.

Cliquez sur le bouton Suivant pour continuer ou décochez les types de données à exclure du processus de mise à jour.

L'assistant de mise à jour compare les données actuelles aux dernières données d'installation.

Sélectionnez l'action à mener pour chaque type de données.

Définition des actions

Si vous souhaitez effectuer des sélections multiples des données répertoriées, utilisez les touches Maj - Ctrl - Ctrl+A...

Ajouter : Cette donnée n'existe pas dans l'installation actuelle et elle sera ajoutée.

Remplacer : La donnée existante sera remplacée par la version la plus récente.

Ne rien faire : La nouvelle donnée ne sera pas installée et l'information existante sera conservée.

Conserver les 2 : L'information existante sera conservée et la nouvelle information sera installée avec un nouveau nom.

Mettre à jour : Cette option ne concerne que les catalogues constructeur (câbles et matériaux). Les références contenues dans ce catalogue seront automatiquement mises à jour.

Un type d'action par défaut sera suggéré ; celui-ci est défini selon les règles suivantes.

- Une nouvelle donnée sera ajoutée.

- Si une donnée existante a été modifiée, elle sera automatiquement marquée comme Ne rien faire.

- Si une donnée existe et qu'elle n'a pas été modifiée par l'utilisateur, mais que de nouveaux fichiers ont été marqués comme mis à jour par l'éditeur du logiciel, elle sera marquée comme devant être remplacée

- Les catalogues de câbles et de matériel sont toujours marqués comme devant être mis à jour.

Types de données

Symboles - cartouches : L'assistant affiche également les noms des éléments, les descriptions, la date de modification et le nom de l'utilisateur qui a créé / modifié les éléments existants. Lorsque les utilisateurs souhaitent conserver un élément existant et installer la dernière version des mêmes éléments, un nom différent doit être attribué au nouvel élément.

Catalogue de câbles et catalogues constructeurs : Les catalogues sont gérés dans leur intégralité (l'ensemble des références du constructeur). Lorsque la référence n'existe pas, elle est automatiquement ajoutée. Lorsque la référence existe et qu'elle a été modifiée par l'utilisateur, la nouvelle référence n'est pas installée. Lorsque la référence existe, qu'elle n'a pas été modifiée par l'utilisateur, mais qu'elle a été mise à jour par l'éditeur du logiciel, la nouvelle référence est automatiquement installée et remplace la référence existante.

Modèles de projets : Seuls les nouveaux modèles et les modèles ayant été modifiés par l'éditeur du logiciel (dates de modification différentes) sont installés. Les modèles créés par l'utilisateur sont conservés.

Fichiers de configuration : Seuls les nouveaux fichiers de configuration et ceux ayant été modifiés par l'éditeur (dates de modification différentes) sont installés. Les fichiers de configuration créés par l'utilisateur sont conservés.

Palettes : Seules les nouvelles palettes et celles ayant été modifiées par l'éditeur du logiciel (dates de modification différentes) sont installées. Les palettes créées par l'utilisateur sont conservées.

Lancement de l'installation des données

Le dernier onglet de l'assistant affiche un résumé des types de données à gérer.

Cliquez sur le bouton Terminer pour lancer l'installation. Ce processus peut prendre plusieurs minutes en fonction de la quantité de données à traiter.

A la fin du processus d'installation, le répertoire UPDATE est automatiquement supprimé.

Rubriques connexes :

Installation


Propriétés des bibliothèques

Gestionnaire de bibliothèques

Menu : Bibliothèque > Gestionnaire de bibliothèques

Le Gestionnaire de bibliothèques vous permet de gérer l'ensemble des bibliothèques de l'application. Il n'est pas spécifique au projet courant.

Nouveau : Permet d'ajouter une nouvelle bibliothèque.

Supprimer : Sélectionnez la bibliothèque que vous souhaitez supprimer et cliquez sur l'icône Supprimer. Seule la bibliothèque est supprimée. Son contenu (par exemple, les symboles, cartouches et références) ne l'est pas.

Propriétés : Permet d'éditer les caractéristiques d'une bibliothèque, son nom, sa description et le type d'objets qu'elle contient.

Configuration : Vous permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Rubriques connexes :

Propriétés d'une bibliothèque

Bibliothèques

Configuration des bibliothèques


Propriétés d'une bibliothèque

Gestionnaire de bibliothèques : Propriétés

Gestionnaire de bibliothèques : Nouveau

Ouvre la boîte de dialogue des propriétés de la bibliothèque sélectionnée permettant de nommer la bibliothèque, de lui appliquer une description et un type.

Entrez le nom de la bibliothèque et une description, puis sélectionnez les options correspondant au type d'objets contenus dans cette bibliothèque.

Rubriques connexes :

Gestionnaire de bibliothèques


Données graphiques

Les données graphiques sont stockées dans des bibliothèques qui sont regroupées au sein d'un Gestionnaire. Les gestionnaires de données graphiques (gestionnaire de symboles, etc.) permettent d'éditer les éléments existants, mais aussi d'ajouter de nouvelles données.

Ces gestionnaires disposent de fonctionnalités communes, comme l'importation de fichiers DWG ou l'archivage/désarchivage de fichiers.

  • Commandes graphiques

  • Attribut multiple

  • Configuration des gestionnaires

  • Sélecteur de classes

  • Importer un fichier DWG

  • Archiver/Désarchiver

  • Gestionnaire de cartouches

  • Gestionnaire de symboles

  • Gestionnaire de macros


Commandes graphiques

Il existe cinq groupes de commandes :

  • les commandes pour gérer les fichiers

  • les commandes pour créer des entités graphiques

  • les commandes de cotation

  • les commandes pour éditer des entités graphiques

  • les gestionnaires

Rubriques connexes :

Cartouches

Symboles

Vignettes 2D


Commandes Gestion de fichier

Les commandes de gestion de fichier vous permettent de gérer les fichiers externes et les fichiers DesignSpark Electrical.

  • Nouveau

  • Ouvrir

  • Enregistrer sous

  • Fermer

  • Imprimer

  • Configuration de Page

  • Aperçu avant impression

  • Quitter

  • Enregistrer


Nouveau

Menu : Fichier > Nouveau

Crée un fichier DWG et l'ouvre dans un nouvel onglet de la zone de graphisme.


Ouvrir

Menu : Fichier > Ouvrir

Permet d'ouvrir la boîte de dialogue pour sélectionner un fichier DWG existant.

A l'ouverture, le fichier apparaît dans un nouvel onglet de la zone graphique.


Configuration de Page

Menu : Fichier > Configuration de Page

Permet de lancer la boîte de dialogue Configuration d'impression pour configurer les paramètres d'impression du fichier DesignSpark Electrical ou du fichier DWG actif.

Imprimante

Nom : sélectionnez l'imprimante que vous souhaitez utiliser. Cliquez sur le bouton Propriétés pour accéder aux paramètres d'impression de Windows.

Etat : permet d'afficher l'état de l'imprimante sélectionnée.

Type : permet d'afficher le type d'imprimante (cette information provient des paramètres de l'imprimante).

Placement : permet d'afficher le port auquel l'imprimante est connectée.

Commentaire : permet d'afficher le commentaire associé à l'imprimante (cette information provient des paramètres de l'imprimante).

Papier

Dimensions : Dans la liste, sélectionnez le format de papier prédéfini géré par l'imprimante.

Source : dans la liste, sélectionnez l'alimentation papier à utiliser.

Pouces/mm : permet de sélectionner l'unité utilisée pour gérer le fichier imprimé.

Zone d'impression: permet d'afficher les dimensions de la zone d'impression dans l'unité sélectionnée.

Décalage du tracé

Centrer le tracé: cochez la case pour centrer la page imprimée.

X: saisissez la valeur de décalage horizontale.

Y : Saisissez la valeur de décalage verticale.

Orientation de la page

Portrait/Paysage : sélectionnez l'orientation de la page.

Tracer avec la symétrie verticale : cochez la case si vous souhaitez imprimer les entités graphiques symétriquement.

Echelle de tracé

Dans la liste, sélectionnez des facteurs d'échelle prédéfinis ou saisissez un facteur spécifique (Unité imprimée = unité Fichier). Le paramètre Adapter au format met à l'échelle les entités graphiques pour les adapter à la taille de papier sélectionnée.

Zone de tracé

Sélectionnez une de ces options :

Affichage : les entités sont imprimées telles qu'elles apparaissent à l'écran.

Etendue : toutes les entités du fichier sont imprimées dans la page définie dans la section Papier.

Limites : Toutes les entités inclues dans les limites du fichier sont imprimées.

Table des styles de tracé

A chaque couleur à l'écran, utilisée dans les entités graphiques, correspond une couleur et une épaisseur de papier. Si vous n'utilisez pas de Table des styles de tracé, les couleurs à l'écran et l'épaisseur des lignes seront les mêmes que sur le papier.

Vous pouvez définir une correspondance personnelle en utilisant les tables de styles de tracé.

Dans la liste, sélectionnez la table des styles de tracé à utiliser.

Vous pouvez éditer la table des styles de tracé sélectionnée en cliquant sur Modifier le fichier de la table des styles de tracé. Une boîte de dialogue s'ouvre. Vous pouvez y associer à chaque couleur à l'écran une couleur d'impression et une épaisseur.

Dans la liste de la table des styles de tracé, si vous sélectionnez Aucun, vous pouvez cochez la case Tracer avec épaisseur de ligne ; les couleurs et l'épaisseur de la ligne seront identiques à l'écran et sur le papier.

Réseau : permet d'accéder à une imprimante réseau.

Aperçu : permet d'afficher les entités graphiques telles qu'elles apparaîtront après leur impression sur la page.


Aperçu avant impression

Menu : Fichier > Aperçu avant impression

Permet d'afficher l'image du fichier DesignSpark Electrical ou du fichier DWG actif à l'aide des options définies avec la configuration de page.

Vous pouvez utiliser la commande Aperçu avant impression dans un fichier DWG ou un folio DesignSpark Electrical.

Imprimer : Imprime le fichier courant.

Pages : Pas encore mis en œuvre.

Zoom : Sélectionne le zoom d'affichage de la page.

Nombre de pages : Permet d'afficher une ou plusieurs pages.

Paramètres : Permet d'ouvrir la "Configuration de page" afin de modifier les paramètres d'impression.

Fermer l'aperçu : Permet de quitter la fenêtre d'aperçu sans imprimer le fichier.


Imprimer

Menu : Fichier > Imprimer

Permet d'imprimer le fichier DesignSpark Electrical ou le fichier DWG actif.

La boîte de dialogue Configuration d'impression s'ouvre afin d'ajuster les paramètres d'impression.

Lorsque vous cliquez sur OK, le fichier est envoyé à l'imprimante.


Enregistrer

Menu : Fichier > Enregistrer

Permet d'enregistrer le document actif.

Si le document courant est un fichier DWG et si le fichier n'a jamais été enregistré, une boîte de dialogue s'ouvre afin d'enregistrer le document actif sous un nouveau nom, un nouveau format de fichier ou dans un nouveau dossier.

Si le fichier courant est un folio DesignSpark Electrical, il n'est pas nécessaire d'utiliser la commande Enregistrer. Le fichier sera automatiquement enregistré à sa fermeture.


Enregistrer sous

Menu : Fichier > Enregistrer sous

Permet d'enregistrer le document actif sous un nouveau nom, un nouveau format de fichier ou dans un nouveau dossier.

N'utilisez pas l'option Enregistrer sous du menu Fichier pour les folios DesignSpark Electrical.


Fermer

Menu : Fichier > Fermer

Permet de fermer le document actif.

Remarque : Vous pouvez cliquer sur Fermer dans le coin supérieur droit du menu Fichier ou de la zone de graphisme.

Si vous ouvrez et modifiez un fichier DWG et que vous cliquez sur Fermer, la boîte de dialogue Enregistrer sous... vous demande si vous souhaitez enregistrer le fichier avant sa fermeture.

A la fermeture des folios DesignSpark Electrical, l'application enregistre automatiquement les documents avant de les fermer.


Quitter

Menu : Fichier > Quitter

Permet de quitter le logiciel.

Si vous ouvrez et modifiez des fichiers DWG et que vous cliquez sur Quitter, la boîte de dialogue Enregistrer sous... vous demande si vous souhaitez enregistrer chaque fichier ouvert avant de quitter.

Si vous ouvrez et modifiez des folios DesignSpark Electrical et que vous cliquez sur Quitter, l'application enregistre automatiquement les documents avant de se fermer.


Paramètres de dessin

La boite de dialogue Paramètres de dessin regroupe tous les paramètres spécifiques au fichier courant. Il peut s'agir d'un fichier DWG ou d'un folio schématique.

Menu : Affichage > Options de folio

Cliquez à l'aide du bouton droit sur la barre de statut.

Modes d'aimantation aux objets

Chaque entité graphique contient des points spécifiques qui peuvent être utilisés pour éditer ou placer d'autres entités. Par exemple, une ligne est constituée de deux points d'extrémité et d'un point milieu ; un cercle est constitué de son centre et de quatre quadrants.

L'icône de couleur verte représente la forme de repère de chaque mode.

Sélectionnez les modes à utiliser dans la liste.

Activer l'aimantation aux objets : Permet d'activer ou de désactiver l'utilisation de points spécifiques. Vous pouvez aussi cliquer sur OSNAP sur la barre d'état ou appuyer sur F11.

Folio

Les paramètres tels que Ortho et Grille peuvent êtreactivés ou désactivés en cliquant sur la barre de statut ou en utilisant les raccourcis clavier.

Activer l'aimant (F9) : Bloque le curseur sur la localisation préférée (à ne pas confondre avec les paramètres de grille).

Activer la grille (F7) : Affiche ou masque la grille dans le folio.

Activer le mode orthogonal (F8) : Permet d'activer ou de désactive la fonction ortho ; cela fixe le mouvement du curseur sur un axe X ou Y.

Activer l'épaisseur de ligne (F10) : Active ou désactive l'épaisseur de ligne ; affiche ou masque les différentes épaisseurs de ligne.

Afficher les contours de masque : Affiche ou masque les contours de masque.

Espacement aimant : Permet de définir l'espacement entre deux points d'aimantation virtuels.

Espacement grille : Permet de définir l'espacement entre les deux points de la grille.

Echelle de type de ligne : Permet de modifier l'aspect de la ligne en se basant sur les unités utilisées dans le fichier courant. Seuls les styles de ligne complexes (axes et discontinus) sont concernés par ce paramètre. Le facteur d'échelle est appliqué pour élargir ou réduire les espaces et les lignes.

Système de mesure : Permet de définir.

Zone de la grille : Permet de définir les coordonnées de la zone dans laquelle la grille est affichée. Vous pouvez aussi cliquer sur le bouton pour définir graphiquement cette zone.


Commandes de dessin

Grâce aux commandes dans le groupe Création du menu Dessiner, vous pouvez créer des entités graphiques en 2D.

Les graphiques placés avec ces commandes sont destinés à des fins graphiques uniquement. Comme elles ne sont pas gérées par la base de données du projet, aucune commande de traitement de données ne les affecte.

Vous pouvez les utiliser pour la création de cartouches, de symboles, de vignettes 2D, et bien plus encore. Cependant les commandes de dessin ne doivent pas être utilisées pour générer des schémas électriques.

  • Ligne

  • Polyligne

  • Arc

  • Cercle

  • Ellipse

  • Arc elliptique

  • Rectangle

  • Nuage

  • Hachures

  • Masque

  • Attacher image

  • Insérer une image

  • Insérer un texte

  • Texte multiligne

  • Hyperlien

  • Attribut

  • Créer bloc

  • Insérer bloc


Ligne

Menu : Dessiner > Ligne

Permet de créer une série de segments de ligne dans le document actif.

Comme les segments de ligne ne sont pas gérés par la base de donnée du projet, n'utilisez pas les lignes ou les séries de ligne pour générer des schématiques électriques.

Chaque segment de ligne comprend deux points d'extrémité mobiles. Lorsque vous créez une ligne, définissez ses points d'extrémité :

* dynamiquement, en cliquant sur le document,

* ou manuellement, en précisant les coordonnées des extrémités.

Après avoir créé une série de lignes, vous pouvez éditer ou déplacer chaque segment de ligne séparément. Lorsque vous éditez ou déplacez une ligne, vous pouvez repositionner la ligne et ses points d'extrémité uniquement de façon dynamique.

Lorsqu'une nouvelle entité de ligne apparaît, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet d'annuler la dernière action.

Saisies au clavier : Permet de saisir des coordonnées X et Y séparées par une virgule (Exemple : 150,125), une distance et un angle séparés par "<" (Exemple : 150<45), ou des coordonnées relatives à partir du point précédent (Exemple : @10,150).

Fermer : Le dernier point du dernier segment correspond au premier point du premier segment et permet ainsi de créer une zone fermée.


Polyligne

Menu : Dessiner > Polyligne

Permet de dessiner une succession de segments de lignes ou d'arcs définissant la polyligne. L'ensemble des lignes d'une polyligne forme une seule entité. Une polyligne peut avoir une épaisseur spécifiée. Le premier point de la seconde entité correspond au second point de la première entité.

Lorsqu'une nouvelle polyligne apparait dans le document, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet d'annuler la dernière action.

Saisies au clavier : Permet de saisir des coordonnées X et Y séparées par une virgule (Exemple : 150,125), une distance et un angle séparés par "<" (Exemple : 150<45), ou des coordonnées relatives à partir du point précédent (Exemple : @10,150).

Ligne : Permet de dessiner un segment de ligne basé sur le dernier point de la dernière entité dessinée.

Arc : Permet de dessiner un arc basé sur le dernier point de la dernière entité dessinée. Sélectionnez les options de placement de l'arc au bas du panneau.

Largeur : Permet de configurer une épaisseur spécifique pour la prochaine entité. Cette épaisseur sera utilisée sur toutes les prochaines entités.

Fermer : Le dernier point de la dernière entité correspond au premier point de la première entité et permet ainsi de créer une zone fermée.

Ce type d'entité ne doit pas être utilisé pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Arc

Menu : Dessin > Arc

Permet de dessiner un arc.

Pour les nouveaux arcs, définissez la position en spécifiant trois points.

Permet de quitter la commande.

Saisies au clavier : Permet de saisir des coordonnées X et Y séparées par une virgule (Exemple : 150,125), une distance et un angle séparés par "<"(Exemple : 150<45), ou des coordonnées relatives à partir du point précédent (Exemple : @10,150).

Options : Sélectionnez l'option de placement de l'arc au bas du panneau.

Ce type d'entité ne doit pas être utilisé pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Cercle

Menu : Dessiner > Cercle

Permet de tracer un cercle. Pour placer un cercle, définissez le centre de rotation et un point de la circonférence.

Lorsqu'un cercle apparait dans le document, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces coordonnées doivent être séparées par une virgule (exemple : 150,125).

Rayon : Entrez la longueur du rayon du cercle ou cliquez sur un deuxième point dans la zone de graphisme.

Ce type d'entité ne doit pas être utilisé pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Ellipse

Menu : Dessiner > Ellipse

Permet de dessiner une ellipse. Afin de positionner une ellipse dans le document actif, définissez le point central et les deux axes de l'entité.

Le panneau ancrable affiche des options supplémentaires.

Permet de quitter la commande.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Les coordonnées doivent être séparées par une virgule (exemple : 150,125).

Distance : Saisissez la longueur du premier et également du second axe de l'ellipse.

Ce type d'entité ne doit pas être utilisé pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Arc elliptique

Menu : Dessiner > Arc elliptique

Afin de positionner un arc elliptique sur le document actif, il faut définir le point central, les deux axes de l'ellipse, ainsi que les deux extrémités de l'arc.

Le panneau ancrable affiche des options supplémentaires.

Permet de quitter la commande.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces deux coordonnées doivent être séparées par une virgule (exemple : 150,125).

Distance : Saisissez la longueur du premier et également du second axe de l'ellipse.

Ce type d'entité ne doit pas être utilisé pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Rectangle

Menu : Dessin > Rectangle

Permet de dessiner un rectangle.

Pour positionner un rectangle dans le document actif, définissez la longueur de la cote diagonale ou précisez sa longueur et sa largeur dans le panneau ancrable.

Permet de quitter la commande.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces deux coordonnées doivent être séparées par une virgule (exemple : 150,125).

Cotation : Entrez les valeurs correspondant à sa longueur et à sa largeur.

Rotation : Saisissez les valeurs correspondant à l'angle (en degrés).

Ce type d'entité ne doit pas être utilisé pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Nuage

Menu : Dessiner > Nuage

Dessine une forme spécifique qui consiste en arcs séquentiels. Les nuages servent, par exemple, à attirer l'attention sur une représentation graphique lors d'une étape de révision. Utilisez des textes multilingues pour faire des commentaires sur le nuage de révision.

Trois formes différentes peuvent être utilisées pour représenter le nuage ; rectangulaire, elliptique ou main levée. Ces formes peuvent être directement sélectionnées dans le ruban, ou dans un panneau ancrable lors de l'insertion.

Permet de quitter la commande.

Permet d'annuler la dernière action.

Forme : Sélectionnez la forme que vous souhaitez utiliser. Les options de commande dépendent de la forme choisie.

Saisie de coordonnées :Entrez une valeur pour les coordonnées X et Y. Ces deux coordonnées doivent être séparées par une virgule (exemple : 150,125).

Rayon du nuage : Spécifiez le rayon des segments d'arc séquentiels.

Options spécifiques au mode Rectangulaire

Cotation : Entrez les valeurs correspondant à sa longueur et sa largeur (disponible uniquement en mode Rectangulaire).

Rotation : Entrez la valeur correspondant à l'angle, en degrés (disponible uniquement en mode Rectangulaire).

Options spécifiques au mode Elliptique

Distance : Saisissez la longueur du premier et du second axe de l'ellipse (disponible uniquement en mode Elliptique).

Options spécifiques au mode Main levée

Arc / Ligne : Sélectionnez le type d'entité que vous souhaitez dessiner. Le mode Arc affiche d'autres options de placement au bas du panneau ancrable.

Largeur : Entrez la largeur de la ligne ou de l'arc.

Fermer : Ferme la forme. Le point de fin a les mêmes coordonnées que le point de départ.

Ce type d'entité ne doit pas être utilisé pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Hachures

Menu : Dessiner > Hachures

Permet d'ouvrir la boite de dialogue Hachures pour définir, grâce aux motifs de hachures sélectionnés, les options de remplissage de la zone entre ou à l'intérieur des entités de folio.

Vous pouvez sélectionner les entités dans le document qui définit la zone de hachures avant de cliquer sur Hachures. Ou vous pouvez sélectionner les entités après avoir cliqué sur Sélectionner des objets dans la boite de dialogue Hachures.

Sélectionner des objets : Vous permet de sélectionner les objets représentant la surface délimitée à hachurer.

Type : sélectionnez un motif Prédéfini ou Défini par l'utilisateur.

Motif : Cette option n'est disponible que si vous avez sélectionné l'option Prédéfini. Permet de sélectionner le type de motif.

Couleur : Permet de sélectionner la couleur du motif.

Angle : Permet de sélectionner l'angle du motif.

Echelle : Cette option n'est disponible que si vous avez sélectionné l'option Prédéfini. Permet de sélectionner l'échelle du motif.

Espacement : Cette option n'est disponible que si vous avez sélectionné l'option Défini par l'utilisateur. Entrez la distance entre deux lignes.

Double : Cette option n'est disponible que si vous avez sélectionné l'option Défini par l'utilisateur. Sélectionnez si vous souhaitez ajouter des hachures perpendiculaires.

Lorsque vous cliquez sur OK, les hachures sont générées automatiquement.

Vous ne devez pas utiliser ce type d'entité pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Masque

Menu : Dessiner > Masque

Permet de définir une zone multilatérale qui couvre ou cache d'autres documents.

Pour positionner un masque, il faut définir un point de base et ensuite chaque point successif de la forme.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Permet d'annuler la dernière action.

Cliquez sur le sommet de la zone dans la zone graphique ou saisissez les coordonnées. Les éléments graphiques placés derrière cette zone sont cachés (pas supprimés). Utilisez la commande Ordre (dans le menu Modifier) pour gérer la position des entités par rapport au masque.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces coordonnées doivent être séparées par une virgule (exemple : 150,125).


Attacher image

Menu : Dessiner > Attacher image

Permet d'ouvrir une première série de boites de dialogue afin de relier les images stockées sur le poste de travail au document actif. Une fois attachées, un aperçu des images liées apparait dans le document.

Une boîte de dialogue s'ouvre ; elle vous permet de gérer les images attachées.

Attacher : Permet d'attacher un fichier image. Une fois le fichier sélectionné, une boîte de dialogue s'ouvre pour vous permettre de définir des paramètres d'insertion.

Supprimer : Permet de supprimer de la liste un fichier image sélectionné et d'enlever l'aperçu de l'image du document actif.

Afin d'archiver les projets contenant des images attachées, vous devez ajouter les fichiers d'images attachées en utilisant la commande fichiers de données.


Insérer une image

Menu : Dessiner > Insérer une image

Permet d'ouvrir la première d'une série de boîtes de dialogue afin d'insérer les images stockées sur le poste de travail dans le document. Les images insérées font partie intégrante du fichier du document.

Point d'insertion : Permet de définir les coordonnées du point d'insertion. Sélectionnez Spécifier ultérieurement pour définir le point d'insertion lorsque vous insérez l'image dans la zone de graphisme.

Echelle : Permet de définir le facteur d'échelle. Sélectionnez Spécifier ultérieurement pour définir le facteur d'échelle lorsque vous insérez l'image dans la zone de graphisme.

Rotation : Permet de définir l'angle de rotation. Sélectionnez Spécifier ultérieurement pour définir l'angle de rotation lorsque vous insérez l'image dans la zone de graphisme.


Insérer un texte

Menu : Dessiner > Insérer un texte

Permet d'ouvrir la boîte de dialogue Créer un texte afin d'insérer une seule ligne de texte dans le document.

Texte : Entrez la chaîne de texte à insérer dans le fichier en cours. La chaine de texte ne doit pas être vide.

Options de texte

Justifier : Permet de définir la justification de texte.

Style de texte : Permet de définir le style de texte. Cliquez sur le gestionnaire des styles de texte pour accéder à la définition du style de texte.

Rotation : Permet de définir l'angle de rotation. Sélectionnez Spécifier ultérieurement pour définir l'angle de rotation lorsque vous insérez du texte dans la zone de graphisme.

Hauteur : Permet de définir la hauteur du texte. Sélectionnez Spécifier ultérieurement pour définir la hauteur du texte lorsque vous insérez du texte dans la zone de graphisme.

Angle oblique : Permet de définir la valeur de l'angle (en degrés) pour un texte oblique.

Facteur de largeur : Permet de maintenir la hauteur du texte si vous l'agrandissez.

A l'envers : Permet d'insérer le texte avec un miroir vertical.

En arrière : Permet d'insérer le texte avec un miroir horizontal.

Point d'insertion

Permet de définir les coordonnées du texte. Sélectionnez Spécifier ultérieurement pour définir le point d'insertion lorsque vous insérez du texte dans la zone de graphisme.

Remarque : Contrairement au texte ajouté à un document grâce à la commande d'insertion Texte multilingue, le texte ajouté avec la commande Insérer un texte (menu Dessin) n'apparaît pas dans la base de données du projet.


Texte multiligne

Menu : Dessiner > Texte multiligne

Permet d'ouvrir une boîte de dialogue afin d'insérer un bloc de texte multiligne.

Le style de texte actuellement sélectionné dans le gestionnaire de Style de texte du menu Outils permet de contrôler l'apparence du texte multiligne.

Une boîte de dialogue s'ouvre pour saisir le texte.

Remarque : Contrairement au texte ajouté à des documents grâce à la commande d'insertion de texte multilingue, le texte ajouté avec la fonction Texte multiligne (menu Dessin) n'apparait pas dans la base de données du projet.


Attribut

Menu : Dessiner > Attribut

Permet d'ouvrir une boite de dialogue pour créer un attribut. Généralement, les attributs vous permettent d'ajouter un texte différent à chaque insertion de bloc.

Une boîte de dialogue vous permet de créer un attribut.

Attribut

Nom : Le nom de l'attribut. Le nom de l'attribut doit être unique dans une définition de bloc.

Invite : Affiche le message d'invite lorsque vous insérez le bloc contenant l'attribut.

Valeur : Contient la valeur par défaut de l'attribut.

Mode

Masqué : Masque la valeur d'attribut lorsque vous insérez le bloc.

Fixe : Applique une valeur fixe dans l'attribut lorsque vous insérez le bloc.

Valider : Permet de valider la valeur lorsque vous insérez le bloc.

Prédéfini : Permet de restaurer la valeur par défaut lorsque vous insérez le bloc.

Options de texte

Justifier : Permet de définir l'attribut de justification.

Style de texte : Permet de définir le style de texte. Le gestionnaire des styles de texte vous permet d'accéder à la définition du style de texte.

Rotation : Permet de définir l'angle de rotation. Sélectionnez Spécifier ultérieurement pour définir l'angle de rotation lorsque vous insérez l'attribut dans la zone de graphisme.

Hauteur : Permet de définir la hauteur de l'attribut. Sélectionnez Spécifier ultérieurement pour définir la hauteur de l'attribut lorsque vous insérez celui-ci dans la zone de graphisme.

Angle oblique : Permet de définir la valeur de l'angle (en degrés) pour un texte oblique.

Facteur de largeur : Permet d'élargir le texte sans modifier sa largeur.

A l'envers : Permet d'insérer l'attribut avec un miroir vertical.

En arrière : Permet d'insérer l'attribut avec un miroir horizontal.

Point d'insertion

Permet de définir les coordonnées de l'attribut. Sélectionnez Spécifier ultérieurement pour définir le point d'insertion lorsque vous insérez l'attribut dans la zone de graphisme.


Créer bloc

Menu : Dessiner > Créer bloc

Permet de créer un bloc dénommé, ou un groupe, d'entités à partir du document actif que vous pouvez réinsérer dans le document à de multiples reprises.

Le bloc dénommé apparait dans les tableaux de définition du bloc du document actif uniquement. Ainsi, vous pouvez utiliser uniquement les blocs définis pour le fichier en cours.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Après avoir sélectionné les entités du bloc, une boîte de dialogue s'ouvre. Vous pouvez y entrer les paramètres des blocs.

Nom : Le nom du bloc. Ce nom doit être unique dans le fichier DWG.

Objets sélectionnés

Conserver comme entités séparées : Permet de conserver les entités sélectionnées comme entités séparées. Les entités sélectionnées ne sont pas converties en bloc.

Convertir en bloc : Permet de convertir les entités sélectionnées en bloc.

Supprimer : Permet de supprimer les entités sélectionnées. Vous pouvez les réinsérer avec la commande Insérer bloc.

Point de base

Saisissez les coordonnées du point d'insertion ou sélectionnez l'option Spécifier à l'écran (A la fermeture de la boîte de dialogue, vous devez cliquer sur le point d'insertion dans la zone de graphisme).


Insérer bloc

Menu : Dessiner > Insérer bloc

Permet d'insérer un bloc dénommé, ou un groupe d'entités, dans le document.

Permet de lancer une séquence de boîtes de dialogue afin d'ajouter les blocs précisés dans la table de définition des blocs courante ou d'insérer le contenu du bloc d'un fichier DWG externe dans le document.

Si les blocs contiennent des attributs, vous pouvez éditer les attributs en insérant des blocs dans le document actif.

Parcourir : Permet de sélectionner un fichier DWG stocké sur le poste de travail. Toutes les entités incluses dans ce fichier sont insérées.

Nom du bloc : Si cette option est activée, vous devez sélectionner le nom du bloc à insérer.

Décomposer : Permet de décomposer le bloc inséré. Toutes les entités qui constituent le bloc sont insérées séparément.

Point d'insertion

Permet de définir les coordonnées du point d'insertion. Sélectionnez Spécifier ultérieurement pour définir le point d'insertion lorsque vous insérez le bloc dans la zone de graphisme.

Echelle

Permet de définir le facteur d'échelle. Sélectionnez Spécifier ultérieurement pour définir le facteur d'échelle lorsque vous insérez le bloc dans la zone de graphisme. Si vous avez sélectionné Décomposer, ce paramètre n'est pas disponible.

Rotation

Permet de définir l'angle de rotation. Sélectionnez Spécifier ultérieurement pour définir l'angle de rotation lorsque vous insérez le bloc dans la zone de graphisme.

Vous ne devez pas utiliser l'insertion de bloc pour générer un schéma électrique. Les entités graphiques placées avec cette commande ne sont pas gérées dans la base de données du projet.


Commandes de cotation

A l'aide des commandes dans le groupe Cotation du menu Dessiner, vous pouvez ajouter des cotes à des folios de plans 2D.

Les commandes de cote utilisent les paramètres de style de cote que vous pouvez gérer dans le Gestionnaire de style de cote.

  • Cotation linéaire

  • Cotation alignée

  • Cote de diamètre

  • Cotation radiale

  • Cotation ordonnée

  • Cotation angulaire


Cotation linéaire

Menu : Dessiner > Cotation linéaire

Permet de créer des cotes d'axes X-Y sur des lignes parallèles.

Permet de quitter la commande.

Cliquez sur le premier point correspondant au premier tenant de la ligne d'extension ou entrez les coordonnées.

Cliquez sur le second point correspondant au deuxième tenant de la ligne d'extension ou entrez les coordonnées.

Cliquez sur la position de la ligne de cote.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces deux coordonnées doivent être séparées par une virgule (exemple : 150,125).


Cotation alignée

Menu : Dessiner > Cotation alignée

Permet de créer des cotes parallèles à la ligne qui relie les deux points de tenant sélectionnés.

Permet de quitter la commande.

Cliquez sur le premier point correspondant au premier tenant de la ligne d'extension ou entrez les coordonnées.

Cliquez sur le second point correspondant au deuxième tenant de la ligne d'extension ou entrez les coordonnées.

Cliquez sur la position de la ligne de cote.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces deux coordonnées doivent être séparées par une virgule (exemple : 150,125).


Cote de diamètre

Menu : Dessiner > Cote de diamètre

Permet de réaliser la cotation du diamètre d'un cercle ou d'un arc de cercle.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez un cercle ou un arc de cercle dans la zone de graphisme et précisez la position de la cote.


Cotation radiale

Menu : Dessiner > Cotation radiale

Permet de réaliser la cotation du rayon d'un cercle ou d'un arc de cercle.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez un cercle ou un arc dans la zone de graphisme et précisez la position de la ligne de cote.


Cotation ordonnée

Menu : Dessiner > Cotation ordonnée

Permet de créer une cote en mesurant la distance horizontale ou verticale entre deux points.

Permet de quitter la commande.

Définissez la mesure des deux points et précisez la position de la ligne de cote.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces deux coordonnées doivent être séparées par une virgule (exemple : 150,125).


Cotation angulaire

Menu : Dessiner > Cotation angulaire

Permet de réaliser la cotation des angles.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les deux lignes de l'angle et spécifiez la position de la ligne de cote.


Commandes de modification

Dans le menu Modifier, les commandes des groupes Editer et Changements vous permettent de modifier un grand nombre d'entités existantes.

Remarque : Vous pouvez utiliser les commandes Modifier pour modifier les entités électriques. Retenez que ces modifications mettent à jour automatiquement les enregistrements d'entité de la base de données de projet d'une manière qui n'est pas conforme aux règles de conception des schématiques électriques. De ce fait, n'utilisez pas toutes les commandes Modifier pour apporter des changements aux entités électriques.

  • Propriétés

  • Pinceau

  • Réseau

  • Effacer

  • Déplacer

  • Copie multiple

  • Décaler

  • Rotation

  • Echelle

  • Miroir

  • Raccord

  • Etirer

  • Ajuster

  • Prolonger

  • Aligner les blocs

  • Distance

  • Purge

  • Décomposer

  • Calques

  • Attribut multiple

  • Modifier les attributs

  • Editer un texte

  • Editer hachures

  • Mettre à jour la cote

  • Ordre - Mettre au premier plan

  • Ordre - Mettre en arrière-plan

  • Ordre - Mettre derrière une autre entité

  • Ordre - Mettre devant une autre entité


Pinceau

Menu : Modifier > Pinceau

Permet de copier les propriétés d'une entité dans une autre entité.

Lorsque vous modifiez les propriétés du Pinceau d'une entité ou d'une série d'entités, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez une entité de référence et ensuite les entités sur lesquelles seront appliquées les propriétés copiées.

N'utilisez pas la commande Pinceau sur les objets du schéma électrique.


Effacer

Menu : Modifier > Effacer

Permet de supprimer les entités sélectionnées.

Lors de la suppression d'entités, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les entités que vous souhaitez supprimer et validez. Vous pouvez également sélectionner les entités et appuyer sur la touche [Suppr].

Remarque : L'utilisation de cette commande sur les symboles, les fils et les autres entités des schématiques électriques, met à jour automatiquement la base de données du projet.


Déplacer

Menu : Modifier > Déplacer

Déplace les entités sélectionnées d'une distance spécifique et dans une direction spécifique.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les entités à déplacer, spécifiez les coordonnées du point de base (tenant) et les coordonnées du point de fin (aboutissant).

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces deux coordonnées doivent être séparées par une virgule (exemple : 150,125).

Distance : Vous pouvez saisir une longueur pour le mouvement. Utilisez cette syntaxe (Longueur de ligne<Angle). Exemple : 100<45 déplace les entités sélectionnées de 100 unités avec un angle de 45°.

Lorsque cette commande est utilisée sur les entités électriques (symboles, fils, etc.) la base de données du projet est mise à jour automatiquement.


Copie multiple

Menu : Modifier > Copie multiple

Permet de créer des copies multiples d'entités sélectionnées.

Lorsque vous insérez des copies multiples dans le document actif, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les entités à copier, spécifiez le point de début (tenant) et le point de fin (aboutissant).

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces coordonnées doivent être séparées par une virgule. Exemple : 150,125.

Distance : Vous pouvez saisir une longueur pour la copie. Utilisez cette syntaxe (Longueur de ligne<Angle). Exemple : 100<45.

Cet exemple copie les entités sélectionnées avec une longueur de ligne de 100 unités et un angle de 45°.

Remarque : Lorsque vous utilisez cette commande sur les symboles, les fils et d'autres entités schématiques électriques, la base de données du projet est automatiquement mise à jour.


Réseau

Menu : Modifier > Réseau

Crée plusieurs copies des entités sélectionnées en plans verticaux ou horizontaux.

Lorsque vous ajoutez un réseau, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet de valider la sélection.

Rangées : Saisir le nombre de rangées (nombre de copies verticales) souhaitées.

Colonnes : Saisir le nombre de colonnes (nombre de copies horizontales) souhaitées.

Sélection des objets : Cliquez sur ce bouton et sélectionnez les entités à copier.

Décalage des rangées : Saisissez la distance entre chaque entité copiée ou cliquez sur le bouton pour définir graphiquement cette distance.

Décalage des colonnes : Saisissez la distance entre chaque entité copiée ou cliquez sur le bouton pour définir graphiquement cette distance.

Remarque : Le fait d'utiliser cette commande sur les symboles, les fils et autres entités schématiques électriques met à jour automatiquement la base de données du projet.


Rotation

Menu : Modifier > Rotation

Permet de modifier l'orientation des entités autour d'un point de base.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les entités à modifier et spécifiez ensuite le point de base et l'angle de rotation en cliquant sur un point dans la zone de graphisme et en saisissant une valeur.

Spécifiez l'angle de rotation : Saisissez la valeur de l'angle en degrés.

Lorsque cette commande est utilisée sur les entités électriques (symboles, fils, etc.), la base de données du projet est mise à jour automatiquement.


Echelle

Menu : Modifier > Echelle

Permet de modifier la taille proportionnelle des entités sélectionnées dans les directions X et Y.

Lorsque vous modifiez la taille des entités sélectionnées, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les entités.

Saisie des coordonnées : Spécifiez le point de base en cliquant dans la zone de graphisme ou en saisissant ses coordonnées.

Attributs : sélectionnez l'optionConserver la taille si vous souhaitez appliquer le facteur d'échelle aux attributs de cartouche.

Spécifiez le facteur d'échelle de l'axe : sélectionnez le mode que vous souhaitez (Réduire ou Agrandir) et cliquez dans la zone de graphisme pour spécifier le deuxième point ou saisissez la valeur du facteur d'échelle.

N'utilisez pas Echelle pour changer les propriétés des entités dans les schématiques électriques.


Miroir

Menu : Modifier > Miroir

Permet de créer une copie inversée des entités sélectionnées avec un axe de symétrie spécifique.

Lorsque vous ajoutez des images miroir à des entités sélectionnées, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les entités concernées, spécifiez les deux extrémités de l'axe de symétrie, choisissez ensuite si vous souhaitez effacer les objets sources ou non.

Saisie des coordonnées : Entrez une valeur pour les coordonnées X et Y. Ces coordonnées doivent être séparées par une virgule (exemple : 150,125).

Distance : Entrez une longueur pour la ligne. Utilisez cette syntaxe (Longueur de ligne<Angle). Exemple : 100<45 trace une ligne d'une longueur de 100 unités avec un angle de 45°.

Effacer les objets sources : Supprime les entités d'origine.

Remarque : Lorsque vous utilisez cette commande sur les symboles, les fils et d'autres entités schématiques électriques, la base de données du projet est automatiquement mise à jour.


Raccord

Menu : Dessiner > Raccord

Permet de joindre deux lignes d'intersection avec un arc dont le rayon est spécifié.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Adapter / ne pas adapter : Permet de couper (ou non) les lignes et les extrémités de l'arc.

Modifier le rayon : Permet d'entrer le rayon de l'arc.

Sélectionnez les deux lignes auxquelles vous souhaitez ajouter le raccord.


Décaler

Menu : Modifier > Décaler

Permet de créer des cercles concentriques, des lignes parallèles et des courbes parallèles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Permet de créer une nouvelle entité à une distance définie d'un objet existant ou un point donné.

Définition du décalage

Par un point : Cliquez pour créer deux points correspondant à la distance entre l'entité d'origine et la copie.

Distance : Saisissez la distance entre l'entité d'origine et la copie.

Sélectionnez une entité à copier et cliquez sur un point pour indiquer sur la destination voulue pour la copie.

Lorsque cette commande est utilisée sur les entités électriques (symboles, fils, etc.) la base de données du projet est mise à jour automatiquement.


Etirer

Menu : Modifier > Etirer

Permet de déplacer les points des entités sélectionnés.

Si vous ne sélectionnez que certains points d'une entité, les points non sélectionnés restent dans leurs positions. Ainsi, vous étirez l'entité en déplaçant les points sélectionnés.

Si vous sélectionnez tous les points d'une entité, vous déplacez l'ensemble de l'entité.

Permet de quitter la commande.

Permet de valider la sélection.

La commande Etirer déplace uniquement les points inclus dans la fenêtre de sélection. Elle ne modifie pas les points en-dehors de la fenêtre de sélection. Tous les objets se trouvant à l'intérieur de la fenêtre de sélection sont déplacés. Sélectionnez les points à étirer, spécifiez le point de base et l'extrémité.

Distance : Entrez une longueur pour la distance. Utilisez cette syntaxe (Longueur<Angle). Exemple : 100<45 trace une ligne d'une longueur de 100 unités avec un angle de 45°.


Ajuster

Menu : Modifier > Ajuster

Permet d'ajuster les entités qui croisent ou chevauchent d'autres entités dans le document actif.

Permet de mettre fin à la commande.

Permet de valider la sélection.

Sélectionnez les entités servant de limites de coupe, puis sélectionnez les entités à ajuster.


Prolonger

Menu : Modifier > Prolonger

Permet de prolonger une entité pour atteindre ou entrecouper une autre entité.

Lorsque vous prolongez des entités, le panneau ancrable affiche les options disponibles.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez les entités servant de limite au prolongement et sélectionnez ensuite les entités à prolonger.


Aligner les blocs

Menu : Modifier > Aligner les blocs

Aligne les blocs sélectionnés à partir d'un bloc de référence.

La première étape consiste à sélectionner la source des données. Le panneau ancrable affiche des options supplémentaires.

Permet de quitter la commande.

Permet de valider la sélection.

Options

Proche : les blocs sélectionnés sont déplacés verticalement ou horizontalement en fonction de l'emplacement de leur point d'insertion. L'axe le plus proche de leur emplacement est utilisé.

Horizontal : les points d'insertion des blocs sélectionnés sont alignés selon un axe horizontal.

Vertical : les points d'insertion des blocs sélectionnés sont alignés selon un axe vertical.

Sélectionnez une de ces options, puis sélectionnez les blocs que vous souhaitez aligner sur le bloc de référence.

L'alignement est effectué à partir du point d'insertion du bloc de référence.


Distance

Menu : Modifier > Distance

Permet de calculer la distance entre deux points.

Lorsque vous mesurez la distance entre deux points, le panneau ancrable affiche les options disponibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Cliquez sur deux points dans la zone de graphisme.

Un message affiche la distance, l'angle et les valeurs des deltas X et Y.


Purge

Menu : Modifier > Purge

Permet de supprimer les blocs de ligne inutilisés, les styles de texte, les types de ligne et d'autres éléments de la table de définition du document. Purger les fichiers DWG réduit ou optimise la taille du fichier.

La boîte de dialogue affiche les éléments purgeables et non purgeables.

Un élément peut être purgé s'il n'est pas utilisé dans le fichier DWG.

Dans la boîte de dialogue, sélectionnez les éléments à purger. Vous pouvez utiliser les touches multisélection (Ctrl, Maj).

Lorsque vous purgez un fichier DWG, les options disponibles apparaissent dans la boite de dialogue Purge :

Confirmer la suppression de chaque élément : Lorsque cette option est sélectionnée, une boîte de dialogue s'ouvre à chaque suppression. Vous devez valider chaque suppression.

Purger les éléments imbriqués : Lorsque cette option est sélectionnée, tous les éléments imbriqués (éléments qui dépendent d'autres éléments) sont aussi supprimés.

Purger la sélection : Purge les éléments sélectionnés.

Tout purger : Purge tous les éléments quelle que soit la sélection.

Ne pas utiliser la fonction Purger (menu Modifier) dans les documents qui contiennent des schématiques électriques.


Décomposer

Menu : Modifier > Eclater

Permet d'éclater un bloc en entités constituantes.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez le bloc que vous souhaitez décomposer. Si ce bloc contient des attributs, les valeurs des attributs sont perdues.

N'utilisez pas la commande Décomposer (menu Modifier) sur les entités dans les schémas électriques.


Calques

Menu : Modifier > Calques

Permet d'ouvrir une boîte de dialogue afin de gérer les calques du fichier DWG courant. Chaque fichier DWG contient un nombre illimité de calques.

Lorsque vous gérez les calques dans un fichier DWG, les options disponibles apparaissent dans la boîte de dialogue Gestionnaire de calques.

Ajouter un calque : Permet de créer un calque. Vous pouvez modifier son nom dans la colonne Nom.

Supprimer la sélection : Supprime les calques sélectionnés. Vous ne pouvez pas supprimer un calque contenant des entités.

Définir le calque sélectionné comme courant : Sélectionnez un calque dans la liste pour le définir comme Calque courant. Le calque courant est celui sur lequel vous dessinez. Il est identifié dans la liste par une icône spécifique.

Chaque calque est associé par défaut à une couleur, un type de ligne et une épaisseur de ligne. Les entités dessinées sur ce calque ont ces paramètres par défaut. Vous pouvez sélectionner ces éléments en cliquant sur la case correspondant au calque.

Vous pouvez masquer les calques pour visualisation et impression.

Actif / Inactif : Les entités placées sur le calque sont cachées et ne peuvent être imprimées.

Bloquer / Débloquer : Graphiquement, cette commande est semblable à la commande Actif / Inactif.

Pour les grands fichiers, il est recommandé d'utiliser la commande Actif / Inactif. Les entités s'afficheront plus rapidement.

Imprimer : Définit si un calque peut être imprimé ou non (les calques cachés ne sont pas imprimés).

N'utilisez pas la fonction Calques (menu Modifier) sur les documents qui incluent des schématiques électriques.


Edition d'un attribut

Menu : Modifier > Edition d'un attribut

Pour les documents qui contiennent des blocs, une boîte de dialogue permet d'éditer les propriétés de l'attribut du bloc sélectionné.

Lors de l'édition des attributs des blocs, le panneau ancrable affiche les exigences de lancement de la boîte de dialogue.

Permet de quitter la commande.

Permet de valider la sélection.

Sélectionnez un bloc. Une boîte de dialogue affiche la liste des attributs des blocs.

Nom du bloc : Affiche le nom du bloc.

Ajouter un attribut : Permet d'ajouter un nouvel attribut. Une nouvelle ligne est ajoutée en fin de liste. Vous permet de modifier les caractéristiques du nouvel attribut.

Supprimer l'attribut : Permet de supprimer les attributs sélectionnés.

Vous pouvez modifier tous les paramètres associés aux attributs.

Lorsque vous fermez la boîte de dialogue, les attributs des blocs sont automatiquement mis à jour.

Ne pas utiliser Edition d'un attribut sur les entités dans les schémas électriques.


Modifier hachures

Menu : Modifier > Modifier hachures

Pour les documents contenant des zones hachurées, permet de modifier les options de la zone de hachures sélectionnée.

Permet de mettre fin à la commande.

Permet de valider la sélection.

La boîte de dialogue des options de hachurage s'ouvre vous permettant de modifier ses caractéristiques.

Type : sélectionnez un motif Prédéfini ou Défini par l'utilisateur.

Motif : Cette option est disponible seulement si vous avez sélectionné l'option Prédéfini. Permet de sélectionner le type de motif.

Couleur : Permet de sélectionner la couleur du motif.

Angle : Permet de sélectionner l'angle du motif.

Echelle : Cette option est disponible seulement si vous avez sélectionné l'option Prédéfini. Permet de sélectionner l'échelle du motif.

Espacement : Cette option est disponible seulement si vous avez sélectionné l'option Défini par l'utilisateur. Entrez la distance entre deux lignes.

Double : Cette option est disponible seulement si vous avez sélectionné l'option Défini par l'utilisateur. Cochez cette case si vous souhaitez ajouter des hachures perpendiculaires.

A la fermeture de la boîte de dialogue, les hachures sont automatiquement mises à jour.


Mettre à jour la cote

Menu : Modifier > Mettre à jour la cote

Met à jour une cote sélectionnée au style de cote en cours. Si vous ne sélectionnez pas un nouveau style de cote par défaut avant d'utiliser cette commande, la mise à jour ne fonctionnera pas.

Lorsque vous mettez à jour les styles de cote, le panneau ancrable affiche le style de cote par défaut en cours.

Permet de quitter la commande.

La cote utilise les paramètres définis dans le style en cours.

Sélectionnez la cote à mettre à jour.


Ordre - Mettre au premier plan

Menu : Modifier > Ordre > Mettre au premier plan

Permet de déplacer les entités sélectionnées vers le premier plan par rapport aux autres plans.

Lorsque vous déplacez des entités au premier plan, le panneau ancrable affiche les options disponibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Sélectionnez les entités à mettre au premier plan.


Ordre - Mettre en arrière-plan

Menu : Modifier > Ordre > Mettre en arrière-plan

Permet de déplacer les entités sélectionnées en arrière-plan par rapport à toutes les autres entités dans le document actif.

Lorsque vous déplacez des entités en arrière-plan, le panneau ancrable affiche les options disponibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Sélectionnez les entités à mettre en arrière-plan.


Ordre - Mettre derrière une autre entité

Menu : Modifier > Ordre > Mettre derrière une autre entité

Permet de déplacer une première série d'entités sélectionnées derrière une deuxième série d'entités sélectionnées.

Lorsque vous déplacez la première série d'entités derrière la deuxième, le panneau ancrable affiche les options disponibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Sélectionnez en premier les entités placées au premier plan et ensuite celles en arrière-plan.


Ordre - Mettre devant une autre entité

Menu : Modifier > Ordre > Mettre devant une autre entité

Permet de déplacer une première série d'entités sélectionnées devant une deuxième série d'entités sélectionnées.

Lorsque vous déplacez la première série d'entités devant la deuxième, le panneau ancrable affiche les options disponibles.

Permet d'assurer une continuité dans la commande, c'est-à-dire qu'après sa première utilisation, la commande reste active.

Permet d'arrêter la commande après sa première utilisation.

Permet de quitter la commande.

Renvoie à l'interface précédente.

Sélectionnez en premier les entités placées en arrière-plan et ensuite celles au premier plan.


Gestionnaires de format graphique

Tous les fichiers DWG et les folios DesignSpark Electrical peuvent contenir des lignes, du texte et des cotes. Vous pouvez contrôler l'apparence de ces éléments en enregistrant des définitions de types de ligne, de styles de texte ou de styles de cote. Vous pouvez également configurer de nouvelles définitions personnalisées et éditer des définitions existantes.

A l'aide des commandes dans le groupe Format Graphique du menu Outils, vous pouvez gérer le format d'un grand nombre d'entités.

  • Gestionnaire de types de ligne

  • Gestionnaire de types de texte

  • Gestionnaire de types de cote


Gestionnaire de types de ligne

Menu : Outils / Types de ligne

Permet d'ouvrir la boîte de dialogue Gestionnaire de types de ligne qui liste les types de ligne actuellement disponibles que vous pouvez utiliser dans un fichier DWG ou un schéma électrique.

Les types de lignes actuellement disponibles apparaissent dans la liste. Comme le nombre de types de ligne disponibles est fixé individuellement pour chaque document, la liste peut varier d'un fichier à un autre.

Vous pouvez gérer les types de ligne pour le document actif avec les options suivantes :

Charger : Ce bouton permet d'ouvrir la liste de tous les types de ligne que vous pouvez utiliser dans un fichier. Les styles de ligne sont stockés dans un fichier XLIN que vous pouvez sélectionner en cliquant sur le bouton Ouvrir. Dans cette liste, sélectionnez les types de ligne que vous souhaitez importer dans le fichier en cours.

Supprimer la sélection : Permet de supprimer les types de ligne sélectionnés. Un type de ligne utilisé dans un fichier DWG (ou un schéma électrique) ne peut pas être supprimé.

Définir la sélection comme courante : Permet de définir le style de ligne sélectionné comme courant dans le fichier DWG (ou le schéma électrique).


Charger les types de ligne

Menu : Outils > Types de ligne > Charger

Le logiciel ne charge que les types de ligne sélectionnés dans chaque fichier DWG ou schématique électrique. Ainsi, la liste des types de ligne disponibles peut être différente d'un document à un autre.

Si vous souhaitez utiliser un type de ligne défini qui n'est pas disponible dans le document actif, vous pouvez charger un type de ligne listé dans le fichier XLIN par défaut ou importer des types de ligne provenant de fichiers XLIN personnalisés.

Ouvrir : Permet d'ouvrir un fichier XLIN.

Charger la sélection et fermer : Sélectionnez les styles de ligne que vous souhaitez importer dans le gestionnaire. La boîte de dialogue est fermée et les styles de ligne sont automatiquement ajoutés dans la liste du gestionnaire.

Charger tout et fermer : Tous les types de ligne sont importés dans le gestionnaire. Les styles de ligne sont ajoutés automatiquement à la liste du gestionnaire à la fermeture de la boîte de dialogue.


Gestionnaire des styles de texte

Menu : Outils > Styles de texte

Ouvre la boîte de dialogue Gestionnaire des styles de texte qui liste les styles de texte disponibles. Vous pouvez les utiliser dans un fichier DWG ou un schéma électrique. Lorsque vous sélectionnez un nouveau style de texte courant, toutes les commandes qui ajoutent du texte dans le document actif utilisent le style défini. Comme il est nécessaire de définir les styles de texte pour chaque document, la liste des styles disponibles peut différer d'un fichier ou d'un projet à l'autre.

Utilisez les options suivantes pour sélectionner le style de texte courant du document actif, ou pour visualiser, ajouter, éditer ou supprimer des styles de texte de la liste des styles disponibles :

Ajouter un style de texte : Permet d'ajouter un nouveau style de texte. Une nouvelle ligne est ajoutée en fin de liste. Vous pouvez en modifier le nom et les paramètres.

Supprimer la sélection : Permet de supprimer les styles de texte sélectionnés. Vous ne pouvez pas supprimer un style de texte utilisé dans le fichier DWG (ou le schéma électrique).

Définir le style sélectionné comme courant : permet de définir le style de texte sélectionné comme courant dans le fichier DWG (ou le schéma électrique).


Gestionnaire des styles de cote

Menu : Outils > Styles de cote

Permet d'ouvrir la boite de dialogue Gestionnaire des styles de cote qui liste les styles de cote disponibles ; vous pouvez les utiliser dans un fichier DWG ou un schéma électrique.

Lorsque vous sélectionnez un nouveau style de cote courant, toutes les commandes qui ajoutent des cotes dans le document actif utiliseront ce style défini. De plus, le nouveau style de cote courant sera appliqué aux cotes mises à jour avec la commande Mise à jour de cote (menuModifier). Comme vous devez définir les styles de cote pour chaque document, la liste des styles disponibles peut différer dans les fichiers et les projets.

Pour sélectionner le style de cote courant du document ou pour visualiser, ajouter, éditer ou supprimer des styles de cote de la liste des styles disponibles, utilisez une des options suivantes :

Définir un style comme courant : Permet de définit le style de cote sélectionné comme courant dans le fichier DWG (ou le schéma électrique).

Nouveau : Vous permet d'ajouter un nouveau style de cote. Une boîte de dialogue vous permet de nommer le style de cote et de sélectionner le style existant de base.

Modifier : Vous permet de modifier les paramètres du style de cote sélectionné. Une boite de dialogue s'ouvre et affiche tous les paramètres des styles de cote.

Comparer : Compare deux styles de cote.

Supprimer : Vous permet de supprimer le style de cote sélectionné. Vous ne pouvez pas supprimer un style de cote utilisé dans le fichier DWG (ou schéma électrique).


Nouveau style de cote

Menu : Outils > Styles de cote > Nouveau

Permet de lancer une séquence de boites de dialogue permettant de créer un nouveau style de cote.

Nouveau style : Permet de définir le nom du nouveau style de cote. Ce nom doit être unique dans le fichier DWG (ou le schéma électrique).

Copie de : Sélectionnez un fichier de cote existant. Tous les paramètres du style de cote existant seront copiés dans le nouveau style de cote.

Lorsque vous fermez la boîte de dialogue de création, celle de l'édition du style de cote vous permet de modifier les paramètres du style de cote.


Modifier style de cote

Menu : Outils > Styles de cote > Modifier

Ouvre la boîte de dialogue Modifier style de cote permettant d'éditer un style de cote existant et d'en afficher l'aperçu. Cette boite de dialogue permet également de définir les paramètres d'un nouveau style de cote.

Le côté droit de la boîte de dialogue affiche l'aperçu du style de cote sélectionné.

Lignes et flèches

Ligne de cote : Permet de définir la couleur et l'épaisseur de la ligne de cote. Le paramètre Espacement de la ligne de base n'est pas encore appliqué.

Ligne d'extension : Permet de définir la couleur et l'épaisseur des lignes d'extension. Vous pouvez également gérer la position et la longueur des lignes d'extension.

Pointes de flèche : Permet de définir la taille des flèches.

Texte

Apparence du texte : Permet de définir la couleur, le style et la hauteur du texte en matérialisant la valeur de cote.

Position du texte : Permet de définir la position du texte en matérialisant la valeur de cote.

Alignement du texte : Permet de définir l'alignement du texte en matérialisant la valeur de cote.

Ajuster

Options d'ajustement : Permet d'optimiser la position de la cote.

Ajustement : Permet de définir les petites cotes.

Echelle des objets de cote : Permet de définir le facteur d'échelle assigné aux objets de cote.

Unités principales

Cote linéaire : Permet de définir la précision et le séparateur des cotes linéaires.

Echelle de mesure : Permet de définir le facteur d'échelle pour toutes les cotes (Valeur réelle x facteur d'échelle = valeur affichée).

Cote angulaire : Permet de définir le mode de mesure et la précision des cotes angulaires.


Comparer les styles de cote

Menu : Outils > Styles de cote > Comparer

Permet d'ouvrir la boîte de dialogue Comparer les styles de cote qui indique les différences entre les deux styles de cote sélectionnés.

Sélectionnez les deux styles de cote que vous souhaitez comparer.

La boîte de dialogue indique les éléments qui ne sont pas identiques.


Configuration du Gestionnaire

Quel que soit le Gestionnaire que vous ouvrez, l'ensemble des fonctionnalités décrites ci-dessous sont communes à l'ensemble des gestionnaires, seul le contenu diffère.

Configuration

Gestionnaire de symboles : Configuration

Gestionnaire de cartouches : Configuration

Gestionnaire de macros : Configuration

Une boîte de dialogue s'ouvre vous permettant d'entrer les différents paramètres de configuration d'affichage des Gestionnaires.

Mode Liste

La partie gauche de la boîte de dialogue vous permet de sélectionner les colonnes à afficher en mode "Liste".

Mode Vignettes

Taille de la miniature : Entrez les dimensions de la vignette.

Espace entre 2 vignettes : Entrez les distances séparant les miniatures, en largeur et en hauteur. La désignation ou le nom figurant sur la miniature sera affiché(e) dans cette zone. Pensez à laisser suffisamment de place entre deux lignes de miniatures.

Texte sous les miniatures : Sélectionnez le type de texte que vous souhaitez voir affiché.

Afficher la miniature : Si vous ne souhaitez pas voir apparaître les propriétés (servant à propager les données), cochez la case.

Mode Vignettes / Mode Liste

Gestionnaire de symboles : Mode Liste / mode Vignettes

Gestionnaire de cartouches : Mode Liste / mode Vignettes

Gestionnaire de vignettes 2D : Mode Liste / mode Vignettes

Gestionnaire de macros : Mode Liste / mode Vignettes

Mode Liste : Affiche les données sous forme de liste. Un clic droit au niveau des en-têtes de colonnes vous permet de sélectionner les colonnes à afficher. Un clic (gauche) sur l'en-tête de colonne vous permet d'effectuer un tri sur la colonne.

Mode Vignettes : Affiche les données sous forme graphique.

Dans ces deux modes, un menu contextuel vous permet d'accéder aux différentes fonctionnalités disponibles sur l'élément.

Afficher le contenu des sous-classes

Les éléments générés dans la bibliothèque ont des critères permettant leur classification (liste arborescente dans la partie gauche). Lorsque vous sélectionnez une classe dans la liste arborescente, la liste de droite se simplifie pour afficher uniquement les éléments correspondant à cette classe.

Lorsque vous cochez la case Afficher le contenu des sous-classes, la boîte de dialogue affiche également les éléments contenus dans les niveaux inférieurs de la classe.

Fermer le gestionnaire lors de l'édition de symbole - cartouche - macro

Lorsque vous éditez un élément (symbole, cartouche) pour modifier son graphisme, vous avez la possibilité de laisser la boîte de dialogue du Gestionnaire ouverte ou de la fermer.

Rubriques connexes :

Gestionnaire de cartouches

Gestionnaire de symboles

Gestionnaire de macros


Sélecteur de classes

Gestionnaire de symboles > Propriétés : Nom de classe

Gestionnaire de cartouches > Propriétés : Nom de classe

Gestionnaire de macros > Propriétés : Classe

Sélecteur de référence constructeur :Classe

Quand vous éditez un symbole, une macro ou un cartouche, le sélecteur de classe vous permet de sélectionner la classe associée à cet élément.

Le contenu du sélecteur de classe s'adapte automatiquement au type d'élément.

Dans la boîte de dialogue Choix de référence(s) constructeur, la classe est utilisée en tant que critère de recherche.


Archiver/Désarchiver

Quel que soit le Gestionnaire que vous ouvrez, l'ensemble des fonctionnalités décrites ci-dessous sont communes à l'ensemble des gestionnaires, seul le contenu diffère.

Cette fonctionnalité ne doit pas être confondue avec l'archivage / désarchivage d'un projet. Elle consiste à archiver (dans un fichier TEWZIP) un ou plusieurs éléments (symbole, cartouche) pour le ou les désarchiver sur un autre poste de travail. Les éléments contenus dans le fichier TEWZIP sont automatiquement mis en bibliothèque lors du désarchivage. Cette fonctionnalité est utilisée lors d'échanges de symboles, par exemple entre deux sociétés.

Gestionnaire de symboles : Archiver (Désarchiver)

Gestionnaire de cartouches : Archiver (Désarchiver)

Gestionnaire de macros : Archiver (Désarchiver)

Archiver

1. Sélectionnez les éléments à archiver.

2. Cliquez sur l'icône Archiver.

Une boîte de dialogue s'ouvre, vous permettant d'enregistrer le fichier d'archive.

Désarchiver

Une boîte de dialogue s'ouvre, vous permettant de sélectionner un fichier TEWZIP à désarchiver. L'assistant de mise à jour des données s'ouvre automatiquement. Reportez-vous au chapitre Archivage/Désarchivage pour de plus amples informations.

Rubriques connexes :

Gestionnaire de cartouches

Gestionnaire de symboles

Gestionnaire de macros

Archiver/Désarchiver


Importation de fichiers DWG

Quel que soit le Gestionnaire que vous ouvrez, l'ensemble des fonctionnalités décrites ci-dessous sont communes à l'ensemble des gestionnaires, seul le contenu diffère. Le chapitre suivant vous montre comment importer un symbole. Les fonctionnalités sont les mêmes lors de l'importation d'un cartouche.

Afin d'alimenter vos bibliothèques (symboles, cartouches, etc.), vous avez la possibilité d'importer des fichiers au format DWG.

Gestionnaire de symboles : Importation de fichiers DWG

Gestionnaire de cartouches : Importation de fichiers DWG

L'assistant d'importation peut avoir une présentation différente en fonction des éléments que vous souhaitez importer.

Etape 1. Assistant d'importation de symbole (cartouche)

Ajouter des fichiers : Ouvre une boîte de dialogue de sélection de fichiers. Vous pouvez sélectionner des fichiers DWG ou des fichiers d'archive (ZIP) contenant des symboles, ou des cartouches.

Ajouter un dossier : Ouvre une boîte de dialogue de sélection d'un répertoire. L'ensemble des fichiers DWG contenus dans ce dossier / répertoire sont ajoutés à l'assistant d'importation.

Supprimer : Supprime l'élément sélectionné de la liste.

Pour passer à l'étape suivante, cliquez sur le bouton Suivant.

Etape 2. Tenant du symbole (cartouche)

Configuration d'import : Permet de sélectionner une configuration contenant les paramètres d'importation.

Informations

Une liste est créée affichant les éléments à importer.

Etape 3. Importer de nouveaux symboles (cartouches)

L'assistant d'importation affiche la liste des éléments à importer.

Sélectionner tout : Permet de sélectionner tous les symboles affichés dans la liste.

Propriétés : Ouvre la boîte de dialogue des propriétés des symboles (cartouches) sélectionnés. Quand vous sélectionnez plusieurs symboles (cartouches), la boîte de dialogue n'affiche que les propriétés communes. Les propriétés du symbole (cartouche) peuvent être modifiées à l'aide d'un double clic.

Action : Sélectionnez dans la liste l'action à affecter au symbole (cartouche).

Nom : Affiche le nom du symbole (cartouche).

Description : Une description peut être ajoutée en modifiant les propriétés.

Système d'unités : Sélectionnez dans la liste le système d'unités dans lequel le symbole (cartouche) a été dessiné.

Classe : Vous pouvez associer une classe à l'élément sélectionné.

Bibliothèque : Sélectionnez la bibliothèque dans laquelle vous souhaitez stocker l'élément.

Date de modification : Affiche la date de l'importation.

Etape 4. Convertir les attributs

L'étape suivante consiste à associer les attributs gérés par le logiciel et les attributs susceptibles d'être présents dans l'élément importé.

Remplacer par : Cliquez sur le bouton [...] pour sélectionner le nouvel attribut.

Action : Sélectionnez l'option souhaitée (Remplacer / Supprimer / Ne rien faire).

Etape 5. Enregistrer vos paramètres

La dernière étape de l'assistant vous permet de sauvegarder les différents réglages que vous avez utilisés pour l'importation. Ces paramètres pourront être réutilisés lors d'une nouvelle importation.

Enregistrer la configuration de l'importation

Si vous avez utilisé un fichier de configuration, vous pouvez le mettre à jour. Si vous n'avez pas utilisé de fichier de configuration, vous pouvez enregistrer vos paramètres dans un nouveau fichier de configuration.

Cliquez sur le bouton Terminer pour importer les éléments ou sur le bouton Annuler pour annuler l'importation. Il s'agit de la dernière boîte de dialogue permettant d'annuler l'importation.

Rubriques connexes :

Gestionnaire de cartouches

Gestionnaire de symboles

Gestionnaire de macros


Gestionnaires graphiques

Symboles, vignettes 2D et cartouches sont stockés dans des bibliothèques spécifiques nommées Gestionnaires. Vous avez la possibilité de créer vos propres éléments au sein de ces gestionnaires.

Ces éléments peuvent être ouverts dans une interface graphique afin de modifier leur représentation graphique. Vous pouvez ajouter des attributs afin de propager les informations stockées dans la base de données du projet.

  • Gestionnaire de cartouches

  • Gestionnaire de symboles

  • Gestionnaire de macros

  • Gestion des attributs


Gestion des attributs

Les attributs de symboleet cartouche propagent les informations stockées dans la base de données. DesignSpark Electrical fournit les outils permettant de gérer les attributs.

  • Insérer un attribut

  • Attribut multiple

  • Propriétés de l'attribut

  • Remplacer l'attribut

  • Outils pour la gestion des attributs

  • Gestion des attributs de révision


Insérer un attribut

Les attributs de symbole, vignette 2D et cartouche propagent les informations stockées dans la base de données. Une interface spécifique vous permet de les sélectionner et les insérer dans la zone graphique.

Menu : Edition de symbole > Insérer un attribut

Menu : Edition d'un cartouche > Insérer un attribut

Lorsque vous lancez la commande, une boîte de dialogue affiche les attributs disponibles.

Les attributs déjà présents dans le symbole ou le cartouche sont représentés en bleu.

1. Cochez les cases en regard des attributs répertoriés pour qu'ils puissent être insérés dans le symbole ou le cartouche.

2. Cliquez sur OK pour fermer la boîte de dialogue et afficher le panneau ancrable d'insertion de l'attribut.

Ce panneau vous permet de modifier les paramètres (police et hauteur) appliqués aux attributs avant le placement.

Propriétés

Permet de placer les attributs (horizontalement ou verticalement) ; de définir les paramètres de la police, la justification, la hauteur, d'autres propriétés pour les attributs, ainsi que la distance qui les sépare.

Liste d'attributs

Permet d'ajouter un nouvel attribut.

Permet de supprimer les attributs sélectionnés.

Permet de réorganiser les attributs.

3. Dans la zone de graphisme, cliquez sur le point d'insertion du groupe d'attributs.

Rubriques connexes :

Propriétés de l'attribut


Attribut multiple

Les attributs sont des chaînes de texte spéciales que l'on trouve dans les symboles, les cartouches, les vignettes 2D (blocs). Ils possèdent une Etiquette (leur nom), une Invite (leur description) et une Valeur (le texte qui sera affiché).

Les attributs permettent de propager dans un folio, une information stockée dans la base de données du projet ou du logiciel. Parfois cette donnée peut être matérialisée par un texte plus ou moins long et peut gêner la conception du schéma.

La commande Attribut multiple permet de créer à partir d'un attribut existant (attribut simple), un attribut multiple dont la valeur sera affichée sur plusieurs lignes de textes.

Menu : Modifier >Attribut multiple

Menu : Edition de symbole > Attribut multiple

Menu : Edition d'un cartouche > Attribut multiple

Sélectionnez dans l'interface graphique l'attribut "simple" devant être transformé en attribut multiple.

Le panneau ancrable se modifie pour afficher les options de création.

Définir comme attribut multiple

Nombre d'attributs : Permet de saisir le nombre de lignes sur lesquelles sont propagées les données.

Distance entre attributs : Permet de saisir la distance entre deux attributs afin de spécifier l'espace entre les lignes.

Spécifier la position à l'écran : Lorsque la valeur du paramètre Nombre d'attributs est supérieure à deux, vous décochez cette case pour placer les attributs automatiquement les uns en dessous des autres. Autrement, il vous est demandé de cliquer sur un point d'insertion pour chaque attribut.

Le nom de l'attribut se trouve modifié. Le suffixe {n} est placé à la fin, où n est égal au numéro d'ordre de l'attribut multiple.

Lors de la saisie des informations à propager sur la ligne suivante de l'attribut multiple, le caractère | doit être utilisé comme séparateur de ligne, par exemple : Disjoncteur | Tétrapolaire | 4P 3D


Propriétés de l'attribut

Les propriétés de l'attribut permettent de modifier son nom et la définition textuelle.

Menu contextuel de l'attribut : Propriétés

Les propriétés de l'attribut s'affichent dans le panneau ancrable Propriétés.

Général

Saisissez le nom de l'attribut et sa description.

Le nom de l'attribut est important. DesignSpark Electrical utilise le nom de l'attribut pour propager les données du projet sur l'attribut inséré. Si le nom n'est pas reconnu par le logiciel, les informations ne s'affichent pas.

Géométrie

Cette section vous permet de saisir les paramètres de texte. Ils sont utilisés lors de l'insertion de l'attribut.


Remplacer l'attribut

Cette fonction permet de remplacer l'attribut sélectionné par un autre.

Menu contextuel de l'attribut : Remplacer l'attribut

Menu : Edition de symbole >Remplacer l'attribut

Menu : Edition d'un cartouche > Remplacer l'attribut

1. Dans la zone graphique, sélectionnez l'attribut que vous souhaitez remplacer.

2. Dans la boîte de dialogue Sélecteur d'attributs, sélectionnez le nouvel attribut.

Cette fonction n'est disponible que si un attribut est sélectionné.


Outils pour la gestion des attributs

Afficher les attributs

Menu : Edition de symbole > Afficher les attributs

Menu : Edition d'un cartouche > Afficher les attributs

Pour simplifier la gestion des attributs (par exemple la position ou la taille du texte), cette fonction vous permet d'afficher dans la zone graphique les attributs de différents styles. Seul l'aspect graphique change. Le nom n'est pas modifié.

Afficher les attributs : Affiche le nom de l'attribut ou vous permet d'afficher les attributs qui étaient masqués.

Afficher les exemples de valeurs : Remplace l'attribut par un exemple de la valeur que celui-ci peut recevoir. Dans ce mode, vous ne pouvez pas éditer les propriétés de l'attribut.

Afficher la description de l'attribut : Remplace l'attribut par sa description. Dans ce mode, vous ne pouvez pas éditer les propriétés de l'attribut.

Masquer les attributs : Masque les attributs.

Modification manuelle des attributs

Plusieurs attributs disponibles dans le logiciel sont formés de caractères spécifiques qui indiquent la langue, l'indice ou l'indice de données.

#AIO_0_TZ_1_L1 : type d'attribut (dans cet exemple, Entrées/Sorties).

#AIO_0_TZ_1_L : numéro d'ordre du type d'attribut (dans cet exemple, la première E/S).

#AIO_0_TZ_1_L1 : données utilisateur traduisibles 1 associées à la valeur précédente (dans cet exemple, la première donnée traduisible de la première E/S).

#AIO_0_TZ_1_L1 : langue de la valeur précédente (dans cet exemple, la langue de la première donnée traduisible de la première E/S).

Indice : le caractère d'indice est un numéro d'ordre dans le type d'attribut défini par le code précédent. 0 correspond au premier, 1 au deuxième, etc.

Indice de données : le caractère d'indice de données suit le code qui identifie le type de données (TX : données utilisateur ; TZ : données utilisateur traduisibles). Le 0 propage la valeur de la première donnée utilisateur (ou donnée utilisateur traduisible), le 1 propage la valeur de la deuxième donnée utilisateur (ou donnée utilisateur traduisible), etc.

Langue : L1 propage le texte dans la langue principale du projet, L2 le propage dans la deuxième langue, etc. Pour forcer l'application d'une langue, remplacez ce caractère par le code de langue correspondant (EN, FR ou ES, par exemple). Par exemple, si vous souhaitez que le texte s'affiche toujours en anglais, quelle que soit la langue du projet, remplacez le caractère par EN.

Certaines commandes vous permettent de gérer ces codes. Ces commandes s'affichent selon le type d'attribut que vous avez sélectionné.

Modifier l'indice : permet de modifier le numéro d'ordre du type d'attribut. Dans la boîte de dialogue, saisissez le nouvel indice.

Modifier l'indice de données TX/TZ : permet de modifier le numéro des données utilisateur ou des données traduisibles. Dans la boîte de dialogue, saisissez le nouvel indice de données.

Modifier le code de langue : permet de modifier la langue des données utilisateur ou des données traduisibles. Dans la liste, sélectionnez l'une des langues utilisées dans le projet ou bien une autre langue, même si elle n'est pas définie dans la configuration du projet.

Modifier l'indice de révision : permet de modifier le code d'indice d'une révision. Dans la boîte de dialogue, saisissez le nouvel indice de révision (uniquement disponible sur les cartouches).

Liste d'attributs

Pour générer un fichier Excel contenant tous les attributs des symboles et des cartouches, utilisez la commande ewExportUsedAttributes (uniquement disponible sur la ligne de commande).


Gestion des attributs de révision

Les attributs de révision s'affichent dans la grille de modification des cartouches et sont gérés dans l'éditeur de cartouches.

Menu : Edition d'un cartouche > Modifier l'indice de révision

Menu contextuel de l'attribut de révision : Modifier l'indice de révision

Chaque attribut de révision est doté d'un numéro d'indice qui peut être positif (mode Absolu) ou négatif (mode Relatif).

Mode de repérage

Relatif : le numéro d'indice est calculé à partir de la révision courante. Le numéro d'indice "-0" affiche l'indice de révision courant. Le numéro d'indice "-1" affiche l'indice de révision précédent.

Par exemple, en mode 0AB, si la révision courante est "E = sixième indice", alors le numéro d'indice "-2" propage l'indice de révision "C = quatrième indice" (6-2=4).

Un paramètre de configuration vous permet de sélectionner la position de l'indice de révision :

- Au bas de la grille de modification du folio

- Selon la position des attributs de révision

Absolu : le numéro d'indice correspond à l'indice de révision. Le numéro d'indice "0" correspond au premier indice de révision. Le numéro d'indice "1" correspond au deuxième indice de révision. Vous ne pouvez afficher un indice de révision dans le folio que si la grille de modification du cartouche contient l'attribut correspondant.

Indice : en mode Absolu, il affiche uniquement les valeurs négatives. En mode Relatif, il affiche les valeurs positives. La valeur correspond au numéro d'indice souhaité, selon le mode sélectionné.


Gestion du point d'insertion

Le point d'insertion d'un symbole correspond à un point fictif servant à l'insertion dans le schéma. Généralement, il correspond à un point de connexion avec une liaison.

Sur un cartouche, le point d'insertion correspond au coin inférieur gauche du cartouche. En général, afin d'assurer l'intégrité des données (position des références croisées et polarité des renvois), nous vous conseillons de placer le point d'insertion du cartouche aux coordonnées 0,0.

Menu : Edition de symbole/ Point d'insertion (Symboles)

Menu : Edition d'un cartouche > Point d'insertion (cartouches)

Dans l'interface graphique, cliquez sur un point correspondant au point d'insertion. Une croix rouge oblique matérialise ce point.


Gestionnaire de cartouches

Le Gestionnaire de cartouches regroupe l'ensemble des cartouches pouvant être utilisés pour la conception du schéma. Les cartouches disposent de critères de filtres permettant une classification.

Menu : Bibliothèque > Gestionnaire de cartouches

La boîte de dialogue du Gestionnaire de cartouches s'ouvre. Elle vous permet d'ajouter, d'éditer ou de supprimer des cartouches.

La partie gauche du gestionnaire dispose de deux onglets.

Classification

Cet onglet affiche la classification des cartouches dans une arborescence.

La partie gauche de la boîte de dialogue affiche les classifications de cartouche. Le côté droit affiche les cartouches dans la classification actuelle sélectionnée.

Filtres

Cet onglet vous permet de filtrer la liste des cartouches. Tous les critères de filtre sont les mêmes que ceux présents dans les propriétés du cartouche.

La partie droite de la boîte de dialogue affiche les cartouches correspondant aux critères sélectionnés.

Supprimer le filtre : Cliquez sur ce bouton pour supprimer tous les critères du filtre.

La partie droite du gestionnaire affiche les cartouches correspondant aux critères de sélection ou de recherche que vous avez saisis dans la partie gauche du gestionnaire.

Les cartouches sont affichés dans une liste (icône Mode Liste) ou sous forme de vignettes (icône Mode Vignettes).

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Nouveau : Permet d'ajouter un nouveau cartouche dans la bibliothèque.

Ouvrir : Ouvre le cartouche sélectionné dans l'interface graphique ou dans DraftSight pour le modifier.

Importation de fichiers DWG : Permet d'importer un fichier DWG en tant que cartouche.

Supprimer : permet de supprimer les cartouches sélectionnés.

Propriétés : ouvre la boîte de dialogue des propriétés des cartouches sélectionnés. Si vous sélectionnez plusieurs cartouches, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Aperçu : Permet d'ouvrir le cartouche dans une boîte de dialogue d'aperçu. Cette interface ne permet pas d'effectuer des modifications.

Couper : place une copie des cartouches sélectionnés dans le presse-papiers de DesignSpark Electrical et supprime les originaux.

Vous pouvez également utiliser le raccourci : [Ctrl] + [X]

Copier : place une copie des cartouches sélectionnés dans le presse-papiers de DesignSpark Electrical et conserve les originaux. La commande Copier peut également être utilisée pour copier la liste d'éléments sélectionnée dans une autre application telle que Excel (Mode Liste uniquement).

Vous pouvez également utiliser le raccourci : [Ctrl] + [C]

Coller : colle le cartouche présent dans le presse-papiers de DesignSpark Electrical. Un nouveau cartouche est créé.

Vous pouvez également utiliser le raccourci : [Ctrl] + [V]

Sélectionner tout : permet de sélectionner tous les cartouches affichés dans la partie droite du gestionnaire.

Mode Liste : Affiche les cartouches sous la forme d'une liste (nom, description et classification). Dans ce mode, vous pouvez copier la liste de l'élément sélectionné dans une autre application, par exemple Excel.

Mode Vignettes : Affiche les cartouches sous forme de vignette (Prévisualisation).

Configuration : permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Archiver : Sélectionnez les éléments que vous souhaitez archiver et cliquez sur l'icône Archiver.

Une boîte de dialogue s'ouvre, vous permettant d'enregistrer le fichier d'archive.

Désarchiver : Une boîte de dialogue s'ouvre, vous permettant de sélectionner un fichier TEWZIP à désarchiver. L'assistant de mise à jour des données s'ouvre automatiquement. Reportez-vous au chapitre Archivage/Désarchivage pour de plus amples informations.

Afficher le contenu des sous-classes : Lorsque la case est cochée, cette option affiche toutes les macros contenues dans la sous-classe de la classification sélectionnée.

Garder la boîte de dialogue ouverte : lorsque cette option est sélectionnée, la boîte de dialogue ne se ferme pas lorsque vous ouvrez un objet.

  • Ajouter un nouveau cartouche

  • Propriétés du cartouche

  • Edition graphique du cartouche


Ajouter un nouveau cartouche

Gestionnaire de cartouches : Nouveau

La boîte de dialogue des propriétés du cartouche s'ouvre, permettant d'afficher ses caractéristiques.

A ce stade, seules les caractéristiques ont été créées. Vous devez ouvrir le cartouche dans l'éditeur afin de réaliser la partie graphique.

Pour créer un cartouche similaire à un cartouche existant, utilisez les commandesCopier et Coller, puis modifiez la copie.

Rubriques connexes :

Propriétés du cartouche

Edition graphique du cartouche


Propriétés du cartouche

Gestionnaire de cartouches : Nouveau

Gestionnaire de cartouches : Propriétés

Ouvrez la boîte de dialogue des propriétés pour modifier les données associées au cartouche.

Si le cartouche existe déjà, la partie gauche de la boîte de dialogue affiche un aperçu du mode édition (avec attributs).

Si vous sélectionnez plusieurs cartouches, seules les propriétés communes s'affichent.

Général

Nom : Permet de définir le nom du cartouche. Ce nom doit être unique.

Description : Permet de définir une description du texte dans toutes les langues prises en charge dans le logiciel. Elle s'affiche en dessous de la miniature. La description est disponible dans toutes les langues quand vous cliquez sur l'icône spécifique. Le sélecteur de langues s'ouvre, ce qui vous permet de les sélectionner.

Classe : Permet de définir la classe dans laquelle le cartouche est stocké.

Système d'unités : Permet de définir le mode du cartouche. Ce choix est important. Le cartouche et le schéma créés dans le folio à partir de ce cartouche doivent utiliser le même système d'unités. Quand vous créez un nouveau symbole, DesignSpark Electrical utilise le fichier de modèle correspondant au système d'unités sélectionné.

Bibliothèque : Permet de définir la classe dans laquelle le cartouche est stocké.

Système

Cette section est en lecture seule. Elle affiche des informations telles que la date de création ou de modification, et le nom du créateur.

Lignes

Avec des lignes : Permet d'activer la gestion des lignes dans le cartouche.

Repère de première ligne : Autorise le repère de première ligne. Les lignes suivantes sont marquées automatiquement.

Position de première ligne : Autorise la saisie de la coordonnée Y de la première ligne.

Hauteur de ligne : Permet de définir la hauteur de ligne. Si la première ligne est en haut du cartouche et la dernière ligne en bas, placez le signe "-" avant la valeur. Toutes les lignes doivent avoir la même hauteur.

Nombre de lignes : Permet de définir le nombre de lignes du cartouche.

Numérotation des lignes : Quand le cartouche a plus d'une colonne, sélectionnez le mode à utiliser.

Colonnes

Avec des colonnes : Permet d'activer la gestion des colonnes dans le cartouche.

Repère de première colonne : Autorise le repère de première colonne. Les colonnes suivantes sont marquées automatiquement.

Première position de colonne : Autorise la saisie de la coordonnée X de la première colonne.

Largeur de colonne : Permet de définir la largeur de la colonne. Toutes les colonnes doivent avoir la même largeur.

Nombre de colonnes : Permet de définir le nombre de colonnes du cartouche.

Options

Décalage de références croisées : Définit la hauteur d'insertion de la vignette des références croisées pour les symboles du type Parent en tableau.

Rubriques connexes :

Ajouter un nouveau cartouche

Edition graphique du cartouche


Edition graphique du cartouche

Un cartouche, lorsqu'il est en bibliothèque, est composé d'une part d'une représentation graphique et d'autre part de caractéristiques stockées dans la base de données. Les cartouches doivent être insérés à l'aide du Gestionnaire de cartouches, sinon ils ne peuvent être gérés par le logiciel.

Les cartouches ont des attributs permettant de propager les données de projet enregistrées dans la base de données.

Gestionnaire de cartouches : Ouvrir

Onglet Documents > Menu contextuel d'un folio > Cartouche : Ouvrir

Ouvre le cartouche sélectionné dans l'interface graphique. Si vous n'activez pas l'option Garder la boîte de dialogue ouverte, la boîte de dialogue du gestionnaire se ferme. Dans le cas contraire, vous pouvez soit la fermer manuellement, soit la redimensionner.

Le menu ruban change lorsque l'éditeur s'ouvre. Une section Edition d'un cartouche apparaît.

Le panneau ancrable affiche les propriétés du cartouche.

Suivez les étapes ci-dessous pour gérer le symbole avec DesignSpark Electrical :

  • Gestion du point d'insertion

  • Gestion des attributs

Lorsque vous fermez le fichier, vous êtes invité à l'enregistrer.

Le fichier peut être ouvert dans DraftSight qui permet l'édition des graphiques.

Rubriques connexes :

Commandes graphiques

Ajouter un nouveau cartouche

Propriétés du cartouche

Données utilisateur


Gestionnaire de symboles

Le Gestionnaire de symboles regroupe l'ensemble des symboles pouvant être utilisés pour la conception du schéma. Les symboles disposent de critères de filtres permettant une classification.

Menu : Bibliothèque > Gestionnaire de symboles

La boîte de dialogue du Gestionnaire de symboles s'ouvre. Elle vous permet d'ajouter, d'éditer ou de supprimer des symboles.

La partie gauche du gestionnaire se compose des deux onglets suivants :

Classification

Cet onglet affiche la classification des symboles sous la forme d'une arborescence.

La partie gauche de la boîte de dialogue affiche les classifications de symboles. La partie droite affiche les symboles dans la classification actuellement sélectionnée.

Afficher le contenu des sous-classes : Lorsque la case est cochée, cette option affiche tous les symboles contenus dans la sous-classe de la classification sélectionnée.

Filtres

Cet onglet vous permet de filtrer la liste des symboles. Tous les critères de filtre sont les mêmes que ceux présents dans les propriétés du symbole.

La partie droite de la boîte de dialogue affiche les symboles correspondant aux critères sélectionnés.

Supprimer le filtre : Cliquez sur ce bouton pour supprimer tous les critères du filtre.

La partie droite du gestionnaire affiche les symboles correspondant aux critères de sélection ou de recherche que vous avez saisis dans la partie gauche du gestionnaire.

Les symboles sont affichés dans une liste (icône Mode Liste) ou sous forme de vignettes (icône Mode Vignettes).

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Nouveau : Vous permet d'ajouter un nouveau symbole dans la bibliothèque.

Ouvrir : Ouvre le symbole sélectionné dans l'interface graphique ou dans DraftSight pour le modifier.

Importation de fichiers DWG : permet d'importer un fichier DWG en tant que symbole.

Supprimer : permet de supprimer les symboles sélectionnés.

Propriétés : permet d'ouvrir la boîte de dialogue des propriétés des symboles sélectionnés. Si vous sélectionnez plusieurs symboles, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Aperçu : Permet d'ouvrir le symbole dans une boîte de dialogue d'aperçu. Cette interface ne permet pas d'effectuer des modifications.

Couper : place une copie des symboles sélectionnés dans le presse-papiers de DesignSpark Electrical et supprime les originaux.

Vous pouvez également utiliser le raccourci : [Ctrl] + [X]

Copier : place une copie des symboles sélectionnés dans le presse-papiers de DesignSpark Electrical et conserve les originaux. La commande Copier peut également être utilisée pour copier la liste d'éléments sélectionnée dans une autre application telle que Excel (Mode Liste uniquement).

Vous pouvez également utiliser le raccourci : [Ctrl] + [C]

Coller : colle le symbole présent dans le presse-papiers de DesignSpark Electrical. Un nouveau symbole est créé.

Vous pouvez également utiliser le raccourci : [Ctrl] + [V]

Sélectionner tout : permet de sélectionner tous les symboles affichés dans la partie droite du gestionnaire.

Mode Liste : Affiche les symboles sous la forme d'une liste (nom, description et classification). Dans ce mode, vous pouvez copier la liste de l'élément sélectionné dans une autre application, par exemple Excel.

Mode Vignettes : Affiche les symboles sous forme de vignette (Prévisualisation).

Configuration : permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Archiver : Sélectionnez les éléments que vous souhaitez archiver et cliquez sur l'icône Archiver.

La boîte de dialogue qui s'ouvre vous permet d'enregistrer le fichier archivé.

Désarchiver : Une boîte de dialogue de sélection de fichier s'ouvre, vous permettant de sélectionner le fichier TEWZIP à désarchiver. L'assistant de mise à jour des données s'ouvre automatiquement. Reportez-vous au chapitre Archivage/Désarchivage pour de plus amples informations.

Afficher le contenu des sous-classes : Lorsque la case est cochée, cette option affiche toutes les macros contenues dans la sous-classe de la classification sélectionnée.

Garder la boîte de dialogue ouverte : lorsque cette option est sélectionnée, la boîte de dialogue ne se ferme pas lorsque vous ouvrez un objet.

  • Ajouter un nouveau symbole

  • Propriétés du symbole

  • Edition graphique du symbole


Ajouter un nouveau symbole

Gestionnaire de symboles : Nouveau

La boîte de dialogue des propriétés du symbole s'ouvre, permettant d'afficher ses caractéristiques.

A ce stade, seules les caractéristiques ont été créées. Vous devez ouvrir le symbole dans l'éditeur afin de réaliser la partie graphique.

Pour créer un symbole similaire à un symbole existant, utilisez les commandes, Copier et Coller, puis modifiez la copie.

Rubriques connexes :

Propriétés du symbole

Edition graphique du symbole


Propriétés du symbole

Gestionnaire de symboles : Nouveau

Gestionnaire de symboles : Propriétés

Permet d'ouvrir la boîte de dialogue des propriétés du symbole pour modifier les données associées à ce dernier.

Si le symbole existe déjà, le côté gauche de la boîte de dialogue affiche un aperçu du mode édition (avec attributs et points de connexion).

Selon le symbole sélectionné, plusieurs propriétés peuvent être désactivées. Si vous sélectionnez plusieurs symboles, seules les propriétés communes sont activées.

Général

Nom : Lorsqu'un symbole est créé, le nom est automatiquement ajouté. Ce nom doit être unique et vous pouvez le modifier si nécessaire.

Description : Décrit le symbole. Dans la bibliothèque, si vous optez pour le mode Affichage miniature, le texte de description apparaît sous la vignette. Les symboles sont classés par ordre alphabétique de leur description. La description est disponible dans toutes les langues quand vous cliquez sur l'icône spécifique. Le sélecteur de langues s'ouvre, ce qui vous permet de les sélectionner.

Classe : Permet de définir la classe dans laquelle le symbole est stocké.

Type de symbole : Permet de définir le type de symbole.

Symboles multifilaires regroupe les symboles pouvant s'insérer dans les folios de schématique.

Symboles de synoptique regroupe les symboles pouvant s'insérer dans les folios de synoptique.

Symboles de boîte noire regroupe les symboles utilisés pour une boîte noire.

Symboles de borne regroupe les symboles matérialisant les bornes.

Symboles de renvoi regroupe les symboles utilisés dans la gestion des tenants-aboutissants.

Symboles pour références croisées regroupe des symboles utilisés pour la représentation des références croisées.

Etiquettes de câbles regroupe les symboles permettant la représentation des étiquettes de câbles.

Vignettes de câblage regroupe les symboles utilisés pour représenter les vignettes de câblage.

Etiquettes de fil regroupe les symboles servant au placement des étiquettes de fil.

Etiquettes d'équipotentielle regroupe les symboles servant au placement des étiquettes d'équipotentielle.

Etiquettes de localisation regroupe les symboles servant au placement des étiquettes de localisation.

Symboles passifs regroupe les symboles passifs, c'est-à-dire sans repère. Ils sont stockés dans la base de données du projet mais ne sont pas pris en compte dans les traitements et nomenclatures.

Système d'unités : Permet de définir le mode d'unité avec lequel le symbole a été dessiné. Quand vous créez un nouveau symbole, DesignSpark Electrical utilise le fichier de modèle correspondant au système d'unités sélectionné.

Bibliothèque : Permet de définir la bibliothèque dans laquelle le symbole est classé.

Référence constructeur

Constructeur : Permet de définir le nom du constructeur. Ce paramètre est indissociable du paramètre Référence.

Référence : Associe une référence constructeurau symbole. Cette référence constructeur sera automatiquement associée au composant une fois inséré. Cliquez sur [...] pour affecter une référence constructeur.

Système

Cette section est en lecture seule. Elle affiche la date de création/modification et le créateur.

Caractéristiques

Racine de repérage : Permet d'afficher la racine de repérage à utiliser lors de l'insertion du symbole. Si aucune valeur n'est saisie, la racine associée à la classe est utilisée.

Macro associée : Permet d'associer une macro au symbole. Lorsque le symbole est inséré, sélectionnez Insérer la macro associée dans le panneau ancrable, ou l'onglet Composants dans le menu contextuel du composant.

Norme : Permet de définir la norme utilisée pour le symbole.

Type de références croisées : Permet de définir le niveau de références croisées par défaut du symbole. Vous pouvez le changer lors de l'insertion du symbole.

Options

Afficher les points de connexion : Permet d'afficher les points de connexion dans le schéma.

Conserver l'orientation des attributs : Lorsque cette option est sélectionnée, les attributs ne suivent pas la rotation du symbole.

Rubriques connexes :

Ajouter un nouveau symbole

Edition graphique du symbole


Edition graphique du symbole

Un symbole, lorsqu'il est en bibliothèque, est composé d'une part d'une représentation graphique et d'autre part de caractéristiques techniques stockées dans la base de données. Un symbole qui n'est pas inséré par le biais du Gestionnaire de symboles ne sera pas généré par le logiciel. Il n'aura pas de repère et ne pourra pas être associé à la référence constructeur.

Un symbole possède des circuits, sur lesquels sont placés des points de connexion. Ces points de connexion permettent de couper le fil. Ils permettent également de propager le numéro des bornes matérielles apportées par la référence constructeur.

Les symboles possèdent également des attributs (texte) permettant de propager sur le schéma certaines informations stockées dans la base de données (repère ou texte de références croisées).

Gestionnaire de symboles : Ouvrir

Menu contextuel du symbole : Symbole > Ouvrir le symbole

Ouvre le symbole sélectionné dans une interface graphique. Si vous n'activez pas l'option Garder la boîte de dialogue ouverte, la boîte de dialogue du gestionnaire se ferme. Dans le cas contraire, vous pouvez soit la fermer manuellement, soit la redimensionner.

Le menu ruban change lorsque l'éditeur s'ouvre. Une section Edition de symbole apparaît.

Le panneau ancrable change pour afficher les propriétés du symbole et la définition du circuit.

Suivez les étapes ci-dessous pour gérer le symbole avec DesignSpark Electrical.

  • Gestion du point d'insertion

  • Gestion des circuits

  • Gestion des points de connexion

  • Gestion des attributs

Lorsque vous fermez le fichier, vous êtes invité à l'enregistrer.

Le fichier peut être ouvert dans DraftSight qui permet l'édition des graphiques.

Rubriques connexes :

Commandes graphiques

Ajouter un nouveau symbole

Propriétés du symbole

Données utilisateur

Références constructeur

Gestion des circuits


Gestion des circuits

La gestion des circuits du symbole est disponible dans la section Structure du symbole du panneau ancrable.

Les circuits sont numérotés de 0 à "n", généralement en partant de la gauche vers la droite (ou du haut vers le bas) par rapport au point d'insertion du symbole. Le logiciel gère plusieurs types de circuits correspondant à la nature du composant électrique.

Les circuits d'un symbole doivent être en adéquation avec les circuits de la référence constructeur qui sera associée à ce symbole.

Menu : Edition de symbole > Nouveau circuit

Permet d'ouvrir une boîte de dialogue qui vous permet de sélectionner les caractéristiques du circuit.

Numéro : Saisissez le nombre de circuits à ajouter.

Type de circuit : Sélectionnez le type de circuit. La liste est fonction de la classe du symbole. Pour accéder à la liste entière de circuits, sélectionnez Plus de types de circuit.

Transmission d'informations : Permet de définir si le circuit doit laisser passer certaines informations, comme le numéro de phase ou d'équipotentielle.

Sectionnable : (ne laisse passer que le numéro de la phase).

Utilisé dans la majorité des symboles de schématique. Le numéro d'équipotentielle diffère entre les points de connexion entrant et sortant.

Passant : (l'équipotentielle passe à travers les symboles)

Un circuit passant est un circuit où l'équipotentielle continue entre deux points de connexion, mais pour chaque point du circuit, il existe un ordre de câblage des fils distinct.

Super passant : (l'équipotentielle passe à travers les symboles)

On utilise un circuit super passant lorsque l'on souhaite avoir le même numéro de fil d'équipotentielle sur deux circuits différents ou plus, en utilisant les composants qui sont reliés et possèdent un circuit et des données de point de connexion identiques (p. ex. un bloc de distribution de jeu de barres divisé en segments. Les fils ne passent pas à travers les circuits).

Super super passant : (l'équipotentielle et les fils passent à travers les symboles)

Un circuit super super passant connecte deux symboles ou plus avec les mêmes détails de point de connexion (p. ex. afficher et continuer l'équipotentielle entre ces points). Cependant, les points de connexion ne sont pas détaillés dans les nomenclatures de connexion car ils sont transparents comme si le fil était directement connecté entre les deux composants des extrémités. Les renvois constituent un cas typique.

Les propriétés du circuit sélectionné apparaissent dans la partie inférieure du panneau ancrable.


Gestion des points de connexion

Lorsqu'un symbole est inséré sur un fil, celui-ci est automatiquement coupé à la droite du symbole. De même, lorsque le fil est placé par dessus le symbole, il est automatiquement coupé. Cette fonctionnalité n'est réalisable que si le symbole possède des points de connexion.

Les points de connexion sont placés de manière à ce qu'ils viennent se superposer au fil lors de l'insertion du symbole. Ils disposent d'un attribut permettant de propager le numéro de la borne matérielle de la référence constructeur.

Menu : Edition de symbole > Point de connexion

Il existe trois types de point de connexion :

Point de connexion (par défaut) : Il s'agit des points de connexion utilisés pour l'ensemble des symboles autres que les tenants-aboutissants de polarité.

Point de connexion entrant / sortant : Ces points de connexion sont orientés (entrant / sortant) et sont exclusivement réservés aux symboles utilisés pour les tenants-aboutissants de polarité.

Lors de l'insertion des points de connexion, assurez-vous que l'option SNAP est active et que le pas de résolution est compatible avec la distance séparant les circuits du symbole, mais aussi avec la distance séparant deux liaisons (deux phases d'une liaison de puissance, par exemple).

Les points de connexion sont placés à l'endroit où le symbole doit couper la liaison.

Insérer un point de connexion :

1. sélectionnez le circuit dont le point de connexion fait partie dans le panneau ancrable.

2. Sélectionnez la commande dans le menu,

3. tournez le point de connexion dans la direction correcte (appuyez sur [Espace] sur le clavier pour faire pivoter le point de connexion en fonction de l'angle de la liaison).

4. Cliquez sur le point d'insertion du point de connexion sur la zone de graphisme.

Lorsque le point de connexion est inséré, un texte apparaît permettant de l'identifier (N:0-C:0). Le chiffre placé après le C correspond au numéro du circuit. Le chiffre placé après le N correspond au numéro d'ordre dans le circuit.

La valeur attribuée à N n'est pas importante ; vous pouvez avoir N:6 même si le circuit ne possède que deux points de connexion. Il faut comparer l'ensemble des valeurs de N pour un circuit donné. Le programme classifie ensuite l'ensemble des points de connexion du circuit en fonction de la valeur de N.

Pour un circuit C1, vous pouvez avoir N:1 et N:4. N:1 correspond au premier point de connexion du circuit et N:4 au second. Lorsque la référence constructeur est attribuée, le même principe est utilisé pour affecter des numéros à la borne matérielle. Le numéro de la première borne matérielle sera affecté au premier point de connexion du circuit. Le numéro de la seconde borne matérielle sera affecté au second point de connexion du circuit, et ainsi de suite pour l'ensemble des circuits du composant.

Un type d'embout peut être associé au point de connexion du symbole, mais si vous attribuez une référence constructeur à ce symbole, le type d'embout de la référence constructeur s'appliquera.

Un menu contextuel vous permet d'éditer un point de connexion existant.

Points de connexion multiples

Menu : Edition de symbole > Points de connexion multiples

Cette commande est similaire à la commande Point de connexion mais se différencie dans le fait que les circuits sont créés simultanément et qu'elle permet de placer l'ensemble des points de connexion.

Au lancement de la commande, une boîte de dialogue s'ouvre, vous permettant d'ajouter les circuits composant le symbole.

Ajoute les circuits.

Supprime les circuits sélectionnés.

Sélectionne une référence constructeur avec sa définition du circuit. Cette référence constructeur peut être associée au symbole.

Ajoutez le type circuit et, dans la colonne Nombre de circuits, indiquez la quantité. Saisissez également le nombre de bornes sur le composant, de même que pour chaque circuit. Ces données sont saisies automatiquement si vous sélectionnez une référence constructeur. Cliquez sur OK pour valider et sortir de la boîte de dialogue.

Le point de connexion est accroché au curseur. Les points de connexion sont placés les uns après les autres en fonction des indications présentes dans le panneau ancrable.


Gestionnaire de macros

DesignSpark Electrical dispose d'une bibliothèque permettant de stocker des parties de schéma, appelées macros.

Les macros sont regroupées au sein du Gestionnaire de macros et sont ainsi disponibles pour l'ensemble des projets. Les macros disposent de critères de filtres permettant une classification.

Menu : Bibliothèque > Gestionnaire de macros

La boîte de dialogue du Gestionnaire de macros s'ouvre. Il vous permet d'ajouter, d'éditer ou de supprimer des macros.

La partie gauche du gestionnaire dispose de deux onglets.

Classification

Cet onglet affiche la classification des macros dans une arborescence.

La partie gauche de la boîte de dialogue affiche la classification des macros, la partie droite affiche les macros de la classification actuellement sélectionnée.

Afficher le contenu des sous-classes : Lorsque la case est cochée, cette option affiche toutes les macros contenues dans la sous-classe de la classification sélectionnée.

Filtres

Cet onglet vous permet de filtrer la liste des macros. Tous les critères de filtre sont les mêmes que ceux présents dans les propriétés de la macro.

La partie droite de la boîte de dialogue affiche les macros correspondant aux critères sélectionnés.

Supprimer les filtres : Cliquez sur ce bouton pour supprimer tous les critères du filtre.

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Ouvrir : Les macros sont vues comme des projets. Lorsque vous cliquez sur l'icône Ouvrir, la macro est automatiquement ajoutée au panneau ancrable, dans l'onglet Documents. Afin de ne pas la confondre avec un projet, elle est précédée d'une étoile. Un double-clic sur le folio permet d'afficher la macro, vous permettant de l'ouvrir dans l'interface graphique.

Supprimer : permet de supprimer les macros sélectionnées.

Propriétés : Ouvre la boîte de dialogue des propriétés de la macro. Si vous sélectionnez plusieurs macros, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Affichage : Permet d'ouvrir la macro dans une boîte de dialogue d'aperçu. Cette interface ne permet pas d'effectuer des modifications.

Couper : place une copie des macros sélectionnées dans le presse-papiers de DesignSpark Electrical et supprime les originaux.

Vous pouvez également utiliser le raccourci : [Ctrl] + [X]

Copier : place une copie des macros sélectionnées dans le presse-papiers de DesignSpark Electrical et conserve les originaux. La commande Copier peut également être utilisée pour copier la liste d'éléments sélectionnée dans une autre application telle que Excel (Mode Liste uniquement).

Vous pouvez également utiliser le raccourci : [Ctrl] + [C]

Coller : permet de coller la macro présente dans le presse-papiers de DesignSpark Electrical. Une nouvelle macro est créée.

Vous pouvez également utiliser le raccourci : [Ctrl] + [V]

Sélectionner tout : permet de sélectionner toutes les macros affichées dans la partie droite du gestionnaire.

Mode Liste : Affiche les macros sous forme d'une liste (nom, description et classification). Dans ce mode, vous pouvez copier la liste des éléments sélectionnés dans une autre application, par exemple Excel.

Mode Vignettes : Permet d'afficher les macros sous forme de vignette (Prévisualisation).

Configuration : permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Archiver : Sélectionnez les éléments que vous souhaitez archiver et cliquez sur l'icône Archiver. Une boîte de dialogue d'enregistrement de fichier s'ouvre, vous permettant d'enregistrer le fichier archivé.

Désarchiver : Une boîte de dialogue de sélection de fichier s'ouvre, vous permettant de sélectionner le fichier TEWZIP à désarchiver. L'assistant de mise à jour des données s'ouvre automatiquement. Reportez-vous au chapitre Archivage/Désarchivage pour de plus amples informations.

Afficher le contenu des sous-classes : Lorsque la case est cochée, cette option affiche toutes les macros contenues dans la sous-classe de la classification sélectionnée.

Garder la boîte de dialogue ouverte : lorsque cette option est sélectionnée, la boîte de dialogue ne se ferme pas lorsque vous ouvrez un objet.

Pour ajouter une macro, reportez-vous au chapitre Création d'une macro.

Rubriques connexes :

Propriétés de macro

Gestion des macros

Commandes graphiques


Propriétés de macro

Création de macro

Gestionnaire de macros : Propriétés

Ouvre la boîte de dialogue des propriétés de la macro permettant de modifier les données associées à cette dernière.

Si vous sélectionnez plusieurs macros, seules les propriétés communes s'affichent.

Nom : La macro est nommée automatiquement. Vous pouvez en changer le nom, mais celui-ci doit être unique.

Hiérarchie

Nom de classe : Cliquez sur le bouton [...] pour ouvrir le Sélecteur de classe, sélectionnez la classe dans laquelle la macro est stockée.

Bibliothèque : Sélectionnez la bibliothèque de macros. La bibliothèque de macros est l'environnement dans lequel la macro peut être insérée. Si vous changez ce type, il se peut que les résultats soient incohérents lors de l'insertion de la macro.

Système

Cette section affiche des informations sur la création et la modification de la macro.

Informations

Dans cette section, vous pouvez changer le type de macro en utilisant une valeur disponible dans la liste.

Elle affiche également des informations concernant la version de la macro.

Description

Permet de saisir une description dans toutes les langues gérées dans le logiciel.

Données utilisateur

Permet de gérer les données utilisateur associées à la macro.

Donnée traduisible

Permet de gérer les données traduisibles associées à la macro.


Catalogues des constructeurs

DesignSpark Electrical contient des références constructeur électriques et des références de câble. Cependant, vous pouvez entrer vos propres références.

Il existe deux gestionnaires distincts pour gérer les données de référence : un pour les références constructeur et un autre pour la gestion des références de câble.

  • Gestionnaire de références de câble

  • Gestionnaire de références constructeur


Configuration des colonnes

Menu : Bibliothèque > Gestionnaire de références de câbles > Configuration

Menu : Bibliothèque > Gestionnaire de références constructeur > Configuration

Menu : Fichier > Gestionnaire de projets > Configuration

Menu : Projet > Nomenclature (vérification des règles de conception) > Propriétés > onglet Colonnes > Configuration

Cette commande vous permet d'afficher ou de masquer les colonnes du gestionnaire ou une configuration de nomenclature. Son contenu s'adapte au type de gestionnaire ou de configuration de nomenclature.

Cochez les cases correspondant aux informations que vous souhaitez afficher.


Désarchivage des catalogues

Menu : Bibliothèque > Gestionnaire de références de câbles > Désarchiver

Menu : Bibliothèque > Gestionnaire de références constructeur > Désarchiver

La commande de désarchivage des catalogues de câbles et des références constructeur dispose de deux options.

Assistant de désarchivage : Permet de désarchiver un catalogue en utilisant l'assistant de désarchivage. Permet de sélectionner les catalogues devant être mis à jour.

Désarchiver avec option par défaut : Permet de désarchiver un catalogue sans utiliser l'assistant. Les références existantes seront systématiquement mises à jour par celles issues du désarchivage.


Gestionnaire de références de câble

Toutes les références de câbles sont stockées dans une base de données unique. Elles sont classifiées et disposent de plusieurs critères permettant une recherche simplifiée.

Menu : Bibliothèque > Gestionnaire de références de câbles

Au lancement de la commande, la boîte de dialogue de gestion des références de câbles s'ouvre.

Dans la partie gauche de la boîte de dialogue, l'onglet Classification affiche la liste de Classes, le premier critère de classification des références. L'onglet Filtres vous permet de rechercher une référence pour, par exemple, modifier ses propriétés.

La partie droite de la boîte de dialogue affiche la liste des références contenues dans la classe sélectionnée ou la liste des câbles répondant aux critères de filtres.

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Nouvelle référence : pour ajouter une nouvelle référence de câble, sélectionnez une classe dans la partie gauche du gestionnaire et cliquez sur l'icône Nouvelle référence. Vous pouvez également sélectionner une référence de câble (partie droite du gestionnaire) lors de la création d'une nouvelle référence. Cette référence prendra automatiquement les caractéristiques de la référence sélectionnée.

La boîte de dialogue des propriétés de la référence s'ouvre, vous permettant de la modifier.

Insertion multiple : Cette commande est similaire à la commande Nouvelle référence à la différence que la boîte de dialogue des propriétés ne se ferme pas lors de la validation, mais vous demande si vous voulez créer une nouvelle référence.

Importer : Permet d'importer une liste personnalisée de références afin de les intégrer dans les catalogues.

Supprimer : permet de supprimer les références sélectionnées.

Propriétés : ouvre la boîte de dialogue des propriétés des références de câble sélectionnées. Si vous sélectionnez plusieurs références de câble, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Couper : place une copie des références sélectionnées dans le presse-papiers de DesignSpark Electrical et supprime les originaux.

Vous pouvez également utiliser le raccourci : [Ctrl] + [X]

Copier : place une copie des références sélectionnées dans le presse-papiers de DesignSpark Electrical et conserve les originaux. La commande Copier peut également être utilisée pour copier la liste d'éléments sélectionnée vers une autre application telle que Excel (Mode Liste uniquement).

Vous pouvez également utiliser le raccourci : [Ctrl] + [C]

Coller : colle la référence présente dans le presse-papiers de DesignSpark Electrical. Une nouvelle référence est créée.

Vous pouvez également utiliser le raccourci : [Ctrl] + [V]

Sélectionner tout : permet de sélectionner toutes les références affichées dans la partie droite du gestionnaire.

Configuration : permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Archiver : Sélectionnez les références à archiver et cliquez sur l'icône Archiver.

Une boîte de dialogue s'ouvre, vous permettant d'enregistrer le fichier d'archive.

Désarchiver : Une boîte de dialogue de sélection de fichier s'ouvre, vous permettant de sélectionner un fichier TEWZIP pour le désarchivage. L'assistant de mise à jour des données s'ouvre automatiquement. Reportez-vous au chapitre Archivage/Désarchivage pour de plus amples informations.

Unités de cote : sélectionnez dans la liste le système d'unités que vous souhaitez utiliser pour mesurer les câbles.

Ajout d'un catalogue

Les références de câble sont regroupées par constructeur dans un catalogue portant le nom du constructeur. Toutes les références de câble ne sont pas systématiquement présentes dans le catalogue. Selon vos besoins, vous pouvez les télécharger à partir du site Electrical Content Portal.

Contenu en ligne : permet d'accéder aux téléchargements des fichiers archivés via Internet. Ces fichiers intègrent les dernières mises à jour des références.

Rubriques connexes :

Propriétés du câble

Archiver/Désarchiver


Propriétés du câble

Gestionnaire de références de câbles : Propriétés

Gestionnaire de références de câbles : Nouvelle référence

Gestionnaire de références de câbles : Insertion multiple

Propriétés

Général

Référence : Code permettant d'identifier la référence.

Constructeur : Nom de la marque ou du constructeur du câble.

Classe : La classe à laquelle appartient le câble. Pour modifier la classe à laquelle appartient le câble, cliquez dans une case correspondant à une classe. Sélectionnez ensuite une classe dans la boîte de dialogue.

Numéro de l'article : Informations internes gérées par l'utilisateur.

ID externe : l'ID externe est utilisé pour lier un élément à l'élément correspondant dans une application externe.

Bibliothèque : Sélectionnez la bibliothèque dans laquelle se trouve la référence du câble.

Famille : Permet de sélectionner ou de créer une nouvelle famille, pour y classer la référence du câble.

Norme : La norme du câble.

Série : Souvent, les références de câble sont groupées par série.

Description : Description du câble.

Fournisseur

Nom du fournisseur : Permet de saisir le nom du fournisseur.

Numéro d'inventaire : Permet de saisir le numéro d'inventaire pour le fournisseur.

Informations

Créateur : Nom du créateur de la référence (utilisateur ou système).

Date de création : Données générées automatiquement lors de la création de la référence.

Date de modification : Données générées automatiquement lors de la dernière modification de la référence.

Caractéristiques

Informations relatives au câble, telles que la couleur, le diamètre, la section ou le rayon de courbure. Dans le cas des câbles préfabriqués, vous pouvez entrer la longueur de câble.

Données ERP

Cette section n'est disponible que si la connexion ERP est activée. Vous pouvez saisir des valeurs spécifiques dans les champs de données utilisateur. Ces informations peuvent être utilisées pour mettre à jour votre base de données personnelle.

Brins de câble

Cette section vous permet de gérer la définition des brins composant le câble.

Ajouter : Permet d'ajouter un brin à la fin de la liste.

Insérer : Permet d'ajouter un brin au dessus de l'élément sélectionné.

Supprimer : Permet de supprimer les brins sélectionnés.

Monter / Descendre : Permet de gérer l'ordre des brins.

Grouper / Dégrouper : Permet de grouper ou dégrouper les brins de câbles sélectionnés (paires).

Rubriques connexes :

Catalogue de câbles

Gestionnaire de références de câble


Gestionnaire de références constructeur

Toutes les références constructeur sont stockées dans une base de données unique. Elles sont classifiées et disposent de plusieurs critères de recherche.

Menu : Bibliothèque > Gestionnaire de références constructeur

Au lancement de la commande, la boîte de dialogue de gestion des références constructeur s'ouvre.

Le côté gauche de la boîte de dialogue, l'onglet Classification, affiche une liste des différentes Classes. Le premier critère d'une classification est la référence. L'onglet Filtres vous permet de rechercher une référence constructeur pour, par exemple, modifier ses propriétés.

Le côté droit de la boîte de dialogue affiche la liste des pièces contenues dans la classe sélectionnée.

Vous disposez de deux options d'affichage des références constructeur. Si vous cochez la case Rafraîchissement automatique, la liste des références constructeur s'affiche automatiquement.

Si vous ne cochez pas la case Rafraîchissement automatique, la liste des références constructeur ne se met à jour que si vous cliquez sur le bouton Rafraîchir.

Certaines de ces fonctionnalités (Supprimer et Propriétés, notamment) prennent en charge la multisélection.

Ajouter une référence constructeur : Une référence constructeur est créée en copiant à partir d'une référence constructeur existante que vous avez sélectionnée à l'avance. Il est préférable de sélectionner une référence constructeur qui correspond étroitement à celle que vous souhaitez ajouter. Cliquez ensuite sur le bouton Ajouter une référence constructeur.

Insertion multiple : Cette commande est similaire à la commande Ajouter une référence constructeur à la différence que la boîte de dialogue des propriétés ne se ferme pas lors de la validation, mais vous propose la création d'une autre référence constructeur.

Importer : Permet d'importer une liste personnalisée de références afin de les intégrer dans les catalogues.

Supprimer : permet de supprimer les références constructeur sélectionnées.

Propriétés : Permet d'ouvrir la boîte de dialogue des propriétés de la référence constructeur. Si vous sélectionnez plusieurs références constructeur, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Couper : place une copie des références constructeur sélectionnées dans le presse-papiers de DesignSpark Electrical et supprime les originaux.

Vous pouvez également utiliser le raccourci : [Ctrl] + [X]

Copier : place une copie des références constructeur sélectionnées dans le presse-papiers de DesignSpark Electrical et conserve les originaux. La commande Copier peut également être utilisée pour copier la liste d'éléments sélectionnée vers une autre application telle que Excel (Mode Liste uniquement).

Vous pouvez également utiliser le raccourci : [Ctrl] + [C]

Coller : colle la référence constructeur présente dans le presse-papiers de DesignSpark Electrical. Une nouvelle référence constructeur est créée.

Vous pouvez également utiliser le raccourci : [Ctrl] + [V]

Sélectionner tout : Vous permet de sélectionner toutes les références constructeur affichées sur le côté droit du gestionnaire.

Configuration : permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Archiver : Sélectionnez les références constructeur à archiver en cliquant sur l'icône Archiver.

Une boîte de dialogue d'enregistrement de fichier s'ouvre, vous permettant d'enregistrer le fichier archivé.

Désarchiver : Une boîte de dialogue de sélection de fichier s'ouvre, vous permettant de sélectionner le fichier TEWZIP à désarchiver. L'assistant de mise à jour des données s'ouvre automatiquement. Reportez-vous au chapitre Archivage/Désarchivage pour de plus amples informations.

Gestion des circuits

Quand vous importez plusieurs références constructeur, les circuits ne sont pas importés et vous devez les ajouter dans chaque référence constructeur importée. Vous pouvez utiliser, dans le menu contextuel d'une référence constructeur, une commande Copier/Coller spécifique aux circuits.

Copier les circuits : Copie dans le presse-papiers les circuits de la référence constructeur sélectionnée.

Coller les circuits : Colle les circuits présents dans le presse-papiers dans la référence constructeur sélectionnée.

Supprimer les circuits : Permet de supprimer les circuits de la référence constructeur sélectionnée.

Obtenir plus de contenu

Les références constructeur sont regroupées par constructeur dans un catalogue portant le nom du constructeur. Toutes les références constructeur ne sont pas systématiquement présentes dans le catalogue. Selon vos besoins, vous pouvez les télécharger à partir du site Electrical Content Portal.

Contenu en ligne : Permet d'accéder au téléchargement sur Internet des fichiers d'archive. Ces fichiers intègrent les dernières mises à jour des références constructeur.

Obtenir les détails du produit

A partir du service Web DesignSpark Electrical, vous pouvez obtenir des informations sur le prix et le stock de références constructeur.

Obtenir les prix des produits : Cliquez sur cette icône pour mettre à jour la colonne Prix des références constructeur sélectionnées.

Mettre à jour l'état du stock : Cliquez sur cette icône pour mettre à jour la colonne Etat du stock des références constructeur sélectionnées.

Le prix indique la valeur sans la TVA et le code de devise (par exemple EUR pour €).

L'état du stock indique le nombre disponible en stock ou signale la rupture de stock (indique la date de disponibilité si celle-ci est connue).

Rubriques connexes :

Propriétés d'une référence constructeur

Assemblage électrique

Importation de références constructeur

Archiver/Désarchiver

Outil de téléchargement de fichiers CAO


Propriétés d'une référence constructeur

Gestionnaire de références constructeur : Propriétés

Gestionnaire de références constructeur : Ajouter des références constructeur

Gestionnaire de références constructeur : Insertion multiple

Les données techniques de la référence constructeur sont stockées dans plusieurs onglets.

  • Propriétés

  • Données utilisateur

  • Circuits et bornes

Si vous avez sélectionné plusieurs références constructeur ou si vous avez créé plusieurs références à la fois, cliquez sur Suivant pour accéder aux propriétés de la référence constructeur suivante.

Cliquez sur Précédent pour revenir à la référence précédente.


Propriétés d'une référence constructeur

Gestionnaire de références constructeur : Propriétés > onglet Propriétés

Toutes ces valeurs peuvent être utilisées lors de la recherche d'une référence constructeur.

Général

Référence : Code identifiant la référence constructeur.

Constructeur : Nom du constructeur ou marque de l'appareil.

Nom de classe : Classe à laquelle l'équipement appartient. Pour modifier la classe à laquelle appartient la référence constructeur, cliquez sur le bouton [...] et sélectionnez la classe.

Bibliothèque : sélectionnez la bibliothèque dans laquelle la référence constructeur est classée.

Type : Il existe plusieurs types :

Type de référence constructeur de base (éléments avec une représentation graphique dans un folio avec numéros des bornes matérielles affichés. Par exemple : un disjoncteur).

Type de référence constructeur auxiliaire (éléments avec une représentation graphique dans un folio qui sont les enfants de base. Par exemple : un contact).

Type de référence constructeur accessoire (éléments sans représentation graphique qui sont les enfants de base ou auxiliaire. Par exemple : un repérage).

Et d'autres types pour des appareils spécifiques.

Numéro de l'article : Informations internes gérées par l'utilisateur.

ID externe : l'ID externe est utilisé pour lier un élément à l'élément correspondant dans une application externe.

Série : Souvent, les références constructeur sont regroupées par série, par exemple TESYS dans le catalogue Schneider.

Feuille de données : Permet d'associer des symboles à la référence constructeur. Ce lien peut être un fichier de type "Instructions d’utilisation" ou "Spécifications techniques" ou un lien Internet. Pour créer le lien, cliquez sur le bouton [...] et sélectionnez le fichier ou saisissez l'adresse Web. Le bouton Ouvrir permet d'ouvrir le lien.

Racine de repérage : Permet d'utiliser une racine de repérage lors de la création d'un composant. Si aucune valeur n'est saisie, la racine associée à la classe est utilisée.

Description : Permet de saisir une description dans toutes les langues gérées par le logiciel. L'icône spécifique permet d'ouvrir le sélecteur de langue.

Référence commerciale : Il s'agit du numéro commercial. Vous pouvez utiliser une référence interne ou la gamme de l'appareil, par exemple. Saisissez la valeur dans toutes les langues gérées par le logiciel. L'icône spécifique permet d'ouvrir le sélecteur de langue.

Fournisseur

Nom du fournisseur : Permet de saisir le nom du fournisseur.

Numéro d'inventaire : Permet de saisir le numéro d'inventaire du fournisseur.

Prix : Indique le prix de la référence constructeur.

Etat du stock : Indique si la référence constructeur est en rupture de stock ou non.

Informations

Cette section est en lecture seule. Elle affiche la date de création/modification et le créateur. Elle affiche également le nombre de circuits et bornes de l'appareil.

Illustration

Permet d'associer des symboles à la référence constructeur. Cliquez sur le bouton [...] pour ouvrir le sélecteur de symbole afin de sélectionner le symbole voulu.

Vous pouvez associer plusieurs symboles à une référence constructeur à l'aide de l'association Symbole/Circuit. Cette fonctionnalité permet d'associer un symbole à un ou plusieurs circuits.

Taille

Cette section vous permet de saisir les dimensions de la référence constructeur.

Utiliser / Commande / Valeurs

Permet de saisir les données électriques de la référence constructeur. Ces valeurs sont utilisées comme critères pour trouver la référence constructeur.

Données constructeur

Les données constructeur affichées dans cette section dépendent de la classe que vous avez sélectionnée dans la section Général. Entrez les différentes valeurs pour ces données.


Données utilisateur

Gestionnaire de références constructeur : Propriétés > onglet Données utilisateur

Elle affiche toutes les données utilisateur et traduisibles. Le bouton Personnaliser vous permet de gérer ces données.


Propriétés de référence constructeur / Circuits, bornes

Gestionnaire de références constructeur : Onglet Propriétés > Circuits, bornes

Cet onglet vous permet de gérer les définitions des références constructeur en termes de circuits, ainsi que les numéros des bornes de l'appareil.

L'exemple ci-dessus est une définition d'un disjoncteur à quatre broches. Vous devez avoir donc quatre circuits de type Disjoncteur, Interrupteur. Le premier circuit de la liste correspond à l'élément placé à gauche du graphique (en insertion verticale).

Concernant les numéros de bornes matérielles, vous avez deux bornes par circuit. Le premier numéro correspond à la borne haute du circuit (en insertion verticale). Le second numéro correspond à la borne basse.

Circuits

Ajouter multiple : Ouvrez la boîte de dialogue d'ajout de circuit pour ajouter plusieurs circuits.

Ajouter : Permet d'ajouter un circuit en fin de liste.

Insérer : Permet d'ajouter un circuit au-dessus du circuit sélectionné.

Sélectionnez le circuit que vous souhaitez à partir de la nouvelle liste des circuits.

Supprimer : Permet de supprimer le circuit sélectionné.

Monter / Descendre : Permet de réordonner le circuit.

Numéro : Indique le numéro du circuit.

Type : Permet de définir le type de circuit.

Repères de bornes : Affiche les repères de borne de l'appareil entrés dans la section Borne.

Groupe : Affiche le numéro de groupe (utilisé pour regrouper plusieurs circuits).

Symbole : Affiche le nom du symbole associé au circuit.

Bornes

Sélectionnez un circuit pour accéder à ses repères de bornes.

Ajouter : Permet d'ajouter une borne à la fin de la liste.

Insérer : Permet d'ajouter une nouvelle borne au-dessus de la borne sélectionnée.

Supprimer : Permet de supprimer les bornes sélectionnées.

Monter / Descendre : Permet de réordonner les bornes.

Circuit : Indique le numéro du circuit.

Indice : Affiche l'ordre des bornes dans le circuit.

Repère : Permet de définir le numéro de la borne matérielle.

type d'embout : Dans la liste, sélectionnez le type d'embout associé à la borne.

Nombre maxi de fils : Permet de définir le nombre de fils ou de brins de câble que vous pouvez connecter sur la borne matérielle.

Mnémonique : Permet d'insérer une chaîne mnémonique (automate) ou un texte personnalisé.

Section maximale du fil (mm²) / Jauge de fil maximale (AWG) : Permet d'entrer la section de la borne matérielle, correspondant à la section maximale des fils connectés à cette borne.

Section minimale du fil (mm²) / Jauge de fil minimale (AWG) : Permet d'entrer la section de la borne matérielle, correspondant à la section minimale des fils connectés à cette borne.

Gestion des circuits à partir d'une autre référence constructeur

Lorsque vous créez des références constructeur similaires, vous pouvez utiliser la définition de circuit d'une référence constructeur pour la copier sur une nouvelle référence constructeur. Dans le gestionnaire de références constructeur, dans le menu contextuel de la référence constructeur, vous trouverez des commandes spécifiques pour gérer les circuits.

Copier les circuits : permet de copier les circuits de la référence constructeur sélectionnée dans le presse-papiers de DesignSpark Electrical.

Supprimer les circuits : Permet de supprimer les circuits de la référence constructeur sélectionnée.

Coller les circuits : permet de coller les circuits du presse-papiers de DesignSpark Electrical dans la référence constructeur sélectionnée.


Outil de téléchargement de fichiers CAO

Pour accéder pour la première fois à l'Outil de téléchargement de fichiers CAO, vous devez entrer le nom de connexion et le mot de passe de votre compte electrical Content Portal (eCP).

La boîte de dialogue Outil de téléchargement de fichiers CAO affiche les vignettes 2D ou les pièces 3D téléchargées depuis le catalogue de références constructeur.

Menu : Bibliothèque > Gestionnaire de références constructeur > Vignettes 2D

Gestionnaire de références constructeur : Menu contextuel de la référence constructeur > Vignettes 2D

Dans la boîte de dialogue du gestionnaire de références constructeur, sélectionnez les références constructeur et cliquez sur la commande pour démarrer le téléchargement. Quand une vignette 2D existante est déjà associée à la référence constructeur, il vous est demandé si vous souhaitez l'écraser.

Les vignettes 2D téléchargées sont automatiquement stockées dans le gestionnaire de vignettes 2D, dans la même classe que la référence constructeur.

Arrêter : Permet d'arrêter le téléchargement de la vignette 2D sélectionnée.

Nouvelle tentative : Permet de redémarrer le téléchargement de la vignette 2D une fois interrompue.

Ouvrir : Permet d'ouvrir la vignette 2D sélectionnée. Cette fonctionnalité comporte trois options. Vous pouvez ouvrir une vignette dans l'interface graphique (cliquez sur Ouvrir), dans la fenêtre d'aperçu.

Supprimer : Permet de supprimer la vignette 2D sélectionnée.

Gestionnaire de références constructeur : Permet d'ouvrir la boîte de dialogue du gestionnaire de référence constructeur.

Propriétés : Permet d'ouvrir les propriétés de la vignette 2D sélectionnée.

Déconnexion : permet de fermer votre session eCP.

Rubriques connexes :

Gestionnaire de vignettes 2D


Gestionnaire des types d'embout

Les types d'embout sont utilisés pour définir la façon dont les brins de câbles ou les fils sont connectés aux composants. Ils sont regroupés dans un gestionnaire spécifique dans lequel vous pouvez trouver les principaux arrêts utilisés. Vous pouvez ajouter ou modifier vos propres arrêts.

Les types d'embout sont gérés sur les composants (points de connexion des symboles) et sur les références constructeur (bornes), et ont des attributs spécifiques pour propager leur données. Une nomenclature dédiée permet de synthétiser l'ensemble des types de bornes utilisés dans le projet.

Menu : Bibliothèque > Gestionnaire des types d'embout

La boîte de dialogue du gestionnaire s'ouvre. Elle vous permet d'ajouter, d'éditer ou de supprimer des types d'embout.

Nouveau : permet d'ajouter un nouveau type d'embout dans la bibliothèque.

Supprimer : permet de supprimer les types d'embout sélectionnés.

Propriétés : ouvre la boîte de dialogue des propriétés du type d'embout sélectionné. Si vous sélectionnez plusieurs types d'embout, la boîte de dialogue Propriétés affiche uniquement les propriétés communes.

Mode Liste : affiche les types d'embout sous forme de liste (code, description, date et nom de symbole).

Mode Vignettes : affiche les types d'embout sous forme de vignette (Prévisualisation).

Configuration : permet de gérer les paramètres d'affichage des éléments contenus dans la boîte de dialogue.

Archiver : Sélectionnez les éléments que vous souhaitez archiver et cliquez sur l'icône Archiver.

La boîte de dialogue qui s'ouvre vous permet d'enregistrer le fichier archivé.

Désarchiver : Une boîte de dialogue de sélection de fichier s'ouvre, vous permettant de sélectionner le fichier TEWZIP à désarchiver. L'assistant de mise à jour des données s'ouvre automatiquement. Reportez-vous au chapitre Archivage/Désarchivage pour de plus amples informations.

  • Propriétés du type d'embout


Propriétés du type de borne

Propriétés du type d'embout

Gestionnaire des types d'embout : Nouveau

types d'embout : Propriétés

Ouvre la boîte de dialogue des propriétés pour modifier les données associées au type d'embout.

Si le type d'embout existe déjà, la partie gauche de la boîte de dialogue affiche un aperçu du mode édition (avec attributs).

Si vous sélectionnez plusieurs types d'embout, seules les propriétés communes sont activées.

Général

Nom : le nom permettant d'identifier le type d'embout. Ce nom doit être unique dans le gestionnaire des types d'embout.

Description : décrit le type d'embout. Dans le gestionnaire, si vous optez pour le Mode Vignettes, le texte de description apparaît sous la vignette. Les types d'embout sont classés par ordre alphabétique de leur description. La description est disponible dans toutes les langues quand vous cliquez sur l'icône spécifique. Le sélecteur de langues s'ouvre, ce qui vous permet de les sélectionner.

Symbole : permet de sélectionner un symbole que vous pouvez associer au type d'embout. Une icône spécifique permet de sélectionner le symbole dans le gestionnaire de symboles.

Système

Cette section est en lecture seule. Elle affiche la date de création/modification et le créateur.


Sélecteur de type d'embout

Propriétés du point de connexion d'un symbole (mode Edition) : type d'embout

Propriété d'une borne d'une référence constructeur : type d'embout

Edition des bornes d'un composant : type d'embout

Le sélecteur de type d'embout permet de sélectionner le type d'embout que vous souhaitez associer à la borne d'un composant.

Mode Liste : Permet d'afficher la liste des symboles (nom, description, classification).

Mode Vignettes : Affiche les symboles sous forme de vignette (Prévisualisation).

Configuration : Permet de gérer les paramètres d'affichage des éléments dans la boîte de dialogue.

1. Sélectionnez le symbole voulu.

2. Cliquez sur le bouton Sélectionner pour valider.


Archiver / Désarchiver

L'archivage consiste à enregistrer des données dans un fichier spécifique en vue de les sauvegarder, de les transférer sur un autre poste de travail ou de les transmettre à une autre société.

Le désarchivage consiste à ouvrir un fichier d'archive et de gérer l'impact des données contenues dans le fichier d'archive par rapport aux données existantes.

  • Archiver

  • Désarchiver


Archiver

L'archivage consiste à enregistrer des données dans un fichier spécifique en vue de les sauvegarder, de les transférer sur un autre poste de travail ou de les transmettre à une autre société.

L'archivage est disponible à plusieurs endroits du logiciel en fonction du type de données. Chaque type de données fait référence à un fichier spécifique.

Pour reconnaître un fichier d'archive, il suffit d'identifier son extension.

  • Archive d'environnement : .TEWZIP

  • Fichier d'archive de projet : .PROJ.TEWZIP

  • Fichier d'archive de symboles : .SYMB.TEWZIP

  • Fichier d'archive de cartouches : .TITLE.TEWZIP

  • Fichier d'archive de macros : .MACRO.TEWZIP

  • Fichier d'archive de références constructeur : .PARTS.TEWZIP

  • Fichier d'archive de références de câble : .CABLE.TEWZIP

  • Fichier d'archive de modèles : .CONFIG.TEWZIP

Certains types de fichiers d'archive contiennent ce que l'on appelle des "Dépendances", c'est-à-dire qu'ils contiennent les données ayant servi à sa conception. Par exemple, une archive de projet comprend des symboles, des cartouches et des configurations, tandis qu'une archive de macros peut contenir des symboles et des références. Lors du désarchivage de ce fichier, les dépendances pourront être mises en bibliothèque ou intégrées aux catalogues.

  • Archivage de l'environnement

  • Archivage d'un projet

  • Archivage de symboles

  • Archivage de cartouches

  • Archivage de références constructeur

  • Archivage de références de câbles

  • Archivage de macros

  • Archivage de configurations

Archivage de l'environnement

Parfois, il est nécessaire de récupérer toutes les données gérées par DesignSpark Electrical. par exemple, lorsque vous avez personnalisé vos schémas (cartouches, symboles, configuration des nomenclatures...). L'archivage de l'environnement permet de sauvegarder dans un fichier d'archive, l'ensemble des données. Ainsi vous pouvez transmettre ces données à une société sous-traitante par exemple, pour qu'elle travaille avec votre environnement. L'archivage de l'environnement intègre également les Projets présents dans le Gestionnaire de Projets.

Menu : Fichier > Archiver l'environnement

Un assistant apparaît. Les options d'archivage s'affichent sur le côté gauche de la boîte de dialogue.

Personnalisé : Permet de personnaliser les éléments à intégrer dans l'archive. L'onglet Sélection vous permet de sélectionner les types de données à archiver. Les autres onglets vous permettent de gérer chaque type de donnée avec plus de précision.

Tous les projets : Comprend uniquement les projets qui s'affichent dans le gestionnaire de projets et les éléments obligatoires, tels que la classification.

Tous les objets : Permet de regrouper tous les éléments au lieu de les sélectionner individuellement.

Objets à partir des bibliothèques sélectionnées : permet de sélectionner uniquement les éléments inclus dans les bibliothèques sélectionnées à l'étape suivante.

Objets modifiés par l'utilisateur : Permet d'ajouter uniquement les éléments modifiés au fichier d'archive.

Objets modifiés par l'utilisateur depuis : inclut uniquement les éléments modifiés entre deux dates (date personnalisée ou la date du dernier archivage).

Me rappeler d'effectuer un archivage à intervalles réguliers après ce nombre de jours : Vous rappelle d'effectuer un archivage régulier. Sélectionnez l'option pour l'activer et saisissez le nombre de jours entre deux archivages.

Après avoir sélectionné les options, vous pouvez parcourir les différents onglets afin de spécifier les éléments que vous souhaitez inclure dans le fichier d'archive. Cliquez sur Terminer pour créer le fichier d'archive.

La taille du fichier d'archive risque d'être relativement importante en fonction de votre sélection.

Une fois la commande activée, un nom de fichier vous est demandé.

L'extension des fichiers d'archive d'environnement est .TEWZIP.

Archivage d'un projet

L'archivage d'un projet consiste à sauvegarder l'ensemble des documents constituant ce projet, mais également l'ensemble des données ayant servi à sa conception (symboles, cartouches et configurations). La commande d'archivage de projet est disponible dans le gestionnaire de projets.

Gestionnaire de projets : Archiver

Sélectionnez le projet à archiver et cliquez sur l'icône Archiver.

Avant d'archiver un projet, vous devez le fermer, sauf s'il est ouvert uniquement sur votre poste de travail. Si le projet est ouvert sur un autre poste de travail, il est verrouillé.

Durant son archivage, le projet est verrouillé pour tous les autres utilisateurs.

Si vous avez sélectionné plusieurs projets, ils sont tous inclus dans le même fichier d'archive.

Un nom de fichier vous est demandé. L'extension des fichiers d'archive de projet est : PROJ.TEWZIP. Une fois archivé, le projet est conservé dans le gestionnaire de projets.

Archivage de symboles

L'archivage de symboles permet de créer un fichier d'archive contenant l'intégralité de la définition d'un symbole (graphisme, circuits, points de connexion...). L'archivage de symboles est disponible dans le gestionnaire de symboles.

Gestionnaire de symboles : Archiver

Sélectionnez les symboles à archiver et cliquez sur l'icône Archiver.

Les fichiers d'archive de symboles ont pour extension : SYMB.TEWZIP.

Archivage de cartouches

L'archivage de cartouches crée un fichier d'archive contenant toutes les données des cartouches (graphisme et paramètres d'attribut). La commande est disponible dans le gestionnaire de cartouches.

Gestionnaire de cartouches : Archiver

Sélectionnez les cartouches à archiver et cliquez sur l'icône Archiver.

Les fichiers d'archive de cartouches ont pour extension : TITLE.TEWZIP.

Archivage de références constructeur

L'archivage de références constructeur est principalement utilisé pour la diffusion de références constructeur entre plusieurs postes de travail ou entreprises. La commande d'archivage est disponible auprès du gestionnaire de références constructeur.

Références constructeur : Archiver

Sélectionnez les références constructeur à archiver et cliquez sur l'icône Archiver.

L'extension des fichiers d'archive de références constructeur est : PARTS.TEWZIP.

Archivage de références de câbles

L'archivage de références de câble est principalement utilisé pour la diffusion de références entre plusieurs postes de travail ou entreprises. La commande est disponible dans le gestionnaire de références de câble.

Gestionnaire de références de câbles : Archiver

Sélectionnez les références à archiver et cliquez sur l'icône Archiver.

L'extension des fichiers d'archive de référence de câble est : CABLE.TEWZIP.

Archivage de macros

Le fichier d'archivage de macro inclut toutes les données utilisées dans la conception de macros. La commande d'archivage est disponible dans le gestionnaire de macros.

Gestionnaire de macros : Archiver

Sélectionnez les macros à archiver et cliquez sur l'icôneArchiver.

L'extension des fichiers d'archive de macros est : MACRO.TEWZIP.

Archivage de configurations

Utilisez cette commande pour archiver toutes les configurations (à l'exception des fichiers de configuration de projets et de liaisons). Certains fichiers d'archive de configuration, comme les configurations de bornes ou d'automates contiennent des dépendances.

Gestion de la configuration : Archiver

Lors de la création du fichier d'archive, il n'est pas fait de distinction entre les différentes configurations (borniers et projet, par exemple). L'extension du fichier est la même quel que soit le type. Par conséquent, vous devez noter le nom donné au fichier d'archive pour pouvoir en identifier le type par la suite. Vous ne pouvez pas désarchiver des fichiers de configuration en utilisant le mauvais gestionnaire. Vous ne pouvez pas désarchiver un fichier d'archive de configuration de bornier dans l'interface de configuration des automates, par exemple.

L'extension des fichiers d'archive de configuration est : CONFIG.TEWZIP.

Rubriques connexes :

Désarchiver


Désarchiver

Le désarchivage consiste à ouvrir un fichier d'archive initialement créé et à en extraire les données. Ces données sont ensuite comparées aux données existantes.

Les fichiers d'archive sont identifiés grâce à leur extension.

  • .TEWZIP : Fichier d'archive d'environnement

  • .PROJ.TEWZIP : Fichier d'archive de projet

  • .SYMB.TEWZIP : Fichier d'archive de symbole

  • .TITLE.TEWZIP : Fichier d'archive de cartouche

  • .MACRO.TEWZIP : Fichier d'archive de macro

  • .PARTS.TEWZIP : Fichier d'archive de référence constructeur

  • .CABLE.TEWZIP : Fichier d'archive de référence de câble

  • .CONIG.TEWZIP : Fichier d'archive de modèle / configuration

Les fichiers doivent être désarchivés à partir du gestionnaire approprié. (Reportez-vous à la rubrique Archivage.)

Ce chapitre est commun à l'ensemble des fichiers d'archive à l'exception des archives de Projets. Pour plus d'informations, reportez-vous à Désarchivage d'un projet.

Sélectionnez Désarchiver pour ouvrir l'Assistant de désarchivage, dans lequel vous pouvez gérer les données à désarchiver. Cet assistant est similaire à l'Assistant de mise à jour des données.

Dans l'onglet Sélection, vérifiez les données à importer.

L'Assistant de désarchivage compare les données à désarchiver aux données existantes. Vous pouvez alors choisir une action pour chaque type de donnée.

Actions

Utilisez les touches Maj, Ctrl, ou Ctrl+A pour appliquer les mêmes types d'action à plusieurs éléments.

Un clic droit sur la ligne ouvre un menu permettant d'afficher les propriétés de l'élément.

Ajouter : Permet d'ajouter une donnée parce qu'elle n'existe pas dans l'installation courante.

Remplacer : Permet de remplacer la donnée existante par la nouvelle donnée.

Ne rien faire : Permet de conserver la donnée existante. La nouvelle donnée ne sera pas installée.

Conserver les 2 : Permet de conserver la donnée existante et la nouvelle donnée sera installée avec un nouveau nom.

Mettre à jour : Permet de mettre à jour les références du catalogue. Cette option ne concerne que les catalogues constructeurs (câbles et matériel).

Un type d'action par défaut est proposé en fonction des règles suivantes :

- Une nouvelle donnée est systématiquement Ajoutée.

- Si une donnée existante créée par l'utilisateur a été modifiée par celui-ci, elle est marquée comme Remplacer.

- Si une donnée existante créée par l'éditeur du logiciel a été modifiée par l'utilisateur, elle est marquée comme Ne rien faire.

- Si une donnée existe et n'a pas été modifiée, mais que les nouveaux fichiers sont marqués comme mis à jour par l'éditeur du logiciel, elle est marquée comme Remplacer.

- Les catalogues de câbles et de matériel sont systématiquement marqués comme Mise à jour.

Types de données

Symboles - cartouches : L'assistant affiche le nom des éléments ainsi que leur description. L'interface affiche également la date de modification et le créateur de la donnée existante. Dans le cas ou vous souhaitez conserver l'ancienne donnée et installer la nouvelle donnée, il vous faudra saisir un nouveau nom.

Catalogue de câbles et catalogues constructeurs : Ces catalogues sont gérés dans leur intégralité (l'ensemble des références du constructeur). Lorsque la référence n'existe pas, elle est automatiquement ajoutée. Lorsqu'une référence existe et qu'elle a été modifiée, elle n'est pas ajoutée. Lorsque la référence existe, qu'elle n'a pas été modifiée, mais qu'elle a été mise à jour par l'éditeur du logiciel, la nouvelle référence est automatiquement installée et écrase l'ancienne.

Modèles de projets : Seuls les modèles nouveaux ou modifiés (dates de modification différentes) sont installés. Les modèles que vous avez créés sont conservés.

Configurations de nomenclatures : Les configurations de nomenclature que vous avez créées ou modifiées sont conservées. Les configurations que l'éditeur du logiciel a créées ou modifiées sont automatiquement installées.

Fichiers de configuration : Seuls les fichiers de configuration nouveaux ou modifiés (dates de modification différentes) sont installés. Les fichiers de configuration que vous avez créés sont conservés.

Palettes : Seules les palettes nouvelles ou modifiées (dates de modification différentes) sont installées. Les palettes que vous avez créées sont conservées.

Rubriques connexes :

Archiver

Installation des données


Projet verrouillé

Cette boîte de dialogue s'ouvre lorsque vous souhaitez ouvrir un projet verrouillé archivé par un autre utilisateur.